<?php

include('includes/connect.php');
session_start();

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

if (isset($_POST['submit'])) {

	if ($_POST["ExistChildID"]=="No") {
		$search_childs_id_var = "CHILDTEMP_".date("Ymdhis").rand(0,10);
	} else {
		$search_childs_id_var = $_POST['search_childs_id'];
	}

	//$_SESSION["Data"]['search_childs_id'] = $_POST['search_childs_id'];
	
	date_default_timezone_set('Europe/Athens');
	$_SESSION["Data"]['date_time'] = date('Y-m-d [G:i]', time());
	$_SESSION["Data"]['date'] = date('Ymd');
	$_SESSION["Data"]['time'] = date('Gis', time());
	//$_SESSION["Data"]['date_time_of_record_for_db'] = date("d-m-Y G:i:s");
	$_SESSION["Data"]['date_time_of_record_for_db'] = date("Y-m-d H:i:s");
	//$_SESSION["Data"]['update_time'] = date("d-m-Y[G:i:s") . substr((string)microtime(), 1, 5)."]";
	
	//Check if child_id exists
	
	$db->query("SELECT child_id,date_time_of_record_for_db FROM c_child WHERE child_id='".$search_childs_id_var."'");	
	if ($db->Row==1) {
		if ($db->next()) {
			$_SESSION["Data"]['known_childs_id'] = $db->Record['child_id'];
			$_SESSION["Data"]['search_childs_id'] = $db->Record['child_id'];
			$_SESSION["Data"]['updated_time_of_record'] = $db->Record['date_time_of_record_for_db'];
			unset($_SESSION["Data"]['new_childs_id']);
		}
	}  else if ($db->Row > 1) {
		
		//Check if child_id exists more than one times (many updates)
		$db->query("SELECT child_id,date_time_of_record_for_db FROM c_child WHERE child_id='".$search_childs_id_var."' AND type_of_record='updated_record' ");			
		if ($db->Row == 1) {
			if ($db->next()) {
				$_SESSION["Data"]['known_childs_id'] = $db->Record['child_id'];
				$_SESSION["Data"]['search_childs_id'] = $db->Record['child_id'];
				$_SESSION["Data"]['updated_time_of_record'] = $db->Record['date_time_of_record_for_db'];
				unset($_SESSION["Data"]['new_childs_id']);
			}
		} else {
			//Check dates of updated records and select the one closest to today 
			$db->query("SELECT * FROM c_child WHERE child_id='".$search_childs_id_var."' AND type_of_record='updated_record' ORDER BY date_time_of_record_for_db DESC LIMIT 1");				
			if ($db->next()) {
				$_SESSION["Data"]['known_childs_id'] = $db->Record['child_id'];
				$_SESSION["Data"]['search_childs_id'] = $db->Record['child_id'];
				$_SESSION["Data"]['updated_time_of_record'] = $db->Record['date_time_of_record_for_db'];
				unset($_SESSION["Data"]['new_childs_id']);
			}
		}
		
	} else {
		//If it doesnt exists then its a new record
		$_SESSION["Data"]['new_childs_id'] = $search_childs_id_var;
		$_SESSION["Data"]['search_childs_id'] = $search_childs_id_var;
		unset($_SESSION["Data"]['known_childs_id']);
	}

	
	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}	

?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<?php include_once("includes/analyticstracking.php") ?>

</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("The Child’s ID you provided is referred to an"); ?></p>
			</div>										
			<form action="date_of_incident.php" method="post">							
				<?php
					if( isset($_SESSION["Data"]['known_childs_id']) ){
				?>
				<div id="child_title" class="red"><strong><?php echo get_trans("KNOWN CHILD"); ?></strong></div>
				<div id="child_wrapper" class="red">
					<strong><?php echo get_trans("EXISTING CHILD RECORD"); ?></br>
					<?php echo get_trans("NEW INCIDENT RECORD"); ?></strong>
					</br>
					<?php echo get_trans("You are going to proceed with the record of a new CM incident for  the child"); ?> [<?php echo $_SESSION["Data"]['search_childs_id']; ?>].
					</br></br>
					<strong><?php echo get_trans("Please proceed with checking of"); ?>:</strong>
					</br>					
					<?php echo get_trans("-child related variables"); ?>
					</br>
					<?php echo get_trans("-family related variables"); ?>
					</br>
					<?php echo get_trans("TIP: Update –if needed"); ?>
					</br></br>
					<strong><?php echo get_trans("Please proceed with recording of"); ?>:</strong>
					</br>
					<?php echo get_trans("-incident related variables"); ?>
					</br>
					<?php echo get_trans("-services related variables"); ?>
				</div>
				
				<?php
					} else {
				?>
				<div id="child_title"><strong><?php echo get_trans("UNKNOWN CHILD"); ?></strong></div>
				<div id="child_wrapper">
					<strong><?php echo get_trans("NEW CHILD RECORD"); ?></br>
					<?php echo get_trans("NEW INCIDENT RECORD"); ?></strong>
					</br>
					<?php echo get_trans("You are going to proceed with the record of a new case of (alleged) child maltreatment."); ?> [<?php if (isset($_SESSION["Data"]['new_childs_id'])) echo $_SESSION["Data"]['new_childs_id']; ?>].
					</br></br>
					<strong><?php echo get_trans("Please proceed with recording of"); ?>:</strong>
					</br>
					<?php echo get_trans("-incident related variables"); ?>
					</br>
					<?php echo get_trans("-child related variables"); ?>
					</br>
					<?php echo get_trans("-family related variables"); ?>
					</br>
					<?php echo get_trans("-services related variables"); ?>
					</br>
				</div>
				<?php } ?>
				
				<?php include 'includes/next_button.php'; ?>
			</form>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>				
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<script src="js/languages/jquery.validationEngine-en.js" type="text/javascript" charset="utf-8"></script>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'child_result.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'child_result.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
jQuery(document).ready(function(){
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}
});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>