<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

if (isset($_POST['submit'])) {
	//------ Place of Incident Sessions -------	
	if (isset($_POST['poi_radio1'])){
		$_SESSION["Data"]['poi_radio1'] = $_POST['poi_radio1'];		
		$array_poi_all_user_checked_options[] = $_SESSION["Data"]['poi_radio1'];	
	} else unset($_SESSION["Data"]['poi_radio1']);
	
	for ($i=1;$i<15;$i++){
		if (isset($_POST['poi_check'.$i])){
			$_SESSION["Data"]['poi_check'.$i] = $_POST['poi_check'.$i];
			$array_poi_all_user_checked_options[] = $_SESSION["Data"]['poi_check'.$i];			
		} else unset($_SESSION["Data"]['poi_check'.$i]);
	}
	
	//------ All "place of incident" checked options Session for the right panel -------
	if (isset($array_poi_all_user_checked_options))
		$_SESSION["Data"]['dis_array_poi_all_user_checked_options'] = $array_poi_all_user_checked_options;
	else
		unset($_SESSION["Data"]['dis_array_poi_all_user_checked_options']);
		
	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("Please record Child’s Sex, Date of Birth and Citizenship Status"); ?></p>
			</div>
			
			<table style="width:100%; clear:left;">
				<tr>
					<td style="width:100px">
						<div class="left_subtitle"><strong>C2</strong></div>
					</td>
					<td> 
						<div class="content_green_background"><strong><?php echo get_trans("Child's Sex"); ?></strong></div>	
					</td>
				</tr>
			</table>			
						
			<form action="family_composition.php" method="post">
				<div class="left_wrapper">	
				
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="csdc_radio1" id="csdc_radio1_1" value="Male" <?php if (isset($_SESSION["Data"]['csdc_radio1']) && $_SESSION["Data"]['csdc_radio1'] == "Male" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio1_1"><span></span><?php echo get_trans("Male"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="csdc_radio1" id="csdc_radio1_2" value="Female" <?php if (isset($_SESSION["Data"]['csdc_radio1']) && $_SESSION["Data"]['csdc_radio1'] == "Female" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio1_2"><span></span><?php echo get_trans("Female"); ?></label>
						</div>	
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="csdc_radio1" id="csdc_radio1_3" value="Other" <?php if (isset($_SESSION["Data"]['csdc_radio1']) && $_SESSION["Data"]['csdc_radio1'] == "Other" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio1_3"><span></span><?php echo get_trans("Other"); ?></label>
						</div>	
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="csdc_radio1" id="csdc_radio1_4" value="Not known" <?php if (isset($_SESSION["Data"]['csdc_radio1']) && $_SESSION["Data"]['csdc_radio1'] == "Not known" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio1_4"><span></span><?php echo get_trans("Not known"); ?></label>
						</div>						
				</div>	
				<div class="right_wrapper">								
					<div class="info_blue" id="info1">
						<span><?php echo get_trans("Check ONE from the list below"); ?></span>
					</div>					
				</div>
				
				<table style="width:100%; clear:left;">
					<tr>
						<td style="width:100px">
							<div class="left_subtitle"><strong>C3</strong></div>
						</td>
						<td> 
							<div class="content_green_background"><strong><?php echo get_trans("Child’s Date of Birth"); ?></strong></div>	
						</td>
					</tr>
				</table>

							
				<div class="left_wrapper">						
					<div class="green_bg_options">						
						<input type="radio" class="validate[required] radio" name="csdc_radio2" id="csdc_radio2_1" value="csdc_date" <?php if (isset($_SESSION["Data"]['csdc_radio2']) && $_SESSION["Data"]['csdc_radio2'] == "csdc_date" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio2_1"><span></span>	
						
						<select style="margin: 2px 0px 3px 4px;" name="csdc_date_year" id="csdc_date_year" disabled="disabled" class="validate[required]">
							<option value=""><?php echo get_trans("YYYY") ?></option>
							<?php for($i=date("Y");$i>=1900;$i--) { ?>
								<option <?php if (isset($_SESSION["Data"]['csdc_date_year']) && $_SESSION["Data"]['csdc_date_year']==$i){ echo "selected"; } ?> value="<?php echo $i?>"><?php echo $i?></option>
							<?php } ?>
						</select>

						<select style="margin: 2px 0px 3px 4px;" name="csdc_date_month" id="csdc_date_month" disabled="disabled">
							<option value=""><?php echo get_trans("MM") ?></option>
							<?php for($i=1;$i<=12;$i++) { ?>
								<option <?php if (isset($_SESSION["Data"]['csdc_date_month']) && $_SESSION["Data"]['csdc_date_month']==$i){ echo "selected"; } ?> value="<?php echo sprintf("%'.02d", $i)?>"><?php echo sprintf("%'.02d", $i)?></option>
							<?php } ?>
						</select>

						<select style="margin: 2px 0px 3px 4px;" name="csdc_date_day" id="csdc_date_day" disabled="disabled">
							<option value=""><?php echo get_trans("DD") ?></option>
							<?php for($i=1;$i<=31;$i++) { ?>
								<option <?php if (isset($_SESSION["Data"]['csdc_date_day']) && $_SESSION["Data"]['csdc_date_day']==$i){ echo "selected"; } ?> value="<?php echo sprintf("%'.02d", $i)?>"><?php echo sprintf("%'.02d", $i)?></option>
							<?php } ?>
						</select>
						
						
						
						</label>
					</div>
					<div class="green_bg_options">					
						<input type="radio" class="validate[required] radio" name="csdc_radio2" id="csdc_radio2_2" value="<18 years old" <?php if (isset($_SESSION["Data"]['csdc_radio2']) && $_SESSION["Data"]['csdc_radio2'] == "<18 years old" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio2_2"><span></span><?php echo get_trans("<18 years old (if no year is known)"); ?></label>
						<?php
							//Just for translation
							get_trans("<18 years old");
						?>
					</div>	
					<div class="green_bg_options">					
						<input type="radio" class="validate[required] radio" name="csdc_radio2" id="csdc_radio2_3" value=">18 years old" <?php if (isset($_SESSION["Data"]['csdc_radio2']) && $_SESSION["Data"]['csdc_radio2'] == ">18 years old" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio2_3"><span></span><?php echo get_trans(">18 (\"minor\" according to legislation)"); ?></label>
					</div>
						<?php
							//Just for translation
							get_trans(">18 years old");
						?>
					<div class="green_bg_options">					
						<input type="radio" class="validate[required] radio" name="csdc_radio2" id="csdc_radio2_4" value="Unborn" <?php if (isset($_SESSION["Data"]['csdc_radio2']) && $_SESSION["Data"]['csdc_radio2'] == "Unborn" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio2_4"><span></span><?php echo get_trans("Unborn"); ?></label>
					</div>
					<div class="green_bg_options">					
						<input type="radio" class="validate[required] radio" name="csdc_radio2" id="csdc_radio2_5" value="Unknown" <?php if (isset($_SESSION["Data"]['csdc_radio2']) && $_SESSION["Data"]['csdc_radio2'] == "Unknown" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio2_5"><span></span><?php echo get_trans("Unknown"); ?></label>
					</div>						
				</div>
				
				<div class="right_wrapper">			
					<div class="info_blue" style="color:#000000;">
						<span><?php echo get_trans("Please record the full date of birth:"); ?></span><span style="padding-left:1em;"><strong><?php echo get_trans("YYYY-MM-DD"); ?></strong></span></br>
						<span><?php echo get_trans("If DD is unknown:"); ?></span><span style="padding-left:1em"><strong><?php echo get_trans("YYYY-MM"); ?></strong></span></br>
						<span><?php echo get_trans("If MM-DD are unknown:"); ?></span><span style="padding-left:1em"><strong><?php echo get_trans("YYYY"); ?></strong></span></br>
						<span><?php echo get_trans("If YYYY-MM-DD are unknown AND the alleged victim is a child:"); ?></span><span style="padding-left:1em"><strong><?php echo get_trans("<18"); ?></strong></span></br>
					</div>
					
				</div>
				
				<table style="width:100%; clear:left;">
					<tr>
						<td style="width:100px">
							<div class="left_subtitle"><strong>C4</strong></div>
						</td>
						<td> 
							<div class="content_green_background"><strong><?php echo get_trans("Citizenship Status"); ?></strong></div>	
						</td>
					</tr>
				</table>
				<?php if ($_SESSION["ssUser"]['country'] != 'FR') { ?>
					<div class="left_wrapper">						
						<div class="green_bg_options">						
							<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_1" value="Not a citizen" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Not a citizen" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_1"><span></span><?php echo get_trans("Not a citizen"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" name="csdc_radio" id="csdc_radio3_2" value="Citizen" <?php if (isset($_SESSION["Data"]['csdc_radio']) && $_SESSION["Data"]['csdc_radio'] == "Citizen" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_2"><span></span><?php echo get_trans("Citizen"); ?></label>
						</div>
						<div class="expand" id="expand1"></div>
						<div class="sub1" id="sub1">							
							<div class="green_bg_options csdc_width">					
								<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_3" value="Citizen with ID" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Citizen with ID" ) { echo 'checked="checked"';} ?> />
								<label for="csdc_radio3_3"><span></span><?php echo get_trans("with ID"); ?></label>
								<?php
									//Just for translation
									get_trans("Citizen with ID");
								?>
							</div>	
							<div class="green_bg_options csdc_width">					
								<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_4" value="Citizen without ID" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Citizen without ID" ) { echo 'checked="checked"';} ?> />
								<label for="csdc_radio3_4"><span></span><?php echo get_trans("without ID"); ?></label>
								<?php
									//Just for translation
									get_trans("Citizen without ID");
								?>
							</div>
							<div class="green_bg_options csdc_width">					
								<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_41" value="Unknown" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Unknown" ) { echo 'checked="checked"';} ?> />
								<label for="csdc_radio3_41"><span></span><?php echo get_trans("Unknown"); ?></label>
								<?php
									//Just for translation
									get_trans("Unknown");
								?>
							</div>
						
						
						</div>
						<?php if ($_SESSION["ssUser"]['country'] == 'BE' || $_SESSION["ssUser"]['country'] == 'GR') { ?>
						<div class="green_bg_options">						
							<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_5" value="Unaccompanied foreign child or refugee" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Unaccompanied foreign child or refugee" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_5"><span></span><?php echo get_trans("Unaccompanied foreign child or refugee"); ?></label>
						</div>
						<?php } ?>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_6" value="Not known" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Not known" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_6"><span></span><?php echo get_trans("Not known"); ?></label>
						</div>						
					</div>
				<?php } else { //For France ONLY ?>
				
				<div class="left_wrapper">						
					<div class="green_bg_options">						
						<input type="radio" class="radio" name="csdc_radio1_fr" id="csdc_radio3_1_fr" value="Not a citizen/ foreigner" <?php if (isset($_SESSION["Data"]['csdc_radio1']) && $_SESSION["Data"]['csdc_radio1'] == "Not a citizen/ foreigner" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio3_1_fr"><span></span><?php echo get_trans("Not a citizen/ foreigner"); ?></label>
					</div>				
					<div class="expand" id="expand1"></div>
					<div class="sub1" id="sub1">
					
											
						<div class="green_bg_options csdc_width">
						<?php // Get nationalities from db
						$db->query("SELECT name,nome FROM data_nationalities");
						?>
							<select name="csdc_nationality" class="validate[condRequired[csdc_radio3_1_fr]]" style="width:240px; height:25px; border:0px; font-size:15px;">
								<option <?php if (isset($_SESSION["Data"]['csdc_nationality']) && $_SESSION["Data"]['csdc_nationality'] == '' ) echo 'selected'; ?> value=""><?php echo get_trans("Nationality"); ?></option>
								<?php
								while ($db->next()) {
								?>
									<option <?php if (isset($_SESSION["Data"]['csdc_nationality']) && $_SESSION["Data"]['csdc_nationality'] == $db->Record['name'] ) echo 'selected'; ?> value="<?php echo $db->Record['name']; ?>"><?php echo $db->Record['name']; ?></option>											         
								<?php }	?>
							</select>
						</div>
						
						
						<div class="green_bg_options csdc_width">					
							<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_2_fr" value="Not a citizen/ foreigner with ID" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Not a citizen/ foreigner with ID" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_2_fr"><span></span><?php echo get_trans("with ID"); ?></label>
							<?php
								//Just for translation
								get_trans("Not a citizen/ foreigner with ID");
							?>
						</div>	
						<div class="green_bg_options csdc_width">					
							<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_3_fr" value="Not a citizen/ foreigner without ID" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Not a citizen/ foreigner without ID" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_3_fr"><span></span><?php echo get_trans("without ID"); ?></label>
							<?php
								//Just for translation
								get_trans("Not a citizen/ foreigner without ID");
							?>
						</div>
					</div>
					<div class="green_bg_options">						
						<input type="radio" class="radio" name="csdc_radio2_fr" id="csdc_radio3_4_fr" value="Not a citizen/ foreigner" <?php if (isset($_SESSION["Data"]['csdc_radio2']) && $_SESSION["Data"]['csdc_radio2'] == "Citizen" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio3_4_fr"><span></span><?php echo get_trans("Citizen"); ?></label>
					</div>					
					<div class="expand" id="expand2"></div>
					<div class="sub1" id="sub2">							
						<div class="green_bg_options csdc_width">					
							<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_5_fr" value="Citizen with ID" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Citizen with ID" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_5_fr"><span></span><?php echo get_trans("with ID"); ?></label>
							<?php
								//Just for translation
								get_trans("Citizen with ID");
							?>
						</div>	
						<div class="green_bg_options csdc_width">					
							<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_6_fr" value="Citizen without ID" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Citizen without ID" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_6_fr"><span></span><?php echo get_trans("without ID"); ?></label>
							<?php
								//Just for translation
								get_trans("Citizen without ID");
							?>
						</div>
						<div class="green_bg_options csdc_width">					
							<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_61_fr" value="Citizen without ID" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Unknown" ) { echo 'checked="checked"';} ?> />
							<label for="csdc_radio3_61_fr"><span></span><?php echo get_trans("Unknown"); ?></label>
							<?php
								//Just for translation
								get_trans("Unknown");
							?>
						</div>
					</div>
					<div class="green_bg_options">						
						<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_7_fr" value="Unaccompanied foreign child or refugee" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Unaccompanied foreign child or refugee" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio3_7_fr"><span></span><?php echo get_trans("Stateless"); ?></label>
					</div>					
					<div class="green_bg_options">					
						<input type="radio" class="validate[required] radio" name="csdc_radio3" id="csdc_radio3_8_fr" value="Not known" <?php if (isset($_SESSION["Data"]['csdc_radio3']) && $_SESSION["Data"]['csdc_radio3'] == "Not known" ) { echo 'checked="checked"';} ?> />
						<label for="csdc_radio3_8_fr"><span></span><?php echo get_trans("Not known"); ?></label>
					</div>
				</div>
				<?php } //Ends For France ONLY ?>
				
				<div class="right_wrapper">									
					<div class="info_blue" id="info1">
						<span><?php echo get_trans("Check ONE from the list below. If the child is “Citizen”, please define in sub-list"); ?></span>
					</div>					
				</div>
				
				
				<?php // Variables for perpetrators ONLY FOR ITALY
				if ($_SESSION["ssUser"]['country'] == 'IT') { ?>
				<table id="perpetrator_table" style="width:100%">
					<tr>
						<td style="width:100px">
							<div class="left_subtitle"><strong>DE_C5</strong></div>
						</td>
						<td style="width:50%"> 
							<div class="fom_content_green_background"><strong><?php echo get_trans("Child's Health Status"); ?></strong></div>
						</td>
						<td style="width:100px">
							<div class="left_subtitle"><strong>DE_C6</strong></div>
						</td>
						<td style="width:50%"> 
							<div class="fom_content_green_background"><strong><?php echo get_trans("Child's Behavioural problems"); ?></strong></div>
						</td>
					</tr>
					<tr>
						<td style="width:50%" colspan="2">
							<div class="green_bg_options_select">
								<select name="DE_C5" style="width:240px">
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == '' ) echo 'selected'; ?> value=""><?php echo get_trans("Select"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == 'Physical disability' ) echo 'selected'; ?> value="Physical disability"><?php echo get_trans("Physical disability"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == 'Chronic disease' ) echo 'selected'; ?> value="Chronic disease"><?php echo get_trans("Chronic disease"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == "Learning disorder" ) echo 'selected'; ?> value="Learning disorder"><?php echo get_trans("Learning disorder"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == 'Mental disability' ) echo 'selected'; ?> value="Mental disability"><?php echo get_trans("Mental disability"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == 'Alcohol addiction-related problems' ) echo 'selected'; ?> value="Alcohol addiction-related problems"><?php echo get_trans("Alcohol addiction-related problems"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == 'Drugs addiction-related problems' ) echo 'selected'; ?> value="Drugs addiction-related problems"><?php echo get_trans("Drugs addiction-related problems"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == 'Other' ) echo 'selected'; ?> value="Other"><?php echo get_trans("Other"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C5']) && $_SESSION["Data"]['DE_C5'] == 'Not specified' ) echo 'selected'; ?> value="Not specified"><?php echo get_trans("Not specified"); ?></option>
								</select>
							</div>
						</td>
						<td style="width:50%" colspan="2">
							<div class="green_bg_options_select">
								<select name="DE_C6">
									<option <?php if (isset($_SESSION["Data"]['DE_C6']) && $_SESSION["Data"]['DE_C6'] == '' ) echo 'selected'; ?> value="">Selezionare</option>
									<option <?php if (isset($_SESSION["Data"]['DE_C6']) && $_SESSION["Data"]['DE_C6'] == 'Yes' ) echo 'selected'; ?> value="Yes"><?php echo get_trans("Yes"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C6']) && $_SESSION["Data"]['DE_C6'] == 'No' ) echo 'selected'; ?> value="No"><?php echo get_trans("No"); ?></option>
								</select>
							</div>
						</td>
					</tr>
					
							
					<tr>
						<td style="width:100px">
							<div class="left_subtitle"><strong>DE_C6.01</strong></div>
						</td>
						<td style="width:50%"> 
							<div class="fom_content_green_background"><strong><?php echo get_trans("If YES"); ?></strong></div>
						</td>						
					</tr>
					<tr>						
						<td style="width:50%" colspan="2">
							<div class="green_bg_options_select">
								<select name="DE_C6_01" style="width:240px">
									<option <?php if (isset($_SESSION["Data"]['DE_C6_01']) && $_SESSION["Data"]['DE_C6_01'] == '' ) echo 'selected'; ?> value=""><?php echo get_trans("Select"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C6_01']) && $_SESSION["Data"]['DE_C6_01'] == 'Involvment in youth gangs' ) echo 'selected'; ?> value="Involvment in youth gangs"><?php echo get_trans("Involvment in youth gangs"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C6_01']) && $_SESSION["Data"]['DE_C6_01'] == 'Violent behavior' ) echo 'selected'; ?> value="Violent behavior"><?php echo get_trans("Violent behavior"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C6_01']) && $_SESSION["Data"]['DE_C6_01'] == 'Bully' ) echo 'selected'; ?> value="Bully"><?php echo get_trans("Bully"); ?></option>
									<option <?php if (isset($_SESSION["Data"]['DE_C6_01']) && $_SESSION["Data"]['DE_C6_01'] == 'Other' ) echo 'selected'; ?> value="Other"><?php echo get_trans("Other"); ?></option>									
								</select>
							</div>
						</td>
					</tr>
				</table>				
				<?php } ?>
				
				
				
				<?php include 'includes/next_button.php'; ?>
			</form>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<script src="js/languages/jquery.validationEngine-en.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>

<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'childs_sex_dob_citizenship.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'childs_sex_dob_citizenship.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<script>
jQuery(document).ready(function(){
	// binds form submission and fields to the validation engine
	jQuery("form").validationEngine();
});
//********* Expand - Collapse *************
$(document).ready(function(){	
	$(".expand").click(function(event) {
		//getting the expand id
		var expand_id = event.target.id;
		//getting the sub id
		var sub_id = $('#'+event.target.id).next().attr("id");
		//toggle
		$('#'+sub_id).slideToggle();
		if($('#'+expand_id).hasClass('expand')){
			$('#'+expand_id).addClass('collapse').removeClass('expand');
		} else {
			$('#'+expand_id).addClass('expand').removeClass('collapse');
		}
    });
});

	//expand if user checks a radiobox that has subcategories 	
	$('input[type=radio]').on('click', function(){
		var isChecked = (this.checked);
		if (isChecked == true) {
			//getting the radio id
			var radio_id = $(this).attr("id");
			//getting the sub id of the clicked radio
			var sub_id = $('#'+radio_id).parent().closest('div').next().closest('div').next().closest('div').attr("id");
			//getting the expand id of the clicked radio
			var expand_id = $('#'+radio_id).parent().closest('div').next().closest('div').attr("id");
			$('#'+sub_id).slideDown();
			if($('#'+expand_id).hasClass('expand')){
				$('#'+expand_id).addClass('collapse').removeClass('expand');
			}
		}
	});


//********* Radio Checks Child Radios *************
$(document).ready(function() {
	$('#csdc_radio3_2').on('click', function(e) {
		var isChecked = $('#csdc_radio3_2').prop('checked');
		if (isChecked == true){
			$('#csdc_radio3_3').prop('checked',true);
		} 
	});
	$('#csdc_radio3_1,#csdc_radio3_5,#csdc_radio3_6').on('click', function(e) {
		var isChecked = $('#csdc_radio3_1').prop('checked') || $('#csdc_radio3_5').prop('checked') || $('#csdc_radio3_6').prop('checked');
		if (isChecked == true){
			$('#csdc_radio3_2').prop('checked',false);
		} 
	});
	
	$('#csdc_radio3_3, #csdc_radio3_4').on('click', function(e) {
		var isChecked = $('#csdc_radio3_3').prop('checked') || $('#csdc_radio3_4').prop('checked') ;
		if (isChecked == true){
			$('#csdc_radio3_2').prop('checked',true);
		} 
	});
	
	var isChecked = $('#csdc_radio3_3').prop('checked') || $('#csdc_radio3_4').prop('checked') ;
	if (isChecked == true){
		$('#csdc_radio3_2').prop('checked',true);
	}
	
	//for france citizenship
	$('#csdc_radio3_1_fr').on('click', function(e) {
		var isChecked = $('#csdc_radio3_1_fr').prop('checked');
		if (isChecked == true){
			$('#csdc_radio3_2_fr').prop('checked',true);
			$('#csdc_radio3_4_fr').prop('checked',false);
		} 
	});
	
	$('#csdc_radio3_4_fr').on('click', function(e) {
		var isChecked = $('#csdc_radio3_4_fr').prop('checked');
		if (isChecked == true){
			$('#csdc_radio3_5_fr').prop('checked',true);
			$('#csdc_radio3_1_fr').prop('checked',false);
		} 
	});
	
	$('#csdc_radio3_7_fr,#csdc_radio3_8_fr').on('click', function(e) {
		var isChecked = $('#csdc_radio3_7_fr').prop('checked') || $('#csdc_radio3_8_fr').prop('checked');
		if (isChecked == true){
			$('#csdc_radio3_1_fr,#csdc_radio3_4_fr').prop('checked',false);
		} 
	});
	
	$('#csdc_radio3_2_fr, #csdc_radio3_3_fr').on('click', function(e) {
		var isChecked = $('#csdc_radio3_2_fr').prop('checked') || $('#csdc_radio3_3_fr').prop('checked') ;
		if (isChecked == true){
			$('#csdc_radio3_1_fr').prop('checked',true);
			$('#csdc_radio3_4_fr').prop('checked',false);
		} 
	});
	
	$('#csdc_radio3_5_fr, #csdc_radio3_6_fr, #csdc_radio3_61_fr').on('click', function(e) {
		var isChecked = $('#csdc_radio3_5_fr').prop('checked') || $('#csdc_radio3_6_fr').prop('checked') || $('#csdc_radio3_61_fr').prop('checked') ;
		if (isChecked == true){
			$('#csdc_radio3_4_fr').prop('checked',true);
			$('#csdc_radio3_1_fr').prop('checked',false);
		} 
	});
	
	var isChecked = $('#csdc_radio3_2_fr').prop('checked') || $('#csdc_radio3_3_fr').prop('checked') ;
	if (isChecked == true){
		$('#csdc_radio3_1_fr').prop('checked',true);
	}
	
	var isChecked = $('#csdc_radio3_5_fr').prop('checked') || $('#csdc_radio3_6_fr').prop('checked') || $('#csdc_radio3_61_fr').prop('checked') ;
	if (isChecked == true){
		$('#csdc_radio3_4_fr').prop('checked',true);
	}
	//ends for france citizenship
	
	$('input[name=csdc_radio2]').change(function(e){
		var isChecked = $('#csdc_radio2_1').prop('checked');
		if (isChecked == true){			
			$('#csdc_date_day').attr('disabled',false);
			$('#csdc_date_month').attr('disabled',false);
			$('#csdc_date_year').attr('disabled',false);
		} else {
			$('#csdc_date_day').attr('disabled',true);
			$('#csdc_date_month').attr('disabled',true);
			$('#csdc_date_year').attr('disabled',true);
		}		
	});
	$('input[name=csdc_radio2]').prop('checked',function(e){
		var isChecked = $('#csdc_radio2_1').prop('checked');
		if (isChecked == true){
			$('#csdc_date_day').attr('disabled',false);
			$('#csdc_date_month').attr('disabled',false);
			$('#csdc_date_year').attr('disabled',false);
		} else {
			$('#csdc_date_day').attr('disabled',true);
			$('#csdc_date_month').attr('disabled',true);
			$('#csdc_date_year').attr('disabled',true);
		}		
	});
	
	//********* On click next button validate if nationality is missing by auto-expanding the subcategory *************
	$(".next_button").click( function(){
		var isChecked = $('#csdc_radio3_1_fr').prop('checked');
		if (isChecked == true){
			$('#sub1').slideDown();
			$('#expand1').addClass('collapse').removeClass('expand');
		}		
	});

});

</script>

<!-- Resize fonts in case of translation -->
<script>
jQuery(document).ready(function(){
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}
});
</script>

</body>
</html>

<?php

} else {
	header("location: index.php");
}
?>