<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');



/*
$_SESSION["Data"]['known_childs_id']
$_SESSION["Data"]['new_childs_id']
$_SESSION["Data"]['date_time_of_record_for_db']
*/

//Display a new incident of a known child (After the user completes a record)
if (isset($_POST['display_new_record'])) {
	$i_date_time = $_SESSION["Data"]['date_time_of_record_for_db'];
	$operators_id = $_SESSION["ssUser"]['operators_id'];
	//Display a new incident on an existing child that has more incidents (After the user completes a record)
	if (isset($_SESSION["Data"]['known_childs_id'])) {
		$child_id = $_SESSION["Data"]['known_childs_id'];
		
		
		$db->query("SELECT * FROM c_child WHERE child_id='".$child_id."' ORDER BY date_time_of_record_for_db DESC LIMIT 1");
		if ($db->next()) {
			
			$c_agency = $db->Record['recorded_by_agency'];
			$c_operator = $db->Record['recorded_by_operator'];
			$c_date_time = $db->Record['date_time_of_record_for_db'];
			
			$db->query("SELECT incident_id, type_of_incident, exact_date_of_incident, start_date, duration_first_note, duration_years, duration_months, duration_days, duration_last_note, duration_special_situation, last_known_cm_date, datetime_of_record,recorded_by_agency,recorded_by_operator FROM i_incident WHERE date_time_of_record_for_db='".$i_date_time."' AND recorded_by_operator='".$operators_id."' AND child_id='".$child_id."' ");
			if ($db->next()) {
				
				$i_incident_id = $db->Record['incident_id'];
				$i_date_of_incident_array[] = $db->Record['type_of_incident'];				
				if ($db->Record['exact_date_of_incident'] !== ''){
					if ($db->Record['exact_date_of_incident'] !== 'YYYY-MM-DD'){
						$i_date_of_incident_array[] = ' - ';
						$i_date_of_incident_array[] = $db->Record['exact_date_of_incident'];
					} else {
						$i_date_of_incident_array[] = ' - ';
						$i_date_of_incident_array[] = $db->Record['start_date'];
						$i_date_of_incident_array[] = ' ';
						$i_date_of_incident_array[] = 'for';
						if ($db->Record['duration_first_note'] !== '' ){
							$i_date_of_incident_array[] = ' ';
							$i_date_of_incident_array[] = $db->Record['duration_first_note'];
						}
						if ((int)$db->Record['duration_years'] !== 0 ){
							$i_date_of_incident_array[] = ' ';
							$i_date_of_incident_array[] = $db->Record['duration_years'];
							$i_date_of_incident_array[] = ' ';
							if ((int)$db->Record['duration_years'] == 1)
								$i_date_of_incident_array[] = 'year';
							else
								$i_date_of_incident_array[] = 'years';
						}
						if ((int)$db->Record['duration_months'] !== 0 ){
							$i_date_of_incident_array[] = ' ';
							$i_date_of_incident_array[] = $db->Record['duration_months'];
							$i_date_of_incident_array[] = ' ';
							if ((int)$db->Record['duration_months'] == 1)
								$i_date_of_incident_array[] = 'month';
							else
								$i_date_of_incident_array[] = 'months';
						}
						if ((int)$db->Record['duration_days'] !== 0 ){
							$i_date_of_incident_array[] = ' ';
							$i_date_of_incident_array[] = $db->Record['duration_days'];
							$i_date_of_incident_array[] = ' ';
							if ((int)$db->Record['duration_days'] == 1)
								$i_date_of_incident_array[] = 'day';
							else
								$i_date_of_incident_array[] = 'days';
						}
						if ($db->Record['duration_last_note'] !== '' ){
							$i_date_of_incident_array[] = ' ';
							$i_date_of_incident_array[] = $db->Record['duration_last_note'];
						}
						if ($db->Record['duration_special_situation'] !== '' ){
							$i_date_of_incident_array[] = ' ';
							$i_date_of_incident_array[] = $db->Record['duration_special_situation'];
						}
					}
					if ($db->Record['last_known_cm_date'] !== '' ){
						$i_date_of_incident_array[] = ' - ';
						$i_date_of_incident_array[] = 'Last known CM incident date';
						$i_date_of_incident_array[] = ': ';
						$i_date_of_incident_array[] = $db->Record['last_known_cm_date'];
					}						
				}	
				$i_datetime_of_record = $db->Record['datetime_of_record'];
				$i_recorded_by_agency = $db->Record['recorded_by_agency'];
				$i_recorded_by_operator = $db->Record['recorded_by_operator'];
				$i_start_date = $db->Record['start_date'];
				
				
				$db->query("SELECT name FROM i_source_of_information WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
				if ($db->next()) {
					$i_source_of_information = $db->Record['name'];
				}
				
				$db->query("SELECT name FROM c_child_sex WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
				if ($db->next()) {
					$c_child_sex = $db->Record['name'];
				}
				
				$db->query("SELECT name,date FROM c_child_dob WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
				while ($db->next()) {
					if ( $db->Record['name'] !== 'csdc_date' ){
						$c_child_dob = $db->Record['name'];
					} else {
						$c_child_dob = $db->Record['date'];					
						//Set timezone
						date_default_timezone_set('Europe/Athens');
						//Get childs current age And age at the date of record
						//check if childs date has YYYY-MM-DD format
						if ( $dt = DateTime::createFromFormat("Y-m-d", $c_child_dob) ) {
							//Get year in variable
							$c_child_dob_year = $dt->format("Y");
							//Get date of record format according to childs date of birth
							if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
								$c_child_dob_year_at_the_date_of_record = $dt->format("Y");
								$c_child_dob_month_at_the_date_of_record = $dt->format("m");	
								$c_child_dob_day_at_the_date_of_record = $dt->format("d");
								$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record.'-'.$c_child_dob_month_at_the_date_of_record.'-'.$c_child_dob_day_at_the_date_of_record;	
								//Calculate age at the date of record
								$date1 = new DateTime($c_child_dob);
								$date2 = new DateTime($c_child_dob_full_date_of_record);
								$interval = $date1->diff($date2);							
								$age_at_the_date_of_record = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months").', '.$interval->d.' '. get_trans("days");
								
							}
							//Get childs age at the date of incident

							if (isset($i_start_date)) {		
								//check if date of incident has YYYY-MM-DD format
								if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ) {
									$date1 = new DateTime($i_start_date);
									$date2 = new DateTime($c_child_dob);
									$interval = $date1->diff($date2);							
									$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months").', '.$interval->d.' '. get_trans("days");	
								//check if date of incident has YYYY-MM format
								} else if ( $dt = DateTime::createFromFormat("Y-m", $i_start_date) ) {
									$date1 = new DateTime($i_start_date);
									$date2 = new DateTime($c_child_dob);
									$interval = $date1->diff($date2);							
									$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");
								//check if date of incident has YYYY format
								} else if ( $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
									$date1 = new DateTime($i_start_date);
									$date2 = new DateTime($c_child_dob);
									$interval = $date1->diff($date2);							
									$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");
								}
							}
							
						//check if childs date has YYYY-MM format
						} else if ( $dt = DateTime::createFromFormat("Y-m", $c_child_dob) ) {
							//Get year in variable
							$c_child_dob_year = $dt->format("Y");
							//Get date of record format according to childs date of birth
							if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
								$c_child_dob_year_at_the_date_of_record = $dt->format("Y");
								$c_child_dob_month_at_the_date_of_record = $dt->format("m");							
								$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record.'-'.$c_child_dob_month_at_the_date_of_record;
								//Calculate age at the date of record
								$date1 = new DateTime($c_child_dob);
								$date2 = new DateTime($c_child_dob_full_date_of_record);
								$interval = $date1->diff($date2);
								$age_at_the_date_of_record = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");
								
							}
							//Get childs age at the date of incident						
							
							if (isset($i_start_date)) {		
								//check if date of incident has YYYY-MM-DD OR YYYY-MM format
								if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ||  $dt = DateTime::createFromFormat("Y-m", $i_start_date) ) {
									$date1 = new DateTime($i_start_date);
									$date2 = new DateTime($c_child_dob);
									$interval = $date1->diff($date2);							
									$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");							
								//check if date of incident has YYYY format
								} else if ( $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
									$date1 = new DateTime($i_start_date);
									$date2 = new DateTime($c_child_dob);
									$interval = $date1->diff($date2);							
									$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");
								}
							}
						//check if childs date has YYYY format
						} else if ( $dt = DateTime::createFromFormat("Y", $c_child_dob) ) {
							//Get year in variable
							$c_child_dob_year = $dt->format("Y");
							//Get date of record format according to childs date of birth
							if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
								$c_child_dob_year_at_the_date_of_record = $dt->format("Y");														
								$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record;
								//Calculate age at the date of record
								$date1 = new DateTime($c_child_dob);
								$date2 = new DateTime($c_child_dob_full_date_of_record);
								$interval = $date1->diff($date2);
								$age_at_the_date_of_record = $interval->y .' '. get_trans("years");
								
							}
							//Get childs age at the date of incident						

							if (isset($i_start_date)) {		
								//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
								if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ||  $dt = DateTime::createFromFormat("Y-m", $i_start_date) || $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
									$date1 = new DateTime($i_start_date);
									$date2 = new DateTime($c_child_dob);
									$interval = $date1->diff($date2);							
									$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");							
								//check if date of incident has YYYY format
								}
							}
						}
						//Calculate age of child until now (just year)
						if (isset($c_child_dob_year)) {						
							$current_year = date('Y');						
							$c_child_dob_current_age = $current_year - $c_child_dob_year;						
						}
					}
				}
				
				$db->query("SELECT name FROM c_citizenship_status WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
				if ($db->next()) {
					$c_child_citizenship_status = $db->Record['name'];
				}
				
				$db->query("SELECT name FROM f_type_of_family WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
				if ($db->next()) {
					$f_type_of_family = $db->Record['name'];
				}

				$db->query("SELECT * FROM f_caregivers WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
				if ($db->next()) {
					$f_caregiver1 = $db->Record['caregiver1'];
					$f_caregiver1_rel = $db->Record['relationship1'];
					$f_caregiver1_sex = $db->Record['sex1'];
					if ( $db->Record['dob1'] == 'Unknown' ) {
						$f_caregiver1_dob = $db->Record['dob1'];
					//Date
					} else if ( $db->Record['dob1'] == 'crcsdob_date1' ) {
						$f_caregiver1_dob = $db->Record['date1'];
						//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
						if ( $dt = DateTime::createFromFormat("Y-m-d", $f_caregiver1_dob) OR $dt = DateTime::createFromFormat("Y-m", $f_caregiver1_dob) OR $dt = DateTime::createFromFormat("Y", $f_caregiver1_dob) ) {					
							$f_caregiver1_dob_year = $dt->format("Y");
							$current_year = date('Y');						
							$f_caregiver1_dob_current_age = $current_year - $f_caregiver1_dob_year;						
						}
					//Decade
					} else if ( $db->Record['dob1'] == 'crcsdob_decade1' ) {
						$f_caregiver1_dob = $db->Record['date1'];
						//get the numbers without "'s"
						$f_caregiver1_dob_decade = mb_substr($f_caregiver1_dob, 0, 2);
						//Match Decade to Year. (eg. decade 70 is 1975)
						switch($f_caregiver1_dob_decade) {
							case 00:
								$f_caregiver1_dob_decade = 2005;
								break;
							case 10:
								$f_caregiver1_dob_decade = 2015;
								break;
							case 20:
								$f_caregiver1_dob_decade = 2025;
								break;
							case 30:
								$f_caregiver1_dob_decade = 2035;
								break;
							case 40:
								$f_caregiver1_dob_decade = 2045;
								break;
							case 50:
								$f_caregiver1_dob_decade = 1955;
								break;
							case 60:
								$f_caregiver1_dob_decade = 1965;
								break;
							case 70:
								$f_caregiver1_dob_decade = 1975;
								break;
							case 80:
								$f_caregiver1_dob_decade = 1985;
								break;
							case 90:
								$f_caregiver1_dob_decade = 1995;
								break;
							default:
								$f_caregiver1_dob_decade = get_trans('Unknown');
						}
						//Calculate current age
						$current_year = date('Y');					
						$f_caregiver1_dob_current_age = $current_year - $f_caregiver1_dob_decade;
						//Get +-5 years to current age
						$f_f_caregiver1_dob_decade_first = $f_caregiver1_dob_current_age - 5;
						$f_f_caregiver1_dob_decade_last = $f_caregiver1_dob_current_age + 5;
						$f_caregiver1_dob_current_age = get_trans('approximately').' '.$f_f_caregiver1_dob_decade_first.' - '.$f_f_caregiver1_dob_decade_last;
					}
						
					$f_caregiver2 = $db->Record['caregiver2'];
					$f_caregiver2_rel = $db->Record['relationship2'];
					$f_caregiver2_sex = $db->Record['sex2'];
					if ( $db->Record['dob2'] == 'Unknown' ) {
						$f_caregiver2_dob = $db->Record['dob2'];
					//Date
					} else if ( $db->Record['dob2'] == 'crcsdob_date2' ) {
						$f_caregiver2_dob = $db->Record['date2'];
						//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
						if ( $dt = DateTime::createFromFormat("Y-m-d", $f_caregiver2_dob) OR $dt = DateTime::createFromFormat("Y-m", $f_caregiver2_dob) OR $dt = DateTime::createFromFormat("Y", $f_caregiver2_dob) ) {					
							$f_caregiver2_dob_year = $dt->format("Y");
							$current_year = date('Y');						
							$f_caregiver2_dob_current_age = $current_year - $f_caregiver2_dob_year;						
						}
					//Decade
					} else if ( $db->Record['dob2'] == 'crcsdob_decade2' ) {
						$f_caregiver2_dob = $db->Record['date2'];
						//get the numbers without "'s"
						$f_caregiver2_dob_decade = mb_substr($f_caregiver2_dob, 0, 2);
						//Match Decade to Year. (eg. decade 70 is 1975)
						switch($f_caregiver2_dob_decade) {
							case 00:
								$f_caregiver2_dob_decade = 2005;
								break;
							case 10:
								$f_caregiver2_dob_decade = 2015;
								break;
							case 20:
								$f_caregiver2_dob_decade = 2025;
								break;
							case 30:
								$f_caregiver2_dob_decade = 2035;
								break;
							case 40:
								$f_caregiver2_dob_decade = 2045;
								break;
							case 50:
								$f_caregiver2_dob_decade = 1955;
								break;
							case 60:
								$f_caregiver2_dob_decade = 1965;
								break;
							case 70:
								$f_caregiver2_dob_decade = 1975;
								break;
							case 80:
								$f_caregiver2_dob_decade = 1985;
								break;
							case 90:
								$f_caregiver2_dob_decade = 1995;
								break;
							default:
								$f_caregiver2_dob_decade = get_trans('Unknown');
						}
						//Calculate current age
						$current_year = date('Y');					
						$f_caregiver2_dob_current_age = $current_year - $f_caregiver2_dob_decade;
						//Get +-5 years to current age
						$f_f_caregiver2_dob_decade_first = $f_caregiver2_dob_current_age - 5;
						$f_f_caregiver2_dob_decade_last = $f_caregiver2_dob_current_age + 5;
						$f_caregiver2_dob_current_age = get_trans('approximately').' '.$f_f_caregiver2_dob_decade_first.' - '.$f_f_caregiver2_dob_decade_last;											
					}
					//Caregiver nationalities ONLY FOR ITALY
					if ($db->Record["cg1_nationality"] == '')
						$cg1_nationality = '-';
					else
						$cg1_nationality = $db->Record['cg1_nationality'];
						
					if ($db->Record["cg1_nationality_possessed_from_birth"] == '')
						$cg1_nationality_possessed_from_birth = '-';
					else
						$cg1_nationality_possessed_from_birth = $db->Record['cg1_nationality_possessed_from_birth'];
						
					if ($db->Record["cg1_nationality_belongs_to_the_european_union"] == '')
						$cg1_nationality_belongs_to_the_european_union = '-';
					else
						$cg1_nationality_belongs_to_the_european_union = $db->Record['cg1_nationality_belongs_to_the_european_union'];
						
					if ($db->Record["cg1_other_nationality"] == '')
						$cg1_other_nationality = '-';
					else
						$cg1_other_nationality = $db->Record['cg1_other_nationality'];
						
					
					if ($db->Record["cg2_nationality"] == '')
						$cg2_nationality = '-';
					else
						$cg2_nationality = $db->Record['cg2_nationality'];
						
					if ($db->Record["cg2_nationality_possessed_from_birth"] == '')
						$cg2_nationality_possessed_from_birth = '-';
					else
						$cg2_nationality_possessed_from_birth = $db->Record['cg2_nationality_possessed_from_birth'];
						
					if ($db->Record["cg2_nationality_belongs_to_the_european_union"] == '')
						$cg2_nationality_belongs_to_the_european_union = '-';
					else
						$cg2_nationality_belongs_to_the_european_union = $db->Record['cg2_nationality_belongs_to_the_european_union'];
						
					if ($db->Record["cg2_other_nationality"] == '')
						$cg2_other_nationality = '-';
					else
						$cg2_other_nationality = $db->Record['cg2_other_nationality'];
				}
				
				
				$db->query("SELECT name FROM i_place_of_incident WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
				while($db->next()) {
					$i_place_of_incident .=  get_trans($db->Record['name']).' - ';
				}
				$i_place_of_incident = trim(substr($i_place_of_incident,0,-3));
				
			}	
		}
		
	//Display a new incident of a new child (After the user completes a record)
	} else {
		
		if (isset($_SESSION["Data"]['new_childs_id'])) {
			$child_id = $_SESSION["Data"]['new_childs_id'];
			
			$db->query("SELECT * FROM c_child WHERE date_time_of_record_for_db='".$i_date_time."' AND recorded_by_operator='".$operators_id."' AND child_id='".$child_id."' ");
			if ($db->next()) {
				
				$c_agency = $db->Record['recorded_by_agency'];
				$c_operator = $db->Record['recorded_by_operator'];
				$c_date_time = $db->Record['date_time_of_record_for_db'];

				$db->query("SELECT incident_id, type_of_incident, exact_date_of_incident, start_date, duration_first_note, duration_years, duration_months, duration_days, duration_last_note, duration_special_situation, last_known_cm_date, datetime_of_record,recorded_by_agency,recorded_by_operator FROM i_incident WHERE date_time_of_record_for_db='".$i_date_time."' AND recorded_by_operator='".$operators_id."' AND child_id='".$child_id."' ");
				if ($db->next()) {
					
					$i_incident_id = $db->Record['incident_id'];
					$i_date_of_incident_array[] = $db->Record['type_of_incident'];				
					if ($db->Record['exact_date_of_incident'] !== ''){
						if ($db->Record['exact_date_of_incident'] !== 'YYYY-MM-DD'){
							$i_date_of_incident_array[] = ' - ';
							$i_date_of_incident_array[] = $db->Record['exact_date_of_incident'];
						} else {
							$i_date_of_incident_array[] = ' - ';
							$i_date_of_incident_array[] = $db->Record['start_date'];
							$i_date_of_incident_array[] = ' ';
							$i_date_of_incident_array[] = 'for';
							if ($db->Record['duration_first_note'] !== '' ){
								$i_date_of_incident_array[] = ' ';
								$i_date_of_incident_array[] = $db->Record['duration_first_note'];
							}
							if ((int)$db->Record['duration_years'] !== 0 ){
								$i_date_of_incident_array[] = ' ';
								$i_date_of_incident_array[] = $db->Record['duration_years'];
								$i_date_of_incident_array[] = ' ';
								if ((int)$db->Record['duration_years'] == 1)
									$i_date_of_incident_array[] = 'year';
								else
									$i_date_of_incident_array[] = 'years';
							}
							if ((int)$db->Record['duration_months'] !== 0 ){
								$i_date_of_incident_array[] = ' ';
								$i_date_of_incident_array[] = $db->Record['duration_months'];
								$i_date_of_incident_array[] = ' ';
								if ((int)$db->Record['duration_months'] == 1)
									$i_date_of_incident_array[] = 'month';
								else
									$i_date_of_incident_array[] = 'months';
							}
							if ((int)$db->Record['duration_days'] !== 0 ){
								$i_date_of_incident_array[] = ' ';
								$i_date_of_incident_array[] = $db->Record['duration_days'];
								$i_date_of_incident_array[] = ' ';
								if ((int)$db->Record['duration_days'] == 1)
									$i_date_of_incident_array[] = 'day';
								else
									$i_date_of_incident_array[] = 'days';
							}
							if ($db->Record['duration_last_note'] !== '' ){
								$i_date_of_incident_array[] = ' ';
								$i_date_of_incident_array[] = $db->Record['duration_last_note'];
							}
							if ($db->Record['duration_special_situation'] !== '' ){
								$i_date_of_incident_array[] = ' ';
								$i_date_of_incident_array[] = $db->Record['duration_special_situation'];
							}
						}
						if ($db->Record['last_known_cm_date'] !== '' ){
							$i_date_of_incident_array[] = ' - ';
							$i_date_of_incident_array[] = 'Last known CM incident date';
							$i_date_of_incident_array[] = ': ';
							$i_date_of_incident_array[] = $db->Record['last_known_cm_date'];
						}						
					}	
					$i_datetime_of_record = $db->Record['datetime_of_record'];
					$i_recorded_by_agency = $db->Record['recorded_by_agency'];
					$i_recorded_by_operator = $db->Record['recorded_by_operator'];
					$i_start_date = $db->Record['start_date'];
					
					
					$db->query("SELECT name FROM i_source_of_information WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
					if ($db->next()) {
						$i_source_of_information = $db->Record['name'];
					}
					
					$db->query("SELECT name FROM c_child_sex WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
					if ($db->next()) {
						$c_child_sex = $db->Record['name'];
					}
					
					$db->query("SELECT name,date FROM c_child_dob WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
					if ($db->next()) {
						if ( $db->Record['name'] !== 'csdc_date' ){
							$c_child_dob = $db->Record['name'];
						} else {
							$c_child_dob = $db->Record['date'];					
							//Set timezone
							date_default_timezone_set('Europe/Athens');
							//Get childs current age And age at the date of record
							//check if childs date has YYYY-MM-DD format
							if ( $dt = DateTime::createFromFormat("Y-m-d", $c_child_dob) ) {
								
								//Get year in variable
								$c_child_dob_year = $dt->format("Y");
								//Get date of record format according to childs date of birth
								//echo  $c_date_time;
								//$dt = DateTime::createFromFormat("Y-m-d H:i:s", $c_date_time);
								//print_r($dt);die();
								if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
									
									$c_child_dob_year_at_the_date_of_record = $dt->format("Y");
									$c_child_dob_month_at_the_date_of_record = $dt->format("m");	
									$c_child_dob_day_at_the_date_of_record = $dt->format("d");
									$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record.'-'.$c_child_dob_month_at_the_date_of_record.'-'.$c_child_dob_day_at_the_date_of_record;	
									//Calculate age at the date of record
									$date1 = new DateTime($c_child_dob);
									$date2 = new DateTime($c_child_dob_full_date_of_record);
									$interval = $date1->diff($date2);							
									$age_at_the_date_of_record = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months").', '.$interval->d.' '. get_trans("days");
									
								}
								//Get childs age at the date of incident						
								if (isset($i_start_date)) {		
									//check if date of incident has YYYY-MM-DD format
									if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ) {
										$date1 = new DateTime($i_start_date);
										$date2 = new DateTime($c_child_dob);
										$interval = $date1->diff($date2);							
										$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months").', '.$interval->d.' '. get_trans("days");	
									//check if date of incident has YYYY-MM format
									} else if ( $dt = DateTime::createFromFormat("Y-m", $i_start_date) ) {
										$date1 = new DateTime($i_start_date);
										$date2 = new DateTime($c_child_dob);
										$interval = $date1->diff($date2);							
										$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");
									//check if date of incident has YYYY format
									} else if ( $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
										$date1 = new DateTime($i_start_date);
										$date2 = new DateTime($c_child_dob);
										$interval = $date1->diff($date2);							
										$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");
									}
								}
								
							//check if childs date has YYYY-MM format
							} else if ( $dt = DateTime::createFromFormat("Y-m", $c_child_dob) ) {
								//Get year in variable
								$c_child_dob_year = $dt->format("Y");
								//Get date of record format according to childs date of birth
								if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
									$c_child_dob_year_at_the_date_of_record = $dt->format("Y");
									$c_child_dob_month_at_the_date_of_record = $dt->format("m");							
									$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record.'-'.$c_child_dob_month_at_the_date_of_record;
									//Calculate age at the date of record
									$date1 = new DateTime($c_child_dob);
									$date2 = new DateTime($c_child_dob_full_date_of_record);
									$interval = $date1->diff($date2);
									$age_at_the_date_of_record = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");
									
								}
								//Get childs age at the date of incident						
								if (isset($i_start_date)) {		
									//check if date of incident has YYYY-MM-DD OR YYYY-MM format
									if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ||  $dt = DateTime::createFromFormat("Y-m", $i_start_date) ) {
										$date1 = new DateTime($i_start_date);
										$date2 = new DateTime($c_child_dob);
										$interval = $date1->diff($date2);							
										$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");							
									//check if date of incident has YYYY format
									} else if ( $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
										$date1 = new DateTime($i_start_date);
										$date2 = new DateTime($c_child_dob);
										$interval = $date1->diff($date2);							
										$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");
									}
								}
							//check if childs date has YYYY format
							} else if ( $dt = DateTime::createFromFormat("Y", $c_child_dob) ) {
								//Get year in variable
								$c_child_dob_year = $dt->format("Y");
								//Get date of record format according to childs date of birth
								if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
									$c_child_dob_year_at_the_date_of_record = $dt->format("Y");														
									$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record;
									//Calculate age at the date of record
									$date1 = new DateTime($c_child_dob);
									$date2 = new DateTime($c_child_dob_full_date_of_record);
									$interval = $date1->diff($date2);
									$age_at_the_date_of_record = $interval->y .' '. get_trans("years");
									
								}
								//Get childs age at the date of incident						
								if (isset($i_start_date)) {		
									//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
									if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ||  $dt = DateTime::createFromFormat("Y-m", $i_start_date) || $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
										$date1 = new DateTime($i_start_date);
										$date2 = new DateTime($c_child_dob);
										$interval = $date1->diff($date2);							
										$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");							
									//check if date of incident has YYYY format
									}
								}
							}
							//Calculate age of child until now (just year)
							if (isset($c_child_dob_year)) {						
								$current_year = date('Y');						
								$c_child_dob_current_age = $current_year - $c_child_dob_year;						
							}
						}
					}
				
					$db->query("SELECT name FROM c_citizenship_status WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
					if ($db->next()) {
						$c_child_citizenship_status = $db->Record['name'];
					}
					
					$db->query("SELECT name FROM f_type_of_family WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
					if ($db->next()) {
						$f_type_of_family = $db->Record['name'];
					}
					
					$db->query("SELECT * FROM f_caregivers WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");					
					if ($db->next()) {
						$f_caregiver1 = $db->Record['caregiver1'];
						$f_caregiver1_rel = $db->Record['relationship1'];
						$f_caregiver1_sex = $db->Record['sex1'];
						if ( $db->Record['dob1'] == 'Unknown' ) {
							$f_caregiver1_dob = $db->Record['dob1'];
						//Date
						} else if ( $db->Record['dob1'] == 'crcsdob_date1' ) {
							$f_caregiver1_dob = $db->Record['date1'];
							//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
							if ( $dt = DateTime::createFromFormat("Y-m-d", $f_caregiver1_dob) OR $dt = DateTime::createFromFormat("Y-m", $f_caregiver1_dob) OR $dt = DateTime::createFromFormat("Y", $f_caregiver1_dob) ) {					
								$f_caregiver1_dob_year = $dt->format("Y");
								$current_year = date('Y');						
								$f_caregiver1_dob_current_age = $current_year - $f_caregiver1_dob_year;						
							}
						//Decade
						} else if ( $db->Record['dob1'] == 'crcsdob_decade1' ) {
							$f_caregiver1_dob = $db->Record['date1'];
							//get the numbers without "'s"
							$f_caregiver1_dob_decade = mb_substr($f_caregiver1_dob, 0, 2);
							//Match Decade to Year. (eg. decade 70 is 1975)
							switch($f_caregiver1_dob_decade) {
								case 00:
									$f_caregiver1_dob_decade = 2005;
									break;
								case 10:
									$f_caregiver1_dob_decade = 2015;
									break;
								case 20:
									$f_caregiver1_dob_decade = 2025;
									break;
								case 30:
									$f_caregiver1_dob_decade = 2035;
									break;
								case 40:
									$f_caregiver1_dob_decade = 2045;
									break;
								case 50:
									$f_caregiver1_dob_decade = 1955;
									break;
								case 60:
									$f_caregiver1_dob_decade = 1965;
									break;
								case 70:
									$f_caregiver1_dob_decade = 1975;
									break;
								case 80:
									$f_caregiver1_dob_decade = 1985;
									break;
								case 90:
									$f_caregiver1_dob_decade = 1995;
									break;
								default:
									$f_caregiver1_dob_decade = get_trans('Unknown');
							}
							//Calculate current age
							$current_year = date('Y');					
							$f_caregiver1_dob_current_age = $current_year - $f_caregiver1_dob_decade;
							//Get +-5 years to current age
							$f_f_caregiver1_dob_decade_first = $f_caregiver1_dob_current_age - 5;
							$f_f_caregiver1_dob_decade_last = $f_caregiver1_dob_current_age + 5;
							$f_caregiver1_dob_current_age = get_trans('approximately').' '.$f_f_caregiver1_dob_decade_first.' - '.$f_f_caregiver1_dob_decade_last;
						}
							
						$f_caregiver2 = $db->Record['caregiver2'];
						$f_caregiver2_rel = $db->Record['relationship2'];
						$f_caregiver2_sex = $db->Record['sex2'];
						if ( $db->Record['dob2'] == 'Unknown' ) {
							$f_caregiver2_dob = $db->Record['dob2'];
						//Date
						} else if ( $db->Record['dob2'] == 'crcsdob_date2' ) {
							$f_caregiver2_dob = $db->Record['date2'];
							//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
							if ( $dt = DateTime::createFromFormat("Y-m-d", $f_caregiver2_dob) OR $dt = DateTime::createFromFormat("Y-m", $f_caregiver2_dob) OR $dt = DateTime::createFromFormat("Y", $f_caregiver2_dob) ) {					
								$f_caregiver2_dob_year = $dt->format("Y");
								$current_year = date('Y');						
								$f_caregiver2_dob_current_age = $current_year - $f_caregiver2_dob_year;						
							}
						//Decade
						} else if ( $db->Record['dob2'] == 'crcsdob_decade2' ) {
							$f_caregiver2_dob = $db->Record['date2'];
							//get the numbers without "'s"
							$f_caregiver2_dob_decade = mb_substr($f_caregiver2_dob, 0, 2);
							//Match Decade to Year. (eg. decade 70 is 1975)
							switch($f_caregiver2_dob_decade) {
								case 00:
									$f_caregiver2_dob_decade = 2005;
									break;
								case 10:
									$f_caregiver2_dob_decade = 2015;
									break;
								case 20:
									$f_caregiver2_dob_decade = 2025;
									break;
								case 30:
									$f_caregiver2_dob_decade = 2035;
									break;
								case 40:
									$f_caregiver2_dob_decade = 2045;
									break;
								case 50:
									$f_caregiver2_dob_decade = 1955;
									break;
								case 60:
									$f_caregiver2_dob_decade = 1965;
									break;
								case 70:
									$f_caregiver2_dob_decade = 1975;
									break;
								case 80:
									$f_caregiver2_dob_decade = 1985;
									break;
								case 90:
									$f_caregiver2_dob_decade = 1995;
									break;
								default:
									$f_caregiver2_dob_decade = get_trans('Unknown');
							}
							//Calculate current age
							$current_year = date('Y');					
							$f_caregiver2_dob_current_age = $current_year - $f_caregiver2_dob_decade;
							//Get +-5 years to current age
							$f_f_caregiver2_dob_decade_first = $f_caregiver2_dob_current_age - 5;
							$f_f_caregiver2_dob_decade_last = $f_caregiver2_dob_current_age + 5;
							$f_caregiver2_dob_current_age = get_trans('approximately').' '.$f_f_caregiver2_dob_decade_first.' - '.$f_f_caregiver2_dob_decade_last;
						}
						
						//Caregiver nationalities ONLY FOR ITALY
						if ($db->Record["cg1_nationality"] == '')
							$cg1_nationality = '-';
						else
							$cg1_nationality = $db->Record['cg1_nationality'];
							
						if ($db->Record["cg1_nationality_possessed_from_birth"] == '')
							$cg1_nationality_possessed_from_birth = '-';
						else
							$cg1_nationality_possessed_from_birth = $db->Record['cg1_nationality_possessed_from_birth'];
							
						if ($db->Record["cg1_nationality_belongs_to_the_european_union"] == '')
							$cg1_nationality_belongs_to_the_european_union = '-';
						else
							$cg1_nationality_belongs_to_the_european_union = $db->Record['cg1_nationality_belongs_to_the_european_union'];
							
						if ($db->Record["cg1_other_nationality"] == '')
							$cg1_other_nationality = '-';
						else
							$cg1_other_nationality = $db->Record['cg1_other_nationality'];
							
						
						if ($db->Record["cg2_nationality"] == '')
							$cg2_nationality = '-';
						else
							$cg2_nationality = $db->Record['cg2_nationality'];
							
						if ($db->Record["cg2_nationality_possessed_from_birth"] == '')
							$cg2_nationality_possessed_from_birth = '-';
						else
							$cg2_nationality_possessed_from_birth = $db->Record['cg2_nationality_possessed_from_birth'];
							
						if ($db->Record["cg2_nationality_belongs_to_the_european_union"] == '')
							$cg2_nationality_belongs_to_the_european_union = '-';
						else
							$cg2_nationality_belongs_to_the_european_union = $db->Record['cg2_nationality_belongs_to_the_european_union'];
							
						if ($db->Record["cg2_other_nationality"] == '')
							$cg2_other_nationality = '-';
						else
							$cg2_other_nationality = $db->Record['cg2_other_nationality'];
					}
					
					$db->query("SELECT name FROM i_place_of_incident WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
					while($db->next()) {
						$i_place_of_incident.= get_trans($db->Record['name']).' - ';
					}
					$i_place_of_incident = trim(substr($i_place_of_incident,0,-3));
					
					
				}	
			}
		}
	}
}


//Display existing incidents of a known child (After the user search for a child)
if (isset($_POST['display_known_record'])){
	
	$i_date_time = $_POST['date_time_of_record_for_db'];
	$operators_id = $_POST['operators_id'];
	$child_id = $_POST['known_child_id'];
	
	$db->query("SELECT * FROM c_child WHERE child_id='".$child_id."' and date_time_of_record_for_db='".$i_date_time."' ORDER BY date_time_of_record_for_db DESC");
	if ($db->next()) {

		$c_agency = $db->Record['recorded_by_agency'];
		$c_operator = $db->Record['recorded_by_operator'];
		$c_date_time = $db->Record['date_time_of_record_for_db'];

		$db->query("SELECT incident_id, type_of_incident, exact_date_of_incident, start_date, duration_first_note, duration_years, duration_months, duration_days, duration_last_note, duration_special_situation, last_known_cm_date, datetime_of_record, recorded_by_agency,recorded_by_operator FROM i_incident WHERE date_time_of_record_for_db='".$i_date_time."' AND recorded_by_operator='".$operators_id."' AND child_id='".$child_id."' ");
		if ($db->next()) {
			
			$i_incident_id = $db->Record['incident_id'];
			$i_date_of_incident_array[] = $db->Record['type_of_incident'];
			
			if ($db->Record['exact_date_of_incident'] !== ''){
				if ($db->Record['exact_date_of_incident'] !== 'YYYY-MM-DD'){
					$i_date_of_incident_array[] = ' - ';
					$i_date_of_incident_array[] = $db->Record['exact_date_of_incident'];						
				} else {
					$i_date_of_incident_array[] = ' - ';
					$i_date_of_incident_array[] = $db->Record['start_date'];
					$i_date_of_incident_array[] = ' ';
					$i_date_of_incident_array[] = 'for';
					if ($db->Record['duration_first_note'] !== '' ){
						$i_date_of_incident_array[] = ' ';
						$i_date_of_incident_array[] = $db->Record['duration_first_note'];
					}
					if ((int)$db->Record['duration_years'] !== 0 ){
						$i_date_of_incident_array[] = ' ';
						$i_date_of_incident_array[] = $db->Record['duration_years'];
						$i_date_of_incident_array[] = ' ';
						if ((int)$db->Record['duration_years'] == 1)
							$i_date_of_incident_array[] = 'year';
						else
							$i_date_of_incident_array[] = 'years';
					}
					if ((int)$db->Record['duration_months'] !== 0 ){
						$i_date_of_incident_array[] = ' ';
						$i_date_of_incident_array[] = $db->Record['duration_months'];
						$i_date_of_incident_array[] = ' ';
						if ((int)$db->Record['duration_months'] == 1)
							$i_date_of_incident_array[] = 'month';
						else
							$i_date_of_incident_array[] = 'months';
					}
					if ((int)$db->Record['duration_days'] !== 0 ){
						$i_date_of_incident_array[] = ' ';
						$i_date_of_incident_array[] = $db->Record['duration_days'];
						$i_date_of_incident_array[] = ' ';
						if ((int)$db->Record['duration_days'] == 1)
							$i_date_of_incident_array[] = 'day';
						else
							$i_date_of_incident_array[] = 'days';
					}
					if ($db->Record['duration_last_note'] !== '' ){
						$i_date_of_incident_array[] = ' ';
						$i_date_of_incident_array[] = $db->Record['duration_last_note'];
					}
					if ($db->Record['duration_special_situation'] !== '' ){
						$i_date_of_incident_array[] = ' ';
						$i_date_of_incident_array[] = $db->Record['duration_special_situation'];
					}
				}
				if ($db->Record['last_known_cm_date'] !== '' ){
					$i_date_of_incident_array[] = ' - ';
					$i_date_of_incident_array[] = 'Last known CM incident date';
					$i_date_of_incident_array[] = ': ';
					$i_date_of_incident_array[] = $db->Record['last_known_cm_date'];
				}						
			}				
			$i_datetime_of_record = $db->Record['datetime_of_record'];
			$i_recorded_by_agency = $db->Record['recorded_by_agency'];
			$i_recorded_by_operator = $db->Record['recorded_by_operator'];
			$i_start_date = $db->Record['start_date'];				
///print_r($db->Record)			;
			
			$db->query("SELECT name FROM i_source_of_information WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
			if ($db->next()) {
				$i_source_of_information = $db->Record['name'];
			}
			
			$db->query("SELECT name FROM c_child_sex WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
			if ($db->next()) {
				$c_child_sex = $db->Record['name'];
			}
			
			$db->query("SELECT name,date FROM c_child_dob WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
			if ($db->next()) {
				
				if ( $db->Record['name'] !== 'csdc_date' ){
					$c_child_dob = $db->Record['name'];
				} else { 
					$c_child_dob = $db->Record['date'];					
					//Set timezone
					date_default_timezone_set('Europe/Athens');
					//Get childs current age And age at the date of record
					//check if childs date has YYYY-MM-DD format
					//echo DateTime::createFromFormat("Y-m-d", $c_child_dob);
					if ( $dt = DateTime::createFromFormat("Y-m-d", $c_child_dob) ) {
						//Get year in variable
						$c_child_dob_year = $dt->format("Y");
						
						//Get date of record format according to childs date of birth
						if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
							$c_child_dob_year_at_the_date_of_record = $dt->format("Y");
							$c_child_dob_month_at_the_date_of_record = $dt->format("m");	
							$c_child_dob_day_at_the_date_of_record = $dt->format("d");
							$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record.'-'.$c_child_dob_month_at_the_date_of_record.'-'.$c_child_dob_day_at_the_date_of_record;	
							//Calculate age at the date of record
							$date1 = new DateTime($c_child_dob);
							$date2 = new DateTime($c_child_dob_full_date_of_record);
							$interval = $date1->diff($date2);							
							$age_at_the_date_of_record = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months").', '.$interval->d.' '. get_trans("days");
							
						}
						
						//Get childs age at the date of incident						
						if (isset($i_start_date)) {		
							//check if date of incident has YYYY-MM-DD format
							if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ) {
								$date1 = new DateTime($i_start_date);
								$date2 = new DateTime($c_child_dob);
								$interval = $date1->diff($date2);							
								$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months").', '.$interval->d.' '. get_trans("days");	
							//check if date of incident has YYYY-MM format
							} else if ( $dt = DateTime::createFromFormat("Y-m", $i_start_date) ) {
								$date1 = new DateTime($i_start_date);
								$date2 = new DateTime($c_child_dob);
								$interval = $date1->diff($date2);							
								$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");
							//check if date of incident has YYYY format
							} else if ( $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
								$date1 = new DateTime($i_start_date);
								$date2 = new DateTime($c_child_dob);
								$interval = $date1->diff($date2);							
								$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");
							}
						}
						
					//check if childs date has YYYY-MM format
					} else if ( $dt = DateTime::createFromFormat("Y-m", $c_child_dob) ) {
						//Get year in variable
						$c_child_dob_year = $dt->format("Y");
						//Get date of record format according to childs date of birth
						if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
							$c_child_dob_year_at_the_date_of_record = $dt->format("Y");
							$c_child_dob_month_at_the_date_of_record = $dt->format("m");							
							$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record.'-'.$c_child_dob_month_at_the_date_of_record;
							//Calculate age at the date of record
							$date1 = new DateTime($c_child_dob);
							$date2 = new DateTime($c_child_dob_full_date_of_record);
							$interval = $date1->diff($date2);
							$age_at_the_date_of_record = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");
							
						}
						//Get childs age at the date of incident						
						if (isset($i_start_date)) {		
							//check if date of incident has YYYY-MM-DD OR YYYY-MM format
							if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ||  $dt = DateTime::createFromFormat("Y-m", $i_start_date) ) {
								$date1 = new DateTime($i_start_date);
								$date2 = new DateTime($c_child_dob);
								$interval = $date1->diff($date2);							
								$age_at_the_date_of_incident = $interval->y .' '. get_trans("years").', ' . $interval->m.' '. get_trans("months");							
							//check if date of incident has YYYY format
							} else if ( $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
								$date1 = new DateTime($i_start_date);
								$date2 = new DateTime($c_child_dob);
								$interval = $date1->diff($date2);							
								$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");
							}
						}
					//check if childs date has YYYY format
					} else if ( $dt = DateTime::createFromFormat("Y", $c_child_dob) ) {
					
						//Get year in variable
						$c_child_dob_year = $dt->format("Y");
						//Get date of record format according to childs date of birth
				
						if ( $dt = DateTime::createFromFormat("Y-m-d G:i:s", $c_date_time) ) {
							
							$c_child_dob_year_at_the_date_of_record = $dt->format("Y");														
							$c_child_dob_full_date_of_record = $c_child_dob_year_at_the_date_of_record;
							//Calculate age at the date of record
							$date1 = new DateTime((strlen($c_child_dob)==4)?$c_child_dob."-01-01":$c_child_dob);
							$date2 = new DateTime($c_child_dob_full_date_of_record);

							$interval = $date1->diff($date2);
							$age_at_the_date_of_record = $interval->y .' '. get_trans("years");
							
						}
						
						//Get childs age at the date of incident

						if (isset($i_start_date)) {		
							//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
							if ( $dt = DateTime::createFromFormat("Y-m-d", $i_start_date) ||  $dt = DateTime::createFromFormat("Y-m", $i_start_date) || $dt = DateTime::createFromFormat("Y", $i_start_date) ) {
								$date1 = new DateTime($i_start_date);
								$date2 = new DateTime($c_child_dob);
								$interval = $date1->diff($date2);							
								$age_at_the_date_of_incident = $interval->y .' '. get_trans("years");							
							//check if date of incident has YYYY format
							}
						}
					}
					//Calculate age of child until now (just year)
					if (isset($c_child_dob_year)) {						
						$current_year = date('Y');						
						$c_child_dob_current_age = $current_year - $c_child_dob_year;						
					}
				}
			}
//echo "age_at_the_date_of_incident=".$age_at_the_date_of_incident;										
			$db->query("SELECT name FROM c_citizenship_status WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
			if ($db->next()) { 
				$c_child_citizenship_status = $db->Record['name'];
			}
			
			$db->query("SELECT name FROM f_type_of_family WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
			if ($db->next()) { 
				$f_type_of_family = $db->Record['name'];
			}
			
			$db->query("SELECT * FROM f_caregivers WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");			
			if ($db->next()) {
				$f_caregiver1 = $db->Record['caregiver1'];
				$f_caregiver1_rel = $db->Record['relationship1'];
				$f_caregiver1_sex = $db->Record['sex1'];
				if ( $db->Record['dob1'] == 'Unknown' ) {
					$f_caregiver1_dob = $db->Record['dob1'];
				//Date
				} else if ( $db->Record['dob1'] == 'crcsdob_date1' ) {
					$f_caregiver1_dob = $db->Record['date1'];
					//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
					if ( $dt = DateTime::createFromFormat("Y-m-d", $f_caregiver1_dob) OR $dt = DateTime::createFromFormat("Y-m", $f_caregiver1_dob) OR $dt = DateTime::createFromFormat("Y", $f_caregiver1_dob) ) {					
						$f_caregiver1_dob_year = $dt->format("Y");
						$current_year = date('Y');						
						$f_caregiver1_dob_current_age = $current_year - $f_caregiver1_dob_year;						
					}
				//Decade
				} else if ( $db->Record['dob1'] == 'crcsdob_decade1' ) {
					$f_caregiver1_dob = $db->Record['date1'];
					//get the numbers without "'s"
					$f_caregiver1_dob_decade = mb_substr($f_caregiver1_dob, 0, 2);
					//Match Decade to Year. (eg. decade 70 is 1975)
					switch($f_caregiver1_dob_decade) {
						case 00:
							$f_caregiver1_dob_decade = 2005;
							break;
						case 10:
							$f_caregiver1_dob_decade = 2015;
							break;
						case 20:
							$f_caregiver1_dob_decade = 2025;
							break;
						case 30:
							$f_caregiver1_dob_decade = 2035;
							break;
						case 40:
							$f_caregiver1_dob_decade = 2045;
							break;
						case 50:
							$f_caregiver1_dob_decade = 1955;
							break;
						case 60:
							$f_caregiver1_dob_decade = 1965;
							break;
						case 70:
							$f_caregiver1_dob_decade = 1975;
							break;
						case 80:
							$f_caregiver1_dob_decade = 1985;
							break;
						case 90:
							$f_caregiver1_dob_decade = 1995;
							break;
						default:
							$f_caregiver1_dob_decade = get_trans('Unknown');
					}
					//Calculate current age
					$current_year = date('Y');					
					$f_caregiver1_dob_current_age = $current_year - $f_caregiver1_dob_decade;
					//Get +-5 years to current age
					$f_f_caregiver1_dob_decade_first = $f_caregiver1_dob_current_age - 5;
					$f_f_caregiver1_dob_decade_last = $f_caregiver1_dob_current_age + 5;
					$f_caregiver1_dob_current_age = get_trans('approximately').' '.$f_f_caregiver1_dob_decade_first.' - '.$f_f_caregiver1_dob_decade_last;
				}
					
				$f_caregiver2 = $db->Record['caregiver2'];
				$f_caregiver2_rel = $db->Record['relationship2'];
				$f_caregiver2_sex = $db->Record['sex2'];
				if ( $db->Record['dob2'] == 'Unknown' ) {
					$f_caregiver2_dob = $db->Record['dob2'];
				//Date
				} else if ( $db->Record['dob2'] == 'crcsdob_date2' ) {
					$f_caregiver2_dob = $db->Record['date2'];
					//check if date of incident has YYYY-MM-DD OR YYYY-MM OR YYYY format
					if ( $dt = DateTime::createFromFormat("Y-m-d", $f_caregiver2_dob) OR $dt = DateTime::createFromFormat("Y-m", $f_caregiver2_dob) OR $dt = DateTime::createFromFormat("Y", $f_caregiver2_dob) ) {					
						$f_caregiver2_dob_year = $dt->format("Y");
						$current_year = date('Y');						
						$f_caregiver2_dob_current_age = $current_year - $f_caregiver2_dob_year;						
					}
				//Decade
				} else if ( $db->Record['dob2'] == 'crcsdob_decade2' ) {
					$f_caregiver2_dob = $db->Record['date2'];
					//get the numbers without "'s"
					$f_caregiver2_dob_decade = mb_substr($f_caregiver2_dob, 0, 2);
					//Match Decade to Year. (eg. decade 70 is 1975)
					switch($f_caregiver2_dob_decade) {
						case 00:
							$f_caregiver2_dob_decade = 2005;
							break;
						case 10:
							$f_caregiver2_dob_decade = 2015;
							break;
						case 20:
							$f_caregiver2_dob_decade = 2025;
							break;
						case 30:
							$f_caregiver2_dob_decade = 2035;
							break;
						case 40:
							$f_caregiver2_dob_decade = 2045;
							break;
						case 50:
							$f_caregiver2_dob_decade = 1955;
							break;
						case 60:
							$f_caregiver2_dob_decade = 1965;
							break;
						case 70:
							$f_caregiver2_dob_decade = 1975;
							break;
						case 80:
							$f_caregiver2_dob_decade = 1985;
							break;
						case 90:
							$f_caregiver2_dob_decade = 1995;
							break;
						default:
							$f_caregiver2_dob_decade = get_trans('Unknown');
					}
					//Calculate current age
					$current_year = date('Y');					
					$f_caregiver2_dob_current_age = $current_year - $f_caregiver2_dob_decade;
					//Get +-5 years to current age
					$f_f_caregiver2_dob_decade_first = $f_caregiver2_dob_current_age - 5;
					$f_f_caregiver2_dob_decade_last = $f_caregiver2_dob_current_age + 5;
					$f_caregiver2_dob_current_age = get_trans('approximately').' '.$f_f_caregiver2_dob_decade_first.' - '.$f_f_caregiver2_dob_decade_last;
				}
				
				//Caregiver nationalities ONLY FOR ITALY
				if ($db->Record["cg1_nationality"] == '')
					$cg1_nationality = '-';
				else
					$cg1_nationality = $db->Record['cg1_nationality'];
					
				if ($db->Record["cg1_nationality_possessed_from_birth"] == '')
					$cg1_nationality_possessed_from_birth = '-';
				else
					$cg1_nationality_possessed_from_birth = $db->Record['cg1_nationality_possessed_from_birth'];
					
				if ($db->Record["cg1_nationality_belongs_to_the_european_union"] == '')
					$cg1_nationality_belongs_to_the_european_union = '-';
				else
					$cg1_nationality_belongs_to_the_european_union = $db->Record['cg1_nationality_belongs_to_the_european_union'];
					
				if ($db->Record["cg1_other_nationality"] == '')
					$cg1_other_nationality = '-';
				else
					$cg1_other_nationality = $db->Record['cg1_other_nationality'];
					
				
				if ($db->Record["cg2_nationality"] == '')
					$cg2_nationality = '-';
				else
					$cg2_nationality = $db->Record['cg2_nationality'];
					
				if ($db->Record["cg2_nationality_possessed_from_birth"] == '')
					$cg2_nationality_possessed_from_birth = '-';
				else
					$cg2_nationality_possessed_from_birth = $db->Record['cg2_nationality_possessed_from_birth'];
					
				if ($db->Record["cg2_nationality_belongs_to_the_european_union"] == '')
					$cg2_nationality_belongs_to_the_european_union = '-';
				else
					$cg2_nationality_belongs_to_the_european_union = $db->Record['cg2_nationality_belongs_to_the_european_union'];
					
				if ($db->Record["cg2_other_nationality"] == '')
					$cg2_other_nationality = '-';
				else
					$cg2_other_nationality = $db->Record['cg2_other_nationality'];
			}
			
			$db->query("SELECT name FROM i_place_of_incident WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
			while($db->next()) {
				$i_place_of_incident .=  get_trans($db->Record['name']).' - ';
			}
			$i_place_of_incident = trim(substr($i_place_of_incident,0,-3));
				
			/*	
			$db->query("SELECT name FROM i_place_of_incident WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
			if ($db->Row == 1) {
				if ($db->next())
					$i_place_of_incident = $db->Record['name'];
				}
			} else if ($rows > 1) {
				while($db->next()) {
					if (isset($i_place_of_incident)){
						$i_place_of_incident .= ' - '. get_trans($db->Record['name']);
					} else {
						$i_place_of_incident = get_trans($db->Record['name']);
					}
				}
			}
			*/
		}	
	}
}
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("Report"); ?></p>
			</div>
			
			<div id="record_info">
				<span><strong><?php echo get_trans("RECORD"); ?></strong></span></br>
				<span><?php echo get_trans("Operator's id"); ?>: <strong><?php if (isset($i_recorded_by_operator)) echo $i_recorded_by_operator; ?></strong></span></br>
				<span><?php echo get_trans("Agency"); ?>: <strong><?php if (isset($i_recorded_by_agency)) echo $i_recorded_by_agency; ?></strong></span></br>
				<span><?php echo get_trans("Date of Record"); ?>: <strong><?php if (isset($i_datetime_of_record)) echo $i_datetime_of_record; ?></strong></span></br>
				<span><?php echo get_trans("Information provided by"); ?>: <strong><?php if (isset($i_source_of_information)) echo get_trans($i_source_of_information); ?></strong></span>
			</div>			
			<table class="display_record">
			  <tr>
				<td class="col_1 header"><?php echo get_trans("Incident ID"); ?></td>
				<td class="col_3 header" colspan="2"><?php if(isset($i_incident_id)) echo $i_incident_id; ?></td>
			  </tr>
			  <tr>
				<td class="col_1" rowspan="9"><?php echo get_trans("Child (alleged) victim"); ?></td>
				<td class="col_2"><?php echo get_trans("ID"); ?>:</td>
				<td class="col_3"><?php if(isset($child_id)) echo $child_id; ?></td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Sex"); ?>:</td>
				<td class="col_3"><?php if(isset($c_child_sex)) echo get_trans($c_child_sex); ?></td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Date of birth"); ?>:</td>
				<td class="col_3"><?php if(isset($c_child_dob)) echo get_trans($c_child_dob); if (isset($c_child_dob_current_age)) echo ' ('. get_trans('age').' '.$c_child_dob_current_age.')'; ?></td>
			  </tr>
			  
			  <tr>
				<td class="col_2"><?php echo get_trans("Age at the date of incident"); ?>:</td>
				<td class="col_3"><?php if(isset($age_at_the_date_of_incident)) echo get_trans($age_at_the_date_of_incident); else if(isset($c_child_dob)) echo get_trans($c_child_dob); ?></td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Age at the date of recording"); ?>:</td>
				<td class="col_3"><?php if(isset($age_at_the_date_of_record)) echo get_trans($age_at_the_date_of_record); else if(isset($c_child_dob)) echo get_trans($c_child_dob); ?></td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Citizenship status"); ?>:</td>
				<td class="col_3"><?php if(isset($c_child_citizenship_status)) echo get_trans($c_child_citizenship_status); ?></td>
			  </tr>
			  
			  <?php //Child's health ONLLY FOR ITALY
			  if (isset($child_id) && isset($c_date_time)){
				  $db->query("SELECT * FROM c_child_health WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
				  if ($db->next()) {				  
					$health = $db->Record['health'];
					$behavior_problem = $db->Record['behavior_problem'];
					$type_of_problem = $db->Record['type_of_problem'];
				  }
			  }
			  ?>			  
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Child's Health Status"); ?>:</td>
					<td class="col_3"><?php echo $health; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Child's Behavioural problems"); ?>:</td>
					<td class="col_3"><?php echo $behavior_problem; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("If YES"); ?>:</td>
					<td class="col_3"><?php echo $type_of_problem; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <?php //ENDS Child's health ONLLY FOR ITALY ?>
			  
			  <tr>
				<td class="col_1" rowspan="13"><?php echo get_trans("Family and Caregiver(s)"); ?></td>
				<td class="col_2"><?php echo get_trans("Type of family"); ?>:</td>
				<td class="col_3"><?php if(isset($f_type_of_family)) echo get_trans($f_type_of_family); ?></td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Family's member(s)"); ?>:</td>
				<td class="col_3">
				<?php
				if(isset($child_id)){
					
					$arData = array();
					$mof_count=0;
						
					$db->query("SELECT session_name,name,number FROM f_members_of_family WHERE child_id='".$child_id."' AND date_time_of_record_for_db='".$c_date_time."' ");
					while ($db->next()) {
						$arData[]=$db->Record;
					}
					
					foreach($arData as $k=>$v) {
						
						$f_mof_session_name = $v['session_name'];
						$f_mof_member = $v['name'];
						$f_mof_number = $v['number'];
						$mof_count++;
						if ($mof_count!==1)
							echo "<br>".$f_mof_number." ". get_trans($f_mof_member);
						else 
							echo $f_mof_number." ". get_trans($f_mof_member);
							
						$arData1 = array();
						$db->query("SELECT session_name,name,number FROM f_members_of_family_sub1 WHERE child_id='".$child_id."' AND mof_session='".$f_mof_session_name."' AND date_time_of_record_for_db='".$c_date_time."' ");
						while($db->next()) {
							$arData1[]=$db->Record;
						}
						
						foreach($arData1 as $kk=>$vv) {
							$f_mof_session_name_sub1 = $vv['session_name'];
							$f_mof_member_sub1 = $vv['name'];
							$f_mof_number_sub1 = $vv['number'];
							echo " - ".$f_mof_number_sub1." ". get_trans($f_mof_member_sub1);
							
							$db->query("SELECT name,number FROM f_members_of_family_sub2 WHERE child_id='".$child_id."' AND mof_session_sub1='".$f_mof_session_name_sub1."' AND date_time_of_record_for_db='".$c_date_time."' ");
							while($db->next()) {
								$f_mof_member_sub2 = $row2['name'];
								$f_mof_number_sub2 = $row2['number'];
								echo " - ".$f_mof_number_sub2." ". get_trans($f_mof_member_sub2);										
							}
														
						}						
										
					}
				}
				?>
				</td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Primary caregiver(s)"); ?>:</td>
				<td class="col_3"><?php if(isset($f_caregiver1,$f_caregiver2)) echo get_trans($f_caregiver1).' - '. get_trans($f_caregiver2); ?></td>
			  </tr>			  
			  <tr>
				<td class="col_2"><?php echo get_trans("1st"); ?>:</td>
				<td class="col_3"><?php
				if(!empty($f_caregiver1_rel) && !empty($f_caregiver1_sex) && !empty($f_caregiver1_dob)){ echo get_trans($f_caregiver1_sex).' '. get_trans($f_caregiver1_rel).', '. get_trans('born').': '. get_trans($f_caregiver1_dob); if (!empty($f_caregiver1_dob_current_age)) echo ', ('.get_trans('age').' '.$f_caregiver1_dob_current_age.')'; } else echo '-';
				//if(isset($f_caregiver1_rel,$f_caregiver1_sex,$f_caregiver1_dob)) echo $f_caregiver1_sex.' '.$f_caregiver1_rel.', born: '.$f_caregiver1_dob; 				
				?></td>
			  </tr>
			  
			  <?php //Child's caregivers nationalities ONLLY FOR ITALY ?>			  
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Nationality of 1st Primary Caregiver"); ?>:</td>
					<td class="col_3"><?php echo $cg1_nationality; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("If Italian please specify whether it is possessed from birth"); ?>:</td>
					<td class="col_3"><?php echo $cg1_nationality_possessed_from_birth; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("If Foreign please specify whether it belongs to the group of the European Union"); ?>:</td>
					<td class="col_3"><?php echo $cg1_nationality_belongs_to_the_european_union; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("If Foreign please specify choosing from menu"); ?>:</td>
					<td class="col_3"><?php echo $cg1_other_nationality; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <?php //ENDS Child's caregivers nationalities ONLLY FOR ITALY ?>
			  		  
			  <tr>
				<td class="col_2"><?php echo get_trans("2nd"); ?>:</td>
				<td class="col_3"><?php 
				//if(isset($f_caregiver2_rel,$f_caregiver2_sex,$f_caregiver2_dob)) echo $f_caregiver2_sex.' '.$f_caregiver2_rel.', born: '.$f_caregiver2_dob;
				if(!empty($f_caregiver2_rel) && !empty($f_caregiver2_sex) && !empty($f_caregiver2_dob)){ echo get_trans($f_caregiver2_sex).' '.get_trans($f_caregiver2_rel).', '. get_trans('born').': '. get_trans($f_caregiver2_dob); if (!empty($f_caregiver2_dob_current_age)) echo ', ('.get_trans('age').' '.$f_caregiver2_dob_current_age.')'; } else echo '-';				
				?></td>
			  </tr>
			  
			  <?php //Child's caregivers nationalities ONLLY FOR ITALY ?>		  
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Nationality of 2nd Primary Caregiver"); ?>:</td>
					<td class="col_3"><?php echo $cg2_nationality; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("If Italian please specify whether it is possessed from birth"); ?>:</td>
					<td class="col_3"><?php echo $cg2_nationality_possessed_from_birth; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("If Foreign please specify whether it belongs to the group of the European Union"); ?>:</td>
					<td class="col_3"><?php echo $cg2_nationality_belongs_to_the_european_union; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("If Foreign please specify choosing from menu"); ?>:</td>
					<td class="col_3"><?php echo $cg2_other_nationality; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <?php //ENDS Child's caregivers nationalities ONLLY FOR ITALY ?>
			  
			  <tr>
				<td class="col_1" rowspan="8"><?php echo get_trans("Incident"); ?></td>
				<td class="col_2"><?php echo get_trans("Date of incident"); ?>:</td>
				<td class="col_3"><?php				
				if (isset($i_date_of_incident_array)) {
					for ($i = 0; $i <= count($i_date_of_incident_array); $i++){
						if (isset($i_date_of_incident_array[$i])){
							echo get_trans($i_date_of_incident_array[$i]);
						}
					}
				}
				?></td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Place of incident"); ?>:</td>
				<td class="col_3"><?php if(isset($i_place_of_incident)) echo get_trans($i_place_of_incident); ?></td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Form(s) of maltreatment"); ?>:</td>
				<td class="col_3">
				<?php
				if(isset($i_incident_id)){
					$fom_count=0;
					$arIFM = array();
					$db->query("SELECT session_name,name FROM i_forms_of_maltreatment WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
					while ($db->next()) {
						$arIFM[]=$db->Record;
						//$i_fom_session_name = $db->Record['session_name'];
						//$i_fom_name = $db->Record['name'];
					}
					
					foreach($arIFM as $k=>$v) {
						
						$fom_count++;
						if ($fom_count!==1) {
							echo "<br>(".$fom_count.") ". get_trans($v["name"]);
						} else  {
							echo "(".$fom_count.") ". get_trans($v["name"]);
						}
						
							$arIFM1 = array();
							$db->query("SELECT session_name,name FROM i_forms_of_maltreatment_sub1 WHERE incident_id='".$i_incident_id."' AND fom_session='".$v["session_name"]."' AND date_time_of_record_for_db='".$i_date_time."' ");
							while($db->next()) {
								$arIFM1[]=$db->Record;
							}
							
							foreach($arIFM1 as $kk=>$vv) {									
								echo " - ". get_trans($vv['name']);
								
									$arIFM2 = array();
									$db->query("SELECT session_name,name FROM i_forms_of_maltreatment_sub2 WHERE incident_id='".$i_incident_id."' AND fom_session_sub1='".$vv['session_name']."' AND date_time_of_record_for_db='".$i_date_time."' ");								
									while($db->next()) {
										$arIFM2[]=$db->Record;
									}
									
									foreach($arIFM2 as $kkk=>$vvv) {
									
										echo " - ". get_trans($vvv['name']);										
											
											$arIFM3 = array();
											$db->query("SELECT session_name,name FROM i_forms_of_maltreatment_sub3 WHERE incident_id='".$i_incident_id."' AND fom_session_sub2='".$vvv['session_name']."' AND date_time_of_record_for_db='".$i_date_time."' ");
											while($db->next()) {
												$arIFM3[]=$db->Record;
											}
											
											foreach($arIFM3 as $kkkk=>$vvvv) {
												
												echo " - ". get_trans($vvvv['name']);
												
													$db->query("SELECT name FROM i_forms_of_maltreatment_sub4 WHERE incident_id='".$i_incident_id."' AND fom_session_sub3='".$vvvv['session_name']."' AND date_time_of_record_for_db='".$i_date_time."' ");	
													while($db->next()) {
														$i_fom_name_sub4 = $db->Record['name'];
														echo " - ". get_trans($i_fom_name_sub4);													
													}
											}
											
									}
							}						
										
					}
				}
				?>
				</td>
			  </tr>
			  <?php //Perpetrators ONLY FOR ITALY 
				if (isset($i_incident_id) && isset($i_date_time)) {
					$db->query("SELECT * FROM i_perpetrator WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
					if ($db->next()) {
						if ($db->Record["perpetrator_1"] == '')
							$perpetrator_1 = '-';
						else 
							$perpetrator_1 = $db->Record['perpetrator_1'];
						
						if ($db->Record["perpetrator_1_gender"] == '')
							$perpetrator_1_gender = '-';
						else 
							$perpetrator_1_gender = $db->Record['perpetrator_1_gender'];
							
						if ($db->Record["perpetrator_2"] == '')
							$perpetrator_2 = '-';
						else 
							$perpetrator_2 = $db->Record['perpetrator_2'];
							
						if ($db->Record["perpetrator_2_gender"] == '')
							$perpetrator_2_gender = '-';
						else 
							$perpetrator_2_gender = $db->Record['perpetrator_2_gender'];
							
						if ($db->Record["other_perpetrator"] == '')
							$other_perpetrator = '-';
						else 
							$other_perpetrator = $db->Record['other_perpetrator'];
					}
				}
			  ?>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Alleged perpetrator no 1"); ?>:</td>
					<td class="col_3"><?php echo $perpetrator_1; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Sex of alleged perpetrator no 1"); ?>:</td>
					<td class="col_3"><?php echo $perpetrator_1_gender; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Alleged perpetrator no 2"); ?>:</td>
					<td class="col_3"><?php echo $perpetrator_2; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Sex of alleged perpetrator no 2"); ?>:</td>
					<td class="col_3"><?php echo $perpetrator_2_gender; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <tr>
				<?php if ($_SESSION["ssUser"]['country'] == 'IT') {  ?>
					<td class="col_2"><?php echo get_trans("Other alleged perpetrators"); ?>:</td>
					<td class="col_3"><?php echo $other_perpetrator; ?></td>
				<?php } else { ?>
					<td style="display:none" class="col_2"></td>
					<td style="display:none" class="col_3"></td>
				<?php } ?>
			  </tr>
			  <?php //ENDS Perpetrators ONLY FOR ITALY ?>
			  
			  <tr>
				<td class="col_1 round_left" rowspan="2"><?php echo get_trans("Services"); ?></td>
				<td class="col_2"><?php echo get_trans("Institutional response"); ?>:</td>
				<td class="col_3">
				<?php
				if(isset($i_incident_id)){
					$ir_count=0;
					$arIRES = array();
					
					$db->query("SELECT name FROM s_institutional_response WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
					while($db->next()) {
						$arIRES[]=$db->Record;
					}
					
					foreach($arIRES as $k=>$v) {
						$s_ir_name = $v['name'];
						if ($s_ir_name !== 'Yes'){
							echo get_trans($s_ir_name);
						} else {
							$arIRES1 = array();

							$db->query("SELECT session_name,name FROM s_institutional_response_sub1 WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
							while($db->next()) {
								$arIRES1[]=$db->Record;
							}
							
							foreach($arIRES1 as $kk=>$vv) {
								$s_ir_session_sub1 = $vv['session_name'];
								$s_ir_name_sub1 = $vv['name'];
								$ir_count++;
								if ($ir_count!==1)
									echo "<br>(".$ir_count.") ". get_trans($s_ir_name_sub1);
								else 
									echo "(".$ir_count.") ". get_trans($s_ir_name_sub1);
								
								$db->query("SELECT name FROM s_institutional_response_sub2 WHERE incident_id='".$i_incident_id."' AND ir_session_sub1='".$s_ir_session_sub1."' AND date_time_of_record_for_db='".$i_date_time."' ");
								while($db->next()) {
									$s_ir_name_sub2 = $db->Record['name'];										
									echo " - ". get_trans($s_ir_name_sub2);										
								}
								
							}
							
						}
					}
				}
				?>
				</td>
			  </tr>
			  <tr>
				<td class="col_2"><?php echo get_trans("Referral(s) to services"); ?>:</td>
				<td class="col_3">
				<?php
				if(isset($i_incident_id)){
					$rts_count=0;
					$arRefS = array();
					$db->query("SELECT name FROM s_referrals_to_services WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");	
					while($db->next()) {
						$arRefS[]=$db->Record;
					}
					
					foreach($arRefS as $k=>$v) {
						$s_rts_name = $v['name'];
						if ($s_rts_name !== 'Yes'){
							echo get_trans($s_rts_name);
						} else {
							
							$arRefS1 = array();
							$db->query("SELECT session_name,name FROM s_referrals_to_services_sub1 WHERE incident_id='".$i_incident_id."' AND date_time_of_record_for_db='".$i_date_time."' ");
							while($db->next()) {
								$arRefS1[]=$db->Record;
							}
							
							foreach($arRefS1 as $kk=>$vv) {
								$s_rts_session_sub1 = $vv['session_name'];
								$s_rts_name_sub1 = $vv['name'];
								$rts_count++;
								if ($rts_count!==1)
									echo "<br>(".$rts_count.") ". get_trans($s_rts_name_sub1);
								else 
									echo "(".$rts_count.") ". get_trans($s_rts_name_sub1);
								
								$arRefS2 = array();
								$db->query("SELECT session_name,name FROM s_referrals_to_services_sub2 WHERE incident_id='".$i_incident_id."' AND rts_session_sub1='".$s_rts_session_sub1."' AND date_time_of_record_for_db='".$i_date_time."' ");
								while($db->next()) {
									$arRefS2[]=$db->Record;
								}
								
								foreach ($arRefS2 as $kkk=>$vvv) {
									$s_rts_session_sub2 = $vvv['session_name'];
									$s_rts_name_sub2 = $vvv['name'];
									echo " - ". get_trans($s_rts_name_sub2);

									$db->query("SELECT session_name,name FROM s_referrals_to_services_sub3 WHERE incident_id='".$i_incident_id."' AND rts_session_sub2='".$s_rts_session_sub2."' AND date_time_of_record_for_db='".$i_date_time."' ");
									while($db->next()) {
										if (isset($db->Record['session_name'])){													
											$s_rts_session_sub3 = $db->Record['session_name'];
										}
										$s_rts_name_sub3 = $db->Record['name'];
										echo " - ". get_trans($s_rts_name_sub3);
									}
																			
									//Service's Feedback
									$ret = $db->query_bind("SELECT agency_id FROM u_agencies WHERE agency_name=?",array($s_rts_name_sub2));
									if (!empty($ret))  {
										$referral_agency_id = $ret['agency_id'];
									}
									
									$db->query("SELECT status FROM s_feedback WHERE incident_id='".$i_incident_id."' AND referral_agency_id='".$referral_agency_id."' ");
									if ($db->next()) { 
										$status = $db->Record['status']; 		
									}
									echo " (".get_trans($status).")";										
								}										
								
							}
							
						}
					}
				}
				?>
				</td>
			  </tr>
			</table>
						
			<?php
			//get what page the user was before so we can get him back there 
			if (isset($_SESSION["Data"]['back_button'])) {
				$action = $_SESSION["Data"]['back_button'].'.php';				
			}
			?>
			<?php if ($_POST["return"]=="list_of_incidents") { ?>
			<form action="list_of_incidents.php" method="post">
				<div class="next">
					<input class="next_button" type="submit" name="back" value="< <?php echo get_trans("Back"); ?>" />
					
				</div>
			</form>
			<?php } elseif ($_POST["return"]=="list_of_child") { ?>
			<form action="list_of_child.php" method="post">
				<div class="next">
					<input class="next_button" type="submit" name="back" value="< <?php echo get_trans("Back"); ?>" />
					
				</div>
			</form
			<?php } else { ?>
			<form action="<?php echo $action; ?>" method="post">
				<div class="next">
					<input class="next_button" type="submit" name="back" value="< <?php echo get_trans("Back"); ?>" />
					<?php
					if (isset($_SESSION["Data"]['back_button']) && $_SESSION["Data"]['back_button'] == 'display_all_records')
						echo "<input type='hidden' name='display_all_records'>";
					?>
					
				</div>
			</form>
			<?php } ?>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>			
			<?php include 'includes/records_table.php'; ?>	
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'display_record.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'record_complete.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

</body>
</html>

<?php
	



} else {
	header("location: index.php");
}
?>