<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

if (isset($_POST['submit'])) {
	//------ Child's Sex Dob Citizenship Sessions -------
	if (isset($_POST['csdc_radio1'])){
		$_SESSION["Data"]['csdc_radio1'] = $_POST['csdc_radio1'];
	} else unset($_SESSION["Data"]['csdc_radio1']);
	
	if (isset($_POST['csdc_radio2'])){
		if (isset($_POST['csdc_radio2']) && $_POST['csdc_radio2'] !== 'csdc_date') {
			$_SESSION["Data"]['csdc_radio2'] = $_POST['csdc_radio2'];
			$_SESSION["Data"]['csdc_right_panel'] = $_POST['csdc_radio2'];
		} else {
			//$_SESSION["Data"]['csdc_date'] = $_POST['csdc_date'];
			if (!empty($_POST['csdc_date_year'])){
				$_SESSION["Data"]['csdc_date_year'] = $_POST['csdc_date_year'];
				if (!empty($_POST['csdc_date_month'])){
					$_SESSION["Data"]['csdc_date_month'] = $_POST['csdc_date_month'];
					if (!empty($_POST['csdc_date_day'])){
						$_SESSION["Data"]['csdc_date_day'] = $_POST['csdc_date_day'];
						$_SESSION["Data"]['csdc_date'] = $_POST['csdc_date_year']."-".$_POST['csdc_date_month']."-".$_POST['csdc_date_day'];
					} else {
						$_SESSION["Data"]['csdc_date'] = $_POST['csdc_date_year']."-".$_POST['csdc_date_month'];
						unset($_SESSION["Data"]['csdc_date_day']);
					}
				} else {					
					$_SESSION["Data"]['csdc_date'] = $_POST['csdc_date_year'];
					unset($_SESSION["Data"]['csdc_date_month']);
					unset($_SESSION["Data"]['csdc_date_day']);
				}
			} else {
				unset($_SESSION["Data"]['csdc_date_day']);
				unset($_SESSION["Data"]['csdc_date_month']);
				unset($_SESSION["Data"]['csdc_date_year']);
			}
			
			//$_SESSION["Data"]['csdc_date'] = $_POST['csdc_date_day']."-".$_POST['csdc_date_month']."-".$_POST['csdc_date_year'];
			$_SESSION["Data"]['csdc_radio2'] = $_POST['csdc_radio2'];
			$_SESSION["Data"]['csdc_right_panel'] = $_SESSION["Data"]['csdc_date'];
		}
	} else unset($_SESSION["Data"]['csdc_radio2']);
	
	if (isset($_POST['csdc_radio3'])){
		$_SESSION["Data"]['csdc_radio3'] = $_POST['csdc_radio3'];
	} else unset($_SESSION["Data"]['csdc_radio3']);
	
	if (isset($_POST['csdc_radio'])){
		$_SESSION["Data"]['csdc_radio'] = $_POST['csdc_radio'];
	} else unset($_SESSION["Data"]['csdc_radio']);
	
	if (isset($_POST['csdc_nationality']) && $_POST['csdc_radio3'] == "Not a citizen/ foreigner with ID" || $_POST['csdc_radio3'] == "Not a citizen/ foreigner without ID") {
		$_SESSION["Data"]['csdc_nationality'] = $_POST['csdc_nationality'];
	} else unset($_SESSION["Data"]['csdc_nationality']);
	
	
	//--------------- Child's Health (ONLY for Italy) ---------------
	if ($_SESSION["ssUser"]['country'] == 'IT') { 
		if( isset($_POST['DE_C5']) && $_POST['DE_C5'] != '' )
			$_SESSION["Data"]['DE_C5'] = $_POST['DE_C5'];
		else
			unset($_SESSION["Data"]['DE_C5']);
			
		if( isset($_POST['DE_C6']) && $_POST['DE_C6'] != '' )
			$_SESSION["Data"]['DE_C6'] = $_POST['DE_C6'];
		else
			unset($_SESSION["Data"]['DE_C6']);
		
		if( isset($_POST['DE_C6_01']) && $_POST['DE_C6_01'] != '' )
			$_SESSION["Data"]['DE_C6_01'] = $_POST['DE_C6_01'];
		else
			unset($_SESSION["Data"]['DE_C6_01']);		
	}
	
	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<?php if ($_SESSION["ssUser"]['country'] != 'FR') { ?>
					<p><?php echo get_trans("Please record Family Composition and indicate up to two Primary Caregivers"); ?></p>
				<?php } else { //For France Only ?>
					<p><?php echo get_trans("Please record who the child lives with and indicate up to two Primary Caregivers"); ?></p>
				<?php } ?>
			</div>
			
			<table style="width:100%; clear:left;">
				<tr>
					<td style="width:100px">
						<div class="left_subtitle"><strong>F1</strong></div>
					</td>
					<td>
						<?php if ($_SESSION["ssUser"]['country'] != 'FR') { ?>
							<div class="content_green_background"><strong><?php echo get_trans("Family Composition"); ?></strong></div>
						<?php } else { //For France Only ?>
							<div class="content_green_background"><strong><?php echo get_trans("Child’s family and/or living environment"); ?></strong></div>
						<?php } ?>
					</td>
				</tr>				
			</table>				
			<?php if ($_SESSION["ssUser"]['country'] != 'FR') { ?>
				<div class="content_green_background"><strong><?php echo get_trans("A: Type of Family"); ?></strong></div>			
			<?php } else { //For France Only ?>
				<div class="content_green_background"><strong><?php echo get_trans("A: Child’s living environment"); ?></strong></div>	
			<?php } ?>
			<form action="caregivers_relationship_sex_dob.php" method="post">
					
				
				<div class="left_wrapper">
					<?php if ($_SESSION["ssUser"]['country'] != 'FR') { ?>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_1" value="Boarder(s) (child lives in residential/institutional care)" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Boarder(s) (child lives in residential/institutional care)" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_1"><span></span><?php echo get_trans("Boarder(s) (child lives in residential/institutional care)"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_2" value="Child lives with his/her family (including biological/ adoptive)" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives with his/her family (including biological/ adoptive)" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_2"><span></span><?php echo get_trans("Child lives with his/her family (including biological/ adoptive)"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_3" value="Child lives in a foster family" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in a foster family" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_3"><span></span><?php echo get_trans("Child lives in a foster family"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_4" value="Child lives in a re-composed family" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in a re-composed family" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_4"><span></span><?php echo get_trans("Child lives in a re-composed family"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" name="fc_radio" id="fc_radio1_5" value="Child lives in a family other than its family/ foster family" <?php if (isset($_SESSION["Data"]['fc_radio']) && $_SESSION["Data"]['fc_radio'] == "Child lives in a family other than its family/ foster family" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_5"><span></span><?php echo get_trans("Child lives in a family other than its family/ foster family"); ?></label>
						</div>
						<div class="expand" id="expand1"></div>
						<div class="sub1" id="sub1">							
							<div class="green_bg_options fc_sub1_width">					
								<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_6" value="Child lives in a family other than its family/ foster family - Relatives’ family" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in a family other than its family/ foster family - Relatives’ family" ) { echo 'checked="checked"';} ?> />
								<label for="fc_radio1_6"><span></span><?php echo get_trans("Relatives’ family"); ?></label>
								<?php
								//Just for translation
								get_trans("Child lives in a family other than its family/ foster family - Relatives’ family");
							?>
							</div>
							<div class="green_bg_options fc_sub1_width">					
								<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_7" value="Child lives in a family other than its family/ foster family - Friends’ family" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in a family other than its family/ foster family - Friends’ family" ) { echo 'checked="checked"';} ?> />
								<label for="fc_radio1_7"><span></span><?php echo get_trans("Friends’ family"); ?></label>
								<?php
								//Just for translation
								get_trans("Child lives in a family other than its family/ foster family - Friends’ family");
							?>
							</div>
						</div>
						<?php if ($_SESSION["ssUser"]['country'] == 'BE') { ?>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_8" value="Child lives in residential care & foster family" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in residential care & foster family" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_8"><span></span><?php echo get_trans("Child lives in residential care & foster family"); ?></label>
						</div>
						<?php } ?>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_9" value="Not known" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Not known" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_9"><span></span><?php echo get_trans("Not known"); ?></label>
						</div>
					<?php } else { //For France Only ?>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_1" value="Child lives in residential/institutional care (including boarding schools)" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in residential/institutional care (including boarding schools)" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_1"><span></span><?php echo get_trans("Child lives in residential/institutional care (including boarding schools)"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_2" value="Child lives with at least one parent (biological or adoptive)" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives with at least one parent (biological or adoptive)" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_2"><span></span><?php echo get_trans("Child lives with at least one parent (biological or adoptive)"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_3" value="Child lives in a foster family" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in a foster family" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_3"><span></span><?php echo get_trans("Child lives in a foster family"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_4" value="Child has alternating living arrangements (“shuttle” or alternating custody)" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child has alternating living arrangements (“shuttle” or alternating custody)" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_4"><span></span><?php echo get_trans("Child has alternating living arrangements (“shuttle” or alternating custody)"); ?></label>
						</div>
						<div class="green_bg_options">					
							<input type="radio" name="fc_radio" id="fc_radio1_5" value="Child lives in a family other than his/her own family or foster family" <?php if (isset($_SESSION["Data"]['fc_radio']) && $_SESSION["Data"]['fc_radio'] == "Child lives in a family other than his/her own family or foster family" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_5"><span></span><?php echo get_trans("Child lives in a family other than his/her own family or foster family"); ?></label>
						</div>
						<div class="expand" id="expand1"></div>
						<div class="sub1" id="sub1">							
							<div class="green_bg_options fc_sub1_width">					
								<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_6" value="Child lives in a family other than his/her own family or foster family - Extended family (kin)" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in a family other than his/her own family or foster family - Extended family (kin)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_radio1_6"><span></span><?php echo get_trans("Extended family (kin)"); ?></label>
								<?php
								//Just for translation
								get_trans("Child lives in a family other than its family/ foster family - Relatives’ family");
							?>
							</div>
							<div class="green_bg_options fc_sub1_width">					
								<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_7" value="Child lives in a family other than his/her own family or foster family - Friend’s family" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Child lives in a family other than his/her own family or foster family - Friend’s family" ) { echo 'checked="checked"';} ?> />
								<label for="fc_radio1_7"><span></span><?php echo get_trans("Friend’s family"); ?></label>
								<?php
								//Just for translation
								get_trans("Child lives in a family other than its family/ foster family - Friends’ family");
							?>
							</div>
						</div>
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="fc_radio1" id="fc_radio1_9" value="Not known" <?php if (isset($_SESSION["Data"]['fc_radio1']) && $_SESSION["Data"]['fc_radio1'] == "Not known" ) { echo 'checked="checked"';} ?> />
							<label for="fc_radio1_9"><span></span><?php echo get_trans("Not known"); ?></label>
						</div>
					<?php } ?>
				</div>	
				
				<div class="right_wrapper">
					<div class="info_orange" id="info_orange1">
						<span><?php echo get_trans("SKIP “B”; GO -> F3"); ?></span>
					</div>					
					<div class="info_blue" id="info1">
						<span><?php echo get_trans("Check ONE from the list below"); ?></span>
					</div>
					<div class="info_orange">
						<?php if ($_SESSION["ssUser"]['country'] != 'FR') { ?>
							<span><?php echo get_trans("If you DON'T chose Boarder(s) -> B: Members of Family"); ?></span>
						<?php } else { //For France Only ?>
							<span><?php echo get_trans("If you DON'T chose residential/institutional care -> B: Member(s) of the household (other than the child)"); ?></span>
						<?php } ?>
					</div>					
				</div>
				
				<table style="width:100%; clear:left;">
				<tr>
					<td style="width:50%; min-width:590px;">
						<?php if ($_SESSION["ssUser"]['country'] != 'FR') { ?>
							<div class="fc_content_green_background fc_margin_top" id="fc_members_of_family_title"><strong><?php echo get_trans("B: Member(s) of Family"); ?></strong></div>
						<?php } else { //For France Only ?>
							<div class="fc_content_green_background fc_margin_top" id="fc_members_of_family_title"><strong><?php echo get_trans("B: Member(s) of the household (other than the child)"); ?></strong></div>
						<?php } ?>
					</td>
					<td style="width:5%;"> 
						<div class="fc_content_green_background fc_margin_top" id="fc_number_title"><strong><?php echo get_trans("Number"); ?></strong></div>
					</td>
					<td style="width:45%;"> 
						<div class="fc_content_green_background fc_margin_top" id="fc_primary_caregivers_title"><strong><?php echo get_trans("Primary caregiver(s)"); ?></strong></div>
					</td>
				</tr>				
			</table>	
				
				
				
				<div class="left_wrapper">
					<ul id="tree">
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_1" id="fc_tf_1" value="Parent(s)" <?php if (isset($_SESSION["Data"]['fc_tf_1']) && $_SESSION["Data"]['fc_tf_1'] == "Parent(s)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_1"><span></span><?php echo get_trans("Parent(s)"); ?></label>
							</div>
						</li>	
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_2" id="fc_tf_2" value="Step Parent(s)" <?php if (isset($_SESSION["Data"]['fc_tf_2']) && $_SESSION["Data"]['fc_tf_2'] == "Step Parent(s)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_2"><span></span><?php echo get_trans("Step Parent(s)"); ?></label>
							</div>
						</li>
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_3" id="fc_tf_3" value="Parent(s)’ partner(s)" <?php if (isset($_SESSION["Data"]['fc_tf_3']) && $_SESSION["Data"]['fc_tf_3'] == "Parent(s)’ partner(s)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_3"><span></span><?php echo get_trans("Parent(s)’ partner(s)"); ?></label>
							</div>
						</li>
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_4" id="fc_tf_4" value="Sibling(s)" <?php if (isset($_SESSION["Data"]['fc_tf_4']) && $_SESSION["Data"]['fc_tf_4'] == "Sibling(s)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_4"><span></span><?php echo get_trans("Sibling(s)"); ?></label>
							</div>
							<div class="expand" id="expand2"></div>
							<div class="sub1" id="sub2">
								<ul>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_4_1" id="fc_tf_4_1" value="Younger than the (alleged) victim" <?php if (isset($_SESSION["Data"]['fc_tf_4_1']) && $_SESSION["Data"]['fc_tf_4_1'] == "Younger than the (alleged) victim" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_4_1"><span></span><?php echo get_trans("Younger than the (alleged) victim"); ?></label>
										</div>
									</li>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_4_2" id="fc_tf_4_2" value="Older than the (alleged) victim (<18)" <?php if (isset($_SESSION["Data"]['fc_tf_4_2']) && $_SESSION["Data"]['fc_tf_4_2'] == "Older than the (alleged) victim (<18)" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_4_2"><span></span><?php echo get_trans("Older than the (alleged) victim (<18)"); ?></label>
										</div>
									</li>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_4_3" id="fc_tf_4_3" value="Older than the (alleged) victim (>18)" <?php if (isset($_SESSION["Data"]['fc_tf_4_3']) && $_SESSION["Data"]['fc_tf_4_3'] == "Older than the (alleged) victim (>18)" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_4_3"><span></span><?php echo get_trans("Older than the (alleged) victim (>18)"); ?></label>
										</div>
									</li>
								</ul>
							</div>
						</li>
						<?php if ($_SESSION["ssUser"]['country'] == 'BE') { ?>
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_9" id="fc_tf_9" value="Step Sibling(s)" <?php if (isset($_SESSION["Data"]['fc_tf_9']) && $_SESSION["Data"]['fc_tf_9'] == "Step Sibling(s)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_9"><span></span><?php echo get_trans("Step Sibling(s)"); ?></label>
							</div>
							<div class="expand" id="expand8"></div>
							<div class="sub1" id="sub8">
								<ul>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_9_1" id="fc_tf_9_1" value="Younger than the (alleged) victim" <?php if (isset($_SESSION["Data"]['fc_tf_9_1']) && $_SESSION["Data"]['fc_tf_9_1'] == "Younger than the (alleged) victim" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_9_1"><span></span><?php echo get_trans("Younger than the (alleged) victim"); ?></label>
										</div>
									</li>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_9_2" id="fc_tf_9_2" value="Older than the (alleged) victim (<18)" <?php if (isset($_SESSION["Data"]['fc_tf_9_2']) && $_SESSION["Data"]['fc_tf_9_2'] == "Older than the (alleged) victim (<18)" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_9_2"><span></span><?php echo get_trans("Older than the (alleged) victim (<18)"); ?></label>
										</div>
									</li>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_9_3" id="fc_tf_9_3" value="Older than the (alleged) victim (>18)" <?php if (isset($_SESSION["Data"]['fc_tf_9_3']) && $_SESSION["Data"]['fc_tf_9_3'] == "Older than the (alleged) victim (>18)" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_9_3"><span></span><?php echo get_trans("Older than the (alleged) victim (>18)"); ?></label>
										</div>
									</li>
								</ul>
							</div>
						</li>
						<?php } ?>
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_5" id="fc_tf_5" value="Grandparent(s)" <?php if (isset($_SESSION["Data"]['fc_tf_5']) && $_SESSION["Data"]['fc_tf_5'] == "Grandparent(s)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_5"><span></span><?php echo get_trans("Grandparent(s)"); ?></label>
							</div>
						</li>
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_6" id="fc_tf_6" value="Other relative(s)" <?php if (isset($_SESSION["Data"]['fc_tf_6']) && $_SESSION["Data"]['fc_tf_6'] == "Other relative(s)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_6"><span></span><?php echo get_trans("Other relative(s)"); ?></label>
							</div>
							<div class="expand" id="expand3"></div>
							<div class="sub1" id="sub3">
								<ul>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_6_1" id="fc_tf_6_1" value="Blood relatives" <?php if (isset($_SESSION["Data"]['fc_tf_6_1']) && $_SESSION["Data"]['fc_tf_6_1'] == "Blood relatives" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_6_1"><span></span><?php echo get_trans("Blood relatives"); ?></label>
										</div>
										<div class="expand" id="expand4"></div>
										<div class="sub1" id="sub4">
											<ul>
												<li>
													<div class="green_bg_options fc_sub2_width">
														<input type="checkbox" name="fc_tf_6_1_1" id="fc_tf_6_1_1" value="<18 [child(ren)]" <?php if (isset($_SESSION["Data"]['fc_tf_6_1_1']) && $_SESSION["Data"]['fc_tf_6_1_1'] == "<18 [child(ren)]" ) { echo 'checked="checked"';} ?> />
														<label for="fc_tf_6_1_1"><span></span><?php echo get_trans("<18 [child(ren)]"); ?></label>
													</div>
												</li>
												<li>
													<div class="green_bg_options fc_sub2_width">
														<input type="checkbox" name="fc_tf_6_1_2" id="fc_tf_6_1_2" value=">18 [adult(s)]" <?php if (isset($_SESSION["Data"]['fc_tf_6_1_2']) && $_SESSION["Data"]['fc_tf_6_1_2'] == ">18 [adult(s)]" ) { echo 'checked="checked"';} ?> />
														<label for="fc_tf_6_1_2"><span></span><?php echo get_trans(">18 [adult(s)]"); ?></label>
													</div>
												</li>									
											</ul>
										</div>
									</li>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_6_2" id="fc_tf_6_2" value="By law relatives" <?php if (isset($_SESSION["Data"]['fc_tf_6_2']) && $_SESSION["Data"]['fc_tf_6_2'] == "By law relatives" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_6_2"><span></span><?php echo get_trans("By law relatives"); ?></label>
										</div>
										<div class="expand" id="expand5"></div>
										<div class="sub1" id="sub5">
											<ul>
												<li>
													<div class="green_bg_options fc_sub2_width">
														<input type="checkbox" name="fc_tf_6_2_1" id="fc_tf_6_2_1" value="<18 [child(ren)]" <?php if (isset($_SESSION["Data"]['fc_tf_6_2_1']) && $_SESSION["Data"]['fc_tf_6_2_1'] == "<18 [child(ren)]" ) { echo 'checked="checked"';} ?> />
														<label for="fc_tf_6_2_1"><span></span><?php echo get_trans("<18 [child(ren)]"); ?></label>
													</div>
												</li>
												<li>
													<div class="green_bg_options fc_sub2_width">
														<input type="checkbox" name="fc_tf_6_2_2" id="fc_tf_6_2_2" value=">18 [adult(s)]" <?php if (isset($_SESSION["Data"]['fc_tf_6_2_2']) && $_SESSION["Data"]['fc_tf_6_2_2'] == ">18 [adult(s)]" ) { echo 'checked="checked"';} ?> />
														<label for="fc_tf_6_2_2"><span></span><?php echo get_trans(">18 [adult(s)]"); ?></label>
													</div>
												</li>									
											</ul>
										</div>
									</li>									
								</ul>
							</div>
						</li>
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_7" id="fc_tf_7" value="Family friend(s)" <?php if (isset($_SESSION["Data"]['fc_tf_7']) && $_SESSION["Data"]['fc_tf_7'] == "Family friend(s)" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_7"><span></span><?php echo get_trans("Family friend(s)"); ?></label>
							</div>
							<div class="expand" id="expand6"></div>
							<div class="sub1" id="sub6">
								<ul>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_7_1" id="fc_tf_7_1" value="<18 [child(ren)]" <?php if (isset($_SESSION["Data"]['fc_tf_7_1']) && $_SESSION["Data"]['fc_tf_7_1'] == "<18 [child(ren)]" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_7_1"><span></span><?php echo get_trans("<18 [child(ren)]"); ?></label>
										</div>
									</li>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_7_2" id="fc_tf_7_2" value=">18 [adult(s)]" <?php if (isset($_SESSION["Data"]['fc_tf_7_2']) && $_SESSION["Data"]['fc_tf_7_2'] == ">18 [adult(s)]" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_7_2"><span></span><?php echo get_trans(">18 [adult(s)]"); ?></label>
										</div>
									</li>									
								</ul>
							</div>
						</li>
						<li>
							<div class="green_bg_options">
								<input type="checkbox" class="validate[groupRequired[group]]" name="fc_tf_8" id="fc_tf_8" value="Other not-related household members" <?php if (isset($_SESSION["Data"]['fc_tf_8']) && $_SESSION["Data"]['fc_tf_8'] == "Other not-related household members" ) { echo 'checked="checked"';} ?> />
								<label for="fc_tf_8"><span></span><?php echo get_trans("Other not-related household members"); ?></label>
							</div>
							<div class="expand" id="expand7"></div>
							<div class="sub1" id="sub7">
								<ul>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_8_1" id="fc_tf_8_1" value="<18 [child(ren)]" <?php if (isset($_SESSION["Data"]['fc_tf_8_1']) && $_SESSION["Data"]['fc_tf_8_1'] == "<18 [child(ren)]" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_8_1"><span></span><?php echo get_trans("<18 [child(ren)]"); ?></label>
										</div>
									</li>
									<li>
										<div class="green_bg_options fc_sub1_width">
											<input type="checkbox" name="fc_tf_8_2" id="fc_tf_8_2" value=">18 [adult(s)]" <?php if (isset($_SESSION["Data"]['fc_tf_8_2']) && $_SESSION["Data"]['fc_tf_8_2'] == ">18 [adult(s)]" ) { echo 'checked="checked"';} ?> />
											<label for="fc_tf_8_2"><span></span><?php echo get_trans(">18 [adult(s)]"); ?></label>
										</div>
									</li>									
								</ul>
							</div>
						</li>
					</ul>
					<div class="green_bg_options">					
						<input type="radio" class="validate[groupRequired[group]]" name="fc_tf_radio1" id="fc_tf_radio" value="Not known" <?php if (isset($_SESSION["Data"]['fc_tf_radio1']) && $_SESSION["Data"]['fc_tf_radio1'] == "Not known" ) { echo 'checked="checked"';} ?> />
						<label for="fc_tf_radio"><span></span><?php echo get_trans("Not known"); ?></label>
					</div>
				</div>
				<div class="fc_center_wrapper">								
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" name="fc_n_1" onkeyup="this.value = this.value.replace(/[0]/, '')" id="fc_n_1" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_1'])) echo "value='".$_SESSION["Data"]['fc_n_1']."'"; ?> />								
					</div>
					<div class="fc_radios">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio1" disabled="disabled" value="Parent(s)" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Parent(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio1"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio1" disabled="disabled" value="Parent(s)" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Parent(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio1" ><span class="radio_grey"></span></label>
					</div>
					
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" name="fc_n_2" onkeyup="this.value = this.value.replace(/[0]/, '')" id="fc_n_2" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_2'])) echo "value='".$_SESSION["Data"]['fc_n_2']."'"; ?> />								
					</div>
					<div class="fc_radios">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio2" disabled="disabled" value="Step Parent(s)" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Step Parent(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio2"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio2" disabled="disabled" value="Step Parent(s)" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Step Parent(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio2"><span class="radio_grey"></span></label>
					</div>
					
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" name="fc_n_3" onkeyup="this.value = this.value.replace(/[0]/, '')" id="fc_n_3" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_3'])) echo "value='".$_SESSION["Data"]['fc_n_3']."'"; ?> />								
					</div>
					<div class="fc_radios">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio3" disabled="disabled" value="Parent(s)’ partner(s)" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Parent(s)’ partner(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio3"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio3" disabled="disabled" value="Parent(s)’ partner(s)" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Parent(s)’ partner(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio3"><span class="radio_grey"></span></label>
					</div>
					
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_4" id="fc_n_4" disabled="disabled" readonly="readonly" <?php if (isset($_SESSION["Data"]['fc_n_4'])) echo "value='".$_SESSION["Data"]['fc_n_4']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_4_1" id="fc_n_4_1" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_4_1'])) echo "value='".$_SESSION["Data"]['fc_n_4_1']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_4_2" id="fc_n_4_2" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_4_2'])) echo "value='".$_SESSION["Data"]['fc_n_4_2']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_4_3" id="fc_n_4_3" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_4_3'])) echo "value='".$_SESSION["Data"]['fc_n_4_3']."'"; ?> />								
					</div>
					<div class="fc_radios" style="display:none">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio4" disabled="disabled" value="Sibling(s)" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Sibling(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio4"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios" style="display:none">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio4" disabled="disabled" value="Sibling(s)" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Sibling(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio4"><span class="radio_grey"></span></label>
					</div>
					<?php if ($_SESSION["ssUser"]['country'] == 'BE') { ?>
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_9" id="fc_n_9" disabled="disabled" readonly="readonly" <?php if (isset($_SESSION["Data"]['fc_n_9'])) echo "value='".$_SESSION["Data"]['fc_n_9']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_9_1" id="fc_n_9_1" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_9_1'])) echo "value='".$_SESSION["Data"]['fc_n_9_1']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_9_2" id="fc_n_9_2" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_9_2'])) echo "value='".$_SESSION["Data"]['fc_n_9_2']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_9_3" id="fc_n_9_3" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_9_3'])) echo "value='".$_SESSION["Data"]['fc_n_9_3']."'"; ?> />								
					</div>
					<div class="fc_radios" style="display:none">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio10" disabled="disabled" value="Step Sibling(s)" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Step Sibling(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio10"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios" style="display:none">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio10" disabled="disabled" value="Step Sibling(s)" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Step Sibling(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio10"><span class="radio_grey"></span></label>
					</div>
					<?php } ?>
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_5" id="fc_n_5" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_5'])) echo "value='".$_SESSION["Data"]['fc_n_5']."'"; ?> />								
					</div>
					<div class="fc_radios">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio5" disabled="disabled" value="Grandparent(s)" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Grandparent(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio5"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio5" disabled="disabled" value="Grandparent(s)" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Grandparent(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio5"><span class="radio_grey"></span></label>
					</div>
					
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_6" id="fc_n_6" disabled="disabled" readonly="readonly" <?php if (isset($_SESSION["Data"]['fc_n_6'])) echo "value='".$_SESSION["Data"]['fc_n_6']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_6_1" id="fc_n_6_1" disabled="disabled" readonly="readonly" <?php if (isset($_SESSION["Data"]['fc_n_6_1'])) echo "value='".$_SESSION["Data"]['fc_n_6_1']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_6_1_1" id="fc_n_6_1_1" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_6_1_1'])) echo "value='".$_SESSION["Data"]['fc_n_6_1_1']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_6_1_2" id="fc_n_6_1_2" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_6_1_2'])) echo "value='".$_SESSION["Data"]['fc_n_6_1_2']."'"; ?> />								
					</div>
					<div class="fc_radios" style="display:none">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio6" disabled="disabled" value="Blood relatives" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Blood relatives" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio6"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios" style="display:none">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio6" disabled="disabled" value="Blood relatives" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Blood relatives" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio6"><span class="radio_grey"></span></label>
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_6_2" id="fc_n_6_2" disabled="disabled" readonly="readonly" <?php if (isset($_SESSION["Data"]['fc_n_7_1'])) echo "value='".$_SESSION["Data"]['fc_n_6_2']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_6_2_1" id="fc_n_6_2_1" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_6_2_1'])) echo "value='".$_SESSION["Data"]['fc_n_6_2_1']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_6_2_2" id="fc_n_6_2_2" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_6_2_2'])) echo "value='".$_SESSION["Data"]['fc_n_6_2_2']."'"; ?> />								
					</div>
					<div class="fc_radios" style="display:none">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio7" disabled="disabled" value="By law relatives" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "By law relatives" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio7"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios" style="display:none">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio7" disabled="disabled" value="By law relatives" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "By law relatives" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio7"><span class="radio_grey"></span></label>
					</div>
					
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_7" id="fc_n_7" disabled="disabled" readonly="readonly" <?php if (isset($_SESSION["Data"]['fc_n_7'])) echo "value='".$_SESSION["Data"]['fc_n_7']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_7_1" id="fc_n_7_1" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_7_1'])) echo "value='".$_SESSION["Data"]['fc_n_7_1']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_7_2" id="fc_n_7_2" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_7_2'])) echo "value='".$_SESSION["Data"]['fc_n_7_2']."'"; ?> />								
					</div>
					<div class="fc_radios" style="display:none;">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio8" disabled="disabled" value="Family friend(s)" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Family friend(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio8"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios" style="display:none;">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio8" disabled="disabled" value="Family friend(s)" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Family friend(s)" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio8"><span class="radio_grey"></span></label>
					</div>
					
					<div class="fc_green_bg_options_small_disabled">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_8" id="fc_n_8" disabled="disabled" readonly="readonly" <?php if (isset($_SESSION["Data"]['fc_n_8'])) echo "value='".$_SESSION["Data"]['fc_n_8']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_8_1" id="fc_n_8_1" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_8_1'])) echo "value='".$_SESSION["Data"]['fc_n_8_1']."'"; ?> />								
					</div>
					
					<div class="fc_green_bg_options_small_disabled" style="display:none">						
						<input type="text" class="numeric validate[required,custom[integer],min[1]]" onkeyup="this.value = this.value.replace(/[0]/, '')" name="fc_n_8_2" id="fc_n_8_2" disabled="disabled" <?php if (isset($_SESSION["Data"]['fc_n_8_2'])) echo "value='".$_SESSION["Data"]['fc_n_8_2']."'"; ?> />								
					</div>
					<div class="fc_radios" style="display:none;">					
						<input type="radio" name="fc_pc1_radio" id="fc_pc1_radio9" disabled="disabled" value="Other not-related household members" <?php if (isset($_SESSION["Data"]['fc_pc1_radio']) && $_SESSION["Data"]['fc_pc1_radio'] == "Other not-related household members" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc1_radio9"><span class="radio_grey"></span></label>
					</div>
					<div class="fc_radios" style="display:none;">					
						<input type="radio" name="fc_pc2_radio" id="fc_pc2_radio9" disabled="disabled" value="Other not-related household members" <?php if (isset($_SESSION["Data"]['fc_pc2_radio']) && $_SESSION["Data"]['fc_pc2_radio'] == "Other not-related household members" ) { echo 'checked="checked"';} ?> />
						<label for="fc_pc2_radio9"><span class="radio_grey"></span></label>
					</div>
				</div>
				
				<div class="fc_right_wrapper_small">					
					<div class="info_blue">
						<span><?php echo get_trans("Please indicate up to 2 child’s primary caregiver(s) (you can uncheck)"); ?></span>
					</div>
					
				</div>
				
				
				<?php include 'includes/next_button.php'; ?>
			</form>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>					
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<script src="js/languages/jquery.validationEngine-en.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery-checktree.js"></script>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'family_composition.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'family_composition.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<script>
jQuery(document).ready(function(){
	// binds form submission and fields to the validation engine
	jQuery("form").validationEngine();
	$('#tree').checktree();
});

$(document).ready(function(){
	//********* Expand - Collapse Subcategories *************
	$('#expand1').on('click', function(){
		$('#sub1').slideToggle();
		if($('#expand1').hasClass('expand')){
			$('#expand1').addClass('collapse').removeClass('expand');
		} else {
			$('#expand1').addClass('expand').removeClass('collapse');
		}
	});
	
	//expand if user checks a radiobox that has subcategories 	
	$('input[type=radio]').on('click', function(){
		var isChecked = (this.checked);
		if (isChecked == true) {
			//getting the radio id
			var radio_id = $(this).attr("id");
			//getting the sub id of the clicked radio
			var sub_id = $('#'+radio_id).parent().closest('div').next().closest('div').next().closest('div').attr("id");
			//getting the expand id of the clicked radio
			var expand_id = $('#'+radio_id).parent().closest('div').next().closest('div').attr("id");
			$('#'+sub_id).slideDown();
			if($('#'+expand_id).hasClass('expand')){
				$('#'+expand_id).addClass('collapse').removeClass('expand');
			}
		}
	});
	
	//expand if user checks a checkbox that has subcategories 
	// $('input[type=checkbox]').each(function () {
		// $(this).on('click', function(){
			// var isChecked = (this.checked);
			// if (isChecked == true) {
				//getting the checkbox id
				// var checkbox_id = $(this).attr("id");
				//getting the sub id of the clicked checkbox
				// var sub_id = $('#'+checkbox_id).parent().closest('div').next().closest('div').next().closest('div').attr("id");
				//getting the expand id of the clicked checkbox
				// var expand_id = $('#'+checkbox_id).parent().closest('div').next().closest('div').attr("id");
				// $('#'+sub_id).slideDown();
				// if($('#'+expand_id).hasClass('expand')){
					// $('#'+expand_id).addClass('collapse').removeClass('expand');
				// }
			// }
		// });
	// });
	
	//********* Check - Uncheck child radios *************
	$('#fc_radio1_5').on('click', function(e) {
		var isChecked = $('#fc_radio1_5').prop('checked');
		if (isChecked == true){
			$('#fc_radio1_6').prop('checked',true);
		} 
	});
	$('#fc_radio1_1,#fc_radio1_2,#fc_radio1_3,#fc_radio1_4,#fc_radio1_8,#fc_radio1_9').on('click', function(e) {
		var isChecked = $('#fc_radio1_1').prop('checked') || $('#fc_radio1_2').prop('checked') || $('#fc_radio1_3').prop('checked') || $('#fc_radio1_4').prop('checked') || $('#fc_radio1_8').prop('checked') || $('#fc_radio1_9').prop('checked');
		if (isChecked == true){
			$('#fc_radio1_5').prop('checked',false);
		} 
	});
	$('#fc_radio1_6, #fc_radio1_7').on('click', function(e) {
		var isChecked = $('#fc_radio1_6').prop('checked') || $('#fc_radio1_7').prop('checked') ;
		if (isChecked == true){
			$('#fc_radio1_5').prop('checked',true);
		} 
	});
	var isChecked = $('#fc_radio1_6').prop('checked') || $('#fc_radio1_7').prop('checked') ;
		if (isChecked == true){
			$('#fc_radio1_5').prop('checked',true);
		} 
	//********* If user check Boarder(s) disable "B: Member(s) of Family" *************
	$('#fc_radio1_1').on('click', function(e) {
		var isChecked = $('#fc_radio1_1').prop('checked');
		if (isChecked == true){
			$('#fc_tf_1,#fc_tf_2,#fc_tf_3,#fc_tf_4,#fc_tf_4_1,#fc_tf_4_2,#fc_tf_4_3,#fc_tf_5,#fc_tf_6,#fc_tf_6_1,#fc_tf_6_1_1,#fc_tf_6_1_2,#fc_tf_6_2,#fc_tf_6_2_1,#fc_tf_6_2_2,#fc_tf_7,#fc_tf_7_1,#fc_tf_7_2,#fc_tf_8,#fc_tf_8_1,#fc_tf_8_2,#fc_tf_9,#fc_tf_9_1,#fc_tf_9_2,#fc_tf_9_3,#fc_tf_radio').prop('disabled', true).prop('checked',false).next('label').addClass('grey_font');
			$('#info_orange1').css("font-weight","Bold");
			$('#fc_n_1,#fc_n_2,#fc_n_3,#fc_n_4,#fc_n_4_1,#fc_n_4_2,#fc_n_4_3,#fc_n_5,#fc_n_6,#fc_n_6_1,#fc_n_6_1_1,#fc_n_6_1_2,#fc_n_6_2,#fc_n_6_2_1,#fc_n_6_2_2,#fc_n_7,#fc_n_7_1,#fc_n_7_2,#fc_n_8,#fc_n_8_1,#fc_n_8_2,#fc_n_9,#fc_n_9_1,#fc_n_9_2,#fc_n_9_3').prop('disabled', true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('[name=fc_pc1_radio],[name=fc_pc2_radio]').prop('disabled', true);
			$('#fc_members_of_family_title,#fc_number_title,#fc_primary_caregivers_title').css({'background-color':'#CCCCCC','border' : '3px solid #BBBBBB'});
			$('#tree .fc_green_bg_options').css("border","2px solid #CCCCCC");
			$('#fc_tf_radio').parent().css("border","2px solid #CCCCCC");
			$('input[type="checkbox"] + label span').addClass('checkbox_grey');
			$('[name=fc_pc1_radio] + label span').addClass('radio_grey');
			$('[name=fc_pc2_radio] + label span').addClass('radio_grey');
			$('[name=fc_tf_radio1] + label span').addClass('radio_grey');
		} 
	});
	//on load
	var isChecked = $('#fc_radio1_1').prop('checked');
	if (isChecked == true){
		$('#fc_tf_1,#fc_tf_2,#fc_tf_3,#fc_tf_4,#fc_tf_4_1,#fc_tf_4_2,#fc_tf_4_3,#fc_tf_5,#fc_tf_6,#fc_tf_6_1,#fc_tf_6_1_1,#fc_tf_6_1_2,#fc_tf_6_2,#fc_tf_6_2_1,#fc_tf_6_2_2,#fc_tf_7,#fc_tf_7_1,#fc_tf_7_2,#fc_tf_8,#fc_tf_8_1,#fc_tf_8_2,#fc_tf_9,#fc_tf_9_1,#fc_tf_9_2,#fc_tf_9_3,#fc_tf_radio').prop('disabled', true).prop('checked',false).next('label').addClass('grey_font');
		$('#info_orange1').css("font-weight","Bold");
		$('#fc_n_1,#fc_n_2,#fc_n_3,#fc_n_4,#fc_n_4_1,#fc_n_4_2,#fc_n_4_3,#fc_n_5,#fc_n_6,#fc_n_6_1,#fc_n_6_1_1,#fc_n_6_1_2,#fc_n_6_2,#fc_n_6_2_1,#fc_n_6_2_2,#fc_n_7,#fc_n_7_1,#fc_n_7_2,#fc_n_8,#fc_n_8_1,#fc_n_8_2,#fc_n_9,#fc_n_9_1,#fc_n_9_2,#fc_n_9_3').prop('disabled', true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
		$('[name=fc_pc1_radio],[name=fc_pc2_radio]').prop('disabled', true);
		$('#fc_members_of_family_title,#fc_number_title,#fc_primary_caregivers_title').css({'background-color':'#CCCCCC','border' : '3px solid #BBBBBB'});
		$('#tree .fc_green_bg_options').css("border","2px solid #CCCCCC");
		$('#fc_tf_radio').parent().css("border","2px solid #CCCCCC");
		$('input[type="checkbox"] + label span').addClass('checkbox_grey');
		$('[name=fc_pc1_radio] + label span').addClass('radio_grey');
		$('[name=fc_pc2_radio] + label span').addClass('radio_grey');
		$('[name=fc_tf_radio1] + label span').addClass('radio_grey');
	} 
	
	//if user check smthing else than Boarder(s) enable "B: Member(s) of Family"
	$('[name=fc_radio1]:not(#fc_radio1_1), [name=fc_radio]').on('click', function(e) {
		var isChecked = $(this).prop('checked');
		if (isChecked == true){
			$('#fc_tf_1,#fc_tf_2,#fc_tf_3,#fc_tf_4,#fc_tf_4_1,#fc_tf_4_2,#fc_tf_4_3,#fc_tf_5,#fc_tf_6,#fc_tf_6_1,#fc_tf_6_1_1,#fc_tf_6_1_2,#fc_tf_6_2,#fc_tf_6_2_1,#fc_tf_6_2_2,#fc_tf_7,#fc_tf_7_1,#fc_tf_7_2,#fc_tf_8,#fc_tf_8_1,#fc_tf_8_2,#fc_tf_9,#fc_tf_9_1,#fc_tf_9_2,#fc_tf_9_3,#fc_tf_radio').prop('disabled', false).next('label').removeClass('grey_font');
			$('#info_orange1').css("font-weight","normal");
			$('[name=fc_pc1_radio],[name=fc_pc2_radio]').prop('disabled', false);
			$('#fc_members_of_family_title,#fc_number_title,#fc_primary_caregivers_title').css({'background-color':'#9BBB59','border' : '3px solid #71893F'});
			$('#tree .fc_green_bg_options').css("border","2px solid #9BBB59");
			$('#fc_tf_radio').parent().css("border","2px solid #9BBB59");
			$('input[type="checkbox"] + label span').removeClass('checkbox_grey');
			$('[name=fc_tf_radio1] + label span').removeClass('radio_grey');
		}
	});
	
	//********* Radio Check - Uncheck *************
	$("input[name=fc_pc1_radio], input[name=fc_pc2_radio]").click(function(){
	  var previousValue = $(this).prop('previousValue');
	  var name = $(this).prop('name');

	  if (previousValue == 'checked'){
		$(this).prop('checked', false);
		$(this).prop('previousValue', false);		
	  }
	  else {
		$("input[name="+name+"]:radio").prop('previousValue', false);
		$(this).prop('previousValue', 'checked');
	  }
	});
	
	//********* Expand - Collapse Numbers - Primary Caregivers *************
	//--- expand2 ---
	//click on arrow
	$('#expand2').on('click', function(){
		$('#sub2').slideToggle();
		if($('#expand2').hasClass('expand')){
			$('#expand2').addClass('collapse').removeClass('expand');
		} else {
			$('#expand2').addClass('expand').removeClass('collapse');
		}
		$('#fc_n_4_1').parent().slideToggle();
		$('#fc_n_4_2').parent().slideToggle();
		$('#fc_n_4_3').parent().slideToggle();
		$('#fc_pc1_radio4').parent().slideToggle();
		$('#fc_pc2_radio4').parent().slideToggle();
	});
	
	//click on checkbox
	$('#fc_tf_4').on('click', function(){
		var isChecked = $('#fc_tf_4').prop('checked');
		if (isChecked == true) {
			$('#sub2').slideDown();
			if($('#expand2').hasClass('expand')){
				$('#expand2').addClass('collapse').removeClass('expand');			
				$('#fc_n_4_1').parent().slideDown();
				$('#fc_n_4_2').parent().slideDown();
				$('#fc_n_4_3').parent().slideDown();
				$('#fc_pc1_radio4').parent().slideDown();
				$('#fc_pc2_radio4').parent().slideDown();
			}
		}
	});
	
	//--- expand3 ---
	//click on arrow
	$('#expand3').on('click', function(){		
		$('#sub3').slideToggle();
		if($('#expand3').hasClass('expand')){
			$('#expand3').addClass('collapse').removeClass('expand');			
		} else {
			$('#expand3').addClass('expand').removeClass('collapse');			
			if($('#expand4').hasClass('collapse')){
				$('#sub4').slideUp();				
				$('#expand4').addClass('expand').removeClass('collapse');
				$('#fc_n_6_1_1').parent().slideToggle();
				$('#fc_n_6_1_2').parent().slideToggle();
				$('#fc_pc1_radio6').parent().slideToggle();
				$('#fc_pc2_radio6').parent().slideToggle();
			}
			if($('#expand5').hasClass('collapse')){
				$('#sub5').slideUp();				
				$('#expand5').addClass('expand').removeClass('collapse');
				$('#fc_n_6_2_1').parent().slideToggle();
				$('#fc_n_6_2_2').parent().slideToggle();
				$('#fc_pc1_radio7').parent().slideToggle();
				$('#fc_pc2_radio7').parent().slideToggle();
			}
		}
		$('#fc_n_6_1').parent().slideToggle();
		$('#fc_n_6_2').parent().slideToggle();		
	});
	
	//click on checkbox
	$('#fc_tf_6').on('click', function(){	
		var isChecked = $('#fc_tf_6').prop('checked');
		if (isChecked == true) {
			$('#sub3').slideDown();
			if($('#expand3').hasClass('expand')){
				$('#expand3').addClass('collapse').removeClass('expand');		
				if($('#expand4').hasClass('collapse')){
					$('#sub4').slideUp();				
					$('#expand4').addClass('expand').removeClass('collapse');
					$('#fc_n_6_1_1').parent().slideDown();
					$('#fc_n_6_1_2').parent().slideDown();
					$('#fc_pc1_radio6').parent().slideDown();
					$('#fc_pc2_radio6').parent().slideDown();
				}
				if($('#expand5').hasClass('collapse')){
					$('#sub5').slideUp();				
					$('#expand5').addClass('expand').removeClass('collapse');
					$('#fc_n_6_2_1').parent().slideDown();
					$('#fc_n_6_2_2').parent().slideDown();
					$('#fc_pc1_radio7').parent().slideDown();
					$('#fc_pc2_radio7').parent().slideDown();
				}
			}	
			$('#fc_n_6_1').parent().slideDown();
			$('#fc_n_6_2').parent().slideDown();
		}		
	});
	
	//--- expand4 ---
	//click on arrow
	$('#expand4').on('click', function(){
		$('#sub4').slideToggle();
		if($('#expand4').hasClass('expand')){
			$('#expand4').addClass('collapse').removeClass('expand');
		} else {
			$('#expand4').addClass('expand').removeClass('collapse');
		}
		$('#fc_n_6_1_1').parent().slideToggle();
		$('#fc_n_6_1_2').parent().slideToggle();
		$('#fc_pc1_radio6').parent().slideToggle();
		$('#fc_pc2_radio6').parent().slideToggle();
	});
	
	//click on checkbox
	$('#fc_tf_6_1').on('click', function(){
		var isChecked = $('#fc_tf_6_1').prop('checked');
		if (isChecked == true) {
			$('#sub4').slideDown();
			if($('#expand4').hasClass('expand')){
				$('#expand4').addClass('collapse').removeClass('expand');			
				$('#fc_n_6_1_1').parent().slideDown();
				$('#fc_n_6_1_2').parent().slideDown();
				$('#fc_pc1_radio6').parent().slideDown();
				$('#fc_pc2_radio6').parent().slideDown();
			}
		}
	});
	
	//--- expand5 ---
	//click on arrow
	$('#expand5').on('click', function(){
		$('#sub5').slideToggle();
		if($('#expand5').hasClass('expand')){
			$('#expand5').addClass('collapse').removeClass('expand');
		} else {
			$('#expand5').addClass('expand').removeClass('collapse');
		}
		$('#fc_n_6_2_1').parent().slideToggle();
		$('#fc_n_6_2_2').parent().slideToggle();
		$('#fc_pc1_radio7').parent().slideToggle();
		$('#fc_pc2_radio7').parent().slideToggle();
	});
	
	//click on checkbox
	$('#fc_tf_6_2').on('click', function(){
		var isChecked = $('#fc_tf_6_2').prop('checked');
		if (isChecked == true) {
			$('#sub5').slideDown();
			if($('#expand5').hasClass('expand')){
				$('#expand5').addClass('collapse').removeClass('expand');			
				$('#fc_n_6_2_1').parent().slideDown();
				$('#fc_n_6_2_2').parent().slideDown();
				$('#fc_pc1_radio7').parent().slideDown();
				$('#fc_pc2_radio7').parent().slideDown();
			}
		}
	});
	
	//--- expand6 ---
	//click on arrow
	$('#expand6').on('click', function(){
		$('#sub6').slideToggle();
		if($('#expand6').hasClass('expand')){
			$('#expand6').addClass('collapse').removeClass('expand');
		} else {
			$('#expand6').addClass('expand').removeClass('collapse');
		}
		$('#fc_n_7_1').parent().slideToggle();
		$('#fc_n_7_2').parent().slideToggle();
		$('#fc_pc1_radio8').parent().slideToggle();
		$('#fc_pc2_radio8').parent().slideToggle();
	});
	
	//click on checkbox
	$('#fc_tf_7').on('click', function(){
		var isChecked = $('#fc_tf_7').prop('checked');
		if (isChecked == true) {
			$('#sub6').slideDown();
			if($('#expand6').hasClass('expand')){
				$('#expand6').addClass('collapse').removeClass('expand');			
				$('#fc_n_7_1').parent().slideDown();
				$('#fc_n_7_2').parent().slideDown();
				$('#fc_pc1_radio8').parent().slideDown();
				$('#fc_pc2_radio8').parent().slideDown();
			}
		}
	});
	
	//--- expand7 ---
	//click on arrow	
	$('#expand7').on('click', function(){
		$('#sub7').slideToggle();
		if($('#expand7').hasClass('expand')){
			$('#expand7').addClass('collapse').removeClass('expand');
		} else {
			$('#expand7').addClass('expand').removeClass('collapse');
		}
		$('#fc_n_8_1').parent().slideToggle();
		$('#fc_n_8_2').parent().slideToggle();
		$('#fc_pc1_radio9').parent().slideToggle();
		$('#fc_pc2_radio9').parent().slideToggle();
	});
	
	//click on checkbox
	$('#fc_tf_8').on('click', function(){
		var isChecked = $('#fc_tf_8').prop('checked');
		if (isChecked == true) {
			$('#sub7').slideDown();
			if($('#expand7').hasClass('expand')){
				$('#expand7').addClass('collapse').removeClass('expand');			
				$('#fc_n_8_1').parent().slideDown();
				$('#fc_n_8_2').parent().slideDown();
				$('#fc_pc1_radio9').parent().slideDown();
				$('#fc_pc2_radio9').parent().slideDown();
			}
		}
	});
	
	//--- expand8 ---
	//click on arrow	
	$('#expand8').on('click', function(){
		$('#sub8').slideToggle();
		if($('#expand8').hasClass('expand')){
			$('#expand8').addClass('collapse').removeClass('expand');
		} else {
			$('#expand8').addClass('expand').removeClass('collapse');
		}
		$('#fc_n_9_1').parent().slideToggle();
		$('#fc_n_9_2').parent().slideToggle();
		$('#fc_n_9_3').parent().slideToggle();
		$('#fc_pc1_radio10').parent().slideToggle();
		$('#fc_pc2_radio10').parent().slideToggle();
	});
	
	//click on checkbox
	$('#fc_tf_9').on('click', function(){
		var isChecked = $('#fc_tf_9').prop('checked');
		if (isChecked == true) {
			$('#sub8').slideDown();
			if($('#expand8').hasClass('expand')){
				$('#expand8').addClass('collapse').removeClass('expand');			
				$('#fc_n_9_1').parent().slideDown();
				$('#fc_n_9_2').parent().slideDown();
				$('#fc_n_9_3').parent().slideDown();
				$('#fc_pc1_radio10').parent().slideDown();
				$('#fc_pc2_radio10').parent().slideDown();
			}
		}
	});

	//********* Enable - Disable number-box and caregivers-radio on checkbox click *************
	$('#fc_tf_1').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_1').prop('checked');
		if (isChecked == true){
			$('#fc_n_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio1,#fc_pc2_radio1').prop('disabled',false).prop('checked',false);
			$('#fc_pc1_radio1 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio1 + label span').removeClass('radio_grey');
			//$('input[type="radio"] + label span').addClass('radio_grey');
		} else {
			$('#fc_n_1').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio1 + label span').addClass('radio_grey');
			$('#fc_pc2_radio1 + label span').addClass('radio_grey');
			if($('#fc_pc1_radio1').prop('previousValue',true)){
				$('#fc_pc1_radio1').prop('checked',false);
				$('#fc_pc1_radio1').prop('disabled',true);
			}
				
			if($('#fc_pc2_radio1').prop('previousValue',true)){
				$('#fc_pc2_radio1').prop('checked',false);
				$('#fc_pc2_radio1').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_2').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_2').prop('checked');
		if (isChecked == true){
			$('#fc_n_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio2,#fc_pc2_radio2').prop('disabled',false).prop('checked',false);
			$('#fc_pc1_radio2 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio2 + label span').removeClass('radio_grey');
		} else {
			$('#fc_n_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio2 + label span').addClass('radio_grey');
			$('#fc_pc2_radio2 + label span').addClass('radio_grey');
			if($('#fc_pc1_radio2').prop('previousValue',true)){
				$('#fc_pc1_radio2').prop('checked',false);
				$('#fc_pc1_radio2').prop('disabled',true);
			}
				
			if($('#fc_pc1_radio2').prop('previousValue',true)){
				$('#fc_pc2_radio2').prop('checked',false);
				$('#fc_pc2_radio2').prop('disabled',true);
			}
		}
	});
	
	$('#fc_tf_3').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_3').prop('checked');
		if (isChecked == true){
			$('#fc_n_3').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio3,#fc_pc2_radio3').prop('disabled',false);
			$('#fc_pc1_radio3 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio3 + label span').removeClass('radio_grey');
		} else {
			$('#fc_n_3').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio3 + label span').addClass('radio_grey');
			$('#fc_pc2_radio3 + label span').addClass('radio_grey');
			if($('#fc_pc1_radio3').prop('previousValue',true)){
				$('#fc_pc1_radio3').prop('checked',false);
				$('#fc_pc1_radio3').prop('disabled',true);
			}
				
			if($('#fc_pc2_radio3').prop('previousValue',true)){
				$('#fc_pc2_radio3').prop('checked',false);
				$('#fc_pc2_radio3').prop('disabled',true);
			}
		}
	});
	
	$('#fc_tf_4').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_4').prop('checked');
		if (isChecked == true){
			$('#fc_n_4,#fc_n_4_1,#fc_n_4_2,#fc_n_4_3').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio4,#fc_pc2_radio4').prop('disabled',false);
			$('#fc_pc1_radio4 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio4 + label span').removeClass('radio_grey');
		} else {
			$('#fc_n_4,#fc_n_4_1,#fc_n_4_2,#fc_n_4_3').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio4 + label span').addClass('radio_grey');
			$('#fc_pc2_radio4 + label span').addClass('radio_grey');
			if($('#fc_pc1_radio4').prop('previousValue',true)){
				$('#fc_pc1_radio4').prop('checked',false);
				$('#fc_pc1_radio4').prop('disabled',true);
			}
				
			if($('#fc_pc2_radio4').prop('previousValue',true)){
				$('#fc_pc2_radio4').prop('checked',false);
				$('#fc_pc2_radio4').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_4_1').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_4_1').prop('checked');
		if (isChecked == true){			
			$('#fc_n_4_1,#fc_n_4').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');			
		} else {
			var isChecked = $('#fc_tf_4_2').prop('checked') || $('#fc_tf_4_3').prop('checked');
			if (isChecked == true){
				$('#fc_n_4_1').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_4_1,#fc_n_4').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
		}
	});
	$('#fc_tf_4_2').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_4_2').prop('checked');
		if (isChecked == true){			
			$('#fc_n_4_2,#fc_n_4').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');			
		} else {
			var isChecked = $('#fc_tf_4_1').prop('checked') || $('#fc_tf_4_3').prop('checked');
			if (isChecked == true){
				$('#fc_n_4_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_4_2,#fc_n_4').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
		}
	});
	$('#fc_tf_4_3').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_4_3').prop('checked');
		if (isChecked == true){			
			$('#fc_n_4_3,#fc_n_4').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio4,#fc_pc2_radio4').prop('disabled',false);
			$('#fc_pc1_radio4 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio4 + label span').removeClass('radio_grey');	
		} else {
			var isChecked = $('#fc_tf_4_1').prop('checked') || $('#fc_tf_4_2').prop('checked');
			if (isChecked == true){
				$('#fc_n_4_3').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_4_3,#fc_n_4').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
			$('#fc_pc1_radio4 + label span').addClass('radio_grey');
			$('#fc_pc2_radio4 + label span').addClass('radio_grey');			
			if($('#fc_pc1_radio4').prop('previousValue',true)){
				$('#fc_pc1_radio4').prop('checked',false);
				$('#fc_pc1_radio4').prop('disabled',true);
			}
				
			if($('#fc_pc2_radio4').prop('previousValue',true)){
				$('#fc_pc2_radio4').prop('checked',false);
				$('#fc_pc2_radio4').prop('disabled',true);
			}
		}
	});
	
	$('#fc_tf_5').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_5').prop('checked');
		if (isChecked == true){
			$('#fc_n_5').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio5,#fc_pc2_radio5').prop('disabled',false);
			$('#fc_pc1_radio5 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio5 + label span').removeClass('radio_grey');	
		} else {
			$('#fc_n_5').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio5 + label span').addClass('radio_grey');
			$('#fc_pc2_radio5 + label span').addClass('radio_grey');	
			if($('#fc_pc1_radio5').prop('previousValue',true)){
				$('#fc_pc1_radio5').prop('checked',false);
				$('#fc_pc1_radio5').prop('disabled',true);
			}
				
			if($('#fc_pc2_radio5').prop('previousValue',true)){
				$('#fc_pc2_radio5').prop('checked',false);
				$('#fc_pc2_radio5').prop('disabled',true);
			}
		}
	});
	
	$('#fc_tf_6').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_6').prop('checked');
		if (isChecked == true){
			$('#fc_n_6,#fc_n_6_1,#fc_n_6_1_1,#fc_n_6_1_2,#fc_n_6_2,#fc_n_6_2_1,#fc_n_6_2_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio7,#fc_pc2_radio7').prop('disabled',false);
			$('#fc_pc1_radio6,#fc_pc2_radio6').prop('disabled',false);
			$('#fc_pc1_radio6 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio6 + label span').removeClass('radio_grey');
			$('#fc_pc1_radio7 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio7 + label span').removeClass('radio_grey');	
		} else {
			$('#fc_n_6,#fc_n_6_1,#fc_n_6_1_1,#fc_n_6_1_2,#fc_n_6_2,#fc_n_6_2_1,#fc_n_6_2_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio6 + label span').addClass('radio_grey');
			$('#fc_pc2_radio6 + label span').addClass('radio_grey');
			$('#fc_pc1_radio7 + label span').addClass('radio_grey');
			$('#fc_pc2_radio7 + label span').addClass('radio_grey');	
			if($('#fc_pc1_radio7').prop('previousValue',true)){
				$('#fc_pc1_radio7').prop('checked',false);
				$('#fc_pc1_radio7').prop('disabled',true);
			}				
			if($('#fc_pc2_radio7').prop('previousValue',true)){
				$('#fc_pc2_radio7').prop('checked',false);
				$('#fc_pc2_radio7').prop('disabled',true);
			}
			if($('#fc_pc1_radio6').prop('previousValue',true)){
				$('#fc_pc1_radio6').prop('checked',false);
				$('#fc_pc1_radio6').prop('disabled',true);
			}				
			if($('#fc_pc2_radio6').prop('previousValue',true)){
				$('#fc_pc2_radio6').prop('checked',false);
				$('#fc_pc2_radio6').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_6_1').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_6_1').prop('checked');
		if (isChecked == true){			
			$('#fc_n_6_1,#fc_n_6,#fc_n_6_1_1,#fc_n_6_1_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');	
			$('#fc_pc1_radio6,#fc_pc2_radio6').prop('disabled',false);
			$('#fc_pc1_radio6 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio6 + label span').removeClass('radio_grey');
		} else {
			$('#fc_n_6_1,#fc_n_6_1_1,#fc_n_6_1_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio6 + label span').addClass('radio_grey');
			$('#fc_pc2_radio6 + label span').addClass('radio_grey');
			if($('#fc_pc1_radio6').prop('previousValue',true)){
				$('#fc_pc1_radio6').prop('checked',false);
				$('#fc_pc1_radio6').prop('disabled',true);
			}				
			if($('#fc_pc2_radio6').prop('previousValue',true)){
				$('#fc_pc2_radio6').prop('checked',false);
				$('#fc_pc2_radio6').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_6_1_1').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_6_1_1').prop('checked');
		if (isChecked == true){			
			$('#fc_n_6_1_1,#fc_n_6_1,#fc_n_6').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');			
		} else {
			var isChecked = $('#fc_tf_6_1_2').prop('checked');
			if (isChecked == true){
				$('#fc_n_6_1_1').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_6_1_1,#fc_n_6_1,#fc_n_6').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
		}
	});
	$('#fc_tf_6_1_2').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_6_1_2').prop('checked');
		if (isChecked == true){			
			$('#fc_n_6_1_2,#fc_n_6_1,#fc_n_6').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio6,#fc_pc2_radio6').prop('disabled',false);
			$('#fc_pc1_radio6 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio6 + label span').removeClass('radio_grey');
		} else {
			var isChecked = $('#fc_tf_6_1_1').prop('checked');
			if (isChecked == true){
				$('#fc_n_6_1_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_6_1_2,#fc_n_6_1,#fc_n_6').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
				$('#fc_pc1_radio6 + label span').addClass('radio_grey');
				$('#fc_pc2_radio6 + label span').addClass('radio_grey');
			}
			if($('#fc_pc1_radio6').prop('previousValue',true)){
				$('#fc_pc1_radio6').prop('checked',false);
				$('#fc_pc1_radio6').prop('disabled',true);
			}				
			if($('#fc_pc2_radio6').prop('previousValue',true)){
				$('#fc_pc2_radio6').prop('checked',false);
				$('#fc_pc2_radio6').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_6_2').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_6_2').prop('checked');
		if (isChecked == true){			
			$('#fc_n_6_2,#fc_n_6,#fc_n_6_2_1,#fc_n_6_2_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');	
			$('#fc_pc1_radio7,#fc_pc2_radio7').prop('disabled',false);
			$('#fc_pc1_radio7 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio7 + label span').removeClass('radio_grey');	
		} else {
			$('#fc_n_6_2,#fc_n_6_2_1,#fc_n_6_2_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio7 + label span').addClass('radio_grey');
			$('#fc_pc2_radio7 + label span').addClass('radio_grey');	
			if($('#fc_pc1_radio7').prop('previousValue',true)){
				$('#fc_pc1_radio7').prop('checked',false);
				$('#fc_pc1_radio7').prop('disabled',true);
			}				
			if($('#fc_pc2_radio7').prop('previousValue',true)){
				$('#fc_pc2_radio7').prop('checked',false);
				$('#fc_pc2_radio7').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_6_2_1').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_6_2_1').prop('checked');
		if (isChecked == true){			
			$('#fc_n_6_2_1,#fc_n_6_2,#fc_n_6').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');			
		} else {
			var isChecked = $('#fc_tf_6_2_2').prop('checked');
			if (isChecked == true){
				$('#fc_n_6_2_1').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_6_2_1,#fc_n_6_2,#fc_n_6').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
		}
	});
	$('#fc_tf_6_2_2').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_6_2_2').prop('checked');
		if (isChecked == true){			
			$('#fc_n_6_2_2,#fc_n_6_2,#fc_n_6').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio7,#fc_pc2_radio7').prop('disabled',false);
			$('#fc_pc1_radio7 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio7 + label span').removeClass('radio_grey');	
		} else {
			var isChecked = $('#fc_tf_6_2_1').prop('checked');
			if (isChecked == true){
				$('#fc_n_6_2_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_6_2_2,#fc_n_6_2,#fc_n_6').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
				$('#fc_pc1_radio7 + label span').addClass('radio_grey');
				$('#fc_pc2_radio7 + label span').addClass('radio_grey');
			}
			if($('#fc_pc1_radio7').prop('previousValue',true)){
				$('#fc_pc1_radio7').prop('checked',false);
				$('#fc_pc1_radio7').prop('disabled',true);
			}				
			if($('#fc_pc2_radio7').prop('previousValue',true)){
				$('#fc_pc2_radio7').prop('checked',false);
				$('#fc_pc2_radio7').prop('disabled',true);
			}
		}
	});
	
	$('#fc_tf_7').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_7').prop('checked');
		if (isChecked == true){
			$('#fc_n_7,#fc_n_7_1,#fc_n_7_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio8,#fc_pc2_radio8').prop('disabled',false);
			$('#fc_pc1_radio8 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio8 + label span').removeClass('radio_grey');	
		} else {
			$('#fc_n_7,#fc_n_7_1,#fc_n_7_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio8 + label span').addClass('radio_grey');
			$('#fc_pc2_radio8 + label span').addClass('radio_grey');
			if($('#fc_pc1_radio8').prop('previousValue',true)){
				$('#fc_pc1_radio8').prop('checked',false);
				$('#fc_pc1_radio8').prop('disabled',true);
			}
				
			if($('#fc_pc2_radio8').prop('previousValue',true)){
				$('#fc_pc2_radio8').prop('checked',false);
				$('#fc_pc2_radio8').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_7_1').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_7_1').prop('checked');
		if (isChecked == true){			
			$('#fc_n_7_1,#fc_n_7').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');			
		} else {
			var isChecked = $('#fc_tf_7_2').prop('checked');
			if (isChecked == true){
				$('#fc_n_7_1').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_7_1,#fc_n_7').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
		}
	});
	$('#fc_tf_7_2').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_7_2').prop('checked');
		if (isChecked == true){			
			$('#fc_n_7_2,#fc_n_7').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio8,#fc_pc2_radio8').prop('disabled',false);
			$('#fc_pc1_radio8 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio8 + label span').removeClass('radio_grey');	
		} else {
			var isChecked = $('#fc_tf_7_1').prop('checked');
			if (isChecked == true){
				$('#fc_n_7_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_7_2,#fc_n_7').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
				$('#fc_pc1_radio8 + label span').addClass('radio_grey');
				$('#fc_pc2_radio8 + label span').addClass('radio_grey');
			}
			if($('#fc_pc1_radio8').prop('previousValue',true)){
				$('#fc_pc1_radio8').prop('checked',false);
				$('#fc_pc1_radio8').prop('disabled',true);
			}				
			if($('#fc_pc2_radio8').prop('previousValue',true)){
				$('#fc_pc2_radio8').prop('checked',false);
				$('#fc_pc2_radio8').prop('disabled',true);
			}		
		}
	});
	
	$('#fc_tf_8').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_8').prop('checked');
		if (isChecked == true){
			$('#fc_n_8,#fc_n_8_1,#fc_n_8_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio9,#fc_pc2_radio9').prop('disabled',false);
			$('#fc_pc1_radio9 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio9 + label span').removeClass('radio_grey');
		} else {
			$('#fc_n_8,#fc_n_8_1,#fc_n_8_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio9 + label span').addClass('radio_grey');
			$('#fc_pc2_radio9 + label span').addClass('radio_grey');
			if($('#fc_pc1_radio9').prop('previousValue',true)){
				$('#fc_pc1_radio9').prop('checked',false);
				$('#fc_pc1_radio9').prop('disabled',true);
			}				
			if($('#fc_pc2_radio9').prop('previousValue',true)){
				$('#fc_pc2_radio9').prop('checked',false);
				$('#fc_pc2_radio9').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_8_1').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_8_1').prop('checked');
		if (isChecked == true){			
			$('#fc_n_8_1,#fc_n_8').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');			
		} else {
			var isChecked = $('#fc_tf_8_2').prop('checked');
			if (isChecked == true){
				$('#fc_n_8_1').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_8_1,#fc_n_8').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
		}
	});
	$('#fc_tf_8_2').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_8_2').prop('checked');
		if (isChecked == true){			
			$('#fc_n_8_2,#fc_n_8').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio9,#fc_pc2_radio9').prop('disabled',false);
			$('#fc_pc1_radio9 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio9 + label span').removeClass('radio_grey');
		} else {
			$('#fc_pc1_radio9 + label span').addClass('radio_grey');
			$('#fc_pc2_radio9 + label span').addClass('radio_grey');
			var isChecked = $('#fc_tf_8_1').prop('checked');
			if (isChecked == true){
				$('#fc_n_8_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_8_2,#fc_n_8').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
			if($('#fc_pc1_radio9').prop('previousValue',true)){
				$('#fc_pc1_radio9').prop('checked',false);
				$('#fc_pc1_radio9').prop('disabled',true);
			}				
			if($('#fc_pc2_radio9').prop('previousValue',true)){
				$('#fc_pc2_radio9').prop('checked',false);
				$('#fc_pc2_radio9').prop('disabled',true);
			}
		}
	});
	
	$('#fc_tf_9').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_9').prop('checked');
		if (isChecked == true){
			$('#fc_n_9,#fc_n_9_1,#fc_n_9_2,#fc_n_9_3').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio9,#fc_pc2_radio9').prop('disabled',false);
			$('#fc_pc1_radio9 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio9 + label span').removeClass('radio_grey');
		} else {
			$('#fc_n_9,#fc_n_9_1,#fc_n_9_2,#fc_n_9_3').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('#fc_pc1_radio9 + label span').addClass('radio_grey');
			$('#fc_pc2_radio9 + label span').addClass('radio_grey');
			if($('#fc_pc1_radio9').prop('previousValue',true)){
				$('#fc_pc1_radio9').prop('checked',false);
				$('#fc_pc1_radio9').prop('disabled',true);
			}
				
			if($('#fc_pc2_radio9').prop('previousValue',true)){
				$('#fc_pc2_radio9').prop('checked',false);
				$('#fc_pc2_radio9').prop('disabled',true);
			}
		}
	});
	$('#fc_tf_9_1').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_9_1').prop('checked');
		if (isChecked == true){			
			$('#fc_n_9_1,#fc_n_9').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');			
		} else {
			var isChecked = $('#fc_tf_9_2').prop('checked') || $('#fc_tf_9_3').prop('checked');
			if (isChecked == true){
				$('#fc_n_9_1').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_9_1,#fc_n_9').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
		}
	});
	$('#fc_tf_9_2').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_9_2').prop('checked');
		if (isChecked == true){			
			$('#fc_n_9_2,#fc_n_9').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');			
		} else {
			var isChecked = $('#fc_tf_9_1').prop('checked') || $('#fc_tf_9_3').prop('checked');
			if (isChecked == true){
				$('#fc_n_9_2').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_9_2,#fc_n_9').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
		}
	});
	$('#fc_tf_9_3').on('click', function(e){
		//first check if radio is checked and uncheck it
		if ($('#fc_tf_radio').prop('checked',true))
			$('#fc_tf_radio').prop('checked',false);
		//then Enable - Disable number-box and caregivers-radio on checkbox click
		var isChecked = $('#fc_tf_9_3').prop('checked');
		if (isChecked == true){			
			$('#fc_n_9_3,#fc_n_9').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
			$('#fc_pc1_radio10,#fc_pc2_radio10').prop('disabled',false);
			$('#fc_pc1_radio10 + label span').removeClass('radio_grey');
			$('#fc_pc2_radio10 + label span').removeClass('radio_grey');	
		} else {
			var isChecked = $('#fc_tf_9_1').prop('checked') || $('#fc_tf_9_2').prop('checked');
			if (isChecked == true){
				$('#fc_n_9_3').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			} else {
				$('#fc_n_9_3,#fc_n_9').prop('disabled',true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			}
			$('#fc_pc1_radio10 + label span').addClass('radio_grey');
			$('#fc_pc2_radio10 + label span').addClass('radio_grey');			
			if($('#fc_pc1_radio10').prop('previousValue',true)){
				$('#fc_pc1_radio10').prop('checked',false);
				$('#fc_pc1_radio10').prop('disabled',true);
			}
				
			if($('#fc_pc2_radio10').prop('previousValue',true)){
				$('#fc_pc2_radio10').prop('checked',false);
				$('#fc_pc2_radio10').prop('disabled',true);
			}
		}
	});
	
	$('#fc_tf_radio').on('click', function(e){
		if ($('[type=checkbox]').prop('checked', true)){
			$('[type=checkbox]').prop('checked', false);
			$('#fc_n_1,#fc_n_2,#fc_n_3,#fc_n_4,#fc_n_4_1,#fc_n_4_2,#fc_n_4_3,#fc_n_5,#fc_n_6,#fc_n_6_1,#fc_n_6_1_1,#fc_n_6_1_2,#fc_n_6_2,#fc_n_6_2_1,#fc_n_6_2_2,#fc_n_7,#fc_n_7_1,#fc_n_7_2,#fc_n_8,#fc_n_8_1,#fc_n_8_2,#fc_tf_9,#fc_tf_9_1,#fc_tf_9_2,#fc_tf_9_3').prop('disabled', true).parent().removeClass('fc_green_bg_options_small').addClass('fc_green_bg_options_small_disabled');
			$('[name=fc_pc1_radio],[name=fc_pc2_radio]').prop('disabled', true);
			$('[name=fc_pc1_radio] + label span').removeClass('radio_grey');
			$('[name=fc_pc2_radio] + label span').removeClass('radio_grey');
			
			if($('[name=fc_pc1_radio],[name=fc_pc2_radio]').prop('previousValue',true));{
				$('[name=fc_pc1_radio],[name=fc_pc2_radio]').prop('checked', false);
				$('[name=fc_pc1_radio] + label span').addClass('radio_grey');
				$('[name=fc_pc2_radio] + label span').addClass('radio_grey');
			}
		}
	});
	//add numbers of members from subcategories
	$.each([ 4, 7, 8, 9 ],function( index, value ) {
		var textBox1 = $('#fc_n_' + value + '_1').keyup(values);
		var textBox2 = $('#fc_n_' + value + '_2').keyup(values);
		if ($('#fc_n_' + value + '_3').length){
			var textBox3 = $('#fc_n_' + value + '_3').keyup(values);
		}
		
		function values() {
			var value1 = textBox1.val();
			var value2 = textBox2.val();
			if (typeof textBox3 !== 'undefined'){
				var value3 = textBox3.val();
			}
			if (typeof value3 !== 'undefined'){
				var sum = add(value1, value2, value3);
				$('#fc_n_' + value + '').val(sum);
			} else {
				var sum = add(value1, value2);
				$('#fc_n_' + value + '').val(sum);
			}
		}

		function add() {
			var sum = 0;
			for (var i = 0, j = arguments.length; i < j; i++) {
				if (IsNumeric(arguments[i])) {
					sum += parseInt(arguments[i]);
				}
			}
			return sum;
		}
		function IsNumeric(input) {
			return (input - 0) == input && input.length > 0;
		}
	});
	//add numbers of members from subcategories
	$(function() {
		var textBox1 = $('#fc_n_6_1_1').keyup(value);
		var textBox2 = $('#fc_n_6_1_2').keyup(value);
		
		var textBox3 = $('#fc_n_6_2_1').keyup(value);
		var textBox4 = $('#fc_n_6_2_2').keyup(value);
		
		function value() {
			var value1 = textBox1.val();
			var value2 = textBox2.val();
			
			var value3 = textBox3.val();
			var value4 = textBox4.val();

			var sum1 = add(value1, value2 );
			$('#fc_n_6_1').val(sum1);
			
			var sum2 = add(value3, value4 );
			$('#fc_n_6_2').val(sum2);
			
			var sum3 = sum1 + sum2 ;
			$('#fc_n_6').val(sum3);
		}

		function add() {
			var sum = 0;
			for (var i = 0, j = arguments.length; i < j; i++) {
				if (IsNumeric(arguments[i])) {
					sum += parseInt(arguments[i]);
				}
			}
			return sum;
		}
		function IsNumeric(input) {
			return (input - 0) == input && input.length > 0;
		}
		
	});	

	//if user return back to the family_composition page, on load we enable his previus options
	if ($('#fc_tf_1').prop('checked') == true){
		$('#fc_n_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio1,#fc_pc2_radio1').prop('disabled',false);
		$('#fc_pc1_radio1 + label span,#fc_pc2_radio1 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_2').prop('checked') == true){
		$('#fc_n_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio2,#fc_pc2_radio2').prop('disabled',false);
		$('#fc_pc1_radio2 + label span,#fc_pc2_radio2 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_3').prop('checked') == true){
		$('#fc_n_3').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio3,#fc_pc2_radio3').prop('disabled',false);
		$('#fc_pc1_radio3 + label span,#fc_pc2_radio3 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_4').prop('checked') == true){
		$('#fc_n_4').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_4_1').prop('checked') == true){
		$('#fc_n_4_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_4_2').prop('checked') == true){
		$('#fc_n_4_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_4_3').prop('checked') == true){
		$('#fc_n_4_3').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio4,#fc_pc2_radio4').prop('disabled',false);
		$('#fc_pc1_radio4 + label span,#fc_pc2_radio4 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_5').prop('checked') == true){
		$('#fc_n_5').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio5,#fc_pc2_radio5').prop('disabled',false);
		$('#fc_pc1_radio5 + label span,#fc_pc2_radio5 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_6').prop('checked') == true){
		$('#fc_n_6').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_6_1').prop('checked') == true){
		$('#fc_n_6_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_6_1_1').prop('checked') == true){
		$('#fc_n_6_1_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_6_1_2').prop('checked') == true){
		$('#fc_n_6_1_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio6,#fc_pc2_radio6').prop('disabled',false);
		$('#fc_pc1_radio6 + label span,#fc_pc2_radio6 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_6_2').prop('checked') == true){
		$('#fc_n_6_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_6_2_1').prop('checked') == true){
		$('#fc_n_6_2_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_6_2_2').prop('checked') == true){
		$('#fc_n_6_2_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio7,#fc_pc2_radio7').prop('disabled',false);
		$('#fc_pc1_radio7 + label span,#fc_pc2_radio7 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_7').prop('checked') == true){
		$('#fc_n_7').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_7_1').prop('checked') == true){
		$('#fc_n_7_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_7_2').prop('checked') == true){
		$('#fc_n_7_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio8,#fc_pc2_radio8').prop('disabled',false);
		$('#fc_pc1_radio8 + label span,#fc_pc2_radio8 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_8').prop('checked') == true){
		$('#fc_n_8').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_8_1').prop('checked') == true){
		$('#fc_n_8_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_8_2').prop('checked') == true){
		$('#fc_n_8_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio9,#fc_pc2_radio9').prop('disabled',false);
		$('#fc_pc1_radio9 + label span,#fc_pc2_radio9 + label span').removeClass('radio_grey');
	}
	if ($('#fc_tf_9').prop('checked') == true){
		$('#fc_n_9').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_9_1').prop('checked') == true){
		$('#fc_n_9_1').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_9_2').prop('checked') == true){
		$('#fc_n_9_2').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
	}
	if ($('#fc_tf_9_3').prop('checked') == true){
		$('#fc_n_9_3').prop('disabled',false).parent().removeClass('fc_green_bg_options_small_disabled').addClass('fc_green_bg_options_small');
		$('#fc_pc1_radio10,#fc_pc2_radio10').prop('disabled',false);
		$('#fc_pc1_radio10 + label span,#fc_pc2_radio10 + label span').removeClass('radio_grey');
	}

});
</script>

<!-- Resize fonts in case of translation -->
<script>
jQuery(document).ready(function(){
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}
	$('#fc_number_title strong').css('font-size', '20px');
	while( $('#fc_number_title strong').height() > $('#fc_number_title').height() ) {
		$('#fc_number_title strong').css('font-size', (parseInt($('#fc_number_title strong').css('font-size')) - 1) + "px" );
	}
	$('#fc_primary_caregivers_title strong').css('font-size', '20px');
	while( $('#fc_primary_caregivers_title strong').height() > $('#fc_primary_caregivers_title').height() ) {
		$('#fc_primary_caregivers_title strong').css('font-size', (parseInt($('#fc_primary_caregivers_title strong').css('font-size')) - 1) + "px" );
	}
});
</script>

</body>
</html>

<?php

} else {
	header("location: index.php");
}
?>