<?php 

include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

//Set feedback of a known incident
if (isset($_POST['feedback_known_record'])){

	$db->query("SELECT * FROM s_feedback WHERE incident_id='".$_POST['incident_id']."' AND referral_agency_id='".$_SESSION["ssUser"]['agency_id']."'"); 
	if ($db->next()) {
		$_SESSION["Data"]['feedback_referral_agency_id'] = $db->Record['referral_agency_id'];
		$_SESSION["Data"]['feedback_incident_id'] = $db->Record['incident_id'];
		$_SESSION["Data"]['feedback_child_id'] = $db->Record['child_id'];
		$_SESSION["Data"]['feedback_status'] = $db->Record['status'];		
	}
	//For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("Set Feedback"); ?></p>
			</div>
			
			<div id="record_info">
				<span><strong><?php echo get_trans("STATUS"); ?></strong></span></br>
				<span><?php echo get_trans("Agency ID"); ?>: <strong><?php if (isset($_SESSION["Data"]['feedback_referral_agency_id'])) echo $_SESSION["Data"]['feedback_referral_agency_id']; ?></strong></span></br>
				<span><?php echo get_trans("Incident ID"); ?>: <strong><?php if (isset($_SESSION["Data"]['feedback_incident_id'])) echo $_SESSION["Data"]['feedback_incident_id']; ?></strong></span></br>
				<span><?php echo get_trans("Child ID"); ?>: <strong><?php if (isset($_SESSION["Data"]['feedback_child_id'])) echo $_SESSION["Data"]['feedback_child_id']; ?></strong></span></br>
				<span><?php echo get_trans("Status"); ?>: <strong><?php if (isset($_SESSION["Data"]['feedback_status'])) echo get_trans($_SESSION["Data"]['feedback_status']); ?></strong></span>
			</div>
			
			<form action="list_feedback.php" method="post">
				<table style="clear:both;">
					<tr>
						<td>						
							<div class="rts_s2a_green_bg_options">	
								<input type="radio" name="f_radio" id="f_radio1" value="Provided as provisioned" <?php if (isset($_SESSION["Data"]['feedback_status']) && $_SESSION["Data"]['feedback_status'] == "Provided as provisioned") { echo 'checked="checked"';} ?> />
								<label for="f_radio1"><span></span><?php echo get_trans("Provided as provisioned"); ?></label>
							</div>
							<div class="rts_s2a_green_bg_options">	
								<input type="radio" name="f_radio" id="f_radio2" value="Provided- NOT as provisioned due to family" <?php if (isset($_SESSION["Data"]['feedback_status']) && $_SESSION["Data"]['feedback_status'] == "Provided- NOT as provisioned due to family") { echo 'checked="checked"';} ?> />
								<label for="f_radio2"><span></span><?php echo get_trans("Provided- NOT as provisioned due to family"); ?></label>
							</div>
							<div class="rts_s2a_green_bg_options">	
								<input type="radio" name="f_radio" id="f_radio3" value="Provided-NOT as provisioned due to agency" <?php if (isset($_SESSION["Data"]['feedback_status']) && $_SESSION["Data"]['feedback_status'] == "Provided-NOT as provisioned due to agency") { echo 'checked="checked"';} ?> />
								<label for="f_radio3"><span></span><?php echo get_trans("Provided-NOT as provisioned due to agency"); ?></label>
							</div>
							<div class="rts_s2a_green_bg_options">	
								<input type="radio" name="f_radio" id="f_radio4" value="NOT provided due to family" <?php if (isset($_SESSION["Data"]['feedback_status']) && $_SESSION["Data"]['feedback_status'] == "NOT provided due to family") { echo 'checked="checked"';} ?> />
								<label for="f_radio4"><span></span><?php echo get_trans("NOT provided due to family"); ?></label>
							</div>
							<div class="rts_s2a_green_bg_options">	
								<input type="radio" name="f_radio" id="f_radio5" value="NOT provided due to responsible agency" <?php if (isset($_SESSION["Data"]['feedback_status']) && $_SESSION["Data"]['feedback_status'] == "NOT provided due to responsible agency") { echo 'checked="checked"';} ?> />
								<label for="f_radio5"><span></span><?php echo get_trans("NOT provided due to responsible agency"); ?></label>
							</div>
							<div class="rts_s2a_green_bg_options">	
								<input type="radio" name="f_radio" id="f_radio6" value="Process is ongoing" <?php if (isset($_SESSION["Data"]['feedback_status']) && $_SESSION["Data"]['feedback_status'] == "Process is ongoing") { echo 'checked="checked"';} ?> />
								<label for="f_radio6"><span></span><?php echo get_trans("Process is ongoing"); ?></label>
							</div>
							<div class="rts_s2a_green_bg_options">	
								<input type="radio" name="f_radio" id="f_radio7" value="NO INFORMATION" <?php if (isset($_SESSION["Data"]['feedback_status']) && $_SESSION["Data"]['feedback_status'] == "NO INFORMATION") { echo 'checked="checked"';} ?> />
								<label for="f_radio7"><span></span><?php echo get_trans("NO INFORMATION"); ?></label>
							</div>
						</td>
					</tr>
					<tr>
						<td style="text-align: center; padding-top: 10px;">
							<input type="hidden" name="incident_id" value="<?php echo $_SESSION["Data"]['feedback_incident_id']; ?>">
							<input type="hidden" name="incident_id" value="<?php echo $_SESSION["Data"]['feedback_referral_agency_id']; ?>">
							<input class="save_button" type="submit" name="save_feedback" value="<?php echo get_trans("Save Feedback"); ?>" />
							<input class="cancel_button" type="button"  onclick="location.href='list_feedback.php';" value="<?php echo get_trans("Cancel"); ?>" />
						</td>
					</tr>
				</table>				
			</form>

		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>			
			<?php include 'includes/records_table.php'; ?>	
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'display_record.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'feedback.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

</body>
</html>

<?php
	
} else {
	header("location: index.php");
}
?>