<!-- <link href="/admin/application/js_css/css/style.css" rel="stylesheet"> -->
<style>
.btn{
	padding: 5px 10px;
	border-radius: 20px;
	color: #fff;
	text-decoration: none;
	-webkit-box-shadow: 0px 0px 25px -2px rgba(0,0,0,1);
-moz-box-shadow: 0px 0px 25px -2px rgba(0,0,0,1);
box-shadow: 0px 0px 25px -2px rgba(0,0,0,1);

}
.btn:hover{
	-webkit-box-shadow: inset 0px 0px 0px 2px rgba(255,255,255,1);
-moz-box-shadow: inset 0px 0px 0px 2px rgba(255,255,255,1);
box-shadow: inset 0px 0px 0px 2px rgba(255,255,255,1);
}
.btn-info{
	background-color: #31859c;
	margin-right: 10px;
}
.btn-warning{
	background-color: #f67d2d;
}
</style>

<div id="records_wrapper">
	<div id="record_progress"><?php echo get_trans("Record Progress"); ?></div>	
	<table id="records_inner">		
		<tr>
			<?php if(isset($_SESSION["ssUser"]['agency_id'])) { ?>		
			<td class="left_text_orange"><img src="images/buttons-orange-left.png" title="R1 - <?php echo get_trans("Agency's ID"); ?>" ></td>
			<td class="right_text_orange"><input name="operators_id" type="text" readonly="readonly" value="<?php echo $_SESSION["ssUser"]['agency_id']; ?>" title="<?php echo $_SESSION["ssUser"]['agency_id']; ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>R1</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Agency's ID"); ?>"><?php echo get_trans("Agency's ID"); ?></p></div></td>
			<?php } ?>			
		</tr>
		<tr>
			<?php if(isset($_SESSION["ssUser"]['operators_id'])) { ?>
			<td class="left_text_orange"><img src="images/buttons-orange-left.png" title="R2 - <?php echo get_trans("Operator's ID"); ?>" ></td>
			<td class="right_text_orange"><input name="operators_id" type="text" readonly="readonly" value="<?php echo $_SESSION["ssUser"]['operators_id']; ?>" title="<?php echo $_SESSION["ssUser"]['operators_id']; ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>R2</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Operator's ID"); ?>"><?php echo get_trans("Operator's ID"); ?></p></div></td>
			<?php } ?>	
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['search_childs_id'])) { ?>
			<td class="left_text_green"><a href="search.php"><img src="images/buttons-green-left.png" title="C1 - <?php echo get_trans("Child's ID"); ?>" ></a></td>
			<td class="right_text_green"><input name="childs_id" type="text" readonly="readonly" value="<?php echo $_SESSION["Data"]['search_childs_id'] ?>" title="<?php echo $_SESSION["Data"]['search_childs_id'] ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>C1</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Child's ID"); ?>"><?php echo get_trans("Child's ID"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['date_time'])) { ?>
			<td class="left_text_orange"><img src="images/buttons-orange-left.png" title="R3 - <?php echo get_trans("Date of Record"); ?>" ></td>
			<td class="right_text_orange"><input name="date_of_record" type="text" readonly="readonly" value="<?php echo $_SESSION["Data"]['date_time']; ?>" title="<?php echo $_SESSION["Data"]['date_time']; ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>R3</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Date of Record"); ?>"><?php echo get_trans("Date of Record"); ?></p></div></td>
			<?php } ?>
		</tr>		
		<tr>
			<?php if(isset($_SESSION["Data"]['incident_id'])) { ?>
			<td class="left_text_orange"><img src="images/buttons-orange-left.png" title="I1 - <?php echo get_trans("Incident's ID"); ?>" ></td>
			<td class="right_text_orange"><input name="date_of_incident" type="text" readonly="readonly" value="<?php echo $_SESSION["Data"]['incident_id']; ?>" title="<?php echo $_SESSION["Data"]['incident_id']; ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>I1</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Incident's ID"); ?>"><?php echo get_trans("Incident's ID"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'])) { ?>
			<td class="left_text_green"><a href="date_of_incident.php"><img src="images/buttons-green-left.png" title="I2 - <?php echo get_trans("Date of Incident"); ?>" ></a></td>
			<td class="right_text_green"><input name="date_of_incident" type="text" readonly="readonly" value="<?php			
			if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_date_of_incident_right_panel']); $i++){
					if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i])){
						echo htmlspecialchars(get_trans($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i]));
					}
				}
			}
			?>" title="<?php
			if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_date_of_incident_right_panel']); $i++){
					if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i])){						
						echo htmlspecialchars(get_trans($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i]));						
					}
				}
			}
			?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>I2</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Date of Incident"); ?>"><?php echo get_trans("Date of Incident"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['soi_level1'])) { ?>
			<td class="left_text_green"><a href="source_of_information.php"><img src="images/buttons-green-left.png" title="R4 - <?php echo get_trans("Source of Information"); ?>" ></a></td>
			<td class="right_text_green"><input name="source_of_information" type="text" readonly="readonly" value="<?php echo get_trans($_SESSION["Data"]['soi_level1']); ?>" title="<?php echo get_trans($_SESSION["Data"]['soi_level1']); ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>R4</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Source of Information"); ?>"><?php echo get_trans("Source of Information"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if( isset($_SESSION["Data"]['dis_array_fom_ac_user_checked_options']) || isset($_SESSION["Data"]['dis_array_fom_o_user_checked_options']) ) { ?>
			<td class="left_text_green"><a href="forms_of_maltreatment.php"><img src="images/buttons-green-left.png" title="I3 - <?php echo get_trans("Forms of Maltreatment"); ?>" ></a></td>
			<td class="right_text_green"><input name="forms_of_maltreatment" type="text" readonly="readonly" value="<?php 
			if (isset($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_fom_ac_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'][$i]);
						else
							echo ' - '.get_trans($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'][$i]);
					}
				}
			}
			
			if (isset($_SESSION["Data"]['dis_array_fom_o_user_checked_options'])) {
				if (isset($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'])) {
					echo ' -- ';
				}
					for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_fom_o_user_checked_options']); $i++){
						if (isset($_SESSION["Data"]['dis_array_fom_o_user_checked_options'][$i])){
							if ($i == 0)
								echo get_trans($_SESSION["Data"]['dis_array_fom_o_user_checked_options'][$i]);
							else
								echo ' - '.get_trans($_SESSION["Data"]['dis_array_fom_o_user_checked_options'][$i]);
						}
					}
			}			
			?>" title="<?php
			if (isset($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_fom_ac_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'][$i]);
						else
							echo ' - '.get_trans($_SESSION["Data"]['dis_array_fom_ac_user_checked_options'][$i]);
					}
				}
			}			
			if (isset($_SESSION["Data"]['dis_array_fom_o_user_checked_options'])) {
				echo ' -- ';
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_fom_o_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_fom_o_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_fom_o_user_checked_options'][$i]);
						else
							echo ' - '.get_trans($_SESSION["Data"]['dis_array_fom_o_user_checked_options'][$i]);
					}
				}
			}
			?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>I3</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Forms of Maltreatment"); ?>"><?php echo get_trans("Forms of Maltreatment"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['dis_array_poi_all_user_checked_options'])) { ?>
			<td class="left_text_green"><a href="place_of_incident.php"><img src="images/buttons-green-left.png" title="I4 - <?php echo get_trans("Place of Incident"); ?>" ></a></td>
			<td class="right_text_green"><input name="place_of_incident" type="text" readonly="readonly" value="<?php
			if (isset($_SESSION["Data"]['dis_array_poi_all_user_checked_options'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_poi_all_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_poi_all_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_poi_all_user_checked_options'][$i]);
						else
							echo ', '.get_trans($_SESSION["Data"]['dis_array_poi_all_user_checked_options'][$i]);
					}
				}
			}			
			?>" title="<?php 			
			if (isset($_SESSION["Data"]['dis_array_poi_all_user_checked_options'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_poi_all_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_poi_all_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_poi_all_user_checked_options'][$i]);
						else
							echo ', '.get_trans($_SESSION["Data"]['dis_array_poi_all_user_checked_options'][$i]);
					}
				}
			}			
			?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>I4</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Place of Incident"); ?>"><?php echo get_trans("Place of Incident"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['csdc_radio1'])) { ?>
			<td class="left_text_green"><a href="<?php if (!isset($_SESSION["Data"]['add_new_incident'])) echo 'childs_sex_dob_citizenship.php'; else echo '#'; ?>"><img src="images/buttons-green-left.png" title="C2 - <?php echo get_trans("Child's Sex"); ?>" ></a></td>
			<td class="right_text_green"><input name="childs_sex" type="text" readonly="readonly" value="<?php echo get_trans($_SESSION["Data"]['csdc_radio1']); ?>" title="<?php echo get_trans($_SESSION["Data"]['csdc_radio1']); ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>C2</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Child's Sex"); ?>"><?php echo get_trans("Child's Sex"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['csdc_right_panel'])) { ?>
			<td class="left_text_green"><a href="<?php if (!isset($_SESSION["Data"]['add_new_incident'])) echo 'childs_sex_dob_citizenship.php'; else echo '#'; ?>"><img src="images/buttons-green-left.png" title="C3 - <?php echo get_trans("Child's DoB"); ?>" ></a></td>
			<td class="right_text_green"><input name="childs_dob" type="text" readonly="readonly" value="<?php echo get_trans($_SESSION["Data"]['csdc_right_panel']); ?>" title="<?php echo get_trans($_SESSION["Data"]['csdc_right_panel']); ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>C3</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Child's DoB"); ?>"><?php echo get_trans("Child's DoB"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['csdc_radio3'])) { ?>
			<td class="left_text_green"><a href="<?php if (!isset($_SESSION["Data"]['add_new_incident'])) echo 'childs_sex_dob_citizenship.php'; else echo '#'; ?>"><img src="images/buttons-green-left.png" title="C4 - <?php echo get_trans("Child's Citizenship Status"); ?>" ></a></td>
			<td class="right_text_green"><input name="childs_citizenship" type="text" readonly="readonly" value="<?php echo get_trans($_SESSION["Data"]['csdc_radio3']); ?>" title="<?php echo get_trans($_SESSION["Data"]['csdc_radio3']); ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>C4</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Child's Citizenship Status"); ?>"><?php echo get_trans("Child's Citizenship Status"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['dis_array_fc_user_checked_options'])) { ?>
			<td class="left_text_green"><a href="<?php if (!isset($_SESSION["Data"]['add_new_incident'])) echo 'family_composition.php'; else echo '#'; ?>"><img src="images/buttons-green-left.png" title="F1 - <?php echo get_trans("Family Composition"); ?>" ></a></td>
			<td class="right_text_green"><input name="family_composition" type="text" readonly="readonly" value="<?php
				if (isset($_SESSION["Data"]['dis_array_fc_user_checked_options'])) {
					for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_fc_user_checked_options']); $i++){
						if (isset($_SESSION["Data"]['dis_array_fc_user_checked_options'][$i])){
							echo get_trans($_SESSION["Data"]['dis_array_fc_user_checked_options'][$i]);							
						}
					}
				}		
			?>" title="<?php			
				if (isset($_SESSION["Data"]['dis_array_fc_user_checked_options'])) {
					for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_fc_user_checked_options']); $i++){
						if (isset($_SESSION["Data"]['dis_array_fc_user_checked_options'][$i])){
							echo get_trans($_SESSION["Data"]['dis_array_fc_user_checked_options'][$i]);							
						}
					}
				}			
			?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>F1</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Family Composition"); ?>"><?php echo get_trans("Family Composition"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['crcsdob_radio_1st_rel']) ) { ?>
			<td class="left_text_green"><a href="<?php if (!isset($_SESSION["Data"]['add_new_incident'])) echo 'caregivers_relationship_sex_dob.php'; else echo '#'; ?>"><img src="images/buttons-green-left.png" title="F2 - <?php echo get_trans("CGs Relationship to Child"); ?>" ></a></td>
			<td class="right_text_green"><input name="caregivers_relationship_to_child" type="text" readonly="readonly" value="<?php echo get_trans($_SESSION["Data"]['crcsdob_radio_1st_rel']); if (isset($_SESSION["Data"]['crcsdob_radio_2nd_rel'])) echo ' - '. get_trans($_SESSION["Data"]['crcsdob_radio_2nd_rel']); ?>" title="<?php echo get_trans($_SESSION["Data"]['crcsdob_radio_1st_rel']); if (isset($_SESSION["Data"]['crcsdob_radio_2nd_rel'])) echo ' - '. get_trans($_SESSION["Data"]['crcsdob_radio_2nd_rel']); ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>F2</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("CGs Relationship to Child"); ?>"><?php echo get_trans("CGs Relationship to Child"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['crcsdob_radio_1st_sex']) ) { ?>
			<td class="left_text_green"><a href="<?php if (!isset($_SESSION["Data"]['add_new_incident'])) echo 'caregivers_relationship_sex_dob.php'; else echo '#'; ?>"><img src="images/buttons-green-left.png" title="F3 - <?php echo get_trans("Caregiver(s)' Sex"); ?>" ></a></td>
			<td class="right_text_green"><input name="caregivers_sex" type="text" readonly="readonly" value="<?php echo get_trans($_SESSION["Data"]['crcsdob_radio_1st_sex']); if (isset($_SESSION["Data"]['crcsdob_radio_2nd_sex'])) echo ' - '. get_trans($_SESSION["Data"]['crcsdob_radio_2nd_sex']); ?>" title="<?php echo get_trans($_SESSION["Data"]['crcsdob_radio_1st_sex']); if (isset($_SESSION["Data"]['crcsdob_radio_2nd_sex'])) echo ' - '. get_trans($_SESSION["Data"]['crcsdob_radio_2nd_sex']); ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>F3</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Caregiver(s)' Sex"); ?>"><?php echo get_trans("Caregiver(s)' Sex"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'])) { ?>
			<td class="left_text_green"><a href="<?php if (!isset($_SESSION["Data"]['add_new_incident'])) echo 'caregivers_relationship_sex_dob.php'; else echo '#'; ?>"><img src="images/buttons-green-left.png" title="F4 - <?php echo get_trans("Caregiver(s)' DoB"); ?>" ></a></td>
			<td class="right_text_green"><input name="caregivers_dob" type="text" readonly="readonly" value="<?php echo get_trans($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel']); if (isset($_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'])) echo ' - '. get_trans($_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel']); ?>" title="<?php echo get_trans($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel']); if (isset($_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'])) echo ' - '. get_trans($_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel']); ?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>F4</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Caregiver(s)' DoB"); ?>"><?php echo get_trans("Caregiver(s)' DoB"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['dis_array_ir_all_user_checked_options'])) { ?>
			<td class="left_text_green"><a href="institutional_response.php"><img src="images/buttons-green-left.png" title="S1 - <?php echo get_trans("Institutional Response"); ?>" ></a></td>
			<td class="right_text_green"><input name="institutional_response" type="text" readonly="readonly" value="<?php
			if (isset($_SESSION["Data"]['dis_array_ir_all_user_checked_options'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_ir_all_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_ir_all_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_ir_all_user_checked_options'][$i]);
						else
							echo ' - '.get_trans($_SESSION["Data"]['dis_array_ir_all_user_checked_options'][$i]);
					}
				}
			}			
			?>" title="<?php
			if (isset($_SESSION["Data"]['dis_array_ir_all_user_checked_options'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_ir_all_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_ir_all_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_ir_all_user_checked_options'][$i]);
						else
							echo ' - '.get_trans($_SESSION["Data"]['dis_array_ir_all_user_checked_options'][$i]);
					}
				}
			}
			?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>S1</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Institutional Response"); ?>"><?php echo get_trans("Institutional Response"); ?></p></div></td>
			<?php } ?>
		</tr>
		<tr>
			<?php if(isset($_SESSION["Data"]['dis_array_rts_all_user_checked_options'])) { ?>
			<td class="left_text_green"><a href="referrals_to_services.php"><img src="images/buttons-green-left.png" title="S2 - <?php echo get_trans("Referral(s) to Services"); ?>" ></a></td>
			<td class="right_text_green"><input name="referrals_to_services" type="text" readonly="readonly" value="<?php 
			if (isset($_SESSION["Data"]['dis_array_rts_all_user_checked_options'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_rts_all_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_rts_all_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_rts_all_user_checked_options'][$i]);
						else
							echo ' - '.get_trans($_SESSION["Data"]['dis_array_rts_all_user_checked_options'][$i]);
					}
				}
			}
			?>" title="<?php 
			if (isset($_SESSION["Data"]['dis_array_rts_all_user_checked_options'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_rts_all_user_checked_options']); $i++){
					if (isset($_SESSION["Data"]['dis_array_rts_all_user_checked_options'][$i])){
						if ($i == 0)
							echo get_trans($_SESSION["Data"]['dis_array_rts_all_user_checked_options'][$i]);
						else
							echo ' - '.get_trans($_SESSION["Data"]['dis_array_rts_all_user_checked_options'][$i]);
					}
				}
			}			
			?>" /></td>
			<?php } else { ?>
			<td class="left_text"><p>S2</p></td>
			<td class="right_text"><div><p title="<?php echo get_trans("Referral(s) to Services"); ?>"><?php echo get_trans("Referral(s) to Services"); ?></p></div></td>
			<?php } ?>
		</tr>					
	</table>
	
	<?php
	// Print button - Excluded from above pages
	$currentPath = $_SERVER['PHP_SELF'];
	$pathInfo = pathinfo($currentPath);	
	
	if ($_SERVER['REQUEST_URI'] !== $pathInfo['dirname']."/index.php"
		&& $_SERVER['REQUEST_URI'] !== $pathInfo['dirname']."/"
		&& $_SERVER['REQUEST_URI'] !== $pathInfo['dirname']."/record_complete.php" 
		&& $_SERVER['REQUEST_URI'] !== $pathInfo['dirname']."/welcome.php" 
		&& $_SERVER['REQUEST_URI'] !== $pathInfo['dirname']."/search.php" 
		&& $_SERVER['REQUEST_URI'] !== $pathInfo['dirname']."/child_result.php" ){ 
	?>
	<form>
		<input class="print_button" type="button" title="Print" onClick="window.print();">
	</form>
	<div style="float:right; margin-top: -35px;margin-right: 10px;">		
		<a href="logout.php" class="btn btn-warning"><?php echo get_trans("Log out!"); ?></a>
	</div>
	<?php } ?>
</div>