<?php


		include('includes/connect.php');
		session_start(); // Starting Session

		//If user is already connected redirect on welcome.php
		if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {
			header("Location: welcome.php"); // Redirecting To Welcome Page
		}

		$error=''; // Variable To Store Error Message
		if (isset($_POST['submit'])) {
			if (empty($_POST['username']) || empty($_POST['password'])) {
				$error = "Username or Password is invalid";
			}
			else
			{
				// Define $username and $password
				$username=$_POST['username'];
				$password=$_POST['password'];
		
				// To protect MySQL injection for Security purpose
				$username = stripslashes($username);
				$password = stripslashes($password);
				$username = mysqli_real_escape_string($db->dbLink,$username);
				$password = mysqli_real_escape_string($db->dbLink,$password);
				
				$ret = $db->query_bind("select u_users.*,u_agencies.agency_name,u_agencies.phone as agency_phone,u_agencies.email as agency_email,u_agencies.country
										from u_users 
										inner join u_agencies on u_agencies.id=u_users.agency_nid
										where u_users.username=?",array($username));

				if (!empty($ret))  {
					
						if ($ret['password'] == sha1($password.$ret['salt'])) {				
						
							$_SESSION["ssUser"]['id'] = $ret['id'];
							$_SESSION["ssUser"]['login_user'] = $ret['username'];
							$_SESSION["ssUser"]['agency_id'] = $ret['agency_id'];
							$_SESSION["ssUser"]['operators_id'] = $ret['operators_id'];
							$_SESSION["ssUser"]['language'] = $ret['language_nid'];
							$_SESSION["ssUser"]['access_level'] = $ret['access_level'];
							$_SESSION["ssUser"]['agency_name'] = $ret['agency_name'];
							$_SESSION["ssUser"]['agency_phone'] = $ret['agency_phone'];
							$_SESSION["ssUser"]['agency_email'] = $ret['agency_email'];
							
							$_SESSION["ssUser"]['phone'] = $ret['phone'];
							$_SESSION["ssUser"]['email'] = $ret['email'];
							
							$_SESSION["ssUser"]['country'] = $ret['country'];
							$_SESSION["ssUser"]['agency_nid'] = $ret['agency_nid'];
							$_SESSION["ssUser"]['operators_nid'] = $ret['id'];
							$_SESSION["ssUser"]['loggedin'] = true;		
							
							header("location: memo.php"); // Redirecting To Other Page
						} else {
							$error = "Username or Password is invalid";
						}
				} else {
					$error = "Username or Password is invalid";	
				}
			}
		}
		?>

			<!DOCTYPE html>
			<html lang="en">
			  <head>
				<meta charset="utf-8">
				<meta http-equiv="X-UA-Compatible" content="IE=edge">
				<meta name="viewport" content="width=device-width, initial-scale=1">
				<title>CAN-MDS-SS</title>

				<!-- CSS References -->
				<!-- Bootstrap -->
				<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css">    
				<!-- Font Awesome -->
				<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
				<!-- dataTables -->
				<link rel="stylesheet" href="//cdn.datatables.net/plug-ins/f2c75b7247b/integration/bootstrap/3/dataTables.bootstrap.css">
				<!-- datepicker -->
				<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.3.0/css/datepicker.min.css" />
				<!-- Custom -->
				<link href="/can/assets/css/style.css" rel="stylesheet">

				<!-- JavaScript References -->
				<!-- jQuery -->
				<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
				<!-- Bootstrap -->
				<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
		

			</head>
				<body>
						<div id="container"><h1><div id="logo"></div></h1>
							<div id="body">
								<div id="login_wrapper">
									<form action="index.php" method="post">
										<p>
											<div class='form-group'>
												<label><?php echo get_trans("ENTER Username"); ?></label>
												<input type="text" name="username" value="" class="form-control input-lg" autofocus="autofocus" autocomplete="off"  />
											</div>
										</p>
										<p>
											<div class='form-group'>
												<label><?php echo get_trans("ENTER Password"); ?></label>
												<input type="password" name="password" value="" class="form-control input-lg" autocomplete="off"  />
											</div>
										</p>
										<p>
											<input type="submit"  name="submit" value="<?php echo get_trans("Log in"); ?>" class="btn btn-primary btn-lg"  />
										</p>
										<div style="color:red" id="ErrLoginUser"></div>
									</form>	
								</div>
							</div>		
							<p class="footer"><strong>&copy; can-via-mds 2014-2019</strong></p>
						</div>
						<script src="/can/assets/js/scripts.js"></script>
				</body>
			</html>
		

