<?php
include('includes/connect.php');
session_start();

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

	include_once ("libs/paging.php");
	
	$_SESSION["Data"]['last_activity'] = time(); // update last activity time stamp

	//Localization settings
	include('includes/get_lang.php');
	
	$sql = " select 
		id,
		child_id,
		date_time_of_record_for_db,
		type_of_record,
		DATE_FORMAT(date_time_of_record_for_db,'%d/%m/%Y %H:%i') as _date_time_of_record_for_db
	from  c_child 	
	where c_child.child_id not like 'CHILDTEMP_%'";
	
	
	if ($_SESSION["ssUser"]["access_level"]==0) { //  Prosbash se ola 
	
	} elseif ($_SESSION["ssUser"]["access_level"]==3) {
		$sql.= " and c_child.recorded_by_operator_nid='".$_SESSION["ssUser"]['operators_nid']."'  "; //OK
	} else {
		$sql.= " and c_child.recorded_by_operator_nid='".$_SESSION["ssUser"]['operators_nid']."'  ";
	}
	$sql.= " order by date_time_of_record_for_db desc";
	
	$ret = array();
	$pg = new paging();
	$pg->per_page = 40;
	$pg->sql_text = $sql;

	$arData = $pg->mkpage();
	$TotalRec = $pg->total_records;
	if (!is_array($ret)) {
		$arData=array();
	}
	
	/*$arData = array();
	$db->query($sql);
	while($db->next()) {
		$arData[]=$db->Record;
	}
	*/
	
	
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
<script>
jQuery(document).ready(function() {
	
    $('.load_incidents').click(function() {
		
	  cid = $(this).attr('data-id');
	  row = $(this).attr('data-row');
	
      $.ajax({
        type: "POST",
        url: "/ajax_load_incidents.php?cid="+cid,
        data: "",
        success: function(data) { 								
		  //$(".clearall").html('');
          //$("#sw_"+cid).html(data);
		  //$("#rw_"+cid).insertAfter('<tr>').append(data);
		  $(".clearall").remove();
		  $(data).insertAfter($('.display_record tbody tr:nth('+(row)+')'));
        }
      });
      return false;
    });
});
	
	
</script>
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>
<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
			
				<div class="title">
					<p><?php echo get_trans("List of Children’s ID"); ?></p>
				</div>
				
					<br><br>
					<table class="display_record">
						<tr>
							<td class="header"><b><?php echo get_trans("Child's ID")?></b></td>
							<td class="header"><b><?php echo get_trans("Date of Record"); ?></b></td>
							<td class="header"><b><?php echo get_trans("Type Of Record"); ?> </b></td>
							<td class="header"><b><?php echo get_trans("Details")?></b></td>
							<td class="header"><b><?php echo get_trans("Who work")?></b></td>
						</tr>						
						
						<?php 
						$cnt=1;
						foreach($arData as $k=>$v) { ?>
						<tr id="rw_<?php echo $v["id"]?>">
							<td><?php echo $v["child_id"]?></td>
							<td><?php echo $v["_date_time_of_record_for_db"]?></td>
							<td><?php echo $v["type_of_record"]?></td>
							<td><a href="javascript:void(0)" data-row="<?php echo $cnt?>" data-id="<?php echo $v["id"]?>" class="load_incidents"><i style="color:#000000" class="fa fa-search fa-lg"></i></a></td>
							<td>
								<?php 
									$_SESSION["Data"]['back_button'] = "list_of_child";
									echo '<form action="display_who_worked_with_child.php" method="post">';
									echo '<button  type="submit" class="display_button" title="Display record" name="display_who_worked_with_child"><i class="fa fa-search fa-lg"></i></button>';									
									echo '<input type="hidden" name="child_id" value="'.$v['child_id'].'">';
									echo '<input type="hidden" name="return" value="list_of_incidents">';
									echo '</form>';
								?>
							</td>
						</tr>

						<?php $cnt++; } ?>
					</table>
					
					<table style="width:100%">
					<tr>
					<td>
					<center>
					<?php
					
						if ($pg->num_pages>1) {

							
							if ((int)$pg->page > 1) {
									$p_data.="<a style=\"padding:5px;text-decoration:none;color:#4f81bc\" href=\"list_of_child.php?page=".$pg->prev_page."\">".get_trans("Previous")."</a>";
							} 	
					
							$num=array(); $q='';
							for($q=$pg->page-1;$q>=($pg->page-5);$q--)
								if ($q>=1)
									$num[]=$q;

							if (is_array($num))
								$num=array_reverse($num);

							for($q=$pg->page;$q<=($pg->page+5);$q++)
								if ($q<=$pg->num_pages)
										$num[]=$q;

							foreach($num as $k=>$i) 
							{
								if ($pg->page==$i)
									$p_data.="<a class=\"current\" style=\"text-decoration:none;padding:5px;color:##4f81bc\" href=\"javascript:void(0)\" >".$i."</a>";
								else
									$p_data.="<a style=\"text-decoration:none;padding:5px;color:#4f81bc\" href='list_of_child.php?page=".$i."'>".$i."</a> ";
							}
						
									
							if ((int)$pg->page < (int)$pg->num_pages) {
								$p_data.=" <a style=\"padding:5px;text-decoration:none;color:#4f81bc\" href=\"list_of_child.php?page=".$pg->next_page."\">".get_trans("Next")."</a>";
							} 
							
										
							echo $p_data;			

						}
					?>
					</center>
					</td>
					</tr>
					</table>
					
				
				
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
			
		</td> 
	</tr>
</table>
<div id="results"></div>

<?php include 'includes/scripts.php'; ?>	
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'memo.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'memo.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
	jQuery(document).ready(function(){
		$('.title p').css('font-size', '25px');
		while( $('.title p').height() > $('.title').height() ) {
			$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
		}
	});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>