<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

//Get user's ip
if(isset($_SERVER['HTTP_X_FORWARDED_FOR']) && $_SERVER['HTTP_X_FORWARTDED_FOR'] != '') {
    $ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
} else {
    $ip_address = $_SERVER['REMOTE_ADDR'];
}

$enable_mail=1;
//$mail_testaccount = "";

//HERE IS WHERE THE MAGIC HAPPENS :)
//Inserting data to database
//New child - adding child and incident info
if (isset($_POST['submit'])) {
	if (isset($_SESSION["Data"]['new_childs_id'])) {
		if (isset($_SESSION["Data"]['incident_id'],  $_SESSION["Data"]['dis_array_date_of_incident_right_panel'], $_SESSION["Data"]['date'],$_SESSION["Data"]['time'],$_SESSION["Data"]['soi_level1'] )){
			//Insert Child
			$arINS = array();
			$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
			$arINS["recorded_by_agency"]=$_SESSION["ssUser"]['agency_id'];
			$arINS["recorded_by_operator"]=$_SESSION["ssUser"]['operators_id'];
			$arINS["datetime_of_record"]=$_SESSION["Data"]['date_time'];
			$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
			$arINS["type_of_record"]='first_record';
			
			$arINS["recorded_by_agency_nid"]=$_SESSION["ssUser"]['agency_nid']; //NW
			$arINS["recorded_by_operator_nid"]=$_SESSION["ssUser"]['operators_nid']; //NW
			
			$db->insert("c_child",$arINS);
			$nid = $db->insert_id();
			
			
			//Insert Incident
			$exact_date_of_incident = "";
			$start_date = "";
			$duration_first_note = "";
			$duration_years = 0;
			$duration_months = 0;
			$duration_days = 0;
			$duration_last_note = "";
			$duration_special_situation = "";
			$last_known_cm_date = "";
			
			if (isset($_SESSION["Data"]['doi_2sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_2sub'];
				if (isset($_SESSION["Data"]['doi_date2']))
					$start_date = $_SESSION["Data"]['doi_date2'];
			} else if (isset($_SESSION["Data"]['doi_3sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_3sub'];
				if (isset($_SESSION["Data"]['doi_date3']))
					$start_date = $_SESSION["Data"]['doi_date3'];
				if (isset($_SESSION["Data"]['doi_duration3'])){
					if (isset($_SESSION["Data"]['doi_duration3_first_note']))
						$duration_first_note = $_SESSION["Data"]['doi_duration3_first_note'];
					if (isset($_SESSION["Data"]['doi_duration3_years']))
						$duration_years = $_SESSION["Data"]['doi_duration3_years'];
					if (isset($_SESSION["Data"]['doi_duration3_months']))
						$duration_months = $_SESSION["Data"]['doi_duration3_months'];
					if (isset($_SESSION["Data"]['doi_duration3_days']))
						$duration_days = $_SESSION["Data"]['doi_duration3_days'];
					if (isset($_SESSION["Data"]['doi_duration3_last_note']))
						$duration_last_note = $_SESSION["Data"]['doi_duration3_last_note'];
					if (isset($_SESSION["Data"]['doi_duration3_special_situation']))
						$duration_special_situation = $_SESSION["Data"]['doi_duration3_special_situation'];
				}
				if (isset($_SESSION["Data"]['doi_3_last_known_cm']))
					$last_known_cm_date = $_SESSION["Data"]['doi_3_last_known_cm'];						
			} else if (isset($_SESSION["Data"]['doi_4sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_4sub'];
				if (isset($_SESSION["Data"]['doi_date4']))
					$start_date = $_SESSION["Data"]['doi_date4'];
				if (isset($_SESSION["Data"]['doi_duration4'])){
					if (isset($_SESSION["Data"]['doi_duration4_first_note']))
						$duration_first_note = $_SESSION["Data"]['doi_duration4_first_note'];
					if (isset($_SESSION["Data"]['doi_duration4_years']))
						$duration_years = $_SESSION["Data"]['doi_duration4_years'];
					if (isset($_SESSION["Data"]['doi_duration4_months']))
						$duration_months = $_SESSION["Data"]['doi_duration4_months'];
					if (isset($_SESSION["Data"]['doi_duration4_days']))
						$duration_days = $_SESSION["Data"]['doi_duration4_days'];
					if (isset($_SESSION["Data"]['doi_duration4_last_note']))
						$duration_last_note = $_SESSION["Data"]['doi_duration4_last_note'];
					if (isset($_SESSION["Data"]['doi_duration4_special_situation']))
						$duration_special_situation = $_SESSION["Data"]['doi_duration4_special_situation'];
				}
			}
			$date_of_incident_right_panel = "";
			if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_date_of_incident_right_panel']); $i++){
					if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i])){
						$date_of_incident_right_panel .= $_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i];
					}
				}
			}
		
			$arINS = array();
			$arINS["incident_id"]=$_SESSION["Data"]['incident_id']; 
			$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
			$arINS["date_of_incident"]=$date_of_incident_right_panel;
			$arINS["type_of_incident"]=$_SESSION["Data"]['doi'];
			$arINS["exact_date_of_incident"]=$exact_date_of_incident;
			$arINS["start_date"]=$start_date;
			$arINS["duration_first_note"]=$duration_first_note;
			$arINS["duration_years"]=$duration_years;
			$arINS["duration_months"]=$duration_months;
			$arINS["duration_days"]=$duration_days;
			$arINS["duration_last_note"]=$duration_last_note;
			$arINS["duration_special_situation"]=$duration_special_situation;
			$arINS["last_known_cm_date"]=$last_known_cm_date;
			$arINS["datetime_of_record"]=$_SESSION["Data"]['date_time'];
			$arINS["date_of_record"]=$_SESSION["Data"]['date'];
			$arINS["time_of_record"]=$_SESSION["Data"]['time'];
			$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
			$arINS["recorded_by_agency"]=$_SESSION["ssUser"]['agency_id'];
			$arINS["recorded_by_operator"]=$_SESSION["ssUser"]['operators_id'];
			$arINS["type_of_record"]='first_record';
			$arINS["recorded_by_ip"]=$ip_address;
			
			$arINS["recorded_by_agency_nid"]=$_SESSION["ssUser"]['agency_nid']; //NW
			$arINS["recorded_by_operator_nid"]=$_SESSION["ssUser"]['operators_nid']; //NW
			$arINS["child_nid"]=$nid; //NW
			
			$db->insert("i_incident",$arINS);
			$incident_id = $db->insert_id();
			
			
			
			//Insert source of information
			$arINS = array();
			$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
			$arINS["name"]=$_SESSION["Data"]['soi_level1'];
			$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
			$arINS["child_nid"]=$nid; //NW
			$arINS["incident_nid"]=$incident_id; //NW

			$db->insert("i_source_of_information",$arINS);
			
		
			
			//Insert Forms of Maltreatment
			for ($w=1;$w<5;$w++) {
				if( isset($_SESSION["Data"]['fom_ac_'.$w]) ){
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
					$arINS["session_name"]="fom_ac_".$w;
					$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id; //NW
					$db->insert("i_forms_of_maltreatment",$arINS);
					
					
					
					for ($i=1;$i<9;$i++){
						if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i]) ){
							
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
							$arINS["fom_session"]="fom_ac_".$w;
							$arINS["session_name"]="fom_ac_".$w."_".$i;
							$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW
							$arINS["incident_nid"]=$incident_id; //NW
							$db->insert("i_forms_of_maltreatment_sub1",$arINS);
							
						
							for ($j=1;$j<25;$j++){
								if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j]) ){
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
									$arINS["fom_session_sub1"]="fom_ac_".$w."_".$i;
									$arINS["session_name"]="fom_ac_".$w."_".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id; //NW
									$db->insert("i_forms_of_maltreatment_sub2",$arINS);
									
									
									for ($z=1;$z<6;$z++){
										if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z])){
											
											$arINS = array();
											$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
											$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
											$arINS["fom_session_sub2"]="fom_ac_".$w."_".$i."_".$j;
											$arINS["session_name"]="fom_ac_".$w."_".$i."_".$j."_".$z;
											$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z];
											$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
											$arINS["child_nid"]=$nid; //NW
											$arINS["incident_nid"]=$incident_id; //NW
											$db->insert("i_forms_of_maltreatment_sub3",$arINS);
											
											for ($x=1;$x<5;$x++){
												if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z.'_'.$x])){
													
													$arINS = array();
													$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
													$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
													$arINS["fom_session_sub3"]="fom_ac_".$w."_".$i."_".$j."_".$z;
													$arINS["session_name"]="fom_ac_".$w."_".$i."_".$j."_".$z."_".$x;
													$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z.'_'.$x];
													$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
													$arINS["child_nid"]=$nid; //NW
													$arINS["incident_nid"]=$incident_id; //NW
													$db->insert("i_forms_of_maltreatment_sub4",$arINS);
													
													
												} 
											}
										}
									}
								}
							}
						}
					}		
				}
			}
						
			if( isset($_SESSION["Data"]['fom_o_1']) ){
				$arINS = array();
				$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
				$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
				$arINS["session_name"]='fom_o_1';
				$arINS["name"]=$_SESSION["Data"]['fom_o_1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$arINS["incident_nid"]=$incident_id; //NW
				$db->insert("i_forms_of_maltreatment",$arINS);
				
				for ($i=1;$i<8;$i++){
					if( isset($_SESSION["Data"]['fom_o_1_'.$i]) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
						$arINS["fom_session"]='fom_o_1';
						$arINS["session_name"]="fom_o_1_".$i;
						$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id; //NW
						$db->insert("i_forms_of_maltreatment_sub1",$arINS);
						
						
						for ($j=1;$j<7;$j++){
							if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j]) ){
								
								$arINS = array();
								$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
								$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
								$arINS["fom_session_sub1"]="fom_o_1_".$i;
								$arINS["session_name"]="fom_o_1_".$i."_".$j;
								$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i.'_'.$j];
								$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
								$arINS["child_nid"]=$nid; //NW
								$arINS["incident_nid"]=$incident_id; //NW
								$db->insert("i_forms_of_maltreatment_sub2",$arINS);
								
							
								for ($z=1;$z<4;$z++){
									if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z]) ){
										
										$arINS = array();
										$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
										$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
										$arINS["fom_session_sub2"]="fom_o_1_".$i."_".$j;
										$arINS["session_name"]="fom_o_1_".$i."_".$j."_".$z;
										$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z];
										$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
										$arINS["child_nid"]=$nid; //NW
										$arINS["incident_nid"]=$incident_id; //NW
										$db->insert("i_forms_of_maltreatment_sub3",$arINS);
										
										for ($x=1;$x<7;$x++){
											if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z.'_'.$x])){
												$arINS = array();
												$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
												$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
												$arINS["fom_session_sub3"]="fom_o_1_".$i."_".$j."_".$z;
												$arINS["session_name"]="fom_o_1_".$i."_".$j."_".$z."_".$x;
												$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z.'_'.$x];
												$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
												$arINS["child_nid"]=$nid; //NW
												$arINS["incident_nid"]=$incident_id; //NW
												$db->insert("i_forms_of_maltreatment_sub4",$arINS);
												
											
											} 
										}
									} 
								}
							}
						}
					}
				}		
			}
			
			// Insert I3_B Specific Circumstances (forms of maltreatment) Only for France
			if ($_SESSION["ssUser"]['country'] == 'FR') {
				for ($w=1;$w<11;$w++) {
					if( isset($_SESSION["Data"]['fom_I3_'.$w]) ){
						
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
						$arINS["session_name"]="fom_I3_".$w;
						$arINS["name"]=$_SESSION["Data"]['fom_I3_'.$w];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id; //NW
						$db->insert("i_specific_circumstances",$arINS);
						
					
					}
				}
				for ($i=1;$i<4;$i++) {
					if( isset($_SESSION["Data"]['fom_I3_9_'.$i]) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
						$arINS["session_name"]="fom_I3_9_".$i;
						$arINS["name"]=$_SESSION["Data"]['fom_I3_9_'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id; //NW
						$db->insert("i_specific_circumstances",$arINS);
						
						
					}
				}
				if( isset($_SESSION["Data"]['fom_I3_radio']) ){
					
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
					$arINS["session_name"]='fom_I3_radio';
					$arINS["name"]=$_SESSION["Data"]['fom_I3_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id; //NW
					$db->insert("i_specific_circumstances",$arINS);
					
				
				}
			}
			
			//Insert Place of Incident
			if (isset($_SESSION["Data"]['poi_radio1'])){
				$arINS = array();
				$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
				$arINS["session_name"]='poi_radio1';
				$arINS["name"]=$_SESSION["Data"]['poi_radio1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$arINS["incident_nid"]=$incident_id; //NW
				$db->insert("i_place_of_incident",$arINS);
				
				
			} else {		
				for ($i=1;$i<15;$i++){
					if (isset($_SESSION["Data"]['poi_check'.$i])){
						
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["session_name"]="poi_check".$i;
						$arINS["name"]=$_SESSION["Data"]['poi_check'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id; //NW
						$db->insert("i_place_of_incident",$arINS);
						
					}
				}
			}			
			
			//Insert Perpetrators ONLY FOR ITALY
			if ($_SESSION["ssUser"]['country'] == 'IT') { 				

				if (!empty($_SESSION["Data"]['DE_I5_01']))
					$perpetrator_1 = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_01'])."'";
				else $perpetrator_1 = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_01_01']))
					$perpetrator_1_gender = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_01_01'])."'";
				else $perpetrator_1_gender = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_02']))
					$perpetrator_2 = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_02'])."'";
				else $perpetrator_2 = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_02_01']))
					$perpetrator_2_gender = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_02_01'])."'";
				else $perpetrator_2_gender = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_03']))
					$other_perpetrator = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_03'])."'";
				else $other_perpetrator = "null";
		
				$arINS = array();
				$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
				$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
				$arINS["perpetrator_1"]=$perpetrator_1;
				$arINS["perpetrator_1_gender"]=$perpetrator_1_gender;
				$arINS["perpetrator_2"]=$perpetrator_2;
				$arINS["perpetrator_2_gender"]=$perpetrator_2_gender;
				$arINS["other_perpetrator"]=$other_perpetrator;
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$arINS["incident_nid"]=$incident_id; //NW
				$db->insert("i_perpetrator",$arINS);
				
			
			}			
			
			//Insert Child’s Sex, Date of Birth and Citizenship Status
			if (isset($_SESSION["Data"]['csdc_radio1'])) {
				
				$arINS = array();
				$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
				$arINS["name"]=$_SESSION["Data"]['csdc_radio1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$db->insert("c_child_sex",$arINS);
			
			}

			if (isset($_SESSION["Data"]['csdc_radio2'])){
				if ($_SESSION["Data"]['csdc_radio2'] !==  "csdc_date") {
					$arINS = array();
					$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
					$arINS["name"]=$_SESSION["Data"]['csdc_radio2'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$db->insert("c_child_dob",$arINS);
					
				
				} else {
					$arINS = array();
					$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
					$arINS["name"]=$_SESSION["Data"]['csdc_radio2'];
					$arINS["date"]=$_SESSION["Data"]['csdc_date'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$db->insert("c_child_dob",$arINS);
				
				}
			}
			
			if (!empty($_SESSION["Data"]['csdc_nationality']))
				$csdc_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['csdc_nationality'])."'";
			else $csdc_nationality = "null";
				
			if (isset($_SESSION["Data"]['csdc_radio3'])){
				$arINS = array();
				$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
				$arINS["name"]=$_SESSION["Data"]['csdc_radio3'];
				$arINS["nationality"]=$csdc_nationality;
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$db->insert("c_citizenship_status",$arINS);
			
			}
			
			//Insert Child's Health status ONLY FOR ITALY
			if ($_SESSION["ssUser"]['country'] == 'IT') { 

				if (!empty($_SESSION["Data"]['DE_C5']))
					$health = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_C5'])."'";
				else $health = "null";
				
				if (!empty($_SESSION["Data"]['DE_C6']))
					$behavior_problem = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_C6'])."'";
				else $behavior_problem = "null";
				
				if (!empty($_SESSION["Data"]['DE_C6_01']))
					$type_of_problem = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_01_01'])."'";
				else $type_of_problem = "null";

		
				$arINS = array();
				$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
				$arINS["health"]=$health;
				$arINS["behavior_problem"]=$behavior_problem;
				$arINS["type_of_problem"]=$type_of_problem;
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$db->insert("c_child_health",$arINS);
			
			}	
			
			//Insert Family Composition
			if (isset($_SESSION["Data"]['fc_radio1'])){
				$arINS = array();
				$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
				$arINS["name"]=$_SESSION["Data"]['fc_radio1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$db->insert("f_type_of_family",$arINS);
			
			} 
			
			if( isset($_SESSION["Data"]['fc_tf_radio1']) ){
				$arINS = array();
				$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
				$arINS["session_name"]='fc_tf_radio1';
				$arINS["name"]=$_SESSION["Data"]['fc_tf_radio1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$db->insert("f_members_of_family",$arINS);
			
			} else {
				for ($w=1;$w<10;$w++){
					if( isset($_SESSION["Data"]['fc_tf_'.$w]) ){
						$arINS = array();
						$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
						$arINS["session_name"]="fc_tf_".$w;
						$arINS["name"]=$_SESSION["Data"]['fc_tf_'.$w];
						$arINS["session_number"]="fc_n_".$w;
						$arINS["number"]=$_SESSION["Data"]['fc_n_'.$w];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$db->insert("f_members_of_family",$arINS);
						
					
						for ($i=1;$i<4;$i++){
							if( isset($_SESSION["Data"]['fc_tf_'.$w.'_'.$i]) ){
								$arINS = array();
								$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
								$arINS["mof_session"]="fc_tf_".$w;
								$arINS["session_name"]="fc_tf_".$w."_".$i;
								$arINS["name"]=$_SESSION["Data"]['fc_tf_'.$w."_".$i];
								$arINS["session_number"]="fc_n_".$w."_".$i;
								$arINS["number"]=$_SESSION["Data"]['fc_n_'.$w."_".$i];
								$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
								$arINS["child_nid"]=$nid; //NW								
								$db->insert("f_members_of_family_sub1",$arINS);
								
							
								
								for ($j=1;$j<3;$j++){
									if( isset($_SESSION["Data"]['fc_tf_'.$w.'_'.$i.'_'.$j]) ){
										$arINS = array();
										$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
										$arINS["mof_session_sub1"]="fc_tf_".$w."_".$i;
										$arINS["session_name"]="fc_tf_".$w."_".$i."_".$j;
										$arINS["name"]=$_SESSION["Data"]['fc_tf_'.$w."_".$i."_".$j];
										$arINS["session_number"]="fc_n_".$w."_".$i."_".$j;
										$arINS["number"]=$_SESSION["Data"]['fc_n_'.$w."_".$i."_".$j];
										$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
										$arINS["child_nid"]=$nid; //NW
										$db->insert("f_members_of_family_sub2",$arINS);
									
									}
								}
							}
						}
					}
				}		
			}
			
			// Insert Caregiver(s) Relationship to Child, Sex and Date of Birth			
			if ( isset($_SESSION["Data"]['crcsdob_radio_1st_rel']) && isset($_SESSION["Data"]['crcsdob_radio_1st_sex']) && isset($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel']) ){
				// Check if Italian variables exist
				if (!empty($_SESSION["Data"]['DE_F5_01']))
					$cg1_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F5_01'])."'";
				else $cg1_nationality = "null";
				
				if (!empty($_SESSION["Data"]['DE_F5_01_01']))
					$cg1_nationality_possessed_from_birth = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F5_01_01'])."'";
				else $cg1_nationality_possessed_from_birth = "null";
				
				if (!empty($_SESSION["Data"]['DE_F5_01_02']))
					$cg1_nationality_belongs_to_the_european_union = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F5_01_02'])."'";
				else $cg1_nationality_belongs_to_the_european_union = "null";
				
				if (!empty($_SESSION["Data"]['DE_F5_01_03']))
					$cg1_other_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F5_01_03'])."'";
				else $cg1_other_nationality = "null";
									
				if (!empty($_SESSION["Data"]['DE_F6_01']))
					$cg2_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F6_01'])."'";
				else $cg2_nationality = "null";
				
				if (!empty($_SESSION["Data"]['DE_F6_01_01']))
					$cg2_nationality_possessed_from_birth = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F6_01_01'])."'";
				else $cg2_nationality_possessed_from_birth = "null";
				
				if (!empty($_SESSION["Data"]['DE_F6_01_02']))
					$cg2_nationality_belongs_to_the_european_union = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F6_01_02'])."'";
				else $cg2_nationality_belongs_to_the_european_union = "null";
				
				if (!empty($_SESSION["Data"]['DE_F6_01_03']))
					$cg2_other_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F6_01_03'])."'";
				else $cg2_other_nationality = "null";
				
				if ( isset($_SESSION["Data"]['crcsdob_radio_2nd_rel']) && isset($_SESSION["Data"]['crcsdob_radio_2nd_sex']) && isset($_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel']) ){
					if( isset($_SESSION["Data"]['fc_pc1_radio']) ){
						if( isset($_SESSION["Data"]['fc_pc2_radio']) ){
								$arINS = array();
								$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
								$arINS["caregiver1"]=$_SESSION["Data"]['fc_pc1_radio'];
								$arINS["relationship1"]=$_SESSION["Data"]['crcsdob_radio_1st_rel'];
								$arINS["sex1"]=$_SESSION["Data"]['crcsdob_radio_1st_sex'];
								$arINS["dob1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob'];
								$arINS["date1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'];
								$arINS["caregiver2"]=$_SESSION["Data"]['fc_pc2_radio'];
								$arINS["relationship2"]=$_SESSION["Data"]['crcsdob_radio_2nd_rel'];
								$arINS["sex2"]=$_SESSION["Data"]['crcsdob_radio_2nd_sex'];
								$arINS["dob2"]=$_SESSION["Data"]['crcsdob_radio_2nd_dob'];
								$arINS["date2"]=$_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'];
								$arINS["cg1_nationality"]=$cg1_nationality;
								$arINS["cg1_nationality_possessed_from_birth"]=$cg1_nationality_possessed_from_birth;
								$arINS["cg1_nationality_belongs_to_the_european_union"]=$cg1_nationality_belongs_to_the_european_union;
								$arINS["cg1_other_nationality"]=$cg1_other_nationality;
								$arINS["cg2_nationality"]=$cg2_nationality;
								$arINS["cg2_nationality_possessed_from_birth"]=$cg2_nationality_possessed_from_birth;
								$arINS["cg2_nationality_belongs_to_the_european_union"]=$cg2_nationality_belongs_to_the_european_union;
								$arINS["cg2_other_nationality"]=$cg2_other_nationality;
								$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
								$arINS["child_nid"]=$nid; //NW
								$db->insert("f_caregivers",$arINS);
								
							
						} else {
							$arINS = array();
							$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
							$arINS["caregiver1"]=$_SESSION["Data"]['fc_pc1_radio'];
							$arINS["relationship1"]=$_SESSION["Data"]['crcsdob_radio_1st_rel'];
							$arINS["sex1"]=$_SESSION["Data"]['crcsdob_radio_1st_sex'];
							$arINS["dob1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob'];
							$arINS["date1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'];
							$arINS["cg1_nationality"]=$cg1_nationality;
							$arINS["cg1_nationality_possessed_from_birth"]=$cg1_nationality_possessed_from_birth;
							$arINS["cg1_nationality_belongs_to_the_european_union"]=$cg1_nationality_belongs_to_the_european_union;
							$arINS["cg1_other_nationality"]=$cg1_other_nationality;
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW
							$db->insert("f_caregivers",$arINS);
							
							
						}
					} else {
						$arINS = array();
						$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
						$arINS["caregiver1"]='Professional Caregiver';
						$arINS["relationship1"]=$_SESSION["Data"]['crcsdob_radio_1st_rel'];
						$arINS["sex1"]=$_SESSION["Data"]['crcsdob_radio_1st_sex'];
						$arINS["dob1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob'];
						$arINS["date1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'];
						$arINS["cg1_nationality"]=$cg1_nationality;
						$arINS["cg1_nationality_possessed_from_birth"]=$cg1_nationality_possessed_from_birth;
						$arINS["cg1_nationality_belongs_to_the_european_union"]=$cg1_nationality_belongs_to_the_european_union;
						$arINS["cg1_other_nationality"]=$cg1_other_nationality;
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$db->insert("f_caregivers",$arINS);
						
						
					}
				} else {
					
					$arINS = array();
					$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
					$arINS["caregiver1"]='Professional Caregiver';
					$arINS["relationship1"]=$_SESSION["Data"]['crcsdob_radio_1st_rel'];
					$arINS["sex1"]=$_SESSION["Data"]['crcsdob_radio_1st_sex'];
					$arINS["dob1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob'];
					$arINS["date1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'];
					$arINS["cg1_nationality"]=$cg1_nationality;
					$arINS["cg1_nationality_possessed_from_birth"]=$cg1_nationality_possessed_from_birth;
					$arINS["cg1_nationality_belongs_to_the_european_union"]=$cg1_nationality_belongs_to_the_european_union;
					$arINS["cg1_other_nationality"]=$cg1_other_nationality;
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$db->insert("f_caregivers",$arINS);
					
					
				}
			}
						
			
			// Insert Institutional Response
			if ( isset($_SESSION["Data"]['ir_radio']) ){
				if ( $_SESSION["Data"]['ir_radio'] == 'Yes' ){
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["name"]=$_SESSION["Data"]['ir_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					$db->insert("s_institutional_response",$arINS);
				
					for ($i = 1; $i < 5; $i++) {
						if ( isset($_SESSION["Data"]['ir_check'.$i]) ){
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["session_name"]="ir_check".$i;
							$arINS["name"]=$_SESSION["Data"]['ir_check'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW
							$arINS["incident_nid"]=$incident_id;
							$db->insert("s_institutional_response_sub1",$arINS);
						
							for ($j = 1; $j < 15; $j++) {
								if ( isset($_SESSION["Data"]['ir_check'.$i.'_'.$j]) ){		
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["ir_session_sub1"]="ir_check".$i;
									$arINS["session_name"]="ir_check".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['ir_check'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$db->insert("s_institutional_response_sub2",$arINS);
									
								}
							}					
						}
					}
				} else {
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["name"]=$_SESSION["Data"]['ir_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					$db->insert("s_institutional_response",$arINS);
				
				}
			}
			
			// Insert Referral(s) made to Services
			$agencies_number = 0;
			$db->query("SELECT country, subdivision, type_of_organization FROM u_agencies");
			$agencies_number = (int)$db->Row;
			
			if ( isset($_SESSION["Data"]['rts_radio']) ){
				if ( $_SESSION["Data"]['rts_radio'] == 'Yes' ){
					
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["name"]=$_SESSION["Data"]['rts_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					$db->insert("s_referrals_to_services",$arINS);
				
					
					for ($i = 1; $i < 12; $i++) { // For two subcategories
						if ( isset($_SESSION["Data"]['rts_check'.$i]) ) {
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["session_name"]="rts_check".$i;
							$arINS["name"]=$_SESSION["Data"]['rts_check'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW
							$arINS["incident_nid"]=$incident_id;
							$db->insert("s_referrals_to_services_sub1",$arINS);
							
							
							for ($j = 0; $j < $agencies_number; $j++) {
								if ( isset($_SESSION["Data"]['rts_check'.$i.'_'.$j]) ){
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["rts_session_sub1"]="rts_check".$i;
									$arINS["session_name"]="rts_check".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['rts_check'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$db->insert("s_referrals_to_services_sub2",$arINS);
								
									// Feedbacks
									// Search the referral_agency_id based on agency name


									$ret = $db->query_bind("SELECT agency_id FROM u_agencies WHERE agency_name=?",array($_SESSION["Data"]['rts_check'.$i.'_'.$j]));
									if (!empty($ret))  {
										$referral_agency_id = $ret['agency_id'];	
									}
									
									/*$db->query("SELECT agency_id FROM u_agencies WHERE agency_name='".$_SESSION["Data"]['rts_check'.$i.'_'.$j]."' ");
									if ($db->next()) {
										$referral_agency_id = $db->Record['agency_id'];											
									}
									*/
									
									//$agency_id_query = mysql_query("SELECT agency_id FROM u_agencies WHERE agency_name='".$_SESSION["Data"]['rts_check'.$i.'_'.$j]."' ");
									//$agency_id_rows = mysql_num_rows($agency_id_query);
									//if ($agency_id_rows == 1){
										//while($agency_id_row = mysql_fetch_array($agency_id_query)) {
											// $_SESSION["Data"]['agencies'][] = $row['agency_name'];
										//	$referral_agency_id = $agency_id_row['agency_id'];
										//}
									//}
									
									// Insert Feedback
									$arINS = array();
									$arINS["referral_agency_id"]=$referral_agency_id;
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["child_id"]=$_SESSION["Data"]['new_childs_id'];
									$arINS["status"]='NO INFORMATION';
									$arINS["recorded_by_operator"]=$_SESSION["ssUser"]['operators_id'];
									
									$arINS["referral_agency_nid"]=$_SESSION["ssUser"]['agency_nid']; //NW
									$arINS["recorded_by_operator_nid"]=$_SESSION["ssUser"]['operators_nid']; //NW
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$arINS["date_time_of_record_for_db"]=date("Y-m-d H:i:s");
									$db->insert("s_feedback",$arINS);
									
									
									
									
								}									
								if ( isset($_SESSION["Data"]['rts_radio'.$i.'_'.$j]) ){
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["rts_session_sub2"]="rts_check".$i."_".$j;
									$arINS["session_name"]="rts_radio".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['rts_radio'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$db->insert("s_referrals_to_services_sub3",$arINS);
									
								
								}
								
								// In the end remove older feedbacks except those that has been recorded now
								if (isset($referral_agency_id_array)){
									
									$_arDel = array();
									$db->query("SELECT id FROM s_feedback WHERE referral_agency_id NOT IN ('" . implode("','", $referral_agency_id_array) . "') AND incident_id='".$_SESSION["Data"]['incident_id']."' ");
									while($db->next()) {
										$_arDel[] = $db->Record;
									}
									
									foreach($_arDel as $kd=>$vd) {
										$db->query("DELETE FROM s_feedback WHERE id = \"".$vd['id']."\" ");
									}
									
								}
							}
						}
					}
					
					if ( isset($_SESSION["Data"]['rts_radio_inner']) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["session_name"]='rts_radio_inner';
						$arINS["name"]=$_SESSION["Data"]['rts_radio_inner'];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id;
						$db->insert("s_referrals_to_services_sub1",$arINS);
					}
					
					//Send emails to Agencies
					if ($enable_mail) {
						if (isset($_SESSION["Data"]['emails_to_send'])){
							require 'includes/PHPMailer/PHPMailerAutoload.php';

							$mail = new PHPMailer;

							$mail->IsSMTP(); 			
							$mail->Host     = $mail_Host;  
							$mail->SMTPAuth = true;
							$mail->Username = $mail_Username;
							$mail->Password = $mail_Password; 
							
							if ($mail_SMTPSecure=='ssl') {
								$mail->SMTPSecure = 'ssl'; 
								$mail->Port = 465;
							} elseif ($mail_SMTPSecure=='tls') {
								$mail->SMTPSecure = 'tls'; 
								$mail->Port = 587;							
							} elseif ($mail_AuthType=="LOGIN") {
								$mail->AuthType = "LOGIN";					
								$mail->Port = 25;	
							} else {
								$mail->AuthType = "PLAIN";
								$mail->Port = 25;	
							}        
							$mail->CharSet = "UTF-8";			
							


							$mail->From = $mail_Username;
							$mail->FromName = 'Can-MDS-SS-Mailer';
							
							//$length = count($_SESSION["Data"]['emails_to_send']);
							//for ($i = 0; $i < $length; $i++) {
							foreach($_SESSION["Data"]['emails_to_send'] as $mk=>$mv) {
								if ($mail_testaccount) {
									$mail->addAddress($mail_testaccount); 					
								} else {
									$mail->addAddress($mv); 					
								}
							
								$mail->isHTML(true);  

								$mail->Subject = 'CAN-MDS-SS Alert';
								$mail->Body    = 'Hello, <p>This is an autogenarated email and you should not reply to it. You are receiving this email because a referral made to this service has been recorded to the <b>CAN-MDS Surveilance System</b>.</p><p>You can access the system by clicking the following url: https://'.$_SERVER["HTTP_HOST"].'/ </p>';				//With HTML

								$mail->send();					
								$mail->ClearAllRecipients(); // reset the `To:` list to empty
								
								if ($mk) {
									$db->query("select agency_nid from u_users where id='".$mk."'");
									if ($db->next()) {
										$db->insert("notifications",array("n_to"=>$mv,"n_subject"=>"CAN-MDS-SS Alert","n_text"=>strip_tags($mail->Body),"RecDate"=>date("Y-m-d H:i:s"),"user_id"=>$mk,"agent_id"=>$db->Record["agency_nid"]));
									}
								}
							}
						}
					}
					
					// for ($i = 3; $i < 7; $i++) { // For three subcategories
						// if ( isset($_SESSION["Data"]['rts_check'.$i]) ){
							// $sql_insert = "INSERT INTO s_referrals_to_services_sub1 ( incident_id, session_name, name, date_time_of_record_for_db ) 
								// VALUES ( '".$_SESSION["Data"]['incident_id']."', 'rts_check".$i."', '".$_SESSION["Data"]['rts_check'.$i]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
							// $result = mysql_query($sql_insert) or die(mysql_error());
							// for ($j = 0; $j < 6; $j++) {
								// if ( isset($_SESSION["Data"]['rts_check'.$i.'_'.$j]) ){
									// $sql_insert = "INSERT INTO s_referrals_to_services_sub2 ( incident_id, rts_session_sub1, session_name, name, date_time_of_record_for_db ) 
													// VALUES ( '".$_SESSION["Data"]['incident_id']."', 'rts_check".$i."', 'rts_check".$i."_".$j."', '".$_SESSION["Data"]['rts_check'.$i."_".$j]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
									// $result = mysql_query($sql_insert) or die(mysql_error());
									// for ($z = 0; $z < $agencies_number; $z++) {
										// if ( isset($_SESSION["Data"]['rts_check'.$i.'_'.$j.'_'.$z]) ){
											// $sql_insert = "INSERT INTO s_referrals_to_services_sub3 ( incident_id, rts_session_sub2, session_name, name, date_time_of_record_for_db ) 
															// VALUES ( '".$_SESSION["Data"]['incident_id']."', 'rts_check".$i."_".$j."', 'rts_check".$i."_".$j."_".$z."', '".$_SESSION["Data"]['rts_check'.$i."_".$j."_".$z]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
											// $result = mysql_query($sql_insert) or die(mysql_error());
										// }									
										// if ( isset($_SESSION["Data"]['rts_radio'.$i.'_'.$j.'_'.$z]) ){
											// $sql_insert = "INSERT INTO s_referrals_to_services_sub4 ( incident_id, rts_session_sub3, session_name, name, date_time_of_record_for_db ) 
															// VALUES ( '".$_SESSION["Data"]['incident_id']."', 'rts_check".$i."_".$j."_".$z."', 'rts_radio".$i."_".$j."_".$z."', '".$_SESSION["Data"]['rts_radio'.$i."_".$j."_".$z]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
											// $result = mysql_query($sql_insert) or die(mysql_error());
										// }		
									// }									
								// } 
							// }				
						// }
					// }	
				} else {
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["name"]=$_SESSION["Data"]['rts_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW		
					$arINS["incident_nid"]=$incident_id;			
					$db->insert("s_referrals_to_services",$arINS);
					
				
				}
			}		
		}

// ----------------------------------------------------------------------------------
	//Known child - adding new incident info
	} else if (isset($_SESSION["Data"]['known_childs_id'])) {
		if (isset($_SESSION["Data"]['incident_id'],$_SESSION["Data"]['dis_array_date_of_incident_right_panel'],$_SESSION["Data"]['date'],$_SESSION["Data"]['time'],$_SESSION["Data"]['soi_level1'] )){

			//Insert Incident
			$exact_date_of_incident = "";
			$start_date = "";
			$duration_first_note = "";
			$duration_years = 0;
			$duration_months = 0;
			$duration_days = 0;
			$duration_last_note = "";
			$duration_special_situation = "";
			$last_known_cm_date = "";
			
			if (isset($_SESSION["Data"]['doi_2sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_2sub'];
				if (isset($_SESSION["Data"]['doi_date2']))
					$start_date = $_SESSION["Data"]['doi_date2'];
			} else if (isset($_SESSION["Data"]['doi_3sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_3sub'];
				if (isset($_SESSION["Data"]['doi_date3']))
					$start_date = $_SESSION["Data"]['doi_date3'];
				if (isset($_SESSION["Data"]['doi_duration3'])){
					if (isset($_SESSION["Data"]['doi_duration3_first_note']))
						$duration_first_note = $_SESSION["Data"]['doi_duration3_first_note'];
					if (isset($_SESSION["Data"]['doi_duration3_years']))
						$duration_years = $_SESSION["Data"]['doi_duration3_years'];
					if (isset($_SESSION["Data"]['doi_duration3_months']))
						$duration_months = $_SESSION["Data"]['doi_duration3_months'];
					if (isset($_SESSION["Data"]['doi_duration3_days']))
						$duration_days = $_SESSION["Data"]['doi_duration3_days'];
					if (isset($_SESSION["Data"]['doi_duration3_last_note']))
						$duration_last_note = $_SESSION["Data"]['doi_duration3_last_note'];
					if (isset($_SESSION["Data"]['doi_duration3_special_situation']))
						$duration_special_situation = $_SESSION["Data"]['doi_duration3_special_situation'];
				}
				if (isset($_SESSION["Data"]['doi_3_last_known_cm']))
					$last_known_cm_date = $_SESSION["Data"]['doi_3_last_known_cm'];						
			} else if (isset($_SESSION["Data"]['doi_4sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_4sub'];
				if (isset($_SESSION["Data"]['doi_date4']))
					$start_date = $_SESSION["Data"]['doi_date4'];
				if (isset($_SESSION["Data"]['doi_duration4'])){
					if (isset($_SESSION["Data"]['doi_duration4_first_note']))
						$duration_first_note = $_SESSION["Data"]['doi_duration4_first_note'];
					if (isset($_SESSION["Data"]['doi_duration4_years']))
						$duration_years = $_SESSION["Data"]['doi_duration4_years'];
					if (isset($_SESSION["Data"]['doi_duration4_months']))
						$duration_months = $_SESSION["Data"]['doi_duration4_months'];
					if (isset($_SESSION["Data"]['doi_duration4_days']))
						$duration_days = $_SESSION["Data"]['doi_duration4_days'];
					if (isset($_SESSION["Data"]['doi_duration4_last_note']))
						$duration_last_note = $_SESSION["Data"]['doi_duration4_last_note'];
					if (isset($_SESSION["Data"]['doi_duration4_special_situation']))
						$duration_special_situation = $_SESSION["Data"]['doi_duration4_special_situation'];
				}
			}
			$date_of_incident_right_panel = "";
			if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_date_of_incident_right_panel']); $i++){
					if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i])){
						$date_of_incident_right_panel .= $_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i];
					}
				}
			}
			
			$nid=0;
			$db->query("select id from c_child where child_id=\"".$_SESSION["Data"]['known_childs_id']."\" ");
			$db->next();
			$nid = $db->Record["id"]; //NW
			
			
			$arINS = array();
			$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
			$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
			$arINS["date_of_incident"]=$date_of_incident_right_panel;
			$arINS["type_of_incident"]=$_SESSION["Data"]['doi'];
			$arINS["exact_date_of_incident"]=$exact_date_of_incident;
			$arINS["start_date"]=$start_date;
			$arINS["duration_first_note"]=$duration_first_note;
			$arINS["duration_years"]=$duration_years;
			$arINS["duration_months"]=$duration_months;
			$arINS["duration_days"]=$duration_days;
			$arINS["duration_last_note"]=$duration_last_note;
			$arINS["duration_special_situation"]=$duration_special_situation;
			$arINS["last_known_cm_date"]=$last_known_cm_date;
			$arINS["datetime_of_record"]=$_SESSION["Data"]['date_time'];
			$arINS["date_of_record"]=$_SESSION["Data"]['date'];
			$arINS["time_of_record"]=$_SESSION["Data"]['time'];
			$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
			$arINS["recorded_by_agency"]=$_SESSION["ssUser"]['agency_id'];
			$arINS["recorded_by_operator"]=$_SESSION["ssUser"]['operators_id'];
			$arINS["type_of_record"]='first_record';
			$arINS["recorded_by_ip"]=$ip_address;
			
			$arINS["recorded_by_agency_nid"]=$_SESSION["ssUser"]['agency_nid']; //NW
			$arINS["recorded_by_operator_nid"]=$_SESSION["ssUser"]['operators_nid']; //NW
			$arINS["child_nid"]=$nid; //NW
			
			$db->insert("i_incident",$arINS);
			$incident_id = $db->insert_id();	
	
			
			
			//Insert source of information
			$arINS = array();
			$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
			$arINS["name"]=$_SESSION["Data"]['soi_level1'];
			$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
			$arINS["child_nid"]=$nid; //NW
			$arINS["incident_nid"]=$incident_id;			
			$db->insert("i_source_of_information",$arINS);
			
			
					
			//Insert Forms of Maltreatment
			for ($w=1;$w<5;$w++) {
				if( isset($_SESSION["Data"]['fom_ac_'.$w]) ){
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
					$arINS["session_name"]="fom_ac_".$w;
					$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;			
					$db->insert("i_forms_of_maltreatment",$arINS);
					
					
					for ($i=1;$i<9;$i++){
						if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i]) ){
							
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
							$arINS["fom_session"]="fom_ac_".$w;
							$arINS["session_name"]="fom_ac_".$w."_".$i;
							$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW
							$arINS["incident_nid"]=$incident_id;			
							$db->insert("i_forms_of_maltreatment_sub1",$arINS);
							
							
							for ($j=1;$j<25;$j++){
								if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j]) ){
									$arINS = array();
									$arINS["incident_id"] = $_SESSION["Data"]['incident_id'];
									$arINS["child_id"] = $_SESSION["Data"]['known_childs_id'];
									$arINS["fom_session_sub1"] = "fom_ac_".$w."_".$i;
									$arINS["session_name"] = "fom_ac_".$w."_".$i."_".$j;
									$arINS["name"] = $_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j];
									$arINS["date_time_of_record_for_db"] = $_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$db->insert("i_forms_of_maltreatment_sub2",$arINS);
									
									
									
									for ($z=1;$z<6;$z++){
										if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z])){
											$arINS = array();
											$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
											$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
											$arINS["fom_session_sub2"]="fom_ac_".$w."_".$i."_".$j;
											$arINS["session_name"]="fom_ac_".$w."_".$i."_".$j."_".$z;
											$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z];
											$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
											$arINS["child_nid"]=$nid; //NW
											$arINS["incident_nid"]=$incident_id;
											$db->insert("i_forms_of_maltreatment_sub3",$arINS);
											
											for ($x=1;$x<5;$x++){
												if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z.'_'.$x])){
													$arINS = array();
													$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
													$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
													$arINS["fom_session_sub3"]="fom_ac_".$w."_".$i."_".$j."_".$z;
													$arINS["session_name"]="fom_ac_".$w."_".$i."_".$j."_".$z."_".$x;
													$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z.'_'.$x];
													$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
													$arINS["child_nid"]=$nid; //NW
													$arINS["incident_nid"]=$incident_id;
													$db->insert("i_forms_of_maltreatment_sub4",$arINS);
													
													
												} 
											}
										}
									}
								}
							}
						}
					}		
				}
			}
			
			if( isset($_SESSION["Data"]['fom_o_1']) ){
				$arINS = array();
				$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
				$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
				$arINS["session_name"]="fom_o_1";
				$arINS["name"]=$_SESSION["Data"]['fom_o_1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];	
				$arINS["child_nid"]=$nid; //NW	
				$arINS["incident_nid"]=$incident_id;			
				$db->insert("i_forms_of_maltreatment",$arINS);
				
				
				for ($i=1;$i<8;$i++){
					if( isset($_SESSION["Data"]['fom_o_1_'.$i]) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
						$arINS["fom_session"]="fom_o_1";
						$arINS["session_name"]="fom_o_1_".$i;
						$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW		
						$arINS["incident_nid"]=$incident_id;		
						$db->insert("i_forms_of_maltreatment_sub1",$arINS);
						
						for ($j=1;$j<7;$j++){
							if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j]) ){
								$arINS = array();
								$arINS["incident_id"] = $_SESSION["Data"]['incident_id'];
								$arINS["child_id"] = $_SESSION["Data"]['known_childs_id'];
								$arINS["fom_session_sub1"] = "fom_o_1_".$i;
								$arINS["session_name"] = "fom_o_1_".$i."_".$j;
								$arINS["name"] = $_SESSION["Data"]['fom_o_1_'.$i.'_'.$j];
								$arINS["date_time_of_record_for_db"] = $_SESSION["Data"]['date_time_of_record_for_db'];
								$arINS["child_nid"]=$nid; //NW		
								$arINS["incident_nid"]=$incident_id;		
								$db->insert("i_forms_of_maltreatment_sub2",$arINS);
								
								
								for ($z=1;$z<4;$z++){
									if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z]) ){
										$arINS = array();
										$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
										$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
										$arINS["fom_session_sub2"]="fom_o_1_".$i."_".$j;
										$arINS["session_name"]="fom_o_1_".$i."_".$j."_".$z;
										$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z];
										$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
										$arINS["child_nid"]=$nid; //NW	
										$arINS["incident_nid"]=$incident_id;			
										$db->insert("i_forms_of_maltreatment_sub3",$arINS);
										
										for ($x=1;$x<7;$x++){
											if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z.'_'.$x])){
												$arINS = array();
												$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
												$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
												$arINS["fom_session_sub3"]="fom_o_1_".$i."_".$j."_".$z;
												$arINS["session_name"]="fom_o_1_".$i."_".$j."_".$z."_".$x;
												$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z.'_'.$x];
												$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];												
												$arINS["child_nid"]=$nid; //NW	
												$arINS["incident_nid"]=$incident_id;			
												$db->insert("i_forms_of_maltreatment_sub4",$arINS);
												
												
											} 
										}
									} 
								}
							}
						}
					}
				}		
			}
			
			// Insert I3_B Specific Circumstances (forms of maltreatment) Only for France
			if ($_SESSION["ssUser"]['country'] == 'FR') {
				for ($w=1;$w<11;$w++) {
					if( isset($_SESSION["Data"]['fom_I3_'.$w]) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
						$arINS["session_name"]="fom_I3_".$w;
						$arINS["name"]=$_SESSION["Data"]['fom_I3_'.$w];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
						$arINS["child_nid"]=$nid; //NW	
						$arINS["incident_nid"]=$incident_id;
						$db->insert("i_specific_circumstances",$arINS);
						
					}
				}
				for ($i=1;$i<4;$i++) {
					if( isset($_SESSION["Data"]['fom_I3_9_'.$i]) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
						$arINS["session_name"]="fom_I3_9_".$i;
						$arINS["name"]=$_SESSION["Data"]['fom_I3_9_'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];						
						$arINS["child_nid"]=$nid; //NW	
						$arINS["incident_nid"]=$incident_id;
						$db->insert("i_specific_circumstances",$arINS);
						
						
					}
				}
				if( isset($_SESSION["Data"]['fom_I3_radio'])) {
					
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
					$arINS["session_name"]="fom_I3_radio";
					$arINS["name"]=$_SESSION["Data"]['fom_I3_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW	
					$arINS["incident_nid"]=$incident_id;
					$db->insert("i_specific_circumstances",$arINS);
					
					
				}
			}
			
			//Insert Place of Incident
			if (isset($_SESSION["Data"]['poi_radio1'])){
				$arINS = array();
				$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
				$arINS["session_name"]='poi_radio1';
				$arINS["name"]=$_SESSION["Data"]['poi_radio1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW		
				$arINS["incident_nid"]=$incident_id;						
				$db->insert("i_place_of_incident",$arINS);
				
				
			} else {		
				for ($i=1;$i<15;$i++){
					if (isset($_SESSION["Data"]['poi_check'.$i])){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["session_name"]="poi_check".$i;
						$arINS["name"]=$_SESSION["Data"]['poi_check'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW	
						$arINS["incident_nid"]=$incident_id;							
						$db->insert("i_place_of_incident",$arINS);
						
					}
				}
			}
			
			//Insert Perpetrators ONLY FOR ITALY
			if ($_SESSION["ssUser"]['country'] == 'IT') { 				

				if (!empty($_SESSION["Data"]['DE_I5_01']))
					$perpetrator_1 = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_01'])."'";
				else $perpetrator_1 = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_01_01']))
					$perpetrator_1_gender = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_01_01'])."'";
				else $perpetrator_1_gender = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_02']))
					$perpetrator_2 = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_02'])."'";
				else $perpetrator_2 = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_02_01']))
					$perpetrator_2_gender = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_02_01'])."'";
				else $perpetrator_2_gender = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_03']))
					$other_perpetrator = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_03'])."'";
				else $other_perpetrator = "null";
		
				$arINS = array();
				$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
				$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
				$arINS["perpetrator_1"]=$perpetrator_1;
				$arINS["perpetrator_1_gender"]=$perpetrator_1_gender;
				$arINS["perpetrator_2"]=$perpetrator_2;
				$arINS["perpetrator_2_gender"]=$perpetrator_2_gender;
				$arINS["other_perpetrator"]=$other_perpetrator;
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW		
				$arINS["incident_nid"]=$incident_id;						
				$db->insert("i_perpetrator",$arINS);
				
				
			}	
			
			//Insert Child’s Sex, Date of Birth and Citizenship Status
			// if (isset($_SESSION["Data"]['csdc_radio1'])){
				// $sql_insert = "INSERT INTO c_child_sex ( child_id, name, date_time_of_record_for_db ) 
								// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', '".$_SESSION["Data"]['csdc_radio1']."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
				// $result = mysql_query($sql_insert) or die(mysql_error());
			// }

			// if (isset($_SESSION["Data"]['csdc_radio2'])){
				// if ($_SESSION["Data"]['csdc_radio2'] !==  "csdc_date") {
					// $sql_insert = "INSERT INTO c_child_dob ( child_id, name, date_time_of_record_for_db ) 
									// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', '".$_SESSION["Data"]['csdc_radio2']."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
					// $result = mysql_query($sql_insert) or die(mysql_error());
				// } else {
					// $sql_insert = "INSERT INTO c_child_dob ( child_id, name, date, date_time_of_record_for_db ) 
									// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', '".$_SESSION["Data"]['csdc_radio2']."', '".$_SESSION["Data"]['csdc_date']."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
					// $result = mysql_query($sql_insert) or die(mysql_error());
				// }
			// }
			
			// if (isset($_SESSION["Data"]['csdc_radio3'])){
				// $sql_insert = "INSERT INTO c_citizenship_status ( child_id, name, date_time_of_record_for_db ) 
								// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', '".$_SESSION["Data"]['csdc_radio3']."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
				// $result = mysql_query($sql_insert) or die(mysql_error());
			// }
			
			//Insert Child's Health status ONLY FOR ITALY
			// if ($_SESSION["ssUser"]['country'] == 'IT') { 
				// if (isset($_SESSION["Data"]['DE_C5']) || isset($_SESSION["Data"]['DE_C6']) || isset($_SESSION["Data"]['DE_C6_01'])){
					// $sql_insert = "INSERT INTO c_child_health ( child_id, health, behavior_problem, type_of_problem, date_time_of_record_for_db ) 
								// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', '".$_SESSION["Data"]['DE_C5']."', '".$_SESSION["Data"]['DE_C6']."', '".$_SESSION["Data"]['DE_C6_01']."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
					// $result = mysql_query($sql_insert) or die(mysql_error());
				// }
			// }	
			
			//Insert Family Composition
			// if (isset($_SESSION["Data"]['fc_radio1'])){
				// $sql_insert = "INSERT INTO f_type_of_family ( child_id, name, date_time_of_record_for_db ) 
								// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', '".$_SESSION["Data"]['fc_radio1']."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
				// $result = mysql_query($sql_insert) or die(mysql_error());
			// } 
			
			// if( isset($_SESSION["Data"]['fc_tf_radio1']) ){
				// $sql_insert = "INSERT INTO f_members_of_family ( child_id, session_name, name, date_time_of_record_for_db ) 
								// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', 'fc_tf_radio1', '".$_SESSION["Data"]['fc_tf_radio1']."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
				// $result = mysql_query($sql_insert) or die(mysql_error());	
			// } else {
				// for ($w=1;$w<9;$w++){
					// if( isset($_SESSION["Data"]['fc_tf_'.$w]) ){
						// $sql_insert = "INSERT INTO f_members_of_family ( child_id, session_name, name, session_number, number, date_time_of_record_for_db ) 
										// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', 'fc_tf_".$w."', '".$_SESSION["Data"]['fc_tf_'.$w]."', 'fc_n_".$w."', '".$_SESSION["Data"]['fc_n_'.$w]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
						// $result = mysql_query($sql_insert) or die(mysql_error());					
						// for ($i=1;$i<4;$i++){
							// if( isset($_SESSION["Data"]['fc_tf_'.$w.'_'.$i]) ){
								// $sql_insert = "INSERT INTO f_members_of_family_sub1 ( child_id, mof_session, session_name, name, session_number, number, date_time_of_record_for_db ) 
												// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', 'fc_tf_".$w."' ,'fc_tf_".$w."_".$i."', '".$_SESSION["Data"]['fc_tf_'.$w."_".$i]."', 'fc_n_".$w."_".$i."', '".$_SESSION["Data"]['fc_n_'.$w."_".$i]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
								// $result = mysql_query($sql_insert) or die(mysql_error());							
								// for ($j=1;$j<3;$j++){
									// if( isset($_SESSION["Data"]['fc_tf_'.$w.'_'.$i.'_'.$j]) ){
										// $sql_insert = "INSERT INTO f_members_of_family_sub2 ( child_id, mof_session_sub1, session_name, name, session_number, number, date_time_of_record_for_db ) 
														// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', 'fc_tf_".$w."_".$i."', 'fc_tf_".$w."_".$i."_".$j."', '".$_SESSION["Data"]['fc_tf_'.$w."_".$i."_".$j]."', 'fc_n_".$w."_".$i."_".$j."', '".$_SESSION["Data"]['fc_n_'.$w."_".$i."_".$j]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
										// $result = mysql_query($sql_insert) or die(mysql_error());	
									// }
								// }
							// }
						// }
					// }
				// }		
			// }
			
			// Insert Caregiver(s) Relationship to Child, Sex and Date of Birth
			// if ( isset($_SESSION["Data"]['crcsdob_radio_1st_rel']) && isset($_SESSION["Data"]['crcsdob_radio_1st_sex']) && isset($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel']) ){
				// if ( isset($_SESSION["Data"]['crcsdob_radio_2nd_rel']) && isset($_SESSION["Data"]['crcsdob_radio_2nd_sex']) && isset($_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel']) ){
					// if( isset($_SESSION["Data"]['fc_pc1_radio']) ){
						// if( isset($_SESSION["Data"]['fc_pc2_radio']) ){
								// $sql_insert = "INSERT INTO f_caregivers ( child_id, caregiver1, relationship1, sex1, dob1, date1, caregiver2, relationship2, sex2, dob2, date2, cg1_nationality, cg1_nationality_possessed_from_birth, cg1_nationality_belongs_to_the_european_union, cg1_other_nationality, cg2_nationality, cg2_nationality_possessed_from_birth, cg2_nationality_belongs_to_the_european_union, cg2_other_nationality, date_time_of_record_for_db ) 
												// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', '"
															// .$_SESSION["Data"]['fc_pc1_radio']."', '"
															// .$_SESSION["Data"]['crcsdob_radio_1st_rel']."', '"
															// .$_SESSION["Data"]['crcsdob_radio_1st_sex']."', '"
															// .$_SESSION["Data"]['crcsdob_radio_1st_dob']."', '"													
															// .mysqli_real_escape_string($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'])."', '"
															// .$_SESSION["Data"]['fc_pc2_radio']."', '"
															// .$_SESSION["Data"]['crcsdob_radio_2nd_rel']."', '"
															// .$_SESSION["Data"]['crcsdob_radio_2nd_sex']."', '"
															// .$_SESSION["Data"]['crcsdob_radio_2nd_dob']."', '"
															// .mysqli_real_escape_string($_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'])."', '"
															// .$_SESSION["Data"]['DE_F5_01']."', '"
															// .$_SESSION["Data"]['DE_F5_01_01']."', '"
															// .$_SESSION["Data"]['DE_F5_01_02']."', '"
															// .$_SESSION["Data"]['DE_F5_01_03']."', '"															
															// .$_SESSION["Data"]['DE_F6_01']."', '"
															// .$_SESSION["Data"]['DE_F6_01_01']."', '"
															// .$_SESSION["Data"]['DE_F6_01_02']."', '"
															// .$_SESSION["Data"]['DE_F6_01_03']."', '"
															// .$_SESSION["Data"]['date_time_of_record_for_db']."' )";
								// $result = mysql_query($sql_insert) or die(mysql_error());
						// } else {
							// $sql_insert = "INSERT INTO f_caregivers ( child_id, caregiver1, relationship1, sex1, dob1, date1, cg1_nationality, cg1_nationality_possessed_from_birth, cg1_nationality_belongs_to_the_european_union, cg1_other_nationality, date_time_of_record_for_db )
											// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', '"
														// .$_SESSION["Data"]['fc_pc1_radio']."', '"
														// .$_SESSION["Data"]['crcsdob_radio_1st_rel']."', '"
														// .$_SESSION["Data"]['crcsdob_radio_1st_sex']."', '"
														// .$_SESSION["Data"]['crcsdob_radio_1st_dob']."', '"
														// .mysqli_real_escape_string($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'])."', '"
														// .$_SESSION["Data"]['DE_F5_01']."', '"
														// .$_SESSION["Data"]['DE_F5_01_01']."', '"
														// .$_SESSION["Data"]['DE_F5_01_02']."', '"
														// .$_SESSION["Data"]['DE_F5_01_03']."', '"
														// .$_SESSION["Data"]['date_time_of_record_for_db']."' )";
							// $result = mysql_query($sql_insert) or die(mysql_error());
						// }
					// } else {
						// $sql_insert = "INSERT INTO f_caregivers ( child_id, caregiver1, relationship1, sex1, dob1, date1, cg1_nationality, cg1_nationality_possessed_from_birth, cg1_nationality_belongs_to_the_european_union, cg1_other_nationality, date_time_of_record_for_db )
										// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', 'Professional Caregiver', '"
													// .$_SESSION["Data"]['crcsdob_radio_1st_rel']."', '"
													// .$_SESSION["Data"]['crcsdob_radio_1st_sex']."', '"
													// .$_SESSION["Data"]['crcsdob_radio_1st_dob']."', '"
													// .mysqli_real_escape_string($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'])."', '"
													// .$_SESSION["Data"]['DE_F5_01']."', '"
													// .$_SESSION["Data"]['DE_F5_01_01']."', '"
													// .$_SESSION["Data"]['DE_F5_01_02']."', '"
													// .$_SESSION["Data"]['DE_F5_01_03']."', '"
													// .$_SESSION["Data"]['date_time_of_record_for_db']."' )";
						// $result = mysql_query($sql_insert) or die(mysql_error());
					// }
				// } else {
					// $sql_insert = "INSERT INTO f_caregivers ( child_id, caregiver1, relationship1, sex1, dob1, date1, cg1_nationality, cg1_nationality_possessed_from_birth, cg1_nationality_belongs_to_the_european_union, cg1_other_nationality, date_time_of_record_for_db ) 
									// VALUES ( '".$_SESSION["Data"]['known_childs_id']."', 'Professional Caregiver', '"
												// .$_SESSION["Data"]['crcsdob_radio_1st_rel']."', '"
												// .$_SESSION["Data"]['crcsdob_radio_1st_sex']."', '"
												// .$_SESSION["Data"]['crcsdob_radio_1st_dob']."', '"
												// .mysqli_real_escape_string($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'])."', '"
												// .$_SESSION["Data"]['DE_F5_01']."', '"
												// .$_SESSION["Data"]['DE_F5_01_01']."', '"
												// .$_SESSION["Data"]['DE_F5_01_02']."', '"
												// .$_SESSION["Data"]['DE_F5_01_03']."', '"
												// .$_SESSION["Data"]['date_time_of_record_for_db']."' )";
					// $result = mysql_query($sql_insert) or die(mysql_error());
				// }
			// }
			
			// Insert Institutional Response
			if ( isset($_SESSION["Data"]['ir_radio']) ){
				if ( $_SESSION["Data"]['ir_radio'] == 'Yes' ){
					
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["name"]=$_SESSION["Data"]['ir_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					$db->insert("s_institutional_response",$arINS);
				
					for ($i = 1; $i < 5; $i++) {
						if ( isset($_SESSION["Data"]['ir_check'.$i]) ){
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["session_name"]="ir_check".$i;
							$arINS["name"]=$_SESSION["Data"]['ir_check'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW
							$arINS["incident_nid"]=$incident_id;
							$db->insert("s_institutional_response_sub1",$arINS);
							
							
							for ($j = 1; $j < 15; $j++) {
								if ( isset($_SESSION["Data"]['ir_check'.$i.'_'.$j]) ){		
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["ir_session_sub1"]="ir_check".$i;
									$arINS["session_name"]="ir_check".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['ir_check'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$db->insert("s_institutional_response_sub2",$arINS);
									
								}
							}					
						}
					}
				} else {
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["name"]=$_SESSION["Data"]['ir_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					$db->insert("s_institutional_response",$arINS);
					
				}
			}
			
			// Insert Referral(s) made to Services
			$agencies_number = 0;
			//$query = mysql_query("SELECT country, subdivision, type_of_organization FROM u_agencies");
			//$agencies_number = mysql_num_rows($query);
			
			$db->query("SELECT country, subdivision, type_of_organization FROM u_agencies");
			$agencies_number = (int)$db->Row;
			
			if ( isset($_SESSION["Data"]['rts_radio']) ){
				if ( $_SESSION["Data"]['rts_radio'] == 'Yes' ){
					
					$arINS = array();
					$arINS["incident_id"] =$_SESSION["Data"]['incident_id'];
					$arINS["name"] =$_SESSION["Data"]['rts_radio'];
					$arINS["date_time_of_record_for_db"] =$_SESSION["Data"]['date_time_of_record_for_db'];	
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					$db->insert("s_referrals_to_services",$arINS);
					
					
					for ($i = 1; $i < 12; $i++) { // For two subcategories
						if ( isset($_SESSION["Data"]['rts_check'.$i]) ){
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["session_name"]="rts_check".$i;
							$arINS["name"]=$_SESSION["Data"]['rts_check'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW	
							$arINS["incident_nid"]=$incident_id;				
							$db->insert("s_referrals_to_services_sub1",$arINS);
							
							
							for ($j = 0; $j < $agencies_number; $j++) {
								if ( isset($_SESSION["Data"]['rts_check'.$i.'_'.$j]) ){
									
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["rts_session_sub1"]="rts_check".$i;
									$arINS["session_name"]="rts_check".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['rts_check'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;					
									$db->insert("s_referrals_to_services_sub2",$arINS);
									
									// Feedbacks
									// Search the referral_agency_id based on agency name
									
									$ret = $db->query_bind("SELECT agency_id FROM u_agencies WHERE agency_name=?",array($_SESSION["Data"]['rts_check'.$i.'_'.$j]));
									if (!empty($ret))  {
										$referral_agency_id = $ret['agency_id'];	
									}
									
									/*									
									$db->query("SELECT agency_id FROM u_agencies WHERE agency_name='".$_SESSION["Data"]['rts_check'.$i.'_'.$j]."' ");
									if ($db->next()) {
										$referral_agency_id = $db->Record['agency_id'];
									}
									*/
									
									/*$agency_id_query = mysql_query("SELECT agency_id FROM u_agencies WHERE agency_name='".$_SESSION["Data"]['rts_check'.$i.'_'.$j]."' ");
									$agency_id_rows = mysql_num_rows($agency_id_query);
									if ($agency_id_rows == 1){
										while($agency_id_row = mysql_fetch_array($agency_id_query)) {
											// $_SESSION["Data"]['agencies'][] = $row['agency_name'];
											$referral_agency_id = $agency_id_row['agency_id'];
										}
									}
									*/
									
									// Insert Feedback
									$arINS = array();
									$arINS["referral_agency_id"]=$referral_agency_id;
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
									$arINS["status"]='NO INFORMATION';
									$arINS["recorded_by_operator"]=$_SESSION["ssUser"]['operators_id'];
									$arINS["referral_agency_nid"]=$_SESSION["ssUser"]['agency_nid']; //NW
									$arINS["recorded_by_operator_nid"]=$_SESSION["ssUser"]['operators_nid']; //NW
									$arINS["child_nid"]=$nid; //NW	
									$arINS["incident_nid"]=$incident_id;
									$arINS["date_time_of_record_for_db"]=date("Y-m-d H:i:s");
									$db->insert("s_feedback",$arINS);
									
									
									
								}									
								if ( isset($_SESSION["Data"]['rts_radio'.$i.'_'.$j]) ){
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["rts_session_sub2"]="rts_check".$i."_".$j;
									$arINS["session_name"]="rts_radio".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['rts_radio'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW	
									$arINS["incident_nid"]=$incident_id;				
									$db->insert("s_referrals_to_services_sub3",$arINS);
									
									
								}

								// In the end remove older feedbacks except those that has been recorded now
								if (isset($referral_agency_id_array)){
									
									$ar_Del = array();
									$db->query("SELECT id FROM s_feedback WHERE referral_agency_id NOT IN ('" . implode("','", $referral_agency_id_array) . "') AND incident_id='".$_SESSION["Data"]['incident_id']."' ");
									while($db->next()) {
										$ar_Del[]=$db->Record;
									}
									
									foreach($ar_Del as $dk=>$dv) {
										$db->query("DELETE FROM s_feedback WHERE id = '".$dv['id']."' ");
									}
									
									/*
									$old_feedbacks_query = mysql_query("SELECT id FROM s_feedback WHERE referral_agency_id NOT IN ('" . implode(',', $referral_agency_id_array) . "') AND incident_id='".$_SESSION["Data"]['incident_id']."' ");								
									while($old_feedbacks_row = mysql_fetch_array($old_feedbacks_query)) {									 
										mysql_query("DELETE FROM s_feedback WHERE id = '".$old_feedbacks_row['id']."' ") or die(mysql_error()); 
									}
									*/
									
								}
							}
						}
					}
					
					if ( isset($_SESSION["Data"]['rts_radio_inner']) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["session_name"]='rts_radio_inner';
						$arINS["name"]=$_SESSION["Data"]['rts_radio_inner'];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id;				
						$db->insert("s_referrals_to_services_sub1",$arINS);
						
					}
					
					//Send emails to Agencies
					if (isset($_SESSION["Data"]['emails_to_send'])){
						require 'includes/PHPMailer/PHPMailerAutoload.php';

						$mail = new PHPMailer;

						$mail->IsSMTP(); 			
						$mail->Host     = $mail_Host;  
						$mail->SMTPAuth = true;
						$mail->Username = $mail_Username;
						$mail->Password = $mail_Password; 
						
						if ($mail_SMTPSecure=='ssl') {
							$mail->SMTPSecure = 'ssl'; 
							$mail->Port = 465;
						} elseif ($mail_SMTPSecure=='tls') {
							$mail->SMTPSecure = 'tls'; 
							$mail->Port = 587;							
						} elseif ($mail_AuthType=="LOGIN") {
							$mail->AuthType = "LOGIN";					
							$mail->Port = 25;	
						} else {
							$mail->AuthType = "PLAIN";
							$mail->Port = 25;	
						}        
						$mail->CharSet = "UTF-8";			
						


						$mail->From = $mail_Username;
						$mail->FromName = 'Can-MDS-SS-Mailer';
						
						foreach($_SESSION["Data"]['emails_to_send'] as $mk=>$mv) {
							if ($mail_testaccount) {
								$mail->addAddress($mail_testaccount); 					
							} else {
								$mail->addAddress($mv); 					
							}
						
							$mail->isHTML(true);  

							$mail->Subject = 'CAN-MDS-SS Alert';
							$mail->Body    = 'Hello, <p>This is an autogenarated email and you should not reply to it. You are receiving this email because a referral made to this service has been recorded to the <b>CAN-MDS Surveilance System</b>.</p><p>You can access the system by clicking the following url: https://'.$_SERVER["HTTP_HOST"].'/ </p>';				//With HTML

							$mail->send();					
							$mail->ClearAllRecipients(); // reset the `To:` list to empty
							
							if ($mk) {
								$db->query("select agency_nid from u_users where id='".$mk."'");
								if ($db->next()) {
									$db->insert("notifications",array("n_to"=>$mv,"n_subject"=>"CAN-MDS-SS Alert","n_text"=>strip_tags($mail->Body),"RecDate"=>date("Y-m-d H:i:s"),"user_id"=>$mk,"agent_id"=>$db->Record["agency_nid"]));
								}
							}
						}
					}
					
					// for ($i = 3; $i < 7; $i++) { // For three subcategories
						// if ( isset($_SESSION["Data"]['rts_check'.$i]) ){
							// $sql_insert = "INSERT INTO s_referrals_to_services_sub1 ( incident_id, session_name, name, date_time_of_record_for_db ) 
								// VALUES ( '".$_SESSION["Data"]['incident_id']."', 'rts_check".$i."', '".$_SESSION["Data"]['rts_check'.$i]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
							// $result = mysql_query($sql_insert) or die(mysql_error());
							// for ($j = 0; $j < 6; $j++) {
								// if ( isset($_SESSION["Data"]['rts_check'.$i.'_'.$j]) ){
									// $sql_insert = "INSERT INTO s_referrals_to_services_sub2 ( incident_id, rts_session_sub1, session_name, name, date_time_of_record_for_db ) 
													// VALUES ( '".$_SESSION["Data"]['incident_id']."', 'rts_check".$i."', 'rts_check".$i."_".$j."', '".$_SESSION["Data"]['rts_check'.$i."_".$j]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
									// $result = mysql_query($sql_insert) or die(mysql_error());
									// for ($z = 0; $z < $agencies_number; $z++) {
										// if ( isset($_SESSION["Data"]['rts_check'.$i.'_'.$j.'_'.$z]) ){
											// $sql_insert = "INSERT INTO s_referrals_to_services_sub3 ( incident_id, rts_session_sub2, session_name, name, date_time_of_record_for_db ) 
															// VALUES ( '".$_SESSION["Data"]['incident_id']."', 'rts_check".$i."_".$j."', 'rts_check".$i."_".$j."_".$z."', '".$_SESSION["Data"]['rts_check'.$i."_".$j."_".$z]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
											// $result = mysql_query($sql_insert) or die(mysql_error());
										// }									
										// if ( isset($_SESSION["Data"]['rts_radio'.$i.'_'.$j.'_'.$z]) ){
											// $sql_insert = "INSERT INTO s_referrals_to_services_sub4 ( incident_id, rts_session_sub3, session_name, name, date_time_of_record_for_db ) 
															// VALUES ( '".$_SESSION["Data"]['incident_id']."', 'rts_check".$i."_".$j."_".$z."', 'rts_radio".$i."_".$j."_".$z."', '".$_SESSION["Data"]['rts_radio'.$i."_".$j."_".$z]."', '".$_SESSION["Data"]['date_time_of_record_for_db']."' )";
											// $result = mysql_query($sql_insert) or die(mysql_error());
										// }		
									// }									
								// } 
							// }				
						// }
					// }	
				} else {
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["name"]=$_SESSION["Data"]['rts_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					$db->insert("s_referrals_to_services",$arINS);
					
					
				}
			}		
		}
	}
	
	// For back-refresh problems

	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}

// ----------------------------------------------------------------------------------
//Updating data to database
//print_r($_SESSION["Data"]);
//echo "known_childs_id=".$_SESSION["Data"]['known_childs_id']; die();
if (isset($_POST['update'])) {
	if (isset($_SESSION["Data"]['known_childs_id'])) {
		if (isset($_SESSION["Data"]['incident_id'],$_SESSION["Data"]['dis_array_date_of_incident_right_panel'],$_SESSION["Data"]['date'],$_SESSION["Data"]['time'],$_SESSION["Data"]['soi_level1'] )){
			
			$nid=0;
			$db->query("select id from c_child where child_id='".$_SESSION["Data"]['known_childs_id']."' ");
			$db->next();
			$nid = $db->Record["id"]; //NW
			
			
			//Update Child
			$arUPD = array();
			$arUPD["recorded_by_agency"]=$_SESSION["ssUser"]['agency_id'];
			$arUPD["recorded_by_operator"]=$_SESSION["ssUser"]['operators_id'];
			$arUPD["datetime_of_record"]=$_SESSION["Data"]['date_time'];
			$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
			$arUPD["type_of_record"]='updated_record';						
			$db->update("c_child",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
			
			
			//Insert Incident
			$exact_date_of_incident = "";
			$start_date = "";
			$duration_first_note = "";
			$duration_years = 0;
			$duration_months = 0;
			$duration_days = 0;
			$duration_last_note = "";
			$duration_special_situation = "";
			$last_known_cm_date = "";
			
			if (isset($_SESSION["Data"]['doi_2sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_2sub'];
				if (isset($_SESSION["Data"]['doi_date2']))
					$start_date = $_SESSION["Data"]['doi_date2'];
			} else if (isset($_SESSION["Data"]['doi_3sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_3sub'];
				if (isset($_SESSION["Data"]['doi_date3']))
					$start_date = $_SESSION["Data"]['doi_date3'];
				if (isset($_SESSION["Data"]['doi_duration3'])){
					if (isset($_SESSION["Data"]['doi_duration3_first_note']))
						$duration_first_note = $_SESSION["Data"]['doi_duration3_first_note'];
					if (isset($_SESSION["Data"]['doi_duration3_years']))
						$duration_years = $_SESSION["Data"]['doi_duration3_years'];
					if (isset($_SESSION["Data"]['doi_duration3_months']))
						$duration_months = $_SESSION["Data"]['doi_duration3_months'];
					if (isset($_SESSION["Data"]['doi_duration3_days']))
						$duration_days = $_SESSION["Data"]['doi_duration3_days'];
					if (isset($_SESSION["Data"]['doi_duration3_last_note']))
						$duration_last_note = $_SESSION["Data"]['doi_duration3_last_note'];
					if (isset($_SESSION["Data"]['doi_duration3_special_situation']))
						$duration_special_situation = $_SESSION["Data"]['doi_duration3_special_situation'];
				}
				if (isset($_SESSION["Data"]['doi_3_last_known_cm']))
					$last_known_cm_date = $_SESSION["Data"]['doi_3_last_known_cm'];						
			} else if (isset($_SESSION["Data"]['doi_4sub'])){
				$exact_date_of_incident = $_SESSION["Data"]['doi_4sub'];
				if (isset($_SESSION["Data"]['doi_date4']))
					$start_date = $_SESSION["Data"]['doi_date4'];
				if (isset($_SESSION["Data"]['doi_duration4'])){
					if (isset($_SESSION["Data"]['doi_duration4_first_note']))
						$duration_first_note = $_SESSION["Data"]['doi_duration4_first_note'];
					if (isset($_SESSION["Data"]['doi_duration4_years']))
						$duration_years = $_SESSION["Data"]['doi_duration4_years'];
					if (isset($_SESSION["Data"]['doi_duration4_months']))
						$duration_months = $_SESSION["Data"]['doi_duration4_months'];
					if (isset($_SESSION["Data"]['doi_duration4_days']))
						$duration_days = $_SESSION["Data"]['doi_duration4_days'];
					if (isset($_SESSION["Data"]['doi_duration4_last_note']))
						$duration_last_note = $_SESSION["Data"]['doi_duration4_last_note'];
					if (isset($_SESSION["Data"]['doi_duration4_special_situation']))
						$duration_special_situation = $_SESSION["Data"]['doi_duration4_special_situation'];
				}
			}
			$date_of_incident_right_panel = "";
			if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'])) {
				for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_date_of_incident_right_panel']); $i++){
					if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i])){
						$date_of_incident_right_panel .= $_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i];
					}
				}
			}
			
			
			//Update Incident
			$arUPD = array();
			$arUPD["child_id"]=$_SESSION["Data"]['known_childs_id'];
			$arUPD["date_of_incident"]=$date_of_incident_right_panel;
			$arUPD["type_of_incident"]=$_SESSION["Data"]['doi'];
			$arUPD["exact_date_of_incident"]=$exact_date_of_incident;
			$arUPD["start_date"]=$start_date;
			$arUPD["duration_first_note"]=$duration_first_note;
			$arUPD["duration_years"]=$duration_years;
			$arUPD["duration_months"]=$duration_months;
			$arUPD["duration_days"]=$duration_days;
			$arUPD["duration_last_note"]=$duration_last_note;			
			$arUPD["duration_special_situation"]=$duration_special_situation;
			$arUPD["last_known_cm_date"]=$last_known_cm_date;
			$arUPD["datetime_of_record"]=$_SESSION["Data"]['date_time'];
			$arUPD["date_of_record"]=$_SESSION["Data"]['date'];
			$arUPD["time_of_record"]=$_SESSION["Data"]['time'];
			$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
			$arUPD["recorded_by_agency"]=$_SESSION["ssUser"]['agency_id'];
			$arUPD["recorded_by_operator"]=$_SESSION["ssUser"]['operators_id'];
			$arUPD["type_of_record"]='updated_record';
			$arUPD["recorded_by_ip"]=$ip_address;			
			$db->update("i_incident",array("incident_id"=>$_SESSION["Data"]['incident_id']),$arUPD);
			
			$incident_id=0;
			$db->query("select id from i_incident where incident_id='".$_SESSION["Data"]['incident_id']."' ");
			$db->next(); 
			$incident_id=$db->Record["id"];
			
			//UPDATE source of information
			$arUPD = array();
			$arUPD["name"]=$_SESSION["Data"]['soi_level1'];
			$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];		
			$db->update("i_source_of_information",array("incident_id"=>$_SESSION["Data"]['incident_id']),$arUPD);
			
						
			// Delete old forms of maltreatment for specific incident_id
			$sql_delete = "DELETE FROM i_forms_of_maltreatment WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
			$db->query($sql_delete);
			
			$sql_delete = "DELETE FROM i_forms_of_maltreatment_sub1 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
			$db->query($sql_delete);
			
			$sql_delete = "DELETE FROM i_forms_of_maltreatment_sub2 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
			$db->query($sql_delete);
			
			$sql_delete = "DELETE FROM i_forms_of_maltreatment_sub3 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
			$db->query($sql_delete);
			
			$sql_delete = "DELETE FROM i_forms_of_maltreatment_sub4 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
			$db->query($sql_delete);
			
			
			//Insert Forms of Maltreatment
			for ($w=1;$w<5;$w++) {
				if( isset($_SESSION["Data"]['fom_ac_'.$w]) ){
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
					$arINS["session_name"]="fom_ac_".$w;
					$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					//print_r($arINS);
					$db->insert("i_forms_of_maltreatment",$arINS);
					
					for ($i=1;$i<9;$i++){
						if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i]) ){
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
							$arINS["fom_session"]="fom_ac_".$w;
							$arINS["session_name"]="fom_ac_".$w."_".$i;
							$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW
							$arINS["incident_nid"]=$incident_id;
							$db->insert("i_forms_of_maltreatment_sub1",$arINS);
							
							
							for ($j=1;$j<25;$j++) {
								if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j])) {
									
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
									$arINS["fom_session_sub1"]="fom_ac_".$w."_".$i;
									$arINS["session_name"]="fom_ac_".$w."_".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$db->insert("i_forms_of_maltreatment_sub2",$arINS);
									
									
									for ($z=1;$z<6;$z++){
										if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z])){
											$arINS = array();
											$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
											$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
											$arINS["fom_session_sub2"]="fom_ac_".$w."_".$i."_".$j;
											$arINS["session_name"]="fom_ac_".$w."_".$i."_".$j."_".$z;
											$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z];
											$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
											$arINS["child_nid"]=$nid; //NW
											$arINS["incident_nid"]=$incident_id;
											$db->insert("i_forms_of_maltreatment_sub3",$arINS);
											
											
											for ($x=1;$x<5;$x++){
												if( isset($_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z.'_'.$x])){
													$arINS = array();
													$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
													$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
													$arINS["fom_session_sub3"]="fom_ac_".$w."_".$i."_".$j."_".$z;
													$arINS["session_name"]="fom_ac_".$w."_".$i."_".$j."_".$z."_".$x;
													$arINS["name"]=$_SESSION["Data"]['fom_ac_'.$w.'_'.$i.'_'.$j.'_'.$z.'_'.$x];
													$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
													$arINS["child_nid"]=$nid; //NW
													$arINS["incident_nid"]=$incident_id;
													$db->insert("i_forms_of_maltreatment_sub4",$arINS);
													
													
												} 
											}
										}
									}
								}
							}
						}
					}		
				}
			}
			
			if( isset($_SESSION["Data"]['fom_o_1']) ){
				$arINS = array();
				$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
				$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
				$arINS["session_name"]='fom_o_1';
				$arINS["name"]=$_SESSION["Data"]['fom_o_1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$arINS["incident_nid"]=$incident_id;
				$db->insert("i_forms_of_maltreatment",$arINS);
				
				
				for ($i=1;$i<8;$i++){
					if( isset($_SESSION["Data"]['fom_o_1_'.$i]) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
						$arINS["fom_session"]='fom_o_1';
						$arINS["session_name"]="fom_o_1_".$i;
						$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id;
						$db->insert("i_forms_of_maltreatment_sub1",$arINS);
						
						
						for ($j=1;$j<7;$j++){
							if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j]) ){
								$arINS = array();
								$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
								$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
								$arINS["fom_session_sub1"]="fom_o_1_".$i;
								$arINS["session_name"]="fom_o_1_".$i."_".$j;
								$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i.'_'.$j];
								$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
								$arINS["child_nid"]=$nid; //NW
								$arINS["incident_nid"]=$incident_id;
								$db->insert("i_forms_of_maltreatment_sub2",$arINS);
								
								for ($z=1;$z<4;$z++){
									if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z]) ){
										$arINS = array();
										$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
										$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
										$arINS["fom_session_sub2"]="fom_o_1_".$i."_".$j;
										$arINS["session_name"]="fom_o_1_".$i."_".$j."_".$z;
										$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z];
										$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
										$arINS["child_nid"]=$nid; //NW
										$arINS["incident_nid"]=$incident_id;
										$db->insert("i_forms_of_maltreatment_sub3",$arINS);
										
										for ($x=1;$x<7;$x++){
											if( isset($_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z.'_'.$x])){
												$arINS = array();
												$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
												$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
												$arINS["fom_session_sub3"]="fom_o_1_".$i."_".$j."_".$z;
												$arINS["session_name"]="fom_o_1_".$i."_".$j."_".$z."_".$x;
												$arINS["name"]=$_SESSION["Data"]['fom_o_1_'.$i.'_'.$j.'_'.$z.'_'.$x];
												$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
												$arINS["child_nid"]=$nid; //NW
												$arINS["incident_nid"]=$incident_id;
												$db->insert("i_forms_of_maltreatment_sub4",$arINS);
												
											} 
										}
									} 
								}
							}
						}
					}
				}		
			}
			
			// Delete old I3_B Specific Circumstances (forms of maltreatment) Only for France
			if ($_SESSION["ssUser"]['country'] == 'FR') {
				$sql_delete = "DELETE FROM i_specific_circumstances WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
				$db->query($sql_delete);
			
				// Insert I3_B Specific Circumstances (forms of maltreatment) Only for France			
				for ($w=1;$w<11;$w++) {
					if( isset($_SESSION["Data"]['fom_I3_'.$w]) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
						$arINS["session_name"]="fom_I3_".$w;
						$arINS["name"]=$_SESSION["Data"]['fom_I3_'.$w];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id;
						$db->insert("i_specific_circumstances",$arINS);
						
					}
				}
				for ($i=1;$i<4;$i++) {
					if( isset($_SESSION["Data"]['fom_I3_9_'.$i]) ){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
						$arINS["session_name"]="fom_I3_9_".$i;
						$arINS["name"]=$_SESSION["Data"]['fom_I3_9_'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id;
						$db->insert("i_specific_circumstances",$arINS);
						
						
					}
				}
				if( isset($_SESSION["Data"]['fom_I3_radio']) ){
					$arINS = array();
					$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
					$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
					$arINS["session_name"]='fom_I3_radio';
					$arINS["name"]=$_SESSION["Data"]['fom_I3_radio'];
					$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];	
					$arINS["child_nid"]=$nid; //NW
					$arINS["incident_nid"]=$incident_id;
					$db->insert("i_specific_circumstances",$arINS);
					
				}
			}
			
			// Delete old Place of Incident for specific incident_id
			$sql_delete = "DELETE FROM i_place_of_incident WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
			$db->query($sql_delete);
			
			//Insert Place of Incident
			if (isset($_SESSION["Data"]['poi_radio1'])){
				$arINS = array();
				$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
				$arINS["session_name"]='poi_radio1';
				$arINS["name"]=$_SESSION["Data"]['poi_radio1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$arINS["incident_nid"]=$incident_id;
				$db->insert("i_place_of_incident",$arINS);
				
				
			} else {		
				for ($i=1;$i<15;$i++){
					if (isset($_SESSION["Data"]['poi_check'.$i])){
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["session_name"]="poi_check".$i;
						$arINS["name"]=$_SESSION["Data"]['poi_check'.$i];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$arINS["incident_nid"]=$incident_id;
						$db->insert("i_place_of_incident",$arINS);
					
					}
				}
			}
			
			//Update Perpetrators ONLY FOR ITALY
			if ($_SESSION["ssUser"]['country'] == 'IT') { 				

				if (!empty($_SESSION["Data"]['DE_I5_01']))
					$perpetrator_1 = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_01'])."'";
				else $perpetrator_1 = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_01_01']))
					$perpetrator_1_gender = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_01_01'])."'";
				else $perpetrator_1_gender = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_02']))
					$perpetrator_2 = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_02'])."'";
				else $perpetrator_2 = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_02_01']))
					$perpetrator_2_gender = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_02_01'])."'";
				else $perpetrator_2_gender = "null";
				
				if (!empty($_SESSION["Data"]['DE_I5_03']))
					$other_perpetrator = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_03'])."'";
				else $other_perpetrator = "null";		
					
				$arUPD = array();	
				$arUPD["child_id"]=$_SESSION["Data"]['known_childs_id'];	
				$arUPD["perpetrator_1"]=$perpetrator_1;
				$arUPD["perpetrator_1_gender"]=$perpetrator_1_gender;
				$arUPD["perpetrator_2"]=$perpetrator_2;
				$arUPD["perpetrator_2_gender"]=$perpetrator_2_gender;
				$arUPD["other_perpetrator"]=$other_perpetrator;
				$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];				
				$db->update("i_perpetrator",array("incident_id"=>$_SESSION["Data"]['incident_id']),$arUPD);
				
			}	
			
			//Update Child’s Sex, Date of Birth and Citizenship Status
			if (isset($_SESSION["Data"]['csdc_radio1'])){
				$arUPD = array();	
				$arUPD["name"]=$_SESSION["Data"]['csdc_radio1'];
				$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];			
				$db->update("c_child_sex",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
				
			}

			if (isset($_SESSION["Data"]['csdc_radio2'])){
				if ($_SESSION["Data"]['csdc_radio2'] !==  "csdc_date") {
					
					$arUPD = array();
					$arUPD["name"]=$_SESSION["Data"]['csdc_radio2'];				
					$arUPD["date"]=null;
					$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
					$db->update("c_child_dob",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
				
				} else {
					
					$arUPD = array();
					$arUPD["name"]=$_SESSION["Data"]['csdc_radio2'];				
					$arUPD["date"]=$_SESSION["Data"]['csdc_date'];
					$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
					$db->update("c_child_dob",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
					
					
				}
			}
			
			if (!empty($_SESSION["Data"]['csdc_nationality']))
				$csdc_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['csdc_nationality'])."'";
			else $csdc_nationality = "null";
				
			if (isset($_SESSION["Data"]['csdc_radio3'])){				
				$arUPD = array();
				$arUPD["name"]=$_SESSION["Data"]['csdc_radio3'];				
				$arUPD["nationality"]=$csdc_nationality;
				$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
				$db->update("c_citizenship_status",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
				
			}
			
			//Insert Child's Health status ONLY FOR ITALY
			if ($_SESSION["ssUser"]['country'] == 'IT') { 

				if (!empty($_SESSION["Data"]['DE_C5']))
					$health = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_C5'])."'";
				else $health = "null";
				
				if (!empty($_SESSION["Data"]['DE_C6']))
					$behavior_problem = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_C6'])."'";
				else $behavior_problem = "null";
				
				if (!empty($_SESSION["Data"]['DE_C6_01']))
					$type_of_problem = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_I5_01_01'])."'";
				else $type_of_problem = "null";

				$arUPD = array();
				$arUPD["health"]=$health;				
				$arUPD["behavior_problem"]=$behavior_problem;
				$arUPD["type_of_problem"]=$type_of_problem;					
				$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
				$db->update("c_child_health",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
				
				
			}	
			
			//Update Family Composition
			if (isset($_SESSION["Data"]['fc_radio1'])){
				$arUPD = array();
				$arUPD["name"]=$_SESSION["Data"]['fc_radio1'];	
				$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
				$db->update("f_type_of_family",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
				
			} 
			
			// Delete old members of family
			$sql_delete = "DELETE FROM f_members_of_family WHERE child_id = '".$_SESSION["Data"]['known_childs_id']."' ";
			$db->query($sql_delete);
			
			$sql_delete = "DELETE FROM f_members_of_family_sub1 WHERE child_id = '".$_SESSION["Data"]['known_childs_id']."' ";
			$db->query($sql_delete);
			
			$sql_delete = "DELETE FROM f_members_of_family_sub2 WHERE child_id = '".$_SESSION["Data"]['known_childs_id']."' ";
			$db->query($sql_delete);
			
			// Insert new members of family
			if( isset($_SESSION["Data"]['fc_tf_radio1']) ){
				$arINS = array();
				$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
				$arINS["session_name"]='fc_tf_radio1';
				$arINS["name"]=$_SESSION["Data"]['fc_tf_radio1'];
				$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
				$arINS["child_nid"]=$nid; //NW
				$db->insert("f_members_of_family",$arINS);
				
			} else {
				for ($w=1;$w<10;$w++){
					if( isset($_SESSION["Data"]['fc_tf_'.$w]) ){
						$arINS = array();
						$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
						$arINS["session_name"]="fc_tf_".$w;
						$arINS["name"]=$_SESSION["Data"]['fc_tf_'.$w];
						$arINS["session_number"]="fc_n_".$w;
						$arINS["number"]=$_SESSION["Data"]['fc_n_'.$w];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW
						$db->insert("f_members_of_family",$arINS);
						
						for ($i=1;$i<4;$i++){
							if( isset($_SESSION["Data"]['fc_tf_'.$w.'_'.$i]) ){
								$arINS = array();
								$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
								$arINS["mof_session"]="fc_tf_".$w;
								$arINS["session_name"]="fc_tf_".$w."_".$i;
								$arINS["name"]=$_SESSION["Data"]['fc_tf_'.$w."_".$i];
								$arINS["session_number"]="fc_n_".$w."_".$i;
								$arINS["number"]=$_SESSION["Data"]['fc_n_'.$w."_".$i];
								$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
								$arINS["child_nid"]=$nid; //NW
								$db->insert("f_members_of_family_sub1",$arINS);
								
								
								for ($j=1;$j<3;$j++){
									if( isset($_SESSION["Data"]['fc_tf_'.$w.'_'.$i.'_'.$j]) ){
										$arINS = array();
										$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
										$arINS["mof_session_sub1"]="fc_tf_".$w."_".$i;
										$arINS["session_name"]="fc_tf_".$w."_".$i."_".$j;
										$arINS["name"]=$_SESSION["Data"]['fc_tf_'.$w."_".$i."_".$j];
										$arINS["session_number"]="fc_n_".$w."_".$i."_".$j;
										$arINS["number"]=$_SESSION["Data"]['fc_n_'.$w."_".$i."_".$j];
										$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
										$arINS["child_nid"]=$nid; //NW
										$db->insert("f_members_of_family_sub2",$arINS);
										
									}
								}
							}
						}
					}
				}		
			}
			
			// Insert Caregiver(s) Relationship to Child, Sex and Date of Birth
			if ( isset($_SESSION["Data"]['crcsdob_radio_1st_rel']) && isset($_SESSION["Data"]['crcsdob_radio_1st_sex']) && isset($_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel']) ){
				// Check if Italian variables exist
				if (!empty($_SESSION["Data"]['DE_F5_01']))
					$cg1_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F5_01'])."'";
				else $cg1_nationality = "null";
				
				if (!empty($_SESSION["Data"]['DE_F5_01_01']))
					$cg1_nationality_possessed_from_birth = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F5_01_01'])."'";
				else $cg1_nationality_possessed_from_birth = "null";
				
				if (!empty($_SESSION["Data"]['DE_F5_01_02']))
					$cg1_nationality_belongs_to_the_european_union = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F5_01_02'])."'";
				else $cg1_nationality_belongs_to_the_european_union = "null";
				
				if (!empty($_SESSION["Data"]['DE_F5_01_03']))
					$cg1_other_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F5_01_03'])."'";
				else $cg1_other_nationality = "null";
									
				if (!empty($_SESSION["Data"]['DE_F6_01']))
					$cg2_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F6_01'])."'";
				else $cg2_nationality = "null";
				
				if (!empty($_SESSION["Data"]['DE_F6_01_01']))
					$cg2_nationality_possessed_from_birth = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F6_01_01'])."'";
				else $cg2_nationality_possessed_from_birth = "null";
				
				if (!empty($_SESSION["Data"]['DE_F6_01_02']))
					$cg2_nationality_belongs_to_the_european_union = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F6_01_02'])."'";
				else $cg2_nationality_belongs_to_the_european_union = "null";
				
				if (!empty($_SESSION["Data"]['DE_F6_01_03']))
					$cg2_other_nationality = "'".mysqli_real_escape_string($db->dbLink,$_SESSION["Data"]['DE_F6_01_03'])."'";
				else $cg2_other_nationality = "null";
				
				if ( isset($_SESSION["Data"]['crcsdob_radio_2nd_rel']) && isset($_SESSION["Data"]['crcsdob_radio_2nd_sex']) && isset($_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel']) ){
					if( isset($_SESSION["Data"]['fc_pc1_radio']) ){
						if( isset($_SESSION["Data"]['fc_pc2_radio']) ){								
						
								$arUPD = array();
								$arUPD["caregiver1"]=$_SESSION["Data"]['fc_pc1_radio'];
								$arUPD["relationship1"]=$_SESSION["Data"]['crcsdob_radio_1st_rel'];
								$arUPD["sex1"]=$_SESSION["Data"]['crcsdob_radio_1st_sex'];
								$arUPD["dob1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob'];
								$arUPD["date1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'];
								$arUPD["caregiver2"]=$_SESSION["Data"]['fc_pc2_radio'];
								$arUPD["relationship2"]=$_SESSION["Data"]['crcsdob_radio_2nd_rel'];
								$arUPD["sex2"]=$_SESSION["Data"]['crcsdob_radio_2nd_sex'];
								$arUPD["dob2"]=$_SESSION["Data"]['crcsdob_radio_2nd_dob'];
								$arUPD["date2"]=$_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'];
								$arUPD["cg1_nationality"]=$cg1_nationality;
								$arUPD["cg1_nationality_possessed_from_birth"]=$cg1_nationality_possessed_from_birth;
								$arUPD["cg1_nationality_belongs_to_the_european_union"]=$cg1_nationality_belongs_to_the_european_union;
								$arUPD["cg1_other_nationality"]=$cg1_other_nationality;
								$arUPD["cg2_nationality"]=$cg2_nationality;
								$arUPD["cg2_nationality_possessed_from_birth"]=$cg2_nationality_possessed_from_birth;
								$arUPD["cg2_nationality_belongs_to_the_european_union"]=$cg2_nationality_belongs_to_the_european_union;
								$arUPD["cg2_other_nationality"]=$cg2_other_nationality;
								$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];	

								$db->update("f_caregivers",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
							
								
						} else {
							$arUPD = array();
							$arUPD["caregiver1"]=$_SESSION["Data"]['fc_pc1_radio'];
							$arUPD["relationship1"]=$_SESSION["Data"]['crcsdob_radio_1st_rel'];
							$arUPD["sex1"]=$_SESSION["Data"]['crcsdob_radio_1st_sex'];
							$arUPD["dob1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob'];
							$arUPD["date1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'];
							$arUPD["caregiver2"]=null;
							$arUPD["relationship2"]=null;
							$arUPD["sex2"]=null;
							$arUPD["dob2"]=null;
							$arUPD["date2"]=null;
							$arUPD["cg1_nationality"]=$cg1_nationality;
							$arUPD["cg1_nationality_possessed_from_birth"]=$cg1_nationality_possessed_from_birth;
							$arUPD["cg1_nationality_belongs_to_the_european_union"]=$cg1_nationality_belongs_to_the_european_union;
							$arUPD["cg1_other_nationality"]=$cg1_other_nationality;
							$arUPD["cg2_nationality"]=null;
							$arUPD["cg2_nationality_possessed_from_birth"]=null;
							$arUPD["cg2_nationality_belongs_to_the_european_union"]=null;
							$arUPD["cg2_other_nationality"]=null;
							$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];							
							$db->update("f_caregivers",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
							
							
						}
					} else {
						$arUPD = array();
						$arUPD["caregiver1"]=$_SESSION["Data"]['fc_pc1_radio'];	
						$arUPD["relationship1"]=$_SESSION["Data"]['crcsdob_radio_1st_rel'];	
						$arUPD["sex1"]=$_SESSION["Data"]['crcsdob_radio_1st_sex'];	
						$arUPD["dob1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob'];	
						$arUPD["date1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'];	
						$arUPD["caregiver2"]=null;	
						$arUPD["relationship2"]=null;	
						$arUPD["sex2"]=null;	
						$arUPD["dob2"]=null;	
						$arUPD["date2"]=null;	
						$arUPD["cg1_nationality"]=$cg1_nationality;	
						$arUPD["cg1_nationality_possessed_from_birth"]=$cg1_nationality_possessed_from_birth;	
						$arUPD["cg1_nationality_belongs_to_the_european_union"]=$cg1_nationality_belongs_to_the_european_union;	
						$arUPD["cg1_other_nationality"]=$cg1_other_nationality;	
						$arUPD["cg2_nationality"]=null;	
						$arUPD["cg2_nationality_possessed_from_birth"]=null;	
						$arUPD["cg2_nationality_belongs_to_the_european_union"]=null;	
						$arUPD["cg2_other_nationality"]=null;	
						$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];  
						$db->update("f_caregivers",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
						
					}
				} else {
					
					$arUPD = array();
					$arUPD["caregiver1"]=$_SESSION["Data"]['fc_pc1_radio'];	
					$arUPD["relationship1"]=$_SESSION["Data"]['crcsdob_radio_1st_rel'];	
					$arUPD["sex1"]=$_SESSION["Data"]['crcsdob_radio_1st_sex'];	
					$arUPD["dob1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob'];	
					$arUPD["date1"]=$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'];	
					$arUPD["caregiver2"]=null;	
					$arUPD["relationship2"]=null;	
					$arUPD["sex2"]=null;	
					$arUPD["dob2"]=null;	
					$arUPD["date2"]=null;	
					$arUPD["cg1_nationality"]=$cg1_nationality;	
					$arUPD["cg1_nationality_possessed_from_birth"]=$cg1_nationality_possessed_from_birth;	
					$arUPD["cg1_nationality_belongs_to_the_european_union"]=$cg1_nationality_belongs_to_the_european_union;	
					$arUPD["cg1_other_nationality"]=$cg1_other_nationality;	
					$arUPD["cg2_nationality"]=null;	
					$arUPD["cg2_nationality_possessed_from_birth"]=null;	
					$arUPD["cg2_nationality_belongs_to_the_european_union"]=null;	
					$arUPD["cg2_other_nationality"]=null;	
					$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db']; 
					$db->update("f_caregivers",array("child_id"=>$_SESSION["Data"]['known_childs_id']),$arUPD);
					
					
				}
			}
			
			// Update Institutional Response
			if ( isset($_SESSION["Data"]['ir_radio']) ){
				if ( $_SESSION["Data"]['ir_radio'] == 'Yes' ){					
					$arUPD = array();
					$arUPD["name"]=$_SESSION["Data"]['ir_radio'];	
					$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
					$db->update("s_institutional_response",array("incident_id"=>$_SESSION["Data"]['incident_id']),$arUPD);
					
					// Delete older institutional responses
					$sql_delete = "DELETE FROM s_institutional_response_sub1 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
					$db->query($sql_delete);
					
					$sql_delete = "DELETE FROM s_institutional_response_sub2 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
					$db->query($sql_delete);
					
					// Insert new institutional responses
					for ($i = 1; $i < 5; $i++) {
						if ( isset($_SESSION["Data"]['ir_check'.$i]) ){
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["session_name"]="ir_check".$i;
							$arINS["name"]=$_SESSION["Data"]['ir_check'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];	
							$arINS["child_nid"]=$nid; //NW
							$arINS["incident_nid"]=$incident_id;
							$db->insert("s_institutional_response_sub1",$arINS);
							
							for ($j = 1; $j < 15; $j++) {
								if ( isset($_SESSION["Data"]['ir_check'.$i.'_'.$j]) ){		
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["ir_session_sub1"]="ir_check".$i;
									$arINS["session_name"]="ir_check".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['ir_check'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$db->insert("s_institutional_response_sub2",$arINS);
									
									
								}
							}					
						}
					}
				} else {					
					$arUPD = array();
					$arUPD["name"]=$_SESSION["Data"]['ir_radio'];	
					$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
					$db->update("s_institutional_response",array("incident_id"=>$_SESSION["Data"]['incident_id']),$arUPD);
					
				}
			}
			
			// Insert Referral(s) made to Services
			$agencies_number = 0;
			//$query = mysql_query("SELECT country, subdivision, type_of_organization FROM u_agencies");
			//$agencies_number = mysql_num_rows($query);
			$db->query("SELECT country, subdivision, type_of_organization FROM u_agencies");
			$agencies_number = (int)$db->Row;
			
			if ( isset($_SESSION["Data"]['rts_radio']) ){
				if ( $_SESSION["Data"]['rts_radio'] == 'Yes' ){
					
					$arUPD = array();
					$arUPD["name"]=$_SESSION["Data"]['rts_radio'];	
					$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
					$db->update("s_referrals_to_services",array("incident_id"=>$_SESSION["Data"]['incident_id']),$arUPD);
					
					
					
					// Delete older referrals to services
					$sql_delete = "DELETE FROM s_referrals_to_services_sub1 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
					$db->query($sql_delete);
					
					$sql_delete = "DELETE FROM s_referrals_to_services_sub2 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
					$db->query($sql_delete);
					
					$sql_delete = "DELETE FROM s_referrals_to_services_sub3 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
					$db->query($sql_delete);
					
					// Insert new referrals to services					
					for ($i = 1; $i < 12; $i++) { // For two subcategories
						if ( isset($_SESSION["Data"]['rts_check'.$i]) ){
							$arINS = array();
							$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
							$arINS["session_name"]="rts_check".$i;
							$arINS["name"]=$_SESSION["Data"]['rts_check'.$i];
							$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
							$arINS["child_nid"]=$nid; //NW
							$arINS["incident_nid"]=$incident_id;
							$db->insert("s_referrals_to_services_sub1",$arINS);
							
							for ($j = 0; $j < $agencies_number; $j++) {
								if ( isset($_SESSION["Data"]['rts_check'.$i.'_'.$j]) ){
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["rts_session_sub1"]="rts_check".$i;
									$arINS["session_name"]="rts_check".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['rts_check'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
									$arINS["child_nid"]=$nid; //NW
									$arINS["incident_nid"]=$incident_id;
									$db->insert("s_referrals_to_services_sub2",$arINS);
									
									// Feedbacks
									// Search the referral_agency_id based on agency name
									
									$ret = $db->query_bind("SELECT agency_id FROM u_agencies WHERE agency_name=?",array($_SESSION["Data"]['rts_check'.$i.'_'.$j]));
									if (!empty($ret))  {
										$referral_agency_id = $ret['agency_id'];
										// Array to keep agencies that got referrals
										$referral_agency_id_array[] = $ret['agency_id'];
									}
									
									/*
									$db->query("SELECT agency_id FROM u_agencies WHERE agency_name='".$_SESSION["Data"]['rts_check'.$i.'_'.$j]."' ");
									if ($db->Row == 1){
										if ($db->next()) {
											$referral_agency_id = $db->Record['agency_id'];
											// Array to keep agencies that got referrals
											$referral_agency_id_array[] = $db->Record['agency_id'];
										}
									}
									*/
									
									/*
									$agency_id_query = mysql_query("SELECT agency_id FROM u_agencies WHERE agency_name='".$_SESSION["Data"]['rts_check'.$i.'_'.$j]."' ");
									$agency_id_rows = mysql_num_rows($agency_id_query);
									if ($agency_id_rows == 1){
										while($agency_id_row = mysql_fetch_array($agency_id_query)) {											
											$referral_agency_id = $agency_id_row['agency_id'];
											// Array to keep agencies that got referrals
											$referral_agency_id_array[] = $agency_id_row['agency_id'];
										}
									}
									*/
									
									// Insert Feedback
									// Check if feedback exist
									$db->query("SELECT * FROM s_feedback WHERE referral_agency_id='".$referral_agency_id."' AND incident_id='".$_SESSION["Data"]['incident_id']."' ");
									if (!$db->next()) {  // IF it doesn't exist Insert feedback
										$arINS = array();
										$arINS["referral_agency_id"]=$referral_agency_id;
										$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
										$arINS["child_id"]=$_SESSION["Data"]['known_childs_id'];
										$arINS["status"]= 'NO INFORMATION';
										$arINS["recorded_by_operator"]=$_SESSION["ssUser"]['operators_id'];
										$arINS["referral_agency_nid"]=$_SESSION["ssUser"]['agency_nid']; //NW
										$arINS["recorded_by_operator_nid"]=$_SESSION["ssUser"]['operators_nid']; //NW	
										$arINS["child_nid"]=$nid; //NW				
										$arINS["incident_nid"]=$incident_id;
										$arINS["date_time_of_record_for_db"]=date("Y-m-d H:i:s");										
										$db->insert("s_feedback",$arINS);
										
									}
									
									/*
									$feedback_query = mysql_query("SELECT * FROM s_feedback WHERE referral_agency_id='".$referral_agency_id."' AND incident_id='".$_SESSION["Data"]['incident_id']."' ");
									$feedback_rows = mysql_num_rows($feedback_query);									
									if ($feedback_rows != 1){ // IF it doesn't exist Insert feedback
										$sql_insert = "INSERT INTO s_feedback ( referral_agency_id, incident_id, child_id, status, recorded_by_operator ) 
													VALUES ( '".$referral_agency_id."', '".$_SESSION["Data"]['incident_id']."', '".$_SESSION["Data"]['known_childs_id']."', 'NO INFORMATION', '".$_SESSION["ssUser"]['operators_id']."' )";
										$db->query($sql_insert);
									}
									*/
									
									
								}									
								if ( isset($_SESSION["Data"]['rts_radio'.$i.'_'.$j]) ){
									$arINS = array();
									$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
									$arINS["rts_session_sub2"]="rts_check".$i."_".$j;
									$arINS["session_name"]="rts_radio".$i."_".$j;
									$arINS["name"]=$_SESSION["Data"]['rts_radio'.$i."_".$j];
									$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];	
									$arINS["child_nid"]=$nid; //NW	
									$arINS["incident_nid"]=$incident_id;								
									$db->insert("s_referrals_to_services_sub3",$arINS);
									
								}
								
								
								// In the end remove older feedbacks except those that has been recorded now
								if (isset($referral_agency_id_array)){
									
									$_arSR = array();
									
									$db->query("DELETE FROM s_feedback WHERE id IN (SELECT id FROM s_feedback WHERE referral_agency_id NOT IN ('" . implode("','", $referral_agency_id_array) . "') AND incident_id='".$_SESSION["Data"]['incident_id']."') ");
									
									/*
									$old_feedbacks_query = mysql_query("SELECT id FROM s_feedback WHERE referral_agency_id NOT IN ('" . implode(',', $referral_agency_id_array) . "') AND incident_id='".$_SESSION["Data"]['incident_id']."' ");								
									while($old_feedbacks_row = mysql_fetch_array($old_feedbacks_query)) {									 
										mysql_query("DELETE FROM s_feedback WHERE id = '".$old_feedbacks_row['id']."' ") or die(mysql_error()); 
									}
									*/
								}
								
							}
						}
					}
					
					if ( isset($_SESSION["Data"]['rts_radio_inner'])) {
						$arINS = array();
						$arINS["incident_id"]=$_SESSION["Data"]['incident_id'];
						$arINS["session_name"]='rts_radio_inner';
						$arINS["name"]=$_SESSION["Data"]['rts_radio_inner'];
						$arINS["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];
						$arINS["child_nid"]=$nid; //NW	
						$arINS["incident_nid"]=$incident_id;								
						$db->insert("s_referrals_to_services_sub1",$arINS);
						
					}
					
					//Send emails to Agencies
					if (isset($_SESSION["Data"]['emails_to_send'])){
						require 'includes/PHPMailer/PHPMailerAutoload.php';

						$mail = new PHPMailer;

						$mail->IsSMTP(); 			
						$mail->Host     = $mail_Host;  
						$mail->SMTPAuth = true;
						$mail->Username = $mail_Username;
						$mail->Password = $mail_Password; 
						
						if ($mail_SMTPSecure=='ssl') {
							$mail->SMTPSecure = 'ssl'; 
							$mail->Port = 465;
						} elseif ($mail_SMTPSecure=='tls') {
							$mail->SMTPSecure = 'tls'; 
							$mail->Port = 587;							
						} elseif ($mail_AuthType=="LOGIN") {
							$mail->AuthType = "LOGIN";					
							$mail->Port = 25;	
						} else {
							$mail->AuthType = "PLAIN";
							$mail->Port = 25;	
						}        
						$mail->CharSet = "UTF-8";			
						


						$mail->From = $mail_Username;
						$mail->FromName = 'Can-MDS-SS-Mailer';	
						
						
						foreach($_SESSION["Data"]['emails_to_send'] as $mk=>$mv) {
							if ($mail_testaccount) {
								$mail->addAddress($mail_testaccount); 					
							} else {
								$mail->addAddress($mv); 					
							}
						
							$mail->isHTML(true);  

							$mail->Subject = 'CAN-MDS-SS Alert';
							$mail->Body    = 'Hello, <p>This is an autogenarated email and you should not reply to it. You are receiving this email because a referral made to this service has been recorded to the <b>CAN-MDS Surveilance System</b>.</p><p>You can access the system by clicking the following url: https://'.$_SERVER["HTTP_HOST"].'/ </p>';				//With HTML

							$mail->send();					
							$mail->ClearAllRecipients(); // reset the `To:` list to empty
							
							if ($mk) {
								$db->query("select agency_nid from u_users where id='".$mk."'");
								if ($db->next()) {
									$db->insert("notifications",array("n_to"=>$mv,"n_subject"=>"CAN-MDS-SS Alert","n_text"=>strip_tags($mail->Body),"RecDate"=>date("Y-m-d H:i:s"),"user_id"=>$mk,"agent_id"=>$db->Record["agency_nid"]));
								}
							}
						}
					}
				} else {					
					$arUPD = array();
					$arUPD["name"]=$_SESSION["Data"]['rts_radio'];	
					$arUPD["date_time_of_record_for_db"]=$_SESSION["Data"]['date_time_of_record_for_db'];					
					$db->update("s_referrals_to_services",array("incident_id"=>$_SESSION["Data"]['incident_id']),$arUPD);
					
					
					// Delete older referrals to services
					$sql_delete = "DELETE FROM s_referrals_to_services_sub1 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
					$db->query($sql_delete);
					
					$sql_delete = "DELETE FROM s_referrals_to_services_sub2 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
					$db->query($sql_delete);
					
					$sql_delete = "DELETE FROM s_referrals_to_services_sub3 WHERE incident_id = '".$_SESSION["Data"]['incident_id']."' ";
					$db->query($sql_delete);

					
				}
			}
		}
	}

	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}

//Destroy all sessions except login and other user related sessions
foreach($_SESSION["Data"] as $key => $val){
	if ($key !== 'login_user' &&
		$key !== 'loggedin' &&
		$key !== 'last_activity' &&
		$key !== 'language' &&
		$key !== 'agency_id' &&
		$key !== 'operators_id' &&
		$key !== 'access_level' &&
		$key !== 'country' &&
		$key !== 'new_childs_id' &&
		$key !== 'known_childs_id' &&
		$key !== 'phone' &&
		$key !== 'email' &&
		$key !== 'date_time' &&
		$key !== 'date_time_of_record_for_db' &&
		$key !== 'agency_name'){
	  unset($_SESSION["Data"][$key]);
	}
}
//Session that keeps the page the user is coming from in order to take him back with a back_button
$_SESSION["Data"]['back_button'] = 'record_complete';
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("RECORD COMPLETED"); ?></p>
			</div>
			
			<div id="resluts_buttons">
				<form action="display_record.php" method="post">
					<div id="btn1">
						<input class="next_button" type="submit" name="display_new_record" id ="display_new_record" value="<?php echo get_trans("Display/print the record"); ?>" />
					</div>
				</form>
				<?php if ($_SESSION["ssUser"]['access_level'] != 3) { ?>
				<form action="display_all_records.php" method="post">
					<div id="btn2">
						<input class="next_button" type="submit" name="display_all_records" id ="display_all_records" value="<?php echo get_trans("Display/print all records for this child"); ?>" />
					</div>
				</form>
				<form action="display_who_worked_with_child.php" method="post">
					<div id="btn3">
						<input class="next_button" type="submit" name="display_who_worked_with_child" id ="display_who_worked_with_child" value="<?php echo get_trans("Display who worked with the child in the past"); ?>" />
					</div>
				</form>
				<?php } ?>
			</div>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'record_complete.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'record_complete.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
jQuery(document).ready(function(){
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}
});
</script>

</body>
</html>

<?php
	



} else {
	header("location: index.php");
}
?>