<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

//child is known but the user wants to add a new incident (coming from known_icnidents.php)
//set a new incident id
if (isset($_POST['add_new_incident'])) {
	$_SESSION["Data"]['add_new_incident'] = 'add_new_incident';
	$_SESSION["Data"]['incident_id'] = $_SESSION["Data"]['known_childs_id'].'-'.$_SESSION["Data"]['date'].'-'.$_SESSION["Data"]['time'];
	if (isset($_SESSION["Data"]['known_childs_id'])){
		if (isset($_SESSION["Data"]['incident_id'])){		
			//Because its a new incident on an existing child we load childs info
			$db->query("SELECT * FROM c_child WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' ORDER BY date_time_of_record_for_db DESC LIMIT 1");
			if ($db->next()) 
			{				
				$c_date_time_of_record_for_db = $db->Record['date_time_of_record_for_db'];
				
				//set child's sex session
				$db->query("SELECT name FROM c_child_sex WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
				if ($db->next()) {
					$_SESSION["Data"]['csdc_radio1'] = $db->Record["name"];
				}
				
				//set child's dob session
				$db->query("SELECT name,date FROM c_child_dob WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
				if ($db->next()) {
					if ($db->Record["name"] !==  "csdc_date"){					
						$_SESSION["Data"]['csdc_radio2'] = $db->Record["name"];
						$_SESSION["Data"]['csdc_right_panel'] = $db->Record["name"];
					} else {
						$_SESSION["Data"]['csdc_radio2'] = $db->Record["name"];
						//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
						if ( $dt = DateTime::createFromFormat("Y-m-d", $db->Record["date"]) ) {
							$_SESSION["Data"]['csdc_date_year'] = $dt->format("Y");
							$_SESSION["Data"]['csdc_date_month'] = $dt->format("m");
							$_SESSION["Data"]['csdc_date_day'] = $dt->format("d");
						//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
						} else if ( $dt = DateTime::createFromFormat("Y-m", $db->Record["date"]) ) {							
							$_SESSION["Data"]['csdc_date_year'] = $dt->format("Y");
							$_SESSION["Data"]['csdc_date_month'] = $dt->format("m");
						}						
						$_SESSION["Data"]['csdc_right_panel'] = $db->Record["date"];
					}					
				}
				
				//set child's citizenship status session
				$db->query("SELECT name,nationality FROM c_citizenship_status WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
				if ($db->next()) {
					$_SESSION["Data"]['csdc_radio3'] = $db->Record["name"];
					$_SESSION["Data"]['csdc_nationality'] = $db->Record["nationality"];
				}
				
				//set child's health session
				$db->query("SELECT * FROM c_child_health WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
				if ($db->next()) {
					if ($db->Record["health"] != '')
						$_SESSION["Data"]['DE_C5'] = $db->Record["health"];
					if ($db->Record["behavior_problem"] != '')
						$_SESSION["Data"]['DE_C6'] = $db->Record["behavior_problem"];
					if ($db->Record["type_of_problem"] != '')
						$_SESSION["Data"]['DE_C6_01'] = $db->Record["type_of_problem"];										
				}
				
				//set type of family session
				$db->query("SELECT name FROM f_type_of_family WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
				if ($db->next()) {
					$_SESSION["Data"]['fc_radio1'] = $db->Record["name"];
				}
				
				//set members of family session
				$add_members_of_family = 0;
				
				$_arData = array();
				$db->query("SELECT session_name,name,session_number,number FROM f_members_of_family WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
				while($db->next()) {
					$_arData[]=$db->Record;
				}
				
				
				foreach($_arData as $k=>$v) {
					$session_name = $v["session_name"];
					$_SESSION["Data"][$session_name] = $v['name'];
					$session_number = $v["session_number"];
					$_SESSION["Data"][$session_number] = $v['number'];
					$add_members_of_family += $v['number'];
					
					//set members of family sub1 session
					$_arDataS = array();
					$db->query("SELECT session_name,name,session_number,number FROM f_members_of_family_sub1 WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND mof_session='".$session_name."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
					while($db->next()) {
						$_arDataS[] = $db->Record;
					}					
					
					foreach($_arDataS as $kk=>$vv) {
						
						$session_name1 = $vv["session_name"];
						$_SESSION["Data"][$session_name1] = $vv['name'];
						$session_number = $vv["session_number"];
						$_SESSION["Data"][$session_number] = $vv['number'];
						
						//set members of family sub2 session
						$db->query("SELECT session_name,name,session_number,number FROM f_members_of_family_sub2 WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND mof_session_sub1='".$session_name1."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
						while($db->next()) {
							$session_name2 = $db->Record["session_name"];
							$_SESSION["Data"][$session_name2] = $db->Record['name'];
							$session_number = $db->Record["session_number"];
							$_SESSION["Data"][$session_number] = $db->Record['number'];
						}
					}			
				}
				
				// $_SESSION["Data"]['fc_right_panel_choice'] = $add_members_of_family.' - member family. '. $_SESSION["Data"]['fc_radio1'];
				$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = $add_members_of_family;
				$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = ' - ';
				$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = 'member family';
				$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = '. ';
				$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = $_SESSION["Data"]['fc_radio1'];
				
				//set child's caregivers session
				//set caregivers' relationship session
				//set caregivers' sex session
				//set caregivers' dob session
				$db->query("SELECT * FROM f_caregivers WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
				if ($db->next()) {
					$_SESSION["Data"]['fc_pc1_radio'] = $db->Record["caregiver1"];
					if ($db->Record["caregiver2"] !== "")
						$_SESSION["Data"]['fc_pc2_radio'] = $db->Record["caregiver2"];
					
					$_SESSION["Data"]['crcsdob_radio_1st_rel'] = $db->Record["relationship1"];
					$_SESSION["Data"]['crcsdob_radio_2nd_rel'] = $db->Record["relationship2"];
					
					$_SESSION["Data"]['crcsdob_radio_1st_sex'] = $db->Record["sex1"];
					$_SESSION["Data"]['crcsdob_radio_2nd_sex'] = $db->Record["sex2"];
					
					if ($db->Record["dob1"] ==  "crcsdob_date1"){	
						//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
						if ( $dt = DateTime::createFromFormat("Y-m-d", $db->Record['date1']) ) {
							$_SESSION["Data"]['crcsdob_date_1st_year'] = $dt->format("Y");
							$_SESSION["Data"]['crcsdob_date_1st_month'] = $dt->format("m");
							$_SESSION["Data"]['crcsdob_date_1st_day'] = $dt->format("d");
						//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
						} else if ( $dt = DateTime::createFromFormat("Y-m", $db->Record['date1']) ) {
							$_SESSION["Data"]['crcsdob_date_1st_year'] = $dt->format("Y");
							$_SESSION["Data"]['crcsdob_date_1st_month'] = $dt->format("m");
						}
						$_SESSION["Data"]['crcsdob_radio_1st_dob'] = $db->Record["dob1"];
						//$_SESSION["Data"]['crcsdob_date_1st'] = $db->Record["date1"];
						$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'] = $db->Record["date1"];
					} else if ($db->Record["dob1"] ==  "crcsdob_decade1") {
						$_SESSION["Data"]['crcsdob_radio_1st_dob'] = $db->Record["dob1"];
						$_SESSION["Data"]['crcsdob_decade_1st'] = $db->Record["date1"];
						$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'] = $db->Record["date1"];
					} else {
						$_SESSION["Data"]['crcsdob_radio_1st_dob'] = $db->Record["dob1"];
						$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'] = $db->Record["dob1"];
					}
					
					if ($db->Record["dob2"] ==  "crcsdob_date2"){	
						//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
						if ( $dt = DateTime::createFromFormat("Y-m-d", $db->Record['date2']) ) {
							$_SESSION["Data"]['crcsdob_date_2nd_year'] = $dt->format("Y");
							$_SESSION["Data"]['crcsdob_date_2nd_month'] = $dt->format("m");
							$_SESSION["Data"]['crcsdob_date_2nd_day'] = $dt->format("d");
						//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
						} else if ( $dt = DateTime::createFromFormat("Y-m", $db->Record['date2']) ) {							
							$_SESSION["Data"]['crcsdob_date_2nd_year'] = $dt->format("Y");
							$_SESSION["Data"]['crcsdob_date_2nd_month'] = $dt->format("m");
						}
						$_SESSION["Data"]['crcsdob_radio_2nd_dob'] = $db->Record["dob2"];
						//$_SESSION["Data"]['crcsdob_date_2nd'] = $db->Record["date2"];
						$_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'] = $db->Record["date2"];
					} else if ($db->Record["dob2"] ==  "crcsdob_decade2") {
						$_SESSION["Data"]['crcsdob_radio_2nd_dob'] = $db->Record["dob2"];
						$_SESSION["Data"]['crcsdob_decade_2nd'] = $db->Record["date2"];
						$_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'] = $db->Record["date2"];
					} else {
						$_SESSION["Data"]['crcsdob_radio_2nd_dob'] = $db->Record["dob2"];
						$_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'] = $db->Record["dob2"];
					}
					
					//set caregivers nationalities session only for Italy
					if ($_SESSION["ssUser"]['country'] == 'IT') { 
						if ($db->Record["cg1_nationality"] !== ""){
							$_SESSION["Data"]['DE_F5_01'] = $db->Record["cg1_nationality"];
						}
						if ($db->Record["cg1_nationality_possessed_from_birth"] !== ""){
							$_SESSION["Data"]['DE_F5_01_01'] = $db->Record["cg1_nationality_possessed_from_birth"];
						}
						if ($db->Record["cg1_nationality_belongs_to_the_european_union"] !== ""){
							$_SESSION["Data"]['DE_F5_01_02'] = $db->Record["cg1_nationality_belongs_to_the_european_union"];
						}
						if ($db->Record["cg1_other_nationality"] !== ""){
							$_SESSION["Data"]['DE_F5_01_03'] = $db->Record["cg1_other_nationality"];
						}
						
						if ($db->Record["cg2_nationality"] !== ""){
							$_SESSION["Data"]['DE_F6_01'] = $db->Record["cg2_nationality"];
						}
						if ($db->Record["cg2_nationality_possessed_from_birth"] !== ""){
							$_SESSION["Data"]['DE_F6_01_01'] = $db->Record["cg2_nationality_possessed_from_birth"];
						}
						if ($db->Record["cg2_nationality_belongs_to_the_european_union"] !== ""){
							$_SESSION["Data"]['DE_F6_01_02'] = $db->Record["cg2_nationality_belongs_to_the_european_union"];
						}
						if ($db->Record["cg2_other_nationality"] !== ""){
							$_SESSION["Data"]['DE_F6_01_03'] = $db->Record["cg2_other_nationality"];
						}
					}
				}
				
			
			}
		}
	}
	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}

//child is known and the user wants to edit an existing incident (coming from known_icnidents.php)
//edit existing incident
if (isset($_POST['edit_known_record'])) {
	//create session for update
	$_SESSION["Data"]['update'] = 'update';
	if (isset($_SESSION["Data"]['known_childs_id'])){
		if (isset($_POST['incident_id'])){
			$_SESSION["Data"]['incident_id'] = $_POST['incident_id'];
			$i_date_time_of_record_for_db = $_POST['date_time_of_record_for_db'];
			//find date_time_of_record_for_db for child
			$db->query("SELECT * FROM c_child WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' ORDER BY date_time_of_record_for_db DESC LIMIT 1");
			if ($db->next()) {
				$c_agency = $db->Record['recorded_by_agency'];
				$c_operator = $db->Record['recorded_by_operator'];
				$c_date_time_of_record_for_db = $db->Record['date_time_of_record_for_db'];
			}
			//set source of information session
			$db->query("SELECT name FROM i_source_of_information WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
			if ($db->next()) {
				$_SESSION["Data"]['soi_level1'] = $db->Record['name'];
			}
			
			//set forms of maltreatment sessions
			$_arData = array();
			$db->query("SELECT session_name,name FROM i_forms_of_maltreatment WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
			while($db->next()) {
				$_arData[]=$db->Record;
			}
			
			foreach($_arData as $k=>$v) {
				$session_name = $v["session_name"];
				$_SESSION["Data"][$session_name] = $v['name'];
				$array_fom_user_checked_options[] = $v['name'];
				
				//set forms of maltreatment sub1 sessions
				$_arDataA = array();
				$db->query("SELECT session_name,name FROM i_forms_of_maltreatment_sub1 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND fom_session='".$session_name."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
				while($db->next()) {
					$_arDataA[]=$db->Record;
				}
				foreach($_arDataA as $kk=>$vv) {
					$session_name1 = $vv["session_name"];
					$_SESSION["Data"][$session_name1] = $vv['name'];
					$array_fom_user_checked_options[] = $vv['name'];
					
					//set forms of maltreatment sub2 sessions
					$_arDataB = array();
					$db->query("SELECT session_name,name FROM i_forms_of_maltreatment_sub2 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND fom_session_sub1='".$session_name1."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
					while($db->next()) {
						$_arDataB[] = $db->Record;
					}
					
					foreach($_arDataB as $kkk=>$vvv) {
						
						$session_name2 = $vvv["session_name"];
						$_SESSION["Data"][$session_name2] = $vvv['name'];
						$array_fom_user_checked_options[] = $vvv['name'];
						
						//set forms of maltreatment sub3 sessions
						$_arDataC = array();
						$db->query("SELECT session_name,name FROM i_forms_of_maltreatment_sub3 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND fom_session_sub2='".$session_name2."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
						while($db->next()) {
							$_arDataC[]=$db->Record;
						}
						
						foreach($_arDataC as $kkkk=>$vvvv) {
							$session_name3 = $vvvv["session_name"];
							$_SESSION["Data"][$session_name3] = $vvvv['name'];
							$array_fom_user_checked_options[] = $vvvv['name'];
							
							//set forms of maltreatment sub4 sessions
							$db->query("SELECT session_name,name FROM i_forms_of_maltreatment_sub4 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND fom_session_sub3='".$session_name3."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
							while($db->next()) {
								$session_name4 = $db->Record["session_name"];
								$_SESSION["Data"][$session_name4] = $db->Record['name'];
								$array_fom_user_checked_options[] = $db->Record['name'];
							}
						}	
					}
				}				
			}
			
			//set I3_B Specific Circumstances sessions (forms of maltreatment) Only for France
			if ($_SESSION["ssUser"]['country'] == 'FR') { 
				$db->query("SELECT session_name,name FROM i_specific_circumstances WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
				while($db->next()) {
					$session_name = $db->Record["session_name"];
					$_SESSION["Data"][$session_name] = $db->Record['name'];
				}
			}
			
			//Display fom user checked options in right panel (array session)
			$_SESSION["Data"]['dis_array_fom_ac_user_checked_options'] = $array_fom_user_checked_options;
			
			//set perpetrators session Only for Italy
			if ($_SESSION["ssUser"]['country'] == 'IT') { 
				$db->query("SELECT * FROM i_perpetrator WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
				while($db->next()) {
					if ($db->Record["perpetrator_1"] != '')
						$_SESSION["Data"]['DE_I5_01'] = $db->Record['perpetrator_1'];
					
					if ($db->Record["perpetrator_1_gender"] != '')
						$_SESSION["Data"]['DE_I5_01_01'] = $db->Record['perpetrator_1_gender'];
						
					if ($db->Record["perpetrator_2"] != '')
						$_SESSION["Data"]['DE_I5_02'] = $db->Record['perpetrator_2'];
						
					if ($db->Record["perpetrator_2_gender"] != '')
						$_SESSION["Data"]['DE_I5_02_01'] = $db->Record['perpetrator_2_gender'];
						
					if ($db->Record["other_perpetrator"] != '')
						$_SESSION["Data"]['DE_I5_03'] = $db->Record['other_perpetrator'];
				}
			}
			
			//set place of incident session			
			$db->query("SELECT session_name,name FROM i_place_of_incident WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
			while($db->next()) {
				$session_name = $db->Record["session_name"];
				$_SESSION["Data"][$session_name] = $db->Record['name'];
				$dis_array_poi_user_checked_options[] = $db->Record['name'];
			}
			$_SESSION["Data"]['dis_array_poi_all_user_checked_options'] = $dis_array_poi_user_checked_options;
			
			//set child's sex session
			$db->query("SELECT name FROM c_child_sex WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
			if ($db->next()) {
				$_SESSION["Data"]['csdc_radio1'] = $db->Record["name"];
			}

			//set child's dob session
			$db->query("SELECT name,date FROM c_child_dob WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
			while($db->next()) {
				if ($db->Record["name"] !==  "csdc_date"){					
					$_SESSION["Data"]['csdc_radio2'] = $db->Record["name"];
					$_SESSION["Data"]['csdc_right_panel'] = $db->Record["name"];
				} else {
					$_SESSION["Data"]['csdc_radio2'] = $db->Record["name"];
					//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
					if ( $dt = DateTime::createFromFormat("Y-m-d", $db->Record["date"]) ) {
						$_SESSION["Data"]['csdc_date_year'] = $dt->format("Y");
						$_SESSION["Data"]['csdc_date_month'] = $dt->format("m");
						$_SESSION["Data"]['csdc_date_day'] = $dt->format("d");
					//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
					} else if ( $dt = DateTime::createFromFormat("Y-m", $db->Record["date"]) ) {					
						$_SESSION["Data"]['csdc_date_year'] = $dt->format("Y");
						$_SESSION["Data"]['csdc_date_month'] = $dt->format("m");
					}
					$_SESSION["Data"]['csdc_right_panel'] = $db->Record["date"];
				}					
			}
			
			//set child's citizenship status session
			$db->query("SELECT name,nationality FROM c_citizenship_status WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
			if ($db->next()) {
				$_SESSION["Data"]['csdc_radio3'] = $db->Record["name"];
				$_SESSION["Data"]['csdc_nationality'] = $db->Record["nationality"];
			}
			
			//set child's health session
			$db->query("SELECT * FROM c_child_health WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
			if ($db->next()) {
				
				if ($db->Record["health"] != '')
					$_SESSION["Data"]['DE_C5'] = $db->Record["health"];
				if ($db->Record["behavior_problem"] != '')
					$_SESSION["Data"]['DE_C6'] = $db->Record["behavior_problem"];
				if ($db->Record["type_of_problem"] != '')
					$_SESSION["Data"]['DE_C6_01'] = $db->Record["type_of_problem"];
				
			}
			
			//set type of family session
			$db->query("SELECT name FROM f_type_of_family WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
			if ($db->next()) {
				$_SESSION["Data"]['fc_radio1'] = $db->Record["name"];
			}
			
			//set members of family session
			$add_members_of_family = 0;
			$_arDataA = array();
			$db->query("SELECT session_name,name,session_number,number FROM f_members_of_family WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
			while($db->next()) {
				$_arDataA[]=$db->Record;
			}
			
			foreach($_arDataA as $k=>$v) {
				$session_name = $v["session_name"];
				$_SESSION["Data"][$session_name] = $v['name'];
				$session_number = $v["session_number"];
				$_SESSION["Data"][$session_number] = $v['number'];
				$add_members_of_family += $v['number'];
				
				//set members of family sub1 session
				$_arDataB = array();
				$db->query("SELECT session_name,name,session_number,number FROM f_members_of_family_sub1 WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND mof_session='".$session_name."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
				while($db->next()) {
					$_arDataB[]=$db->Record;
				}
				
				foreach($_arDataB as $kk->$vv) {
					$session_name1 = $vv["session_name"];
					$_SESSION["Data"][$session_name1] = $vv['name'];
					$session_number = $vv["session_number"];
					$_SESSION["Data"][$session_number] = $vv['number'];
					
					//set members of family sub2 session
					$db->query("SELECT session_name,name,session_number,number FROM f_members_of_family_sub2 WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND mof_session_sub1='".$session_name1."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
					while($db->next()) {
						$session_name2 = $db->Record["session_name"];
						$_SESSION["Data"][$session_name2] = $db->Record['name'];
						$session_number = $db->Record["session_number"];
						$_SESSION["Data"][$session_number] = $db->Record['number'];
					}
				}			
			}
			// $_SESSION["Data"]['fc_right_panel_choice'] = $add_members_of_family.' - member family. '. $_SESSION["Data"]['fc_radio1'];
			$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = $add_members_of_family;
			$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = ' - ';
			$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = 'member family';
			$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = '. ';
			$_SESSION["Data"]['dis_array_fc_user_checked_options'][] = $_SESSION["Data"]['fc_radio1'];
			
			//set child's caregivers session
			//set caregivers' relationship session
			//set caregivers' sex session
			//set caregivers' dob session
			$db->query("SELECT * FROM f_caregivers WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND date_time_of_record_for_db='".$c_date_time_of_record_for_db."' ");
			if ($db->next()) {
				$_SESSION["Data"]['fc_pc1_radio'] = $db->Record["caregiver1"];
				if ($db->Record["caregiver2"] !== "")
					$_SESSION["Data"]['fc_pc2_radio'] = $db->Record["caregiver2"];
				
				$_SESSION["Data"]['crcsdob_radio_1st_rel'] = $db->Record["relationship1"];
				$_SESSION["Data"]['crcsdob_radio_2nd_rel'] = $db->Record["relationship2"];
				
				$_SESSION["Data"]['crcsdob_radio_1st_sex'] = $db->Record["sex1"];
				$_SESSION["Data"]['crcsdob_radio_2nd_sex'] = $db->Record["sex2"];
				
				if ($db->Record["dob1"] ==  "crcsdob_date1"){
					//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
					if ( $dt = DateTime::createFromFormat("Y-m-d", $db->Record['date1']) ) {
						$_SESSION["Data"]['crcsdob_date_1st_year'] = $dt->format("Y");
						$_SESSION["Data"]['crcsdob_date_1st_month'] = $dt->format("m");
						$_SESSION["Data"]['crcsdob_date_1st_day'] = $dt->format("d");
					//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
					} else if ( $dt = DateTime::createFromFormat("Y-m", $db->Record['date1']) ) {
						$_SESSION["Data"]['crcsdob_date_1st_year'] = $dt->format("Y");
						$_SESSION["Data"]['crcsdob_date_1st_month'] = $dt->format("m");						
					}
					$_SESSION["Data"]['crcsdob_radio_1st_dob'] = $db->Record["dob1"];
					//$_SESSION["Data"]['crcsdob_date_1st'] = $db->Record["date1"];
					$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'] = $db->Record["date1"];
				} else if ($db->Record["dob1"] ==  "crcsdob_decade1") {
					$_SESSION["Data"]['crcsdob_radio_1st_dob'] = $db->Record["dob1"];
					$_SESSION["Data"]['crcsdob_decade_1st'] = $db->Record["date1"];
					$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'] = $db->Record["date1"];
				} else {
					$_SESSION["Data"]['crcsdob_radio_1st_dob'] = $db->Record["dob1"];
					$_SESSION["Data"]['crcsdob_radio_1st_dob_right_panel'] = $db->Record["dob1"];
				}
				
				if ($db->Record["dob2"] ==  "crcsdob_date2"){
					//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
					if ( $dt = DateTime::createFromFormat("Y-m-d", $db->Record['date2']) ) {
						$_SESSION["Data"]['crcsdob_date_2nd_year'] = $dt->format("Y");
						$_SESSION["Data"]['crcsdob_date_2nd_month'] = $dt->format("m");
						$_SESSION["Data"]['crcsdob_date_2nd_day'] = $dt->format("d");
					//check if date has YYYY-MM-DD format or YYYY-MM and get the values in seperate sessions
					} else if ( $dt = DateTime::createFromFormat("Y-m", $db->Record['date2']) ) {
						$_SESSION["Data"]['crcsdob_date_2nd_year'] = $dt->format("Y");
						$_SESSION["Data"]['crcsdob_date_2nd_month'] = $dt->format("m");						
					}
					$_SESSION["Data"]['crcsdob_radio_2nd_dob'] = $db->Record["dob2"];
					//$_SESSION["Data"]['crcsdob_date_2nd'] = $db->Record["date2"];
					$_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'] = $db->Record["date2"];
				} else if ($db->Record["dob2"] ==  "crcsdob_decade2") {
					$_SESSION["Data"]['crcsdob_radio_2nd_dob'] = $db->Record["dob2"];
					$_SESSION["Data"]['crcsdob_decade_2nd'] = $db->Record["date2"];
					$_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'] = $db->Record["date2"];				
				} else {
					$_SESSION["Data"]['crcsdob_radio_2nd_dob'] = $db->Record["dob2"];
					$_SESSION["Data"]['crcsdob_radio_2nd_dob_right_panel'] = $db->Record["dob2"];
				}
				
				//set caregivers nationalities session Only for Italy
				if ($_SESSION["ssUser"]['country'] == 'IT') { 
					if ($db->Record["cg1_nationality"] !== ""){
						$_SESSION["Data"]['DE_F5_01'] = $db->Record["cg1_nationality"];
					}
					if ($db->Record["cg1_nationality_possessed_from_birth"] !== ""){
						$_SESSION["Data"]['DE_F5_01_01'] = $db->Record["cg1_nationality_possessed_from_birth"];
					}
					if ($db->Record["cg1_nationality_belongs_to_the_european_union"] !== ""){
						$_SESSION["Data"]['DE_F5_01_02'] = $db->Record["cg1_nationality_belongs_to_the_european_union"];
					}
					if ($db->Record["cg1_other_nationality"] !== ""){
						$_SESSION["Data"]['DE_F5_01_03'] = $db->Record["cg1_other_nationality"];
					}
					
					if ($db->Record["cg2_nationality"] !== ""){
						$_SESSION["Data"]['DE_F6_01'] = $db->Record["cg2_nationality"];
					}
					if ($db->Record["cg2_nationality_possessed_from_birth"] !== ""){
						$_SESSION["Data"]['DE_F6_01_01'] = $db->Record["cg2_nationality_possessed_from_birth"];
					}
					if ($db->Record["cg2_nationality_belongs_to_the_european_union"] !== ""){
						$_SESSION["Data"]['DE_F6_01_02'] = $db->Record["cg2_nationality_belongs_to_the_european_union"];
					}
					if ($db->Record["cg2_other_nationality"] !== ""){
						$_SESSION["Data"]['DE_F6_01_03'] = $db->Record["cg2_other_nationality"];
					}
				}
			}
						
			//set institutional response session
			$db->query("SELECT name FROM s_institutional_response WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
			if ($db->next()) {
				$_SESSION["Data"]['ir_radio'] = $db->Record['name'];
			}
			
			if ($_SESSION["Data"]['ir_radio'] == 'Yes') {
				//set institutional response sub1 session
				$_arData = array();
				$db->query("SELECT session_name,name FROM s_institutional_response_sub1 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
				while($db->next()) {
					$_arData[]=$db->Record;
				}
				
				foreach($_arData as $k=>$v) {
					$session_name = $v["session_name"];
					$_SESSION["Data"][$session_name] = $v['name'];
					$array_ir_all_user_checked_options[] = $v['name'];
					
					//set institutional response sub2 session
					$db->query("SELECT session_name,name FROM s_institutional_response_sub2 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND ir_session_sub1='".$session_name."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
					while($db->next()) {
						$session_name1 = $db->Record["session_name"];
						$_SESSION["Data"][$session_name1] = $db->Record['name'];						
						$array_ir_all_user_checked_options[] = $db->Record['name'];
					}
				}
			} else {
				$array_ir_all_user_checked_options[] = $_SESSION["Data"]['ir_radio'];				
			}			
			$_SESSION["Data"]['dis_array_ir_all_user_checked_options'] = $array_ir_all_user_checked_options;
			
			//set referrals to services session
			unset($_SESSION["Data"]['dis_array_rts_all_user_checked_options']);
			$db->query("SELECT name FROM s_referrals_to_services WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
			if ($db->next()) {
				$_SESSION["Data"]['rts_radio'] = $db->Record['name'];
			}
			
			if ($_SESSION["Data"]['rts_radio'] == 'Yes') {
				//set referrals to services sub1 session
				$_arDataA = array();
				$db->query("SELECT session_name,name FROM s_referrals_to_services_sub1 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
				while($db->next()) {
					$_arDataA[]=$db->Record;
				}
				
				foreach($_arDataA as $k=>$v) {
					$session_name = $v["session_name"];
					$_SESSION["Data"][$session_name] = $v['name'];
					$array_rts_all_user_checked_options[] = $v['name'];
						
					//set referrals to services sub2 session
					$_arDataB = array();
					$db->query("SELECT session_name,name FROM s_referrals_to_services_sub2 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND rts_session_sub1='".$session_name."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
					while($db->next()) {
						$_arDataB[]=$db->Record;
					}
					
					foreach($_arDataB as $kk=>$vv) {
						$session_name1 = $vv["session_name"];
						$_SESSION["Data"][$session_name1] = $vv['name'];						
						$array_rts_all_user_checked_options[] = $vv['name'];
							
						//set referrals to services sub3 session
						$_arDataC = array();
						$db->query("SELECT session_name,name FROM s_referrals_to_services_sub3 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND rts_session_sub2='".$session_name1."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
						while($db->next()) {
							$_arDataC[]=$db->Record;
						}
						
						foreach($_arDataC as $kkk=>$vvv) {
							$session_name2 = $vvv["session_name"];
							$_SESSION["Data"][$session_name2] = $vvv['name'];
							$array_rts_all_user_checked_options[] = $vvv['name'];
							
							//set referrals to services sub4 session
							$db->query("SELECT session_name,name FROM s_referrals_to_services_sub4 WHERE incident_id='".$_SESSION["Data"]['incident_id']."' AND rts_session_sub3='".$session_name2."' AND date_time_of_record_for_db='".$i_date_time_of_record_for_db."' ");
							while($db->next()) {
								$session_name3 = $db->Record["session_name"];
								$_SESSION["Data"][$session_name3] = $db->Record['name'];
								$array_rts_all_user_checked_options[] = $db->Record['name'];
							}
						}
					}					
				}
			} else
				$array_rts_all_user_checked_options[] = $_SESSION["Data"]['rts_radio'];;
			$_SESSION["Data"]['dis_array_rts_all_user_checked_options'] = $array_rts_all_user_checked_options;
			

		}
	}
	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}

//------------ Get Variables ----------------------------------------------------
if (isset($_POST['submit'])) {
	empty($date_of_incident_for_right_panel);
	if ( isset($_POST['doi']) && $_POST['doi'] == 'Unknown' ){
		$_SESSION["Data"]['doi'] = $_POST['doi'];		
		$dis_array_date_of_incident_for_right_panel[] = $_POST['doi'];
	}
	
	if ( isset($_POST['doi']) && $_POST['doi'] == 'A "distinct" event took place – Not continuous maltreatment' ){
		$_SESSION["Data"]['doi'] = $_POST['doi'];		
		$dis_array_date_of_incident_for_right_panel[] = $_POST['doi'];
		if (isset($_POST['doi_2sub']) && $_POST['doi_2sub'] == 'YYYY-MM-DD'){
			$_SESSION["Data"]['doi_2sub'] = "YYYY-MM-DD";
			if (!empty($_POST['doi_date2_year'])) {						
				$_SESSION["Data"]['doi_date2_year'] = $_POST['doi_date2_year'];
				$_SESSION["Data"]['doi_date2'] = $_POST['doi_date2_year'];
			} else {
				unset($_SESSION["Data"]['doi_date2_year']);
			}			
			if (!empty($_POST['doi_date2_month'])) {							
				$_SESSION["Data"]['doi_date2_month'] = $_POST['doi_date2_month'];
				$_SESSION["Data"]['doi_date2'] .= '-'.$_POST['doi_date2_month'];
			} else {
				unset($_SESSION["Data"]['doi_date2_month']);
			}
			if (!empty($_POST['doi_date2_day'])) {				
				$_SESSION["Data"]['doi_date2_day'] = $_POST['doi_date2_day'];
				$_SESSION["Data"]['doi_date2'] .= '-'.$_POST['doi_date2_day'];
			} else {
				unset($_SESSION["Data"]['doi_date2_day']);
			}
		$dis_array_date_of_incident_for_right_panel[] = ' - ';
		$dis_array_date_of_incident_for_right_panel[] = $_SESSION["Data"]['doi_date2'];
		} else {
			unset($_SESSION["Data"]['doi_date2']);
			unset($_SESSION["Data"]['doi_date2_year']);
			unset($_SESSION["Data"]['doi_date2_month']);
			unset($_SESSION["Data"]['doi_date2_day']);
			if (isset($_POST['doi_2sub'])) {
				$_SESSION["Data"]['doi_2sub'] = $_POST['doi_2sub'];
				$dis_array_date_of_incident_for_right_panel[] = ' - ';
				$dis_array_date_of_incident_for_right_panel[] = $_POST['doi_2sub'];
			}
		}
	} else {
		unset($_SESSION["Data"]['doi_2sub']);
		unset($_SESSION["Data"]['doi_date2']);
		unset($_SESSION["Data"]['doi_date2_year']);
		unset($_SESSION["Data"]['doi_date2_month']);
		unset($_SESSION["Data"]['doi_date2_day']);
	}
	
	if ( isset($_POST['doi']) && $_POST['doi'] == 'Continuous maltreatment – including "distinct event(s)"' ){
		$_SESSION["Data"]['doi'] = $_POST['doi'];		
		$dis_array_date_of_incident_for_right_panel[] = $_POST['doi'];
		if (isset($_POST['doi_3sub']) && $_POST['doi_3sub'] == 'YYYY-MM-DD'){
			$_SESSION["Data"]['doi_3sub'] = "YYYY-MM-DD";
			if (!empty($_POST['doi_date3_year'])) {				
				$_SESSION["Data"]['doi_date3_year'] = $_POST['doi_date3_year'];
				$_SESSION["Data"]['doi_date3'] = $_POST['doi_date3_year'];
			} else {
				unset($_SESSION["Data"]['doi_date3_year']);
			}
			if (!empty($_POST['doi_date3_month'])) {				
				$_SESSION["Data"]['doi_date3_month'] = $_POST['doi_date3_month'];				
				$_SESSION["Data"]['doi_date3'] .= '-'.$_POST['doi_date3_month'];
			} else {
				unset($_SESSION["Data"]['doi_date3_month']);
			}
			if (!empty($_POST['doi_date3_day'])) {			
				$_SESSION["Data"]['doi_date3_day'] = $_POST['doi_date3_day'];
				$_SESSION["Data"]['doi_date3'] .= '-'.$_POST['doi_date3_day'];
			} else {
				unset($_SESSION["Data"]['doi_date3_day']);
			}
			$dis_array_date_of_incident_for_right_panel[] = ' - ';
			$dis_array_date_of_incident_for_right_panel[] = $_SESSION["Data"]['doi_date3'].' ';
			
			if (!empty($_POST['doi_duration3'])) {
				$_SESSION["Data"]['doi_duration3'] = $_POST['doi_duration3'];
				if (empty($_POST['doi_duration3_special_situation']) || !empty($_POST['doi_duration3_special_situation']) !== "Wrong date" ){
					$dis_array_date_of_incident_for_right_panel[] = 'for';					
				}
			} else {
				unset($_SESSION["Data"]['doi_duration3']);
			}
			if (!empty($_POST['doi_duration3_first_note'])) {
				$_SESSION["Data"]['doi_duration3_first_note'] = $_POST['doi_duration3_first_note'];
				$dis_array_date_of_incident_for_right_panel[] = ' ';
				$dis_array_date_of_incident_for_right_panel[] = $_POST['doi_duration3_first_note'];
			} else {
				unset($_SESSION["Data"]['doi_duration3_first_note']);
			}
			if (!empty($_POST['doi_duration3_years'])) {
				$_SESSION["Data"]['doi_duration3_years'] = $_POST['doi_duration3_years'];
				$dis_array_date_of_incident_for_right_panel[] = ' '.$_POST['doi_duration3_years'].' ';
				if ($_SESSION["Data"]['doi_duration3_years'] == 1)
					$dis_array_date_of_incident_for_right_panel[] = 'year';
				else 
					$dis_array_date_of_incident_for_right_panel[] = 'years';
			} else {
				unset($_SESSION["Data"]['doi_duration3_years']);
			}
			if (!empty($_POST['doi_duration3_months'])) {
				$_SESSION["Data"]['doi_duration3_months'] = $_POST['doi_duration3_months'];	
				$dis_array_date_of_incident_for_right_panel[] = ' '.$_POST['doi_duration3_months'].' ';
				if ($_SESSION["Data"]['doi_duration3_months'] == 1)
					$dis_array_date_of_incident_for_right_panel[] = 'month';
				else 
					$dis_array_date_of_incident_for_right_panel[] = 'months';
			} else {
				unset($_SESSION["Data"]['doi_duration3_months']);
			}
			if (!empty($_POST['doi_duration3_days'])) {
				$_SESSION["Data"]['doi_duration3_days'] = $_POST['doi_duration3_days'];
				$dis_array_date_of_incident_for_right_panel[] = ' '.$_POST['doi_duration3_days'].' ';
				if ($_SESSION["Data"]['doi_duration3_days'] == 1)
					$dis_array_date_of_incident_for_right_panel[] = 'day';
				else 
					$dis_array_date_of_incident_for_right_panel[] = 'days';
			} else {
				unset($_SESSION["Data"]['doi_duration3_days']);
			}
			if (!empty($_POST['doi_duration3_last_note'])) {
				$_SESSION["Data"]['doi_duration3_last_note'] = $_POST['doi_duration3_last_note'];
				$dis_array_date_of_incident_for_right_panel[] = ' ';
				$dis_array_date_of_incident_for_right_panel[] = $_POST['doi_duration3_last_note'];
			} else {
				unset($_SESSION["Data"]['doi_duration3_last_note']);
			}
			if (!empty($_POST['doi_duration3_special_situation'])) {
				$_SESSION["Data"]['doi_duration3_special_situation'] = $_POST['doi_duration3_special_situation'];
				$dis_array_date_of_incident_for_right_panel[] = ' ';
				$dis_array_date_of_incident_for_right_panel[] = $_POST['doi_duration3_special_situation'];
			} else {
				unset($_SESSION["Data"]['doi_duration3_special_situation']);
			}
		} else {
			unset($_SESSION["Data"]['doi_date3']);
			unset($_SESSION["Data"]['doi_date3_year']);
			unset($_SESSION["Data"]['doi_date3_month']);
			unset($_SESSION["Data"]['doi_date3_day']);
			unset($_SESSION["Data"]['doi_duration3']);			
			unset($_SESSION["Data"]['doi_duration3_first_note']);
			unset($_SESSION["Data"]['doi_duration3_years']);
			unset($_SESSION["Data"]['doi_duration3_months']);
			unset($_SESSION["Data"]['doi_duration3_days']);
			unset($_SESSION["Data"]['doi_duration3_last_note']);
			unset($_SESSION["Data"]['doi_duration3_special_situation']);			
			if (isset($_POST['doi_3sub'])) {			
				$_SESSION["Data"]['doi_3sub'] = $_POST['doi_3sub'];
				$dis_array_date_of_incident_for_right_panel[] = ' - ';				
				$dis_array_date_of_incident_for_right_panel[] = $_POST['doi_3sub'];
			}
		}
		if (isset($_POST['doi_3_6'])){
			$_SESSION["Data"]['doi_3_6'] = $_POST['doi_3_6'];
			$dis_array_date_of_incident_for_right_panel[] = ' - ';
			$dis_array_date_of_incident_for_right_panel[] = 'Last known CM incident date';
			// $dis_array_date_of_incident_for_right_panel[] = ': ';
			if (!empty($_POST['doi_date3_2_year'])){				
				$_SESSION["Data"]['doi_date3_2_year'] = $_POST['doi_date3_2_year'];
				$_SESSION["Data"]['doi_3_last_known_cm'] = $_POST['doi_date3_2_year'];
			} else {
				unset($_SESSION["Data"]['doi_date3_2_year']);
			}

			if (!empty($_POST['doi_date3_2_month'])) {				
				$_SESSION["Data"]['doi_date3_2_month'] = $_POST['doi_date3_2_month'];				
				$_SESSION["Data"]['doi_3_last_known_cm'] .= '-'.$_POST['doi_date3_2_month'];
			} else {
				unset($_SESSION["Data"]['doi_date3_2_month']);
			}

			if (!empty($_POST['doi_date3_2_day'])) {				
				$_SESSION["Data"]['doi_date3_2_day'] = $_POST['doi_date3_2_day'];
				$_SESSION["Data"]['doi_3_last_known_cm'] .= '-'.$_POST['doi_date3_2_day'];
			} else {
				unset($_SESSION["Data"]['doi_date3_2_day']);
			}
		$dis_array_date_of_incident_for_right_panel[] = ': '.$_SESSION["Data"]['doi_3_last_known_cm'];
		} else {
			unset($_SESSION["Data"]['doi_3_6']);
			unset($_SESSION["Data"]['doi_3_last_known_cm']);
			unset($_SESSION["Data"]['doi_date3_2_year']);
			unset($_SESSION["Data"]['doi_date3_2_month']);
			unset($_SESSION["Data"]['doi_date3_2_day']);
		}
	} else {
		unset($_SESSION["Data"]['doi_3sub']);
		unset($_SESSION["Data"]['doi_3_last_known_cm']);
		unset($_SESSION["Data"]['doi_date3']);
		unset($_SESSION["Data"]['doi_date3_year']);
		unset($_SESSION["Data"]['doi_date3_month']);
		unset($_SESSION["Data"]['doi_date3_day']);
		unset($_SESSION["Data"]['doi_duration3']);
		unset($_SESSION["Data"]['doi_duration3_first_note']);
		unset($_SESSION["Data"]['doi_duration3_years']);
		unset($_SESSION["Data"]['doi_duration3_months']);
		unset($_SESSION["Data"]['doi_duration3_days']);
		unset($_SESSION["Data"]['doi_duration3_last_note']);
		unset($_SESSION["Data"]['doi_duration3_special_situation']);
		unset($_SESSION["Data"]['doi_3_6']);
		unset($_SESSION["Data"]['doi_3_last_known_cm']);
		unset($_SESSION["Data"]['doi_date3_2_year']);
		unset($_SESSION["Data"]['doi_date3_2_month']);
		unset($_SESSION["Data"]['doi_date3_2_day']);
	}
	
	if ( isset($_POST['doi']) && $_POST['doi'] == 'Continuous maltreatment - No "distinct event" took place' ){
		$_SESSION["Data"]['doi'] = $_POST['doi'];		
		$dis_array_date_of_incident_for_right_panel[] = $_POST['doi'];
		if (isset($_POST['doi_4sub']) && $_POST['doi_4sub'] == 'YYYY-MM-DD'){
			$_SESSION["Data"]['doi_4sub'] = "YYYY-MM-DD";
			if (!empty($_POST['doi_date4_year'])) {				
				$_SESSION["Data"]['doi_date4_year'] = $_POST['doi_date4_year'];
				$_SESSION["Data"]['doi_date4'] = $_POST['doi_date4_year'];
			} else {
				unset($_SESSION["Data"]['doi_date4_year']);
			}
			if (!empty($_POST['doi_date4_month'])) {				
				$_SESSION["Data"]['doi_date4_month'] = $_POST['doi_date4_month'];				
				$_SESSION["Data"]['doi_date4'] .= '-'.$_POST['doi_date4_month'];
			} else {
				unset($_SESSION["Data"]['doi_date4_month']);
			}
			if (!empty($_POST['doi_date4_day'])) {			
				$_SESSION["Data"]['doi_date4_day'] = $_POST['doi_date4_day'];
				$_SESSION["Data"]['doi_date4'] .= '-'.$_POST['doi_date4_day'];
			} else {
				unset($_SESSION["Data"]['doi_date4_day']);
			}
			$dis_array_date_of_incident_for_right_panel[] = ' - ';
			$dis_array_date_of_incident_for_right_panel[] = $_SESSION["Data"]['doi_date4'].' ';
			
			if (!empty($_POST['doi_duration4'])) {
				$_SESSION["Data"]['doi_duration4'] = $_POST['doi_duration4'];
				if (empty($_POST['doi_duration4_special_situation']) || !empty($_POST['doi_duration4_special_situation']) !== "Wrong date" ){
					$dis_array_date_of_incident_for_right_panel[] = 'for';					
				}
			} else {
				unset($_SESSION["Data"]['doi_duration4']);
			}
			if (!empty($_POST['doi_duration4_first_note'])) {
				$_SESSION["Data"]['doi_duration4_first_note'] = $_POST['doi_duration4_first_note'];
				$dis_array_date_of_incident_for_right_panel[] = ' ';
				$dis_array_date_of_incident_for_right_panel[] = $_POST['doi_duration4_first_note'];
			} else {
				unset($_SESSION["Data"]['doi_duration4_first_note']);
			}
			if (!empty($_POST['doi_duration4_years'])) {
				$_SESSION["Data"]['doi_duration4_years'] = $_POST['doi_duration4_years'];
				$dis_array_date_of_incident_for_right_panel[] = ' '.$_POST['doi_duration4_years'].' ';
				if ($_SESSION["Data"]['doi_duration4_years'] == 1)
					$dis_array_date_of_incident_for_right_panel[] = 'year';
				else 
					$dis_array_date_of_incident_for_right_panel[] = 'years';
			} else {
				unset($_SESSION["Data"]['doi_duration4_years']);
			}
			if (!empty($_POST['doi_duration4_months'])) {
				$_SESSION["Data"]['doi_duration4_months'] = $_POST['doi_duration4_months'];	
				$dis_array_date_of_incident_for_right_panel[] = ' '.$_POST['doi_duration4_months'].' ';
				if ($_SESSION["Data"]['doi_duration4_months'] == 1)
					$dis_array_date_of_incident_for_right_panel[] = 'month';
				else 
					$dis_array_date_of_incident_for_right_panel[] = 'months';
			} else {
				unset($_SESSION["Data"]['doi_duration4_months']);
			}
			if (!empty($_POST['doi_duration4_days'])) {
				$_SESSION["Data"]['doi_duration4_days'] = $_POST['doi_duration4_days'];
				$dis_array_date_of_incident_for_right_panel[] = ' '.$_POST['doi_duration4_days'].' ';
				if ($_SESSION["Data"]['doi_duration4_days'] == 1)
					$dis_array_date_of_incident_for_right_panel[] = 'day';
				else 
					$dis_array_date_of_incident_for_right_panel[] = 'days';
			} else {
				unset($_SESSION["Data"]['doi_duration4_days']);
			}
			if (!empty($_POST['doi_duration4_last_note'])) {
				$_SESSION["Data"]['doi_duration4_last_note'] = $_POST['doi_duration4_last_note'];
				$dis_array_date_of_incident_for_right_panel[] = ' ';
				$dis_array_date_of_incident_for_right_panel[] = $_POST['doi_duration4_last_note'];
			} else {
				unset($_SESSION["Data"]['doi_duration4_last_note']);
			}
			if (!empty($_POST['doi_duration4_special_situation'])) {
				$_SESSION["Data"]['doi_duration4_special_situation'] = $_POST['doi_duration4_special_situation'];
				$dis_array_date_of_incident_for_right_panel[] = ' ';
				$dis_array_date_of_incident_for_right_panel[] = $_POST['doi_duration4_special_situation'];
			} else {
				unset($_SESSION["Data"]['doi_duration4_special_situation']);
			}
		} else {
			unset($_SESSION["Data"]['doi_date4']);
			unset($_SESSION["Data"]['doi_date4_year']);
			unset($_SESSION["Data"]['doi_date4_month']);
			unset($_SESSION["Data"]['doi_date4_day']);
			unset($_SESSION["Data"]['doi_duration4']);			
			unset($_SESSION["Data"]['doi_duration4_first_note']);
			unset($_SESSION["Data"]['doi_duration4_years']);
			unset($_SESSION["Data"]['doi_duration4_months']);
			unset($_SESSION["Data"]['doi_duration4_days']);
			unset($_SESSION["Data"]['doi_duration4_last_note']);
			unset($_SESSION["Data"]['doi_duration4_special_situation']);
			if (isset($_POST['doi_4sub'])) {
				$_SESSION["Data"]['doi_4sub'] = $_POST['doi_4sub'];
				$dis_array_date_of_incident_for_right_panel[] = ' - ';
				$dis_array_date_of_incident_for_right_panel[] = $_SESSION["Data"]['doi_4sub'];
			}
		}
	} else {
		unset($_SESSION["Data"]['doi_4sub']);
		unset($_SESSION["Data"]['doi_date4']);
		unset($_SESSION["Data"]['doi_date4_year']);
		unset($_SESSION["Data"]['doi_date4_month']);
		unset($_SESSION["Data"]['doi_date4_day']);
		unset($_SESSION["Data"]['doi_duration4']);
		unset($_SESSION["Data"]['doi_duration4_first_note']);
		unset($_SESSION["Data"]['doi_duration4_years']);
		unset($_SESSION["Data"]['doi_duration4_months']);
		unset($_SESSION["Data"]['doi_duration4_days']);
		unset($_SESSION["Data"]['doi_duration4_last_note']);
		unset($_SESSION["Data"]['doi_duration4_special_situation']);
	}
	
	if (isset($dis_array_date_of_incident_for_right_panel))		
		$_SESSION["Data"]['dis_array_date_of_incident_right_panel'] = $dis_array_date_of_incident_for_right_panel;
	
	//If child_id is new then set a new incident id else redirect to known incidents
	if (isset($_SESSION["Data"]['new_childs_id'])){
		$_SESSION["Data"]['incident_id'] = $_SESSION["Data"]['new_childs_id'].'-'.$_SESSION["Data"]['date'].'-'.$_SESSION["Data"]['time'];
	} else if (isset($_SESSION["Data"]['known_childs_id'])){
		header("location: known_incidents.php");
		exit();
	}
	
	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}

?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("Please record the Source of Information"); ?></p>
			</div>
			
			<table style="width:100%">
				<tr>
					<td style="width:100px">
						<div class="left_subtitle"><strong>R4</strong></div>
					</td>
					<td> 
						<div class="content_green_background"><strong><?php echo get_trans("Source of information"); ?></strong></div>
					</td>
				</tr>
			</table> 
			
			<form action="forms_of_maltreatment.php" method="post">
				<div class="soi_left_wrapper">		
						
						<div class="green_bg_options">					
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Unspecified" id="soi_radio1" <?php if ( isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Unspecified" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio1"><span></span><?php echo get_trans("Unspecified"); ?></label>
						</div>				
						
						<div class="green_bg_options">	
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Identified (via routine screening)" id="soi_radio2" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Identified (via routine screening)") { echo 'checked="checked"';} ?> />
							<label for="soi_radio2"><span></span><?php echo get_trans("Identified (via routine screening)"); ?></label>
						</div>				

						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Child (alleged) victim" id="soi_radio3" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Child (alleged) victim" ) { echo 'checked="checked"';} ?>/>
							<label for="soi_radio3"><span></span><?php echo get_trans("Child (alleged) victim"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Parent /foster parent/ parent’s partner/ care provider" id="soi_radio4" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Parent /foster parent/ parent’s partner/ care provider") { echo 'checked="checked"';} ?> />
							<label for="soi_radio4"><span></span><?php echo get_trans("Parent /foster parent/ parent’s partner/ care provider"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Relative (siblings, grandparents, etc.) living with the child" id="soi_radio5" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Relative (siblings, grandparents, etc.) living with the child" ) { echo 'checked="checked"';} ?>/>
							<label for="soi_radio5"><span></span><?php echo get_trans("Relative (siblings, grandparents, etc.) living with the child"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Relative (siblings, grandparents, etc.) not living with the child" id="soi_radio6" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Relative (siblings, grandparents, etc.) not living with the child") { echo 'checked="checked"';} ?> />
							<label for="soi_radio6"><span></span><?php echo get_trans("Relative (siblings, grandparents, etc.) not living with the child"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Friend / Neighbor" id="soi_radio7" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Friend / Neighbor" ) { echo 'checked="checked"';} ?>/>
							<label for="soi_radio7"><span></span><?php echo get_trans("Friend / Neighbor"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Self-reported as (alleged) perpetrator" id="soi_radio8" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Self-reported as (alleged) perpetrator" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio8"><span></span><?php echo get_trans("Self-reported as (alleged) perpetrator"); ?></label>
						</div>	
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="School /preschool /kindergarten personnel" id="soi_radio9" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "School /preschool /kindergarten personnel" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio9"><span></span><?php echo get_trans("School /preschool /kindergarten personnel"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Leisure activity staff (e.g., scout leader, clergy, sport coach)" id="soi_radio10" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Leisure activity staff (e.g., scout leader, clergy, sport coach)" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio10"><span></span><?php echo get_trans("Leisure activity staff (e.g., scout leader, clergy, sport coach)"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Anonymous reporter" id="soi_radio11" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Anonymous reporter" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio11"><span></span><?php echo get_trans("Anonymous reporter"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Child day care services" id="soi_radio12" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Child day care services" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio12"><span></span><?php echo get_trans("Personnel working in Child day care services"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Social Services/ Public–Central/Local" id="soi_radio13" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Social Services/ Public–Central/Local" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio13"><span></span><?php echo get_trans("Personnel working in Social Services/ Public–Central/Local"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Health services" id="soi_radio14" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Health services" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio14"><span></span><?php echo get_trans("Personnel working in Health services"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Mental Health Services" id="soi_radio15" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Mental Health Services" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio15"><span></span><?php echo get_trans("Personnel working in Mental Health Services"); ?></label>
						</div>					
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Ordinary/Juvenile Court and related services" id="soi_radio16" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Ordinary/Juvenile Court and related services" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio16"><span></span><?php echo get_trans("Personnel working in Ordinary/Juvenile Court and related services"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Police /low enforcement" id="soi_radio17" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Police /low enforcement" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio17"><span></span><?php echo get_trans("Personnel working in Police /low enforcement"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Helpline" id="soi_radio18" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Helpline" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio18"><span></span><?php echo get_trans("Personnel working in Helpline"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Community agency including agencies working against DV" id="soi_radio19" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Community agency including agencies working against DV" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio19"><span></span><?php echo get_trans("Personnel working in Community agency including agencies working against DV"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in Ombudsman" id="soi_radio20" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in Ombudsman" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio20"><span></span><?php echo get_trans("Personnel working in Ombudsman"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in NGOs/associations" id="soi_radio21" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in NGOs/associations" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio21"><span></span><?php echo get_trans("Personnel working in NGOs/associations"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Personnel working in services for people with disabilities" id="soi_radio22" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Personnel working in services for people with disabilities" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio22"><span></span><?php echo get_trans("Personnel working in services for people with disabilities"); ?></label>
						</div>
						
						<div class="green_bg_options">
							<input type="radio" class="validate[required] radio" name="soi_level1" value="Other" id="soi_radio23" <?php if (isset($_SESSION["Data"]['soi_level1']) && $_SESSION["Data"]['soi_level1'] == "Other" ) { echo 'checked="checked"';} ?> />
							<label for="soi_radio23"><span></span><?php echo get_trans("Other"); ?></label>
						</div>
						
															
				</div>
				<div class="soi_right_wrapper">
					<div class="info_orange">
						<span><?php echo get_trans("GO -> I3"); ?></span>
					</div>
					<div class="info_blue">
						<span><?php echo get_trans("Check ONE from the list"); ?></span>
					</div>
				</div>
				<?php include 'includes/next_button.php'; ?>
			</form>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>			
			<?php include 'includes/records_table.php'; ?>	
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<script src="js/languages/jquery.validationEngine-en.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'source_of_information.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'source_of_information.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<script>
jQuery(document).ready(function(){
	// binds form submission and fields to the validation engine
	jQuery("form").validationEngine();
});
</script>

<!-- Resize fonts in case of translation -->
<script>
jQuery(document).ready(function(){
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}
});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>