<?php
include('includes/connect.php');
session_start();

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {


	if ( ! function_exists('random_string'))
	{
		function random_string($type = 'alnum', $len = 8)
		{
			switch($type)
			{
				case 'basic'	: return mt_rand();
					break;
				case 'alnum'	:
				case 'numeric'	:
				case 'nozero'	:
				case 'alpha'	:

						switch ($type)
						{
							case 'alpha'	:	$pool = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
								break;
							case 'alnum'	:	$pool = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
								break;
							case 'numeric'	:	$pool = '0123456789';
								break;
							case 'nozero'	:	$pool = '123456789';
								break;
						}

						$str = '';
						for ($i=0; $i < $len; $i++)
						{
							$str .= substr($pool, mt_rand(0, strlen($pool) -1), 1);
						}
						return $str;
					break;
				case 'unique'	:
				case 'md5'		:

							return md5(uniqid(mt_rand()));
					break;
				case 'encrypt'	:
				case 'sha1'	:

							$CI =& get_instance();
							$CI->load->helper('security');

							return do_hash(uniqid(mt_rand(), TRUE), 'sha1');
					break;
			}
		}
	}
	
	
	$_SESSION["Data"]['last_activity'] = time(); // update last activity time stamp

	//Localization settings
	include('includes/get_lang.php');

	if (isset($_POST['oldpassword'])) {
			// Define $username and $password
			$username=$_SESSION['ssUser']['login_user'];
			$password=$_POST['password'];
			$oldpassword=$_POST['oldpassword'];
	
			// To protect MySQL injection for Security purpose
			$username = stripslashes($username);
			$password = stripslashes($password);
			$oldpassword = stripslashes($oldpassword);
			$username = mysqli_real_escape_string($db->dbLink,$username);
			$password = mysqli_real_escape_string($db->dbLink,$password);
			$oldpassword = mysqli_real_escape_string($db->dbLink,$oldpassword);
			
			$ret = $db->query_bind("select u_users.*,u_agencies.agency_name,u_agencies.phone as agency_phone,u_agencies.email as agency_email,u_agencies.country
									from u_users 
									inner join u_agencies on u_agencies.id=u_users.agency_nid
									where u_users.username=?",array($username));
			if (!empty($ret))  {

				if ($ret['password'] == sha1($oldpassword.$ret['salt'])) {	
					$_SESSION['pass'] = 1;
					$arSet = array();
					$arSet["salt"] = random_string('alnum', 128);
					$arSet["password"] = sha1($_POST["password"].$arSet["salt"]);
					$db->update("u_users",array("id"=>$_SESSION["ssUser"]['operators_nid']),$arSet);
				}else{
					$_SESSION['error'] = 1;
				}
			}else{
				$_SESSION['error'] = 1;
			}
	}
	
	
?>
</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />


<?php include_once("includes/analyticstracking.php") ?>
<style>
.alert{
	width: 500px;
	border-radius: 10px;
	margin: 10px 0;
	display: inline-block;
	font-size: 16px;
	padding: 15px;
}
.alert-danger{
	background-color: #ffb6b4;
	color: #b30808;
	border: solid 2px #b30808; 
}
.alert-success{
	background-color: #b4ffbb;
	color: #10b308;
	border: solid 2px #10b308; 
}
</style>
</head>
<body>
<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
			
				<div class="title">
					<p><?php echo get_trans("Change Password"); ?></p>
				</div>
				<div class="alert alert-danger confirm" role="alert" style="display:none"></div>
				<?php if($_SESSION['pass']){?>
          <div class="alert alert-success" role="alert">
					Your password has been changed successfully !!!
          </div>
				<?php unset($_SESSION['pass']);}?>
				<?php if($_SESSION['error']){?>
          <div class="alert alert-danger" role="alert">
            The old password is wrong
          </div>
        <?php unset($_SESSION['error']);}?>
				<br><br>
				<form action="user_change_pass.php" method="post" id="ch-pass-form">
					<!-- <input type="hidden" name="submit"> -->
					<table>
						<tr>
							<td><div class="left-label"><strong style="font-size: 17px;">Old Password</strong></div></td>
							<td>
								<div class="content_green_border">
									<input type="password" name="oldpassword" id="o-pass" value="">
								</div>
							</td>
						</tr>
						<tr>
							<td><div class="left-label"><strong style="font-size: 17px;">New Password</strong></div></td>
							<td>
								<div class="content_green_border">
									<input type="password" name="password" value="" id="n-pass">
								</div>
							</td>
						</tr>
						<tr>
							<td><div id="childs_id_search"><strong style="font-size: 17px;">Confirm new Password</strong></div></td>
							<td>
								<div class="content_green_border">
									<input type="password" name="checkpassword" value="" id="ch-pass">
								</div>
							</td>
						</tr>
						<tr>
							<td></td>
							<td><button class="next_button" type="button" id="submit-change-pass">Submit</button></td>
						</tr>
					</table>
					
				</form>
				
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
			
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>	
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'memo.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'memo.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
	$('#submit-change-pass').click(function(){
		// if(!$('#o-pass').val() || !$('#ch-pass').val()){
		// 	$('.alert-danger.confirm').html('All fields are required').slideDown('slow');
		// 	setTimeout(function(){ $('.alert-danger.confirm').slideUp('slow'); }, 3000);
		// 	return;
		// }
		// if(($('#ch-pass').val() == $('#n-pass').val())){

			$('#ch-pass-form').submit();
		// }else{
		// 	$('.alert-danger.confirm').html('Your new password and confirm password must be the same').slideDown('slow');
		// 	setTimeout(function(){ $('.alert-danger.confirm').slideUp('slow'); }, 3000);
		// }
	});

	if($('.alert-success').length){
		setTimeout(function(){ $('.alert-success').slideUp('slow'); }, 2500);
	}
	if($('.alert-danger').length){
		setTimeout(function(){ $('.alert-danger').slideUp('slow'); }, 3000);
	}
});
</script>

<!-- Resize fonts in case of translation -->
<script>
	jQuery(document).ready(function(){
		$('.title p').css('font-size', '25px');
		while( $('.title p').height() > $('.title').height() ) {
			$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
		}
	});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>