<?php
include('includes/connect.php');
include_once('admin/libs/controls/paging.php');
session_start();

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

	$_SESSION["Data"]['last_activity'] = time(); // update last activity time stamp

	//Localization settings
	include('includes/get_lang.php');

	if (isset($_POST['submit'])) {
		$db->update("u_users",array("id"=>$_SESSION["ssUser"]['operators_nid']),array("email"=>$_POST["email"],"phone"=>$_POST["phone"]));
		$_SESSION["ssUser"]["email"]=$_POST["email"];
		$_SESSION["ssUser"]["phone"]=$_POST["phone"];
	}
	
	
	
	// echo $page. ' dfasdfdsafdfasdf';
	$page = $_GET['page'];
	$pg = new paging();
	$pg->per_page = 20;
	$pg->sql_text = "SELECT 
	 notifications.RecDate,notifications.n_subject,notifications.n_text
	 from notifications
	 inner join u_users ON u_users.id = notifications.user_id
	 where u_users.id ='".$_SESSION["ssUser"]['id']."' order by RecDate desc";

  $arData = $pg->mkpage();
  $TotalRec = $pg->total_records;
  if (!is_array($arData)) $arData=array();
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>CAN-MDS Notifications</title>
<link rel="stylesheet" href="css/style.css" />
<!-- <link rel="stylesheet" href="/css/bootstrap.min.css" /> -->


<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>
<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
				
				<div class="title">
					<p><?php echo get_trans("Notifications"); ?></p>
				</div>
        <br><br>
        
        <?php if(is_array($arData) && !empty($arData)){?>
        <table class="display_record">
          <tr>
            <td class="header" style="width:300px"><b><?php echo get_trans("Date of Record"); ?></b></td>
            <td class="header"> <b><?php echo get_trans("Subject")?></b></td>
            <td class="header"> <b><?php echo get_trans("Message")?></b></td>
          </tr>
          <?php foreach($arData as $k=>$v) { ?>
          <tr>
            <td><?php echo date("d-m-Y H:i:s", strtotime($v['RecDate']))?></td>
            <td><?php echo $v["n_subject"]?></td>
            <td><?php echo $v["n_text"]?></td>
          </tr>
          <?php } ?>
					<?php if ($arData && ($pg->num_pages > 1)) { ?>
					<tr>
					<td colspan="3">
            <!-- Pagination :: START ::  -->
            <div class="row">
              <div class="col-12 text-center">
                <nav>
                  <ul class="cd-pagination move-buttons custom-icons">
                    <?php if ((int) $pg->page > 1) { ?>
                      <li class="button2 prev"><a href="/user_information.php?page=<?php echo $pg->prev_page ?>"><i class="fa fa-chevron-left" aria-hidden="true"></i></a></li>
                    <?php } ?>

                    <?php $num = array();
                        $q = '';
                        for ($q = $pg->page - 1; $q >= ($pg->page - 5); $q--)
                          if ($q >= 1)
                            $num[] = $q;

                        if (is_array($num))
                          $num = array_reverse($num);

                        for ($q = $pg->page; $q <= ($pg->page + 5); $q++)
                          if ($q <= $pg->num_pages)
                            $num[] = $q;

                        foreach ($num as $k => $i) {
                          if ($pg->page == $i) {
                            echo "<li><a class=\"current\" href=\"#0\">" . $i . "</a></li>";
                          } else {
                            echo "<li><a href=\"/user_information.php?page=" . $i . "\">" . $i . "</a></li>";
                          }
                        }
                        ?>

                    <?php if ((int) $pg->page < (int) $pg->num_pages) { ?>
                      <li class="button2 next"><a href="/user_information.php?page=<?php echo $pg->next_page ?>"><i class="fa fa-chevron-right" aria-hidden="true"></i></a></li>
                    <?php } ?>
                  </ul>
                </nav>

              </div>
            </div>
            <!-- Pagination :: END ::  -->
					</td>
				</tr>
				<?php } ?>
					
        </table>
				
				
        <?php }else{?>
          <?php echo get_trans("No results of notifications")?>
        <?php }?>
				
				
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
			
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>	
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'memo.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'memo.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
	jQuery(document).ready(function(){
		$('.title p').css('font-size', '25px');
		while( $('.title p').height() > $('.title').height() ) {
			$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
		}
	});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>