﻿<?php
include('includes/connect.php');
session_start();

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

//Destroy all sessions except login and other user related sessions
foreach($_SESSION["Data"] as $key => $val){
	if ($key !== 'login_user' &&
		$key !== 'loggedin' &&
		$key !== 'last_activity' &&
		$key !== 'agency_id' &&
		$key !== 'operators_id' &&
		$key !== 'access_level' &&
		$key !== 'country' &&
		$key !== 'phone' &&
		$key !== 'email' &&
		$key !== 'language' &&
		$key !== 'agency_name'){
	  unset($_SESSION["Data"][$key]);
	}
}


?>
</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>
<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
			
				<div class="title">
					<p><?php echo get_trans("WELCOME TO CAN-MDS"); ?></p>
				</div>
				<!-- <div class="content_blue_dashed">
					<h3><?php echo get_trans("Identity Confirmation"); ?></h3>
					<p><?php if (isset($_SESSION["ssUser"]['login_user'])) echo $_SESSION["ssUser"]['login_user']; ?></p>
					<p><?php if (isset($_SESSION["ssUser"]['agency_name'])) echo $_SESSION["ssUser"]['agency_name']; ?></p>
					<p><?php if (isset($_SESSION["ssUser"]['agency_phone'])) echo $_SESSION["ssUser"]['agency_phone']; ?></p>
					<p><?php if (isset($_SESSION["ssUser"]['agency_email'])) echo $_SESSION["ssUser"]['agency_email']; ?></p></br>				
					
					<p><strong><?php echo get_trans("TIP"); ?></strong> <?php echo get_trans("If the above information needs update, please contact the CAN-MDS Administration Office."); ?></p>
					
				</div> -->
				<div class="content_blue_dashed">
					<p><strong><?php echo get_trans("To proceed with the record, please follow the CAN-MDS Operations’ Protocol."); ?></br>
						<?php echo get_trans("If you need more information, please use the CAN-MDS Guide for Operators."); ?></strong></p>						
				</div>
				<div class="next">
					<button class="next_button" type="button" onclick="location.href='search.php'"><?php echo get_trans("Continue with the record"); ?></button>
				</div>
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>			
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; //scripts that loads in every page ?>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'welcome.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'welcome.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
	jQuery(document).ready(function(){
		$('.title p').css('font-size', '25px');
		while( $('.title p').height() > $('.title').height() ) {
			$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
		}
	});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}

?>