<?php

	include('includes/connect.php');
	session_start();


	$sql = " select 
			i_incident.id,
			i_incident.date_time_of_record_for_db,
			DATE_FORMAT(i_incident.date_time_of_record_for_db,'%d/%m/%Y %H:%i') as _date_time_of_record_for_db,
			i_incident.date_of_incident,
			i_incident.type_of_incident,
			i_incident.recorded_by_operator,
			c_child.child_id,
			i_incident.recorded_by_operator_nid
	
	from  i_incident 
	
	inner join c_child_sex on c_child_sex.child_nid = i_incident.child_nid
	inner join c_child on c_child.id = i_incident.child_nid
	where i_incident.child_id in (select child_id from c_child where id='".$_GET["cid"]."' )";
	
	//where i_incident.child_nid='".$_GET["cid"]."'
	
	if ($_SESSION["ssUser"]["access_level"]==0 || $_SESSION["ssUser"]["access_level"]==1) {
		
	} elseif ($_SESSION["ssUser"]["access_level"]==3) {
		// All incidents
		//$sql.= " and i_incident.recorded_by_operator_nid='".$_SESSION["ssUser"]['operators_nid']."'  ";
	}	

	$arData = array();
	$db->query($sql);
	while($db->next()) {
		$arData[]=$db->Record;
	}
?>
<tr style='border:0px;' class="clearall">
<td colspan="4" >
	<table class="display_record">
		<tr>
			<td class="header"><b><?php echo get_trans("Date of Record"); ?></b></td>
			<td class="header"><b><?php echo get_trans("Date of Incident"); ?></b></td>
			<td class="header"><b><?php echo get_trans("Type Of Incident")?></b></td>
			<td class="header"><b><?php echo get_trans("Operator's ID"); ?></b></td>
			<td class="header"><b><?php echo get_trans("Child's ID")?></b></td>
			<?php if ($_SESSION["ssUser"]["access_level"]==3) {?>
			<?php } else { ?>
				<td class="header"><b><?php echo get_trans("Display & Print")?></b></td>
			<?php } ?>
		</tr>
		<?php foreach($arData as $k=>$v) { ?>
		<tr>
			<td><?php echo $v["_date_time_of_record_for_db"]?></td>
			<td><?php echo $v["date_of_incident"]?></td>
			<td><?php echo $v["type_of_incident"]?></td>
			<td><?php echo $v["recorded_by_operator"]?></td>
			<td><?php echo $v["child_id"]?></td>
			<?php if ($_SESSION["ssUser"]["access_level"]==3) {?>
			
			<?php } elseif ($_SESSION["ssUser"]["access_level"]==2 && $v["recorded_by_operator_nid"]==$_SESSION["ssUser"]['operators_nid']) { ?>
			<td>
				<?php 
					echo '<form action="display_record.php" method="post">';
					echo '<button  type="submit" class="display_button" title="Display record" name="display_known_record"><i class="fa fa-search fa-lg"></i></button>';
					echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
					echo '<input type="hidden" name="operators_id" value="'.$v['recorded_by_operator'].'">';
					echo '<input type="hidden" name="known_child_id" value="'.$v['child_id'].'">';
					echo '<input type="hidden" name="return" value="list_of_child">';
					echo '</form>';
				?>
			</td>	
			<?php } else { ?>
			<td>
				<?php 
					echo '<form action="display_record.php" method="post">';
					echo '<button  type="submit" class="display_button" title="Display record" name="display_known_record"><i class="fa fa-search fa-lg"></i></button>';
					echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
					echo '<input type="hidden" name="operators_id" value="'.$v['recorded_by_operator'].'">';
					echo '<input type="hidden" name="known_child_id" value="'.$v['child_id'].'">';
					echo '<input type="hidden" name="return" value="list_of_child">';
					echo '</form>';
				?>
			</td>
			<?php } ?>
		</tr>
		<?php } ?>
	</table>
			</td></tr>		
<?php die(); ?>