<?php 

	/*
		Cron job script to send messages from admin panel
		php -q cron/send_mail.php
	*/
	
	$path = dirname(__DIR__) ;
	
	include_once($path."/includes/config.php");
	include_once($path.'/admin/libs/controls/PHPMailerAutoload.php');
	include_once($path.'/admin/libs/db/mysql_db.php');
	
	// Create Default DB CLass;        
	$db = new mysqldb();
	$db->connect($db_host,$db_user,$db_password,$db_database);
		
	$arData = array();	
	$db->query("select * from notifications where SendDate is null");
	while($db->next()) {
		$arData[]=$db->Record;
	}
	
	$mail = new phpmailer();
		
	$mail->IsSMTP(); 			
	$mail->Host     = $mail_Host;  
	$mail->SMTPAuth = true;
	$mail->Username = $mail_Username;
	$mail->Password = $mail_Password; 
	
	if ($mail_SMTPSecure=='ssl') {
		$mail->SMTPSecure = 'ssl'; 
		$mail->Port = 465;
	} elseif ($mail_SMTPSecure=='tls') {
		$mail->SMTPSecure = 'tls'; 
		$mail->Port = 587;							
	} elseif ($mail_AuthType=="LOGIN") {
		$mail->AuthType = "LOGIN";					
		$mail->Port = 25;	
	} else {
		$mail->AuthType = "PLAIN";
		$mail->Port = 25;	
	}
	
	$mail->From = $mail_Username;   	
	$mail->FromName =  'Can-MDS-SS-Mailer';
	$mail->CharSet = "UTF-8";			
	$mail->IsHTML(true);	
	
	foreach($arData as $k=>$v) {
		
		$mail->ErrorInfo="";
		$mail->ClearAllRecipients();	
		$mail->Subject = $v["n_subject"];
		$mail->Body = $v["n_text"];
		$mail->AddAddress($v["n_to"]);					
		$mail->Send();
		
		if ($mail->ErrorInfo) {						
			$db->update("notifications",array("notificationID"=>$v["notificationID"]),array("SendDate"=>date("Y-m-d H:i:s"),"mail_error"=>$mail->ErrorInfo));
		} else {
			$db->update("notifications",array("notificationID"=>$v["notificationID"]),array("SendDate"=>date("Y-m-d H:i:s")));
		}			
	
		echo $k.PHP_EOL;
	}	

	
?>