<?php

include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

// For back-refresh problems
if (isset($_POST['submit'])) {
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}

//for jquery
$end_date = date("Y-m-d",strtotime($_SESSION["Data"]['date_time_of_record_for_db']));
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
<?php include_once("includes/analyticstracking.php") ?>

</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("Please record the referred Date of Incident"); ?></p>
			</div>
			
			<table style="width:100%">
				<tr>
					<td style="width:100px">
						<div class="left_subtitle"><strong>I2</strong></div>
					</td>
					<td> 
						<div class="content_green_background"><strong><?php echo get_trans("Date of Incident"); ?></strong></div>
					</td>
				</tr>
			</table> 
					
			<form action="source_of_information.php" method="post">
				<div class="left_wrapper">							
						
					<div class="green_bg_options doi_width">
						<input type="radio" name="doi" class="validate[required] radio" value="Unknown" id="doi_1" <?php if (isset($_SESSION["Data"]['doi']) && $_SESSION["Data"]['doi'] == "Unknown" ) { echo 'checked="checked"';} ?> />
						<label for="doi_1"><span></span><?php echo get_trans("Unknown"); ?></label>
					</div>				
					
					<div class="green_bg_options doi_width">					
						<input type="radio" name="doi" class="validate[required] radio" id="doi_2" value='A "distinct" event took place – Not continuous maltreatment' <?php if (isset($_SESSION["Data"]['doi']) && $_SESSION["Data"]['doi'] == 'A "distinct" event took place – Not continuous maltreatment' ) { echo 'checked="checked"';} ?> />
						<label for="doi_2"><span></span><?php echo get_trans('A "distinct" event took place – Not continuous maltreatment'); ?></label>
					</div>
					<div id="expand1" class="expand"></div>
					<div class="sub1" id="sub1">					
						<div class="green_bg_options doi_width_sub">
							<input type="radio" name="doi_2sub" value="YYYY-MM-DD" id="doi_2_1" <?php if (isset($_SESSION["Data"]['doi_2sub']) && $_SESSION["Data"]['doi_2sub'] == 'YYYY-MM-DD') { echo 'checked="checked"';} ?> />
							<label for="doi_2_1"><span></span>
							
							<select name="doi_date2_year" id="doi_date2_year" disabled="disabled" class="validate[required]">
								<option value=""><?php echo get_trans("YYYY") ?></option>
								<?php for($i=date("Y");$i>=1900;$i--) { ?>
									<option <?php if (isset($_SESSION["Data"]['doi_date2_year']) && $_SESSION["Data"]['doi_date2_year']==$i){ echo "selected"; } ?> value="<?php echo $i?>"><?php echo $i?></option>
								<?php } ?>
							</select>

							<select name="doi_date2_month" id="doi_date2_month" disabled="disabled" class="validate[condRequired[doi_date2_day]]">
								<option value=""><?php echo get_trans("MM") ?></option>
								<?php for($i=1;$i<=12;$i++) { ?>
									<option <?php if (isset($_SESSION["Data"]['doi_date2_month']) && $_SESSION["Data"]['doi_date2_month']==$i){ echo "selected"; } ?> value="<?php echo $i?>"><?php echo sprintf("%'.02d", $i)?></option>
								<?php } ?>
							</select>

							<select name="doi_date2_day" id="doi_date2_day" disabled="disabled">
								<option value=""><?php echo get_trans("DD") ?></option>
								<?php for($i=1;$i<=31;$i++) { ?>
									<option <?php if (isset($_SESSION["Data"]['doi_date2_day']) && $_SESSION["Data"]['doi_date2_day']==$i){ echo "selected"; } ?> value="<?php echo $i?>"><?php echo sprintf("%'.02d", $i)?></option>
								<?php } ?>
							</select>							

							</label>				
						</div>
						<div class="green_bg_options doi_width_sub">
							<input type="radio" name="doi_2sub" value="Unknown" id="doi_2_2" <?php if (isset($_SESSION["Data"]['doi_2sub']) && $_SESSION["Data"]['doi_2sub'] == "Unknown" ) { echo 'checked="checked"';} ?>/>
							<label for="doi_2_2"><span></span><?php echo get_trans("Unknown"); ?></label>
						</div>
					</div>	
										
					<div class="green_bg_options doi_width">
						<input type="radio" name="doi" class="validate[required] radio" value='Continuous maltreatment – including "distinct event(s)"' id="doi_3" <?php if (isset($_SESSION["Data"]['doi']) && $_SESSION["Data"]['doi'] == 'Continuous maltreatment – including "distinct event(s)"' ) { echo 'checked="checked"';} ?>/>
						<label for="doi_3"><span></span><?php echo get_trans('Continuous maltreatment – including "distinct event(s)"'); ?></label>										
					</div>
					<div id="expand2" class="expand"></div>
					<div class="sub1" id="sub2">						
						<div class="none_bg_options">
							<input type="radio" name="doi_3sub" class="duration_input validate[condRequired[doi_3]" value="YYYY-MM-DD" id="doi_3_1" <?php if (isset($_SESSION["Data"]['doi_3sub']) && $_SESSION["Data"]['doi_3sub'] == "YYYY-MM-DD" ) { echo 'checked="checked"';} ?> />
							<label for="doi_3_1"><span class="duration_span"></span></label>
							<div class="left_subtitle_inner" id="start_date_3"><span><?php echo get_trans("start date"); ?></span></div>
							<div class="green_bg_options_small">	

								<select style="margin: 2px 0px 3px 4px;" name="doi_date3_year" id="doi_date3_year" disabled="disabled" class="validate[required]">
									<option value=""><?php echo get_trans("YYYY") ?></option>
									<?php for($i=date("Y");$i>=1900;$i--) { ?>
										<option <?php if (isset($_SESSION["Data"]['doi_date3_year']) && $_SESSION["Data"]['doi_date3_year']==$i){ echo "selected"; } ?> value="<?php echo $i?>"><?php echo $i?></option>
									<?php } ?>
								</select>

								<select style="margin: 2px 0px 3px 4px;" name="doi_date3_month" id="doi_date3_month" disabled="disabled" class="validate[condRequired[doi_date3_day]]">
									<option value=""><?php echo get_trans("MM") ?></option>
									<?php for($i=1;$i<=12;$i++) { ?>
										<option <?php if (isset($_SESSION["Data"]['doi_date3_month']) && $_SESSION["Data"]['doi_date3_month']==$i){ echo "selected"; } ?> value="<?php echo sprintf("%'.02d", $i)?>"><?php echo sprintf("%'.02d", $i)?></option>
									<?php } ?>
								</select>

								<select style="margin: 2px 0px 3px 4px;" name="doi_date3_day" id="doi_date3_day" disabled="disabled">
									<option value=""><?php echo get_trans("DD") ?></option>
									<?php for($i=1;$i<=31;$i++) { ?>
										<option <?php if (isset($_SESSION["Data"]['doi_date3_day']) && $_SESSION["Data"]['doi_date3_day']==$i){ echo "selected"; } ?> value="<?php echo sprintf("%'.02d", $i)?>"><?php echo sprintf("%'.02d", $i)?></option>
									<?php } ?>
								</select>
								
								
							</div>
							<div class="left_subtitle_inner" id="duration_3"><span><?php echo get_trans("duration"); ?></span></div>
							<div class="green_bg_options_small">
								<input type="text" style="width:98%; text-align:center;" class="validate[required]" name="doi_duration3" id="doi_duration3" disabled="disabled" readonly="readonly" placeholder="<?php echo get_trans("Years").' '. get_trans("Months").' '. get_trans("Days").' ' ?>" <?php if (isset($_SESSION["Data"]['doi_duration3'])){ echo "value='".$_SESSION["Data"]['doi_duration3']."'"; } ?> />								
								<input type="hidden" name="doi_duration3_first_note" id="doi_duration3_first_note" <?php if (isset($_SESSION["Data"]['doi_duration3_first_note'])){ echo "value='".$_SESSION["Data"]['doi_duration3_first_note']."'"; } ?> />
								<input type="hidden" name="doi_duration3_years" id="doi_duration3_years" <?php if (isset($_SESSION["Data"]['doi_duration3_years'])){ echo "value='".$_SESSION["Data"]['doi_duration3_years']."'"; } ?> />
								<input type="hidden" name="doi_duration3_months" id="doi_duration3_months" <?php if (isset($_SESSION["Data"]['doi_duration3_months'])){ echo "value='".$_SESSION["Data"]['doi_duration3_months']."'"; } ?> />
								<input type="hidden" name="doi_duration3_days" id="doi_duration3_days" <?php if (isset($_SESSION["Data"]['doi_duration3_days'])){ echo "value='".$_SESSION["Data"]['doi_duration3_days']."'"; } ?> />
								<input type="hidden" name="doi_duration3_last_note" id="doi_duration3_last_note" <?php if (isset($_SESSION["Data"]['doi_duration3_last_note'])){ echo "value='".$_SESSION["Data"]['doi_duration3_last_note']."'"; } ?> />
								<input type="hidden" name="doi_duration3_special_situation" id="doi_duration3_special_situation" <?php if (isset($_SESSION["Data"]['doi_duration3_special_situation'])){ echo "value='".$_SESSION["Data"]['doi_duration3_special_situation']."'"; } ?> />
							</div>							
						</div>
						<div class="green_bg_options doi_width_sub">
							<input type="radio" name="doi_3sub" class="validate[condRequired[doi_3]" value="During the last 12 months" id="doi_3_2" <?php if (isset($_SESSION["Data"]['doi_3sub']) && $_SESSION["Data"]['doi_3sub'] == "During the last 12 months" ) { echo 'checked="checked"';} ?> />
							<label for="doi_3_2"><span></span><?php echo get_trans("During the last 12 months"); ?></label>
						</div>
						<div class="green_bg_options doi_width_sub">
							<input type="radio" name="doi_3sub" class="validate[condRequired[doi_3]" value="Before the last 12 months" id="doi_3_3" <?php if (isset($_SESSION["Data"]['doi_3sub']) && $_SESSION["Data"]['doi_3sub'] == "Before the last 12 months" ) { echo 'checked="checked"';} ?> />
							<label for="doi_3_3"><span></span><?php echo get_trans("Before the last 12 months"); ?></label>							
						</div>
						<div class="green_bg_options doi_width_sub">
							<input type="radio" name="doi_3sub" class="validate[condRequired[doi_3]" value="Lifelong" id="doi_3_4" <?php if (isset($_SESSION["Data"]['doi_3sub']) && $_SESSION["Data"]['doi_3sub'] == "Lifelong" ) { echo 'checked="checked"';} ?> />
							<label for="doi_3_4"><span></span><?php echo get_trans("Lifelong"); ?></label>							
						</div>
						<div class="green_bg_options doi_width_sub">
							<input type="radio" name="doi_3sub" class="validate[condRequired[doi_3]" value="Unknown" id="doi_3_5" <?php if (isset($_SESSION["Data"]['doi_3sub']) && $_SESSION["Data"]['doi_3sub'] == "Unknown" ) { echo 'checked="checked"';} ?> />
							<label for="doi_3_5"><span></span><?php echo get_trans("Unknown"); ?></label>							
						</div>	
						<div class="none_bg_options">
							<input type="checkbox" class="doi_checkbox_input" name="doi_3_6" id="doi_3_6" value="Last known CM incident date" <?php if (isset($_SESSION["Data"]['doi_3_6']) && $_SESSION["Data"]['doi_3_6'] == "Last known CM incident date" ) { echo 'checked="checked"';} ?>/>
							<label for="doi_3_6"><span class="doi_checkbox_span"></span></label>
							<div class="checkbox_left_subtitle_inner" id="last_known_cm_3"><span><?php echo get_trans("Last known CM incident date"); ?></span></div>
							<div class="green_bg_options_small" style="width:34$;">	

								<select style="margin: 2px 0px 3px 4px;" name="doi_date3_2_year" id="doi_date3_2_year" disabled="disabled" class="validate[required]">
									<option value=""><?php echo get_trans("YYYY") ?></option>
									<?php for($i=date("Y");$i>=1900;$i--) { ?>
										<option <?php if (isset($_SESSION["Data"]['doi_date3_2_year']) && $_SESSION["Data"]['doi_date3_2_year']==$i){ echo "selected"; } ?> value="<?php echo $i?>"><?php echo $i?></option>
									<?php } ?>
								</select>

								<select style="margin: 2px 0px 3px 4px;" name="doi_date3_2_month" id="doi_date3_2_month" disabled="disabled" class="validate[condRequired[doi_date3_2_day]]">
									<option value=""><?php echo get_trans("MM") ?></option>
									<?php for($i=1;$i<=12;$i++) { ?>
										<option <?php if (isset($_SESSION["Data"]['doi_date3_2_month']) && $_SESSION["Data"]['doi_date3_2_month']==$i){ echo "selected"; } ?> value="<?php echo sprintf("%'.02d", $i)?>"><?php echo sprintf("%'.02d", $i)?></option>
									<?php } ?>
								</select>

								<select style="margin: 2px 0px 3px 4px;" name="doi_date3_2_day" id="doi_date3_2_day" disabled="disabled">
									<option value=""><?php echo get_trans("DD") ?></option>
									<?php for($i=1;$i<=31;$i++) { ?>
										<option <?php if (isset($_SESSION["Data"]['doi_date3_2_day']) && $_SESSION["Data"]['doi_date3_2_day']==$i){ echo "selected"; } ?> value="<?php echo sprintf("%'.02d", $i)?>"><?php echo sprintf("%'.02d", $i)?></option>
									<?php } ?>
								</select>
								
								
							</div>
						</div>	
					</div>
					
					<div class="green_bg_options doi_width">
						<input type="radio" name="doi" class="validate[required] radio" value='Continuous maltreatment - No "distinct event" took place' id="doi_4" <?php if (isset($_SESSION["Data"]['doi']) && $_SESSION["Data"]['doi'] == 'Continuous maltreatment - No "distinct event" took place' ) { echo 'checked="checked"';} ?> />
						<label for="doi_4"><span></span><?php echo get_trans('Continuous maltreatment - No "distinct event" took place'); ?></label>
					</div>
					<div id="expand3" class="expand"></div>
						<div class="sub1" id="sub3">
						
							<div class="none_bg_options">
								<input type="radio" name="doi_4sub" class="duration_input" value="YYYY-MM-DD" id="doi_4_1" <?php if (isset($_SESSION["Data"]['doi_4sub']) && $_SESSION["Data"]['doi_4sub'] == "YYYY-MM-DD" ) { echo 'checked="checked"';} ?> />
								<label for="doi_4_1"><span class="duration_span"></span></label>
								<div class="left_subtitle_inner" id="start_date_4"><span><?php echo get_trans("start date"); ?></span></div>
								<div class="green_bg_options_small">	

									<select style="margin: 2px 0px 3px 4px;" name="doi_date4_year" id="doi_date4_year" disabled="disabled" class="validate[required]">
										<option value=""><?php echo get_trans("YYYY") ?></option>
										<?php for($i=date("Y");$i>=1900;$i--) { ?>
											<option <?php if (isset($_SESSION["Data"]['doi_date4_year']) && $_SESSION["Data"]['doi_date4_year']==$i){ echo "selected"; } ?> value="<?php echo $i?>"><?php echo $i?></option>
										<?php } ?>
									</select>

									<select style="margin: 2px 0px 3px 4px;" name="doi_date4_month" id="doi_date4_month" disabled="disabled" class="validate[condRequired[doi_date4_day]]">
										<option value=""><?php echo get_trans("MM") ?></option>
										<?php for($i=1;$i<=12;$i++) { ?>
											<option <?php if (isset($_SESSION["Data"]['doi_date4_month']) && $_SESSION["Data"]['doi_date4_month']==$i){ echo "selected"; } ?> value="<?php echo sprintf("%'.02d", $i)?>"><?php echo sprintf("%'.02d", $i)?></option>
										<?php } ?>
									</select>

									<select style="margin: 2px 0px 3px 4px;" name="doi_date4_day" id="doi_date4_day" disabled="disabled">
										<option value=""><?php echo get_trans("DD") ?></option>
										<?php  for($i=1;$i<=31;$i++) { ?>
											<option <?php if (isset($_SESSION["Data"]['doi_date4_day']) && $_SESSION["Data"]['doi_date4_day']==$i){ echo "selected"; } ?> value="<?php echo sprintf("%'.02d", $i)?>"><?php echo sprintf("%'.02d", $i)?></option>
										<?php } ?>
									</select>
								
									
								</div>
								<div class="left_subtitle_inner" id="duration_4"><span><?php echo get_trans("duration"); ?></span></div>
								<div class="green_bg_options_small">
								<input type="text" style="width:98%; text-align:center;" class="validate[required]" name="doi_duration4" id="doi_duration4" disabled="disabled" readonly="readonly" placeholder="<?php echo get_trans("Years").' '. get_trans("Months").' '. get_trans("Days").' ' ?>" <?php if (isset($_SESSION["Data"]['doi_duration4'])){ echo "value='".$_SESSION["Data"]['doi_duration4']."'"; } ?> />								
								<input type="hidden" name="doi_duration4_first_note" id="doi_duration4_first_note" <?php if (isset($_SESSION["Data"]['doi_duration4_first_note'])){ echo "value='".$_SESSION["Data"]['doi_duration4_first_note']."'"; } ?> />
								<input type="hidden" name="doi_duration4_years" id="doi_duration4_years" <?php if (isset($_SESSION["Data"]['doi_duration4_years'])){ echo "value='".$_SESSION["Data"]['doi_duration4_years']."'"; } ?> />
								<input type="hidden" name="doi_duration4_months" id="doi_duration4_months" <?php if (isset($_SESSION["Data"]['doi_duration4_months'])){ echo "value='".$_SESSION["Data"]['doi_duration4_months']."'"; } ?> />
								<input type="hidden" name="doi_duration4_days" id="doi_duration4_days" <?php if (isset($_SESSION["Data"]['doi_duration4_days'])){ echo "value='".$_SESSION["Data"]['doi_duration4_days']."'"; } ?> />
								<input type="hidden" name="doi_duration4_last_note" id="doi_duration4_last_note" <?php if (isset($_SESSION["Data"]['doi_duration4_last_note'])){ echo "value='".$_SESSION["Data"]['doi_duration4_last_note']."'"; } ?> />
								<input type="hidden" name="doi_duration4_special_situation" id="doi_duration4_special_situation" <?php if (isset($_SESSION["Data"]['doi_duration4_special_situation'])){ echo "value='".$_SESSION["Data"]['doi_duration4_special_situation']."'"; } ?> />
							</div>								
							</div>								
							<div class="green_bg_options doi_width_sub">
								<input type="radio" name="doi_4sub" value="During the last 12 months" id="doi_4_2" <?php if (isset($_SESSION["Data"]['doi_4sub']) && $_SESSION["Data"]['doi_4sub'] == "During the last 12 months" ) { echo 'checked="checked"';} ?> />
								<label for="doi_4_2"><span></span><?php echo get_trans("During the last 12 months"); ?></label>
							</div>
							<div class="green_bg_options doi_width_sub">
								<input type="radio" name="doi_4sub" value="Before the last 12 months" id="doi_4_3" <?php if (isset($_SESSION["Data"]['doi_4sub']) && $_SESSION["Data"]['doi_4sub'] == "Before the last 12 months" ) { echo 'checked="checked"';} ?> />
								<label for="doi_4_3"><span></span><?php echo get_trans("Before the last 12 months"); ?></label>							
							</div>
							<div class="green_bg_options doi_width_sub">
								<input type="radio" name="doi_4sub" value="Lifelong" id="doi_4_4" <?php if (isset($_SESSION["Data"]['doi_4sub']) && $_SESSION["Data"]['doi_4sub'] == "Lifelong" ) { echo 'checked="checked"';} ?> />
								<label for="doi_4_4"><span></span><?php echo get_trans("Lifelong"); ?></label>							
							</div>
							<div class="green_bg_options doi_width_sub">
								<input type="radio" name="doi_4sub" value="Unknown" id="doi_4_5" <?php if (isset($_SESSION["Data"]['doi_4sub']) && $_SESSION["Data"]['doi_4sub'] == "Unknown" ) { echo 'checked="checked"';} ?> />
								<label for="doi_4_5"><span></span><?php echo get_trans("Unknown"); ?></label>							
							</div>					
						</div>										
				</div>
			
				
				<div class="right_wrapper">
					<div class="info_orange">
						<span><?php echo get_trans("GO -> R4"); ?></span>
					</div>
					<div class="info_blue" id="info1">
						<span><?php echo get_trans("Click to open sub-list"); ?></span>
					</div>
					<div class="info_blue" id="info2">
						<span><?php echo get_trans("Complete as precisely as possible YYYY-MM-DD"); ?></span>
					</div>				
					<div class="info_blue" id="info3">
						<span><?php echo get_trans("Click to open sub-list"); ?></span>
					</div>
					<div class="info_blue" id="info4">
						<span><?php echo get_trans("Neglect/other abuse taking place over a longer period"); ?></span>
					</div>
					<div class="info_blue" id="info5">
						<span><?php echo get_trans("Click to open sub-list"); ?></span>
					</div>
					<div class="info_blue" id="info6">
						<span><?php echo get_trans("Check ONE in the sub-list"); ?></span>
					</div>					
				</div>	
				<?php include 'includes/next_button.php'; ?>
			</form>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>					
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<script src="js/languages/jquery.validationEngine-en.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'date_of_incident.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'date_of_incident.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<script>
jQuery(document).ready(function(){
	// binds form submission and fields to the validation engine
	jQuery("form").validationEngine();
});

//********* Expand - Collapse, Info Boxes Show - Hide, Validation *************
$(document).ready(function(){
	$('#expand1').on('click', function(){			
		if($('#expand1').hasClass('expand')){	
			$('#sub1').slideToggle();
			$('#expand1').addClass('collapse').removeClass('expand');
			$("#info1").text("<?php echo get_trans("Click to close sub-list") ?>");
			$('#info2').toggle(600);
		} else {
			$('#sub1').slideToggle();
			$('#expand1').addClass('expand').removeClass('collapse');
			$("#info1").text("<?php echo get_trans("Click to open sub-list") ?>");
			$('#info2').toggle(600);
		}		
	});

	$('#expand2').on('click', function(){				
		if($('#expand2').hasClass('expand')){
			$('#sub2').slideToggle();
			$('#expand2').addClass('collapse').removeClass('expand');
			$("#info3").text("<?php echo get_trans("Click to close sub-list") ?>");
			$('#info4').toggle(600);
		} else {
			$('#sub2').slideToggle();
			$('#expand2').addClass('expand').removeClass('collapse');
			$("#info3").text("<?php echo get_trans("Click to open sub-list") ?>");
			$('#info4').toggle(600);
		}
	});
	
	$('#expand3').on('click', function(){		
		if($('#expand3').hasClass('expand')){
			$('#sub3').slideToggle();
			$('#expand3').addClass('collapse').removeClass('expand');
			$("#info5").text("<?php echo get_trans("Click to close sub-list") ?>");
			$('#info6').toggle(600);
		} else {
			$('#sub3').slideToggle();
			$('#expand3').addClass('expand').removeClass('collapse');
			$("#info5").text("<?php echo get_trans("Click to open sub-list") ?>");
			$('#info6').toggle(600);		
		}		
	});
	

//********* Radio Check - Uncheck *************
	// var radioChecked = $('#doi_1').is(':checked');
	// $('#doi_1').click(function() {
		// radioChecked = !radioChecked;
		// $(this).prop('checked', radioChecked);
	// });
	
//********* Functions to expand list when radio buttons checked *************
	var expand1 = function() {
		if($('#expand1').hasClass('expand')){	
			$('#sub1').slideDown();
			$('#expand1').addClass('collapse').removeClass('expand');
			$("#info1").text("<?php echo get_trans("Click to close sub-list") ?>");
			$('#info2').slideDown(600);
		}
	};
	
	var expand2 = function() {
		if($('#expand2').hasClass('expand')){
			$('#sub2').slideDown();
			$('#expand2').addClass('collapse').removeClass('expand');
			$("#info3").text("<?php echo get_trans("Click to close sub-list") ?>");
			$('#info4').slideDown(600);
		}
	};

	var expand3 = function() {
		if($('#expand3').hasClass('expand')){
			$('#sub3').slideDown();
			$('#expand3').addClass('collapse').removeClass('expand');
			$("#info5").text("<?php echo get_trans("Click to close sub-list") ?>");
			$('#info6').slideDown(600);
		}
	};

//********* If Parent Radio is checked, uncheck all the other categories Child Radios *************
//Unknown
	// $('#doi_1').on('click', function(e) {
		// var isChecked = $('#doi_1').prop('checked');
		// if (isChecked == true){
			// $('input[name=doi_2sub],input[name=doi_3sub],input[name=doi_4sub],input[type=text]').prop('disabled', true).prop('checked',false).next('label').addClass('grey_font');
			// $('.info_orange').css("font-weight","Bold");
		// }
	// });		
	
	// var isChecked = $('#doi_1').prop('checked');
	// if (isChecked == true){
		// $('input[name=doi_2sub],input[name=doi_3sub],input[name=doi_4sub],input[type=text]').prop('disabled', true).prop('checked',false).next('label').addClass('grey_font');
		// $('.info_orange').css("font-weight","Bold");
	// }
	$('#doi_1').on('click', function(e) {
		var isChecked = $('#doi_1').prop('checked');
		if (isChecked == true){
			$('input[name=doi_2sub],input[name=doi_3sub],input[name=doi_4sub]').prop('checked',false);
			$('#sub1,#sub2,#sub3').find('input[type=text]').prop('disabled', true);
			$('input[type=checkbox]').prop('checked',false);
			$('.info_orange').css("font-weight","Bold");			
		}
	});		
	
	var isChecked = $('#doi_1').prop('checked');
	if (isChecked == true){
		$('input[name=doi_2sub],input[name=doi_3sub],input[name=doi_4sub]').prop('checked',false);
		$('#sub1,#sub2,#sub3').find('input[type=text]').prop('disabled', true);
		$('input[type=checkbox]').prop('checked',false);
		$('.info_orange').css("font-weight","Bold");
	}

//A “distinct event” took place – Not continuous maltreatment
	$('#doi_2').on('click', function(e) {
		var isChecked = $('#doi_2').prop('checked');
		if (isChecked == true){
			$('input[name=doi_3sub],input[name=doi_4sub]').prop('checked',false);
			$('#sub2,#sub3').find('input[type=text]').prop('disabled', true);
			$('input[type=checkbox]').prop('checked',false);
			$('.info_orange').css("font-weight","Normal");
			//expand on check
			expand1();
		}
	});		
	
	var isChecked = $('#doi_2').prop('checked');
	if (isChecked == true){
		$('input[name=doi_3sub],input[name=doi_4sub]').prop('checked',false);
		$('#sub2,#sub3').find('input[type=text]').prop('disabled', true);
		$('input[type=checkbox]').prop('checked',false);
		$('.info_orange').css("font-weight","Normal");
		//expand on check
		expand1();
	}
	
//Continuous maltreatment – including “distinct event(s)”	
	$('#doi_3').on('click', function(e) {
		var isChecked = $('#doi_3').prop('checked');
		if (isChecked == true){
			$('input[name=doi_2sub],input[name=doi_4sub]').prop('checked',false);
			$('#sub1,#sub3').find('input[type=text]').prop('disabled', true);
			$('.info_orange').css("font-weight","Normal");
			//expand on check
			expand2();
		}
	});		
	
	var isChecked = $('#doi_3').prop('checked');
	if (isChecked == true){
		$('input[name=doi_2sub],input[name=doi_4sub]').prop('checked',false);
		$('#sub1,#sub3').find('input[type=text]').prop('disabled', true);
		$('.info_orange').css("font-weight","Normal");
		//expand on check
		expand2();
	}

//Continuous maltreatment - No “distinct event” took place
	$('#doi_4').on('click', function(e) {
		var isChecked = $('#doi_4').prop('checked');
		if (isChecked == true){
			$('input[name=doi_2sub],input[name=doi_3sub]').prop('checked',false);
			$('#sub1,#sub2').find('input[type=text]').prop('disabled', true);
			$('input[type=checkbox]').prop('checked',false);
			$('.info_orange').css("font-weight","Normal");
			//expand on check
			expand3();
		}
	});		
	
	var isChecked = $('#doi_4').prop('checked');
	if (isChecked == true){
		$('input[name=doi_2sub],input[name=doi_3sub]').prop('checked',false);
		$('#sub1,#sub2').find('input[type=text]').prop('disabled', true);
		$('input[type=checkbox]').prop('checked',false);
		$('.info_orange').css("font-weight","Normal");
		//expand on check
		expand3();
	}

	
//********* If Child Radio is checked, uncheck all the other categories Child Radios *************
//A “distinct event” took place – Not continuous maltreatment
	$('#doi_2_1,#doi_2_2').on('click', function(e) {
		var isChecked = $('#doi_2_1').prop('checked') || $('#doi_2_2').prop('checked');
		if (isChecked == true){
			$('input[name=doi_3sub],input[name=doi_4sub]').prop('checked',false);
			$('#sub2,#sub3').find('input[type=text]').prop('disabled', true);
			$('input[type=checkbox]').prop('checked',false);
			$('.info_orange').css("font-weight","Normal");
		}
	});		
		
//Continuous maltreatment – including “distinct event(s)”
	$('#doi_3_1,#doi_3_2,#doi_3_3,#doi_3_4,#doi_3_5,#doi_3_6').on('click', function(e) {
		var isChecked = $('#doi_3_1').prop('checked') || $('#doi_3_2').prop('checked') || $('#doi_3_3').prop('checked') || $('#doi_3_4').prop('checked') || $('#doi_3_5').prop('checked') || $('#doi_3_6').prop('checked');
		if (isChecked == true){
			$('input[name=doi_2sub],input[name=doi_4sub]').prop('checked',false);
			$('#sub1,#sub3').find('input[type=text]').prop('disabled', true);
			$('.info_orange').css("font-weight","Normal");
		}
	});		
	
//Continuous maltreatment - No “distinct event” took place
	$('#doi_4_1,#doi_4_2,#doi_4_3,#doi_4_4,#doi_4_5').on('click', function(e) {
		var isChecked = $('#doi_4_1').prop('checked') || $('#doi_4_2').prop('checked') || $('#doi_4_3').prop('checked') || $('#doi_4_4').prop('checked') || $('#doi_4_5').prop('checked');
		if (isChecked == true){
			$('input[name=doi_2sub],input[name=doi_3sub]').prop('checked',false);
			$('#sub1,#sub2').find('input[type=text]').prop('disabled', true);
			$('input[type=checkbox]').prop('checked',false);
			$('.info_orange').css("font-weight","Normal");
		}
	});		
	

//********* Parent Radio Check checks 1st Child Radio *************
//A “distinct event” took place – Not continuous maltreatment
	$('#doi_2').on('change', function(e) {
		var isChecked = $('#doi_2').prop('checked');
		if (isChecked == true){
			$('#doi_2_1').prop('checked',true);
			$('#doi_date2_day').prop('disabled',false);
			$('#doi_date2_month').prop('disabled',false);
			$('#doi_date2_year').prop('disabled',false);
		}
	});
	
//Continuous maltreatment – including “distinct event(s)”		
	$('#doi_3').on('change', function(e) {
		var isChecked = $('#doi_3').prop('checked');
		if (isChecked == true){
			$('#doi_3_1').prop('checked',true);
			$('#doi_date3_day').prop('disabled',false);
			$('#doi_date3_month').prop('disabled',false);
			$('#doi_date3_year').prop('disabled',false);
			$('#doi_duration3').prop('disabled',false);
		}
	});	

//Continuous maltreatment - No “distinct event” took place	
	$('#doi_4').on('change', function(e) {
		var isChecked = $('#doi_4').prop('checked');
		if (isChecked == true){
			$('#doi_4_1').prop('checked',true);
			$('#doi_date4_day').prop('disabled',false);
			$('#doi_date4_month').prop('disabled',false);
			$('#doi_date4_year').prop('disabled',false);
			$('#doi_duration4').prop('disabled',false);
		}
	});
	
	
//********* Child-Radio Check, checks Parent Radio *************
//A “distinct event” took place – Not continuous maltreatment
	$('#doi_2_1,#doi_2_2').on('click', function(e) {
		var isChecked = $('#doi_2_1').prop('checked') || $('#doi_2_2').prop('checked');
		if (isChecked == true){
			$('#doi_2').prop('checked',true);
		}
	});

//Continuous maltreatment – including “distinct event(s)”	
	$('#doi_3_1,#doi_3_2,#doi_3_3,#doi_3_4,#doi_3_5,#doi_3_6').on('click', function(e) {
		var isChecked = $('#doi_3_1').prop('checked') || $('#doi_3_2').prop('checked') || $('#doi_3_3').prop('checked') || $('#doi_3_4').prop('checked') || $('#doi_3_5').prop('checked') || $('#doi_3_6').prop('checked');
		if (isChecked == true){
			$('#doi_3').prop('checked',true);
		}
	});	

//Continuous maltreatment - No “distinct event” took place	
	$('#doi_4_1,#doi_4_2,#doi_4_3,#doi_4_4,#doi_4_5').on('click', function(e) {
		var isChecked = $('#doi_4_1').prop('checked') || $('#doi_4_2').prop('checked') || $('#doi_4_3').prop('checked') || $('#doi_4_4').prop('checked') || $('#doi_4_5').prop('checked');
		if (isChecked == true){
			$('#doi_4').prop('checked',true);
		}
	});	

	
//********* Manage Text-Boxes (Disable -Enable) *************
//A “distinct event” took place – Not continuous maltreatment
	$('#doi_2_1').on('click', function(e) {
		var isChecked = $('#doi_2_1').prop('checked');
		if (isChecked == true){
			$('#doi_date2_day').prop('disabled',false);
			$('#doi_date2_month').prop('disabled',false);
			$('#doi_date2_year').prop('disabled',false);
		}
	});
	
	var isChecked = $('#doi_2_1').prop('checked');
	if (isChecked == true){
		$('#doi_date2_day').prop('disabled',false);
		$('#doi_date2_month').prop('disabled',false);
		$('#doi_date2_year').prop('disabled',false);
	}
	
	$('#doi_2_2').on('click', function(e) {
		var isChecked = $('#doi_2_2').prop('checked');
		if (isChecked == true){
			$('#doi_date2_day').prop('disabled',true);
			$('#doi_date2_month').prop('disabled',true);
			$('#doi_date2_year').prop('disabled',true);
		}
	});
	
	var isChecked = $('#doi_2_2').prop('checked');
	if (isChecked == true){
		$('#doi_date2_day').prop('disabled',true);
		$('#doi_date2_month').prop('disabled',true);
		$('#doi_date2_year').prop('disabled',true);
	}
	
//Continuous maltreatment – including “distinct event(s)”
	$('#doi_3_1').on('click', function(e) {
		var isChecked = $('#doi_3_1').prop('checked');
		if (isChecked == true){
			$('#doi_date3_day,#doi_date3_month,#doi_date3_year,#doi_duration3').prop('disabled',false);
		}
	});
	
	var isChecked = $('#doi_3_1').prop('checked');
	if (isChecked == true){
		$('#doi_date3_day,#doi_date3_month,#doi_date3_year,#doi_duration3').prop('disabled',false);
	}
	
	$('#doi_3_2,#doi_3_3,#doi_3_4,#doi_3_5').on('click', function(e) {
		var isChecked = $('#doi_3_2').prop('checked') || $('#doi_3_3').prop('checked') || $('#doi_3_4').prop('checked') || $('#doi_3_5').prop('checked');
		if (isChecked == true){
			$('#doi_date3_day,#doi_date3_month,#doi_date3_year,#doi_duration3').prop('disabled',true);
		}
	});
	
	var isChecked = $('#doi_3_2').prop('checked') || $('#doi_3_3').prop('checked') || $('#doi_3_4').prop('checked') || $('#doi_3_5').prop('checked');
	if (isChecked == true){
		$('#doi_date3_day,#doi_date3_month,#doi_date3_year,#doi_duration3').prop('disabled',true);
	}
	
	$('#doi_3_6').on('click', function(e) {
		var isChecked = $('#doi_3_6').prop('checked');
		if (isChecked == true){
			$('#doi_date3_2_day,#doi_date3_2_month,#doi_date3_2_year').prop('disabled',false);
		} else $('#doi_date3_2_day,#doi_date3_2_month,#doi_date3_2_year').prop('disabled',true);
	});
	
	var isChecked = $('#doi_3_6').prop('checked');
	if (isChecked == true){
		$('#doi_date3_2_day,#doi_date3_2_month,#doi_date3_2_year').prop('disabled',false);
	}  else $('#doi_date3_2_day,#doi_date3_2_month,#doi_date3_2_year').prop('disabled',true);
	
//Continuous maltreatment - No “distinct event” took place
	
	$('#doi_4_1').on('click', function(e) {
		var isChecked = $('#doi_4_1').prop('checked');
		if (isChecked == true){
			$('#doi_date4_day,#doi_date4_month,#doi_date4_year,#doi_duration4').prop('disabled',false);
		}
	});
	
	var isChecked = $('#doi_4_1').prop('checked');
	if (isChecked == true){
		$('#doi_date4_day,#doi_date4_month,#doi_date4_year,#doi_duration4').prop('disabled',false);
	}
	
	$('#doi_4_2,#doi_4_3,#doi_4_4,#doi_4_5').on('click', function(e) {
		var isChecked = $('#doi_4_2').prop('checked') || $('#doi_4_3').prop('checked') || $('#doi_4_4').prop('checked') || $('#doi_4_5').prop('checked');
		if (isChecked == true){
			$('#doi_date4_day,#doi_date4_month,#doi_date4_year,#doi_duration4').prop('disabled',true);
		}
	});
	
	var isChecked = $('#doi_4_2').prop('checked') || $('#doi_4_3').prop('checked') || $('#doi_4_4').prop('checked') || $('#doi_4_5').prop('checked');
	if (isChecked == true){
		$('#doi_date4_day,#doi_date4_month,#doi_date4_year,#doi_duration4').prop('disabled',true);
	}
//********* Resize fonts in case of translation *************	
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}	
	
	$('#doi_3,#expand2').on('click', function(e) {	
		if($('#expand2').hasClass('collapse')){
	
			$('#start_date_3 span').css('font-size', '18px');
			while( $('#start_date_3 span').height() > $('#start_date_3').height() ) {
				$('#start_date_3 span').css('font-size', (parseInt($('#start_date_3 span').css('font-size')) - 1) + "px" );
			}
			$('#last_known_cm_3 span').css('font-size', '18px');
			while( $('#last_known_cm_3 span').height() > $('#last_known_cm_3').height() ) {
				$('#last_known_cm_3 span').css('font-size', (parseInt($('#last_known_cm_3 span').css('font-size')) - 1) + "px" );
			}
			$('#duration_3 span').css('font-size', '18px');
			while( $('#duration_3 span').height() > $('#duration_3').height() ) {
				$('#duration_3 span').css('font-size', (parseInt($('#duration_3 span').css('font-size')) - 1) + "px" );
			}
		}	
	});	
	
	$('#doi_4,#expand3').on('click', function(e) {
		if($('#expand3').hasClass('collapse')){
			$('#start_date_4 span').css('font-size', '18px');
			while( $('#start_date_4 span').height() > $('#start_date_4').height() ) {
				$('#start_date_4 span').css('font-size', (parseInt($('#start_date_4 span').css('font-size')) - 1) + "px" );
			}
			$('#duration_4 span').css('font-size', '18px');
			while( $('#duration_4 span').height() > $('#duration_4').height() ) {
				$('#duration_4 span').css('font-size', (parseInt($('#duration_4 span').css('font-size')) - 1) + "px" );
			}	
		}	
	});
	
//************** Calculate duration ******************
	$(function() {
	//--------------------- Duration 3 ---------------------------
		$('#doi_date3_year,#doi_date3_month,#doi_date3_day').on('keyup focusout', function() {
			if ($('#doi_date3_year').val().length == 4 ){ //We know year
				if( $('#doi_date3_month').val().length !== 2 ) { //We don't know month
					if ($('#doi_date3_day').val().length !== 2 ){ //We don't know day
						var doi_date3 = $('#doi_date3_year').val();
						var note_first = "<?php echo get_trans('approximately') ?>";
						var note_last = "<?php echo get_trans('or less') ?>";
						var note_first_to_submit = "approximately";
						var note_last_to_submit = "or less";
					} else { //We know year and day
						$("#doi_duration3").val('<?php echo get_trans("Wrong date") ?>');
						$("#doi_duration3_special_situation").val("Wrong date");
						// var note_first = "";
						// var note_last = "";
						// var note_first_to_submit = "";
						// var note_last_to_submit = "";
					}
				} else { //We know year and month
					if ($('#doi_date3_day').val().length !== 2 ){ //We know year and month NOT day
						var doi_date3 = $('#doi_date3_year').val()+'-'+$('#doi_date3_month').val();
						var note_first = "<?php echo get_trans('approximately') ?>";
						var note_last = "<?php echo get_trans('or less') ?>";
						var note_first_to_submit = "approximately";
						var note_last_to_submit = "or less";
					} else { //We know year, month and day
						var doi_date3 = $('#doi_date3_year').val()+'-'+$('#doi_date3_month').val()+'-'+$('#doi_date3_day').val();
						var note_first = "";
						var note_last = "";
						var note_first_to_submit = "";
						var note_last_to_submit = "";
					}
				}
				var From_date = new Date(doi_date3);
				var To_date = new Date('<?php echo $end_date; ?>');
				var diff_date =  To_date - From_date;
				
				var years = Math.floor(diff_date/31536000000);
				var months = Math.floor((diff_date % 31536000000)/2628000000);
				var days = Math.floor(((diff_date % 31536000000) % 2628000000)/86400000);
				
				if (years > 1)
					var r_years = years+" "+"<?php echo get_trans("years") ?>"+" ";
				else if (years == 1)
					var r_years = years+" "+"<?php echo get_trans("year") ?>"+" ";
				else
					var r_years = "";
					
				if (months > 1)
					var r_months = months+" "+"<?php echo get_trans("months") ?>"+" ";
				else if (months == 1)
					var r_months = months+" "+"<?php echo get_trans("month") ?>"+" ";
				else
					var r_months = "";
					
				if (days > 1)
					var r_days = days+" "+"<?php echo get_trans("days") ?>"+" ";
				else if (days == 1)
					var r_days = days+" "+"<?php echo get_trans("day") ?>"+" ";
				else 
					var r_days = "";
					
				$("#doi_duration3").val(note_first+" "+r_years+r_months+r_days+note_last);
				$("#doi_duration3_first_note").val(note_first_to_submit);
				$("#doi_duration3_years").val(years);
				$("#doi_duration3_months").val(months);
				$("#doi_duration3_days").val(days);
				$("#doi_duration3_last_note").val(note_last_to_submit);
				$("#doi_duration3_special_situation").val("");
				if (years == 0 && months == 0 && days == 0){
					$("#doi_duration3").val('<?php echo get_trans("One day") ?>');
					$("#doi_duration3_special_situation").val("One day");
					$("#doi_duration3_first_note").val("");
					$("#doi_duration3_years").val("");
					$("#doi_duration3_months").val("");
					$("#doi_duration3_days").val("");
					$("#doi_duration3_last_note").val("");
				}
				if ( !$.isNumeric(years) || !$.isNumeric(months) || !$.isNumeric(days) || years < 0 || months < 0 || days < 0){
					$("#doi_duration3").val('<?php echo get_trans("Wrong date") ?>');
					$("#doi_duration3_special_situation").val("Wrong date");
					$("#doi_duration3_first_note").val("");
					$("#doi_duration3_years").val("");
					$("#doi_duration3_months").val("");
					$("#doi_duration3_days").val("");
					$("#doi_duration3_last_note").val("");
				}
			} else { //We don't know year
				$("#doi_duration3").val('<?php echo get_trans("Wrong date") ?>');
				$("#doi_duration3_special_situation").val("Wrong date");
				$("#doi_duration3_first_note").val("");
				$("#doi_duration3_years").val("");
				$("#doi_duration3_months").val("");
				$("#doi_duration3_days").val("");
				$("#doi_duration3_last_note").val("");
			}
		});
		
		//--------------------- Duration 4 ---------------------------
		$('#doi_date4_year,#doi_date4_month,#doi_date4_day').on('keyup focusout', function() {
			if ($('#doi_date4_year').val().length == 4 ){ //We know year
				if( $('#doi_date4_month').val().length !== 2 ) { //We don't know month
					if ($('#doi_date4_day').val().length !== 2 ){ //We don't know day
						var doi_date4 = $('#doi_date4_year').val();
						var note_first = "<?php echo get_trans('approximately') ?>";
						var note_last = "<?php echo get_trans('or less') ?>";
						var note_first_to_submit = "approximately";
						var note_last_to_submit = "or less";
					} else { //We know year and day
						$("#doi_duration4").val('<?php echo get_trans("Wrong date") ?>');
						$("#doi_duration4_special_situation").val("Wrong date");
						// var note_first = "";
						// var note_last = "";
						// var note_first_to_submit = "";
						// var note_last_to_submit = "";
					}
				} else { //We know year and month
					if ($('#doi_date4_day').val().length !== 2 ){ //We know year and month NOT day
						var doi_date4 = $('#doi_date4_year').val()+'-'+$('#doi_date4_month').val();
						var note_first = "<?php echo get_trans('approximately') ?>";
						var note_last = "<?php echo get_trans('or less') ?>";
						var note_first_to_submit = "approximately";
						var note_last_to_submit = "or less";
					} else { //We know year, month and day
						var doi_date4 = $('#doi_date4_year').val()+'-'+$('#doi_date4_month').val()+'-'+$('#doi_date4_day').val();
						var note_first = "";
						var note_last = "";
						var note_first_to_submit = "";
						var note_last_to_submit = "";
					}
				}
				var From_date = new Date(doi_date4);
				var To_date = new Date('<?php echo $end_date; ?>');
				var diff_date =  To_date - From_date;
				
				var years = Math.floor(diff_date/31536000000);
				var months = Math.floor((diff_date % 31536000000)/2628000000);
				var days = Math.floor(((diff_date % 31536000000) % 2628000000)/86400000);
				
				if (years > 1)
					var r_years = years+" "+"<?php echo get_trans("years") ?>"+" ";
				else if (years == 1)
					var r_years = years+" "+"<?php echo get_trans("year") ?>"+" ";
				else
					var r_years = "";
					
				if (months > 1)
					var r_months = months+" "+"<?php echo get_trans("months") ?>"+" ";
				else if (months == 1)
					var r_months = months+" "+"<?php echo get_trans("month") ?>"+" ";
				else
					var r_months = "";
					
				if (days > 1)
					var r_days = days+" "+"<?php echo get_trans("days") ?>"+" ";
				else if (days == 1)
					var r_days = days+" "+"<?php echo get_trans("day") ?>"+" ";
				else 
					var r_days = "";
					
				$("#doi_duration4").val(note_first+" "+r_years+r_months+r_days+note_last);
				$("#doi_duration4_first_note").val(note_first_to_submit);
				$("#doi_duration4_years").val(years);
				$("#doi_duration4_months").val(months);
				$("#doi_duration4_days").val(days);
				$("#doi_duration4_last_note").val(note_last_to_submit);
				$("#doi_duration4_special_situation").val("");
				if (years == 0 && months == 0 && days == 0){
					$("#doi_duration4").val('<?php echo get_trans("One day") ?>');
					$("#doi_duration4_special_situation").val("One day");
					$("#doi_duration4_first_note").val("");
					$("#doi_duration4_years").val("");
					$("#doi_duration4_months").val("");
					$("#doi_duration4_days").val("");
					$("#doi_duration4_last_note").val("");
				}
				if ( !$.isNumeric(years) || !$.isNumeric(months) || !$.isNumeric(days) || years < 0 || months < 0 || days < 0){
					$("#doi_duration4").val('<?php echo get_trans("Wrong date") ?>');
					$("#doi_duration4_special_situation").val("Wrong date");
					$("#doi_duration4_first_note").val("");
					$("#doi_duration4_years").val("");
					$("#doi_duration4_months").val("");
					$("#doi_duration4_days").val("");
					$("#doi_duration4_last_note").val("");
				}
			} else { //We don't know year
				$("#doi_duration4").val('<?php echo get_trans("Wrong date") ?>');
				$("#doi_duration4_special_situation").val("Wrong date");
				$("#doi_duration4_first_note").val("");
				$("#doi_duration4_years").val("");
				$("#doi_duration4_months").val("");
				$("#doi_duration4_days").val("");
				$("#doi_duration4_last_note").val("");
			}
		});		
		
	});
	
});

</script>

</body>
</html>

<?php

} else {
	header("location: index.php");
}
?>