<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true && $_SESSION["ssUser"]['access_level'] != 3) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("Professionals that worked with the child in the past"); ?></p>
			</div>
			</br>
			<table class="ki_table">
			  <tr>
				<td class="col_1 header"><?php echo get_trans("Date of Record"); ?></td>
				<td class="col_1 header"><?php echo get_trans("Name"); ?></td>
				<td class="col_1 header"><?php echo get_trans("Specialty"); ?></td>
				<td class="col_1 header"><?php echo get_trans("Direct Phone"); ?></td>
				<td class="col_1 header"><?php echo get_trans("Personal Email"); ?></td>
				<td class="col_1 header"><?php echo get_trans("Agency"); ?></td>
				<td class="col_1 header"><?php echo get_trans("Address"); ?></td>
				<td class="col_1 header"><?php echo get_trans("Phone"); ?></td>
				<td class="col_1 header"><?php echo get_trans("Email"); ?></td>
			  </tr>
				<?php
			
				//Display who worked with child
				if (isset($_POST['display_who_worked_with_child'])) {
					
					if ($_POST["child_id"]) {
						$child_id = $_POST["child_id"];
					} elseif (isset($_SESSION["Data"]['known_childs_id'])) {
						$child_id = $_SESSION["Data"]['known_childs_id'];
					} else {
						$child_id = $_SESSION["Data"]['new_childs_id'];
					}
					// Get the agency and operator's id for a specified child id
					$_arData = array();
					$db->query("SELECT datetime_of_record, recorded_by_agency, recorded_by_operator FROM i_incident WHERE child_id='".$child_id."' GROUP BY recorded_by_operator ");
					while($db->next()) {
						$_arData[]=$db->Record;
					}
					
					foreach($_arData as $k=>$v) {
						$datetime_of_record = $v['datetime_of_record'];
						$agency = $v['recorded_by_agency'];
						$operator = $v['recorded_by_operator'];
							
						// Get operator's info for a specified operator_id
						$_arDataI = array();
						$db->query("SELECT operator_occupation, name, phone, email FROM u_users WHERE operators_id='".$operator."' ");
						if ($db->next()) {
							
							$operators_occupation_code = $db->Record['operator_occupation'];
							$operators_name = $db->Record['name'];
							$operators_phone = $db->Record['phone'];
							$operators_email = $db->Record['email'];
							
							// Get occupation name from code
							$db->query("SELECT occupation FROM u_occupations WHERE code='".$operators_occupation_code."' ");								
							if ($db->next()) {								
								$operators_occupation = $db->Record['occupation'];								
							} else {
								$operators_occupation = 'Unknown';
							}
									
						}
						
						// Get agency's info for a specified agency_id
						$db->query("SELECT agency_name, street_name, street_number, post_code, town, phone, email FROM u_agencies WHERE agency_id='".$agency."' ");							
						if ($db->next()) {							
							$agency_name = $db->Record['agency_name'];
							$agency_street_name = $db->Record['street_name'];
							$agency_street_number = $db->Record['street_number'];
							$agency_post_code = $db->Record['post_code'];
							$agency_town = $db->Record['town'];
							$agency_phone = $db->Record['phone'];
							$agency_email = $db->Record['email'];
						}
							
				?>
					  <tr>
						<td class="col_1"><?php echo $datetime_of_record; ?></td>
						<td class="col_1"><?php echo $operators_name; ?></td>
						<td class="col_1"><?php echo $operators_occupation; ?></td>
						<td class="col_1"><?php echo $operators_phone; ?></td>
						<td class="col_1"><?php echo $operators_email; ?></td>
						<td class="col_1"><?php echo $agency_name; ?></td>
						<td class="col_1"><?php if( !empty($agency_street_number) && !empty($agency_street_number) && !empty($agency_post_code) ) echo get_trans("Street Number").": ".$agency_street_number.", ".get_trans("Street Name").": ".$agency_street_name.", ".get_trans("Post Code").": ".$agency_post_code.", ".get_trans("Town").": ".$agency_town; ?></td>
						<td class="col_1"><?php echo $agency_phone; ?></td>
						<td class="col_1"><?php echo $agency_email; ?></td>
					  </tr>
				<?php
					}

				} 
				?>
			  	
			</table>
			<?php
			//get what page the user was before so we can get him back there 
			if (isset($_SESSION["Data"]['back_button'])){
				$action = $_SESSION["Data"]['back_button'].'.php';				
			} 
			?>
			
			<form action="<?php echo $action; ?>" method="post">
				<div class="next">
					<input class="next_button" type="submit" name="back" value="< <?php echo get_trans("Back"); ?>" />
					<?php
					if (isset($_SESSION["Data"]['back_button']) && $_SESSION["Data"]['back_button'] == 'display_all_records')
						echo "<input type='hidden' name='display_all_records'>";
					?>
					
				</div>
			</form>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>			
			<?php include 'includes/records_table.php'; ?>	
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'display_who_worked_with_child.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'record_complete.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

</body>
</html>

<?php
	



} else {
	header("location: index.php");
}
?>