<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

//Setting status of incident (comming from feedback.php)
if (isset($_POST['save_feedback'])){
	if (isset($_POST['f_radio'])){
		// echo $_POST['f_radio'];
		// echo $_SESSION["Data"]['feedback_$date_time_of_record_for_db'];
		// echo $_SESSION["Data"]['feedback_$incident_id'];
		//$db->query("UPDATE s_feedback SET status='".$_POST['f_radio']."' WHERE incident_id='".$_SESSION["Data"]['feedback_incident_id']."' AND referral_agency_id='".$_SESSION["Data"]['feedback_referral_agency_id']."' ");
		$db->update("s_feedback",array("incident_id"=>$_SESSION["Data"]['feedback_incident_id'],"referral_agency_id"=>$_SESSION["Data"]['feedback_referral_agency_id']),array("status"=>$_POST['f_radio']));
	}
	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();
}

//Destroy sessions in case user go back to that page
foreach($_SESSION["Data"] as $key => $val){
	if ($key !== 'login_user' &&
		$key !== 'loggedin' &&
		$key !== 'last_activity' &&
		$key !== 'language' &&
		$key !== 'agency_id' &&
		$key !== 'operators_id' &&
		$key !== 'access_level' &&
		$key !== 'country' &&
		$key !== 'known_childs_id' &&
		$key !== 'search_childs_id' &&
		$key !== 'phone' &&
		$key !== 'email' &&
		$key !== 'date' &&
		$key !== 'time' &&
		$key !== 'date_time' &&
		$key !== 'date_time_of_record_for_db' &&
		$key !== 'updated_time_of_record' &&
		$key !== 'agency_name' &&
		$key !== 'doi' &&
		$key !== 'doi_2sub' &&
		$key !== 'doi_date2' &&		
		$key !== 'doi_date2_year' &&
		$key !== 'doi_date2_month' &&
		$key !== 'doi_date2_day' &&	
		
		$key !== 'doi_3sub' &&
		$key !== 'doi_date3' &&
		$key !== 'doi_date3_year' &&
		$key !== 'doi_date3_month' &&
		$key !== 'doi_date3_day' &&
		$key !== 'doi_duration3' &&
		$key !== 'doi_duration3_first_note' &&
		$key !== 'doi_duration3_years' &&
		$key !== 'doi_duration3_months' &&
		$key !== 'doi_duration3_days' &&
		$key !== 'doi_duration3_last_note' &&
		$key !== 'doi_duration3_special_situation' &&		
		$key !== 'doi_3_last_known_cm' &&
		$key !== 'doi_date3_2_year' &&
		$key !== 'doi_date3_2_month' &&
		$key !== 'doi_date3_2_day' &&
		$key !== 'doi_3_6' &&
		
		$key !== 'doi_4sub' &&
		$key !== 'doi_date4' &&
		$key !== 'doi_date4_year' &&
		$key !== 'doi_date4_month' &&
		$key !== 'doi_date4_day' &&
		$key !== 'doi_duration4' &&		
		$key !== 'doi_duration4_first_note' &&
		$key !== 'doi_duration4_years' &&
		$key !== 'doi_duration4_months' &&
		$key !== 'doi_duration4_days' &&
		$key !== 'doi_duration4_last_note' &&
		$key !== 'doi_duration4_special_situation' &&

		$key !== 'dis_array_date_of_incident_right_panel'){
			unset($_SESSION["Data"][$key]);
		}
}
//Session that keeps the page the user is coming from in order to take him back with a back_button
$_SESSION["Data"]['back_button'] = 'known_incidents';
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("Known Incidents"); ?></p>
			</div>
			
			<div id="known_incidents">				
				<strong><?php echo get_trans("The incident you are trying to record might already exist!"); ?></strong>
				</br>
				<?php echo get_trans("Please check the incident record(s) below"); ?>
				</br>
				<?php echo get_trans("for Child's ID:").' [<strong>'.$_SESSION["Data"]['known_childs_id'].'</strong>]'; ?>
				</br>
				<?php //echo get_trans("and Date of Incident:").' [<strong>'.$_SESSION["Data"]['dis_array_date_of_incident_right_panel'].'</strong>]'; ?>
				<?php echo get_trans("and Date of Incident:").' [<strong>';
					if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'])) {
						for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_date_of_incident_right_panel']); $i++){
							if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i])){
								echo htmlspecialchars(get_trans($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i]));
							}
						}
					}
					echo '</strong>]'; ?>
				</br>
			</div>
			<table class="display_record ki_table">
				<tr>
					<td class="col1 header"><?php echo get_trans("Incident's ID"); ?></td>
					<td class="col1 header"><?php echo get_trans("Date-Time of Record"); ?></td>
					<td class="col1 header"><?php echo get_trans("Date of Incident"); ?></td>
					<td class="col1 header" style="width:100px;"><?php echo get_trans("Display"); ?></td>
				</tr>
				
				<?php
					if ( isset($_SESSION["Data"]['updated_time_of_record']) ) 
						$sql = "SELECT * FROM i_incident I WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' AND I.date_time_of_record_for_db = (SELECT MAX(I2.date_time_of_record_for_db) FROM i_incident I2 WHERE I2.incident_id=I.incident_id)";
					else 				
						$sql = "SELECT * FROM i_incident WHERE child_id='".$_SESSION["Data"]['known_childs_id']."' ";
					
					$counter = 0;
					$_arData = array();
					$db->query($sql);
					while($db->next()) {
						$_arData[]=$db->Record;
					}
					
					foreach($_arData as $k=>$v) { 					
						$counter++;
						$date_of_incident_right_panel = "";
						if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'])) {
							for ($i = 0; $i <= count($_SESSION["Data"]['dis_array_date_of_incident_right_panel']); $i++){
								if (isset($_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i])){
									$date_of_incident_right_panel .= $_SESSION["Data"]['dis_array_date_of_incident_right_panel'][$i];
								}
							}
						}
						//If the date of the incident is the same, we highlight the record with yellow 
						// echo $v['date_of_incident'].'<br>';
						// echo $date_of_incident_right_panel;
						if ($v['date_of_incident'] == $date_of_incident_right_panel){
							//If the date of the record is the same, we highlight the record with orange 
							if ($v['date_of_record'] == $_SESSION["Data"]['date']){ 								
								echo '<tr><td style="background-color:#FF8533; padding:5px;">'.$v['incident_id'].'</td>';
								echo '<td style="background-color:#FF8533; padding:5px;"><strong>'.$v['datetime_of_record'].'</strong></td>';
								//echo '<td style="background-color:#FF8533; padding:5px;"><strong>'.$v['date_of_incident'].'</strong></td>';
								echo '<td style="background-color:#FF8533; padding:5px;"><strong>'. get_trans($v['type_of_incident']);
								if ($v['exact_date_of_incident'] == 'YYYY-MM-DD') {
									if ($v['start_date'] !== '') {
										echo ' - '.$v['start_date'];
									}
									if (!empty($v['duration_first_note'])) {
										echo ' '.get_trans('for').' '.get_trans($v['duration_first_note']);
									}
									if (!empty($v['duration_years']) && $v['duration_years'] > 1) {
										echo ' '.$v['duration_years'].' '.get_trans('years');
									} else if ($v['duration_years'] !== '' && $v['duration_years'] == 1) {
										echo ' '.$v['duration_years'].' '.get_trans('year');
									}
									if (!empty($v['duration_months']) && $v['duration_months'] > 1) {
										echo ' '.$v['duration_months'].' '.get_trans('months');
									} else if ($v['duration_months'] !== '' && $v['duration_months'] == 1) {
										echo ' '.$v['duration_months'].' '.get_trans('month');
									}
									if (!empty($v['duration_days']) && $v['duration_days'] > 1) {
										echo ' '.$v['duration_days'].' '.get_trans('days');
									} else if ($v['duration_days'] !== '' && $v['duration_days'] == 1) {
										echo ' '.$v['duration_days'].' '.get_trans('day');
									}
									if (!empty($v['duration_last_note'])) {
										echo ' '.get_trans($v['duration_last_note']);
									}
									if (!empty($v['duration_special_situation'])) {
										if ($v['duration_special_situation'] !== 'Wrong date')
											echo ' '.get_trans('for').' '.get_trans($v['duration_special_situation']);
										else
											echo ' '.get_trans($v['duration_special_situation']);
									}								
								} else if ($v['exact_date_of_incident'] !== '') {
									echo ' - '. get_trans($v['exact_date_of_incident']);
								}
								if ($v['last_known_cm_date'] !== '') {
									echo ' - '.get_trans('Last known CM date').': '. get_trans($v['last_known_cm_date']);
								}
								echo '</strong></td>';
								
								echo '<td style="background-color:#FF8533; padding:5px; width:200px; text-align:center;">';
								
								//if ($_SESSION["ssUser"]['access_level'] == 0 || ($_SESSION["ssUser"]['access_level'] == 1 && $v['recorded_by_operator_nid']==$_SESSION["ssUser"]['operators_nid'])) {
								if ($_SESSION["ssUser"]['access_level'] != 3) {	
									//echo "asdasd=".$v['recorded_by_operator_nid']." ".$_SESSION["ssUser"]['operators_nid']." ".$_SESSION["ssUser"]['access_level'];
									echo '<form class="display_edit_form" action="display_record.php" method="post">';
									echo '<button id="display_button'.$counter.'" class="display_button" type="submit" title="Display record" name="display_known_record"><i class="fa fa-search fa-lg"></i></button>';
									echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
									echo '<input type="hidden" name="operators_id" value="'.$v['recorded_by_operator'].'">';
									echo '<input type="hidden" name="known_child_id" value="'.$v['child_id'].'">';
									echo '</form>';
									
									if ($_SESSION["ssUser"]['access_level'] == 0 || ($_SESSION["ssUser"]['access_level'] == 1 && $v['recorded_by_operator_nid']==$_SESSION["ssUser"]['operators_nid'])) {
										echo '<form  class="display_edit_form" action="source_of_information.php" method="post">';
										echo '<input type="hidden" name="incident_id" value="'.$v['incident_id'].'">';
										echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
										echo '<button id="edit_button'.$counter.'" class="edit_button" type="submit" title="Edit record" name="edit_known_record"><i class="fa fa-pencil-square-o fa-lg"></i></button>';
										echo '</form>';
									}
									// Display feedback option only for the agency that the referral has been made
									
									$db->query("SELECT referral_agency_id FROM s_feedback WHERE incident_id='".$v['incident_id']."' AND referral_agency_id='".$_SESSION["ssUser"]['agency_id']."' ");									
									if ($db->next()) {
										$referral_agency_id = $db->Record['referral_agency_id'];	
										if ($referral_agency_id == $_SESSION["ssUser"]['agency_id']){
											echo '<form class="feedback_edit_form" action="feedback.php" method="post">';
											echo '<input type="hidden" name="incident_id" value="'.$v['incident_id'].'">';
											echo '<button id="feedback_button'.$counter.'" class="feedback_button" type="submit" title="Enter feedback" name="feedback_known_record"><i class="fa fa-comment-o fa-lg"></i></button></td></tr>';
											echo '</form>';
										}										
									}									
								}
								
							} else {								
								echo '<tr><td style="background-color:#FFFF99; padding:5px;">'.$v['incident_id'].'</td>';
								echo '<td style="background-color:#FFFF99; padding:5px;">'.$v['datetime_of_record'].'</td>';
								//echo '<td style="background-color:#FFFF99; padding:5px;"><strong>'.$v['date_of_incident'].'</strong></td>';
								echo '<td style="background-color:#FFFF99; padding:5px;"><strong>'. get_trans($v['type_of_incident']);
								if ($v['exact_date_of_incident'] == 'YYYY-MM-DD') {
									if ($v['start_date'] !== '') {
										echo ' - '.$v['start_date'];
									}
									if (!empty($v['duration_first_note'])) {
										echo ' '.get_trans('for').' '.get_trans($v['duration_first_note']);
									}
									if (!empty($v['duration_years']) && $v['duration_years'] > 1) {
										echo ' '.$v['duration_years'].' '.get_trans('years');
									} else if ($v['duration_years'] !== '' && $v['duration_years'] == 1) {
										echo ' '.$v['duration_years'].' '.get_trans('year');
									}
									if (!empty($v['duration_months']) && $v['duration_months'] > 1) {
										echo ' '.$v['duration_months'].' '.get_trans('months');
									} else if ($v['duration_months'] !== '' && $v['duration_months'] == 1) {
										echo ' '.$v['duration_months'].' '.get_trans('month');
									}
									if (!empty($v['duration_days']) && $v['duration_days'] > 1) {
										echo ' '.$v['duration_days'].' '.get_trans('days');
									} else if ($v['duration_days'] !== '' && $v['duration_days'] == 1) {
										echo ' '.$v['duration_days'].' '.get_trans('day');
									}
									if (!empty($v['duration_last_note'])) {
										echo ' '.get_trans($v['duration_last_note']);
									}
									if (!empty($v['duration_special_situation'])) {
										if ($v['duration_special_situation'] !== 'Wrong date')
											echo ' '.get_trans('for').' '.get_trans($v['duration_special_situation']);
										else
											echo ' '.get_trans($v['duration_special_situation']);
									}
								} else if ($v['exact_date_of_incident'] !== '') {
									echo ' - '. get_trans($v['exact_date_of_incident']);
								}
								if ($v['last_known_cm_date'] !== '') {
									echo ' - '.get_trans('Last known CM date').': '. get_trans($v['last_known_cm_date']);
								}
								echo '</strong></td>';
								
								echo '<td style="background-color:#FFFF99; padding:5px; width:200px; text-align:center;">';
								if ($_SESSION["ssUser"]['access_level'] != 3) {
									echo '<form  class="display_edit_form" action="display_record.php" method="post">';
									echo '<button id="display_button'.$counter.'" class="display_button" type="submit" title="Display record" name="display_known_record"><i class="fa fa-search fa-lg"></i></button>';
									echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
									echo '<input type="hidden" name="operators_id" value="'.$v['recorded_by_operator'].'">';
									echo '<input type="hidden" name="known_child_id" value="'.$v['child_id'].'">';
									echo '</form>';
									
									if ($_SESSION["ssUser"]['access_level'] == 0 || ($_SESSION["ssUser"]['access_level'] == 1 && $v['recorded_by_operator_nid']==$_SESSION["ssUser"]['operators_nid'])) {
										echo '<form  class="display_edit_form" action="source_of_information.php" method="post">';
										echo '<input type="hidden" name="incident_id" value="'.$v['incident_id'].'">';
										echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
										echo '<button id="edit_button'.$counter.'" class="edit_button" type="submit" title="Edit record" name="edit_known_record"><i class="fa fa-pencil-square-o fa-lg"></i></button>';
										echo '</form>';
									}
									// Display feedback option only for the agency that the referral has been made
									$db->query("SELECT referral_agency_id FROM s_feedback WHERE incident_id='".$v['incident_id']."' AND referral_agency_id='".$_SESSION["ssUser"]['agency_id']."' ");
									if ($db->next()) {
										$referral_agency_id = $db->Record['referral_agency_id'];	
										if ($referral_agency_id == $_SESSION["ssUser"]['agency_id']){
											echo '<form class="feedback_edit_form" action="feedback.php" method="post">';
											echo '<input type="hidden" name="incident_id" value="'.$v['incident_id'].'">';
											echo '<button id="feedback_button'.$counter.'" class="feedback_button" type="submit" title="Enter feedback" name="feedback_known_record"><i class="fa fa-comment-o fa-lg"></i></button></td></tr>';
											echo '</form>';
										}										
									}
																	
								}
								
							}
							
						} else {							
							echo '<tr><td style="padding:5px;">'.$v['incident_id'].'</td>';
							echo '<td style="padding:5px;">'.$v['datetime_of_record'].'</td>';
							//echo '<td style="padding:5px;">'.$v['date_of_incident'].'</td>';
							echo '<td style="padding:5px;">'. get_trans($v['type_of_incident']);
							if ($v['exact_date_of_incident'] == 'YYYY-MM-DD') {
								if ($v['start_date'] !== '') {
									echo ' - '.$v['start_date'];
								}
								if (!empty($v['duration_first_note'])) {
									echo ' '.get_trans('for').' '.get_trans($v['duration_first_note']);
								}
								if (!empty($v['duration_years']) && $v['duration_years'] > 1) {
									echo ' '.$v['duration_years'].' '.get_trans('years');
								} else if ($v['duration_years'] !== '' && $v['duration_years'] == 1) {
									echo ' '.$v['duration_years'].' '.get_trans('year');
								}
								if (!empty($v['duration_months']) && $v['duration_months'] > 1) {
									echo ' '.$v['duration_months'].' '.get_trans('months');
								} else if ($v['duration_months'] !== '' && $v['duration_months'] == 1) {
									echo ' '.$v['duration_months'].' '.get_trans('month');
								}
								if (!empty($v['duration_days']) && $v['duration_days'] > 1) {
									echo ' '.$v['duration_days'].' '.get_trans('days');
								} else if ($v['duration_days'] !== '' && $v['duration_days'] == 1) {
									echo ' '.$v['duration_days'].' '.get_trans('day');
								}
								if (!empty($v['duration_last_note'])) {
									echo ' '.get_trans($v['duration_last_note']);
								}
								if (!empty($v['duration_special_situation'])) {
									if ($v['duration_special_situation'] !== 'Wrong date')
										echo ' '.get_trans('for').' '.get_trans($v['duration_special_situation']);
									else
										echo ' '.get_trans($v['duration_special_situation']);
								}
							} else if ($v['exact_date_of_incident'] !== '') {
								echo ' - '. get_trans($v['exact_date_of_incident']);
							}
							if ($v['last_known_cm_date'] !== '') {
								echo ' - '.get_trans('Last known CM date').': '. get_trans($v['last_known_cm_date']);
							}
							echo '</td>';
							
							echo '<td style="width:200px; padding:5px; text-align:center;">';
							
							if ($_SESSION["ssUser"]['access_level'] != 3) {
								echo '<form  class="display_edit_form" action="display_record.php" method="post">';
								echo '<button id="display_button'.$counter.'" class="display_button" type="submit" title="Display record" name="display_known_record"><i class="fa fa-search fa-lg"></i></button>';
								echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
								echo '<input type="hidden" name="operators_id" value="'.$v['recorded_by_operator'].'">';
								echo '<input type="hidden" name="known_child_id" value="'.$v['child_id'].'">';
								echo '</form>';
								
								if ($_SESSION["ssUser"]['access_level'] == 0 || ($_SESSION["ssUser"]['access_level'] == 1 && $v['recorded_by_operator_nid']==$_SESSION["ssUser"]['operators_nid'])) {
									echo '<form  class="display_edit_form" action="source_of_information.php" method="post">';
									echo '<input type="hidden" name="incident_id" value="'.$v['incident_id'].'">';
									echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
									echo '<button id="edit_button'.$counter.'" class="edit_button" type="submit" title="Edit record" name="edit_known_record"><i class="fa fa-pencil-square-o fa-lg"></i></button>';
									echo '</form>';
								}
								// Display feedback option only for the agency that the referral has been made
								$db->query("SELECT referral_agency_id FROM s_feedback WHERE incident_id='".$v['incident_id']."' AND referral_agency_id='".$_SESSION["ssUser"]['agency_id']."' ");
								if ($db->next()) {
									$referral_agency_id = $db->Record['referral_agency_id'];	
									
									if ($referral_agency_id == $_SESSION["ssUser"]['agency_id']){
										echo '<form class="feedback_edit_form" action="feedback.php" method="post">';
										echo '<input type="hidden" name="incident_id" value="'.$v['incident_id'].'">';
										echo '<button id="feedback_button'.$counter.'" class="feedback_button" type="submit" title="Enter feedback" name="feedback_known_record"><i class="fa fa-comment-o fa-lg"></i></button></td></tr>';
										echo '</form>';
									}
								}
							}
						}
					}
				?>
				
			</table>
			<div id="resluts_buttons">
				<form action="source_of_information.php" method="post">
					<table class="buttons_table">
						<tr>
							<td>
								<div class="next">
								<?php
									$url = htmlspecialchars($_SERVER['HTTP_REFERER']);
									echo "<a href='$url' class='back_button'><</a>"; 
								?>
								</div>
							</td>
							<td>
								<div class="next">
									<input class="next_button" type="submit" name="add_new_incident" value="<?php echo get_trans("Add new incident"); ?>" />
								</div>
							</td>
						</tr>
					</table>
				</form>
			</div>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'known_incidents.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'known_incidents.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<script>
$(document).ready(function(){
	$('.display_button').each(function(i){ 
		i = i + 1; // i starts count from 1 instead of 0
		$('#display_button'+i).hover(function() {
			$('#display_button'+i).addClass('transition');    
		}, function() {
			$('#display_button'+i).removeClass('transition');
		});
	});
	
	$('.edit_button').each(function(i){ 
		i = i + 1; // i starts count from 1 instead of 0
		$('#edit_button'+i).hover(function() {
			$('#edit_button'+i).addClass('transition');    
		}, function() {
			$('#edit_button'+i).removeClass('transition');
		});
	});
	
	$('.feedback_button').each(function(i){ 
		i = i + 1; // i starts count from 1 instead of 0
		$('#feedback_button'+i).hover(function() {
			$('#feedback_button'+i).addClass('transition');    
		}, function() {
			$('#feedback_button'+i).removeClass('transition');
		});
	});
});
</script>

</body>
</html>

<?php
	



} else {
	header("location: index.php");
}
?>