<?php
include('includes/connect.php');
session_start();

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

	
	//print_r($_SESSION["ssUser"]["access_level"]);
	$_SESSION["Data"]['last_activity'] = time(); // update last activity time stamp

	//Localization settings
	include('includes/get_lang.php');
	include_once ("libs/paging.php");
	
	$sql = " select 
			i_incident.id,
			i_incident.date_time_of_record_for_db,
			DATE_FORMAT(i_incident.date_time_of_record_for_db,'%d/%m/%Y %H:%i') as _date_time_of_record_for_db,
			i_incident.date_of_incident,
			i_incident.type_of_incident,
			i_incident.recorded_by_operator,
			c_child.child_id,
			i_incident.incident_id
	
	from  i_incident 
	
	inner join c_child_sex on c_child_sex.child_nid = i_incident.child_nid
	inner join c_child on c_child.id = i_incident.child_nid
	where 1 ";
	
	if ($_SESSION["ssUser"]["access_level"]==0) { //  Prosbash se ola 
	
	} elseif ($_SESSION["ssUser"]["access_level"]==3) {	
		$sql.= " and i_incident.recorded_by_operator_nid='".$_SESSION["ssUser"]['operators_nid']."'  "; // OK
	} else {
		//$sql.= " and i_incident.recorded_by_operator_nid='".$_SESSION["ssUser"]['operators_nid']."'  ";
	}
	$sql.= " order by date_time_of_record_for_db desc ";
	$ret = array();
	$pg = new paging();
	$pg->per_page = 20;
	$pg->sql_text = $sql;

	$arData = $pg->mkpage();
	$TotalRec = $pg->total_records;
	if (!is_array($ret)) {
			$arData=array();
	}


	
?>
</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />

<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>
<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
			
				<div class="title">
					<p><?php echo get_trans("List of incidents"); ?></p>
				</div>
				
				
					<br><br>
					<table class="display_record">
						<tr>
							<td class="header"><b><?php echo get_trans("Date of Record"); ?></b></td>
							<td class="header"><b><?php echo get_trans("Date & Type of Incident"); ?></b></td>
							<td class="header"><b><?php echo get_trans("Incident ID")?></b></td>
							<td class="header"><b><?php echo get_trans("Operator's ID"); ?></b></td>
							<td class="header"><b><?php echo get_trans("Child's ID")?></b></td>
							<?php if ($_SESSION["ssUser"]["access_level"]!=3) {?>
							<td class="header"><b><?php echo get_trans("Display & Print")?></b></td>
							<?php } ?>
							<td class="header"><b><?php echo get_trans("Who work")?></b></td>
						</tr>
						<?php foreach($arData as $k=>$v) { ?>
						<tr>
							<td><?php echo $v["_date_time_of_record_for_db"]?></td>
							<td><?php echo $v["date_of_incident"]?></td>
							<td><?php echo $v["incident_id"]?></td>
							<td><?php echo $v["recorded_by_operator"]?></td>
							<td><?php echo $v["child_id"]?></td>
							<?php if ($_SESSION["ssUser"]["access_level"]!=3) {?>
							<td>
								<?php
									echo '<form action="display_record.php" method="post">';
									echo '<button  type="submit" class="display_button" title="Display record" name="display_known_record"><i class="fa fa-search fa-lg"></i></button>';
									echo '<input type="hidden" name="date_time_of_record_for_db" value="'.$v['date_time_of_record_for_db'].'">';
									echo '<input type="hidden" name="operators_id" value="'.$v['recorded_by_operator'].'">';
									echo '<input type="hidden" name="known_child_id" value="'.$v['child_id'].'">';
									echo '<input type="hidden" name="return" value="list_of_incidents">';
									echo '</form>';
								?>
							</td>							
							<?php } ?>
							<td>
								<?php 
									$_SESSION["Data"]['back_button'] = "list_of_incidents";
									echo '<form action="display_who_worked_with_child.php" method="post">';
									echo '<button  type="submit" class="display_button" title="Display record" name="display_who_worked_with_child"><i class="fa fa-search fa-lg"></i></button>';									
									echo '<input type="hidden" name="child_id" value="'.$v['child_id'].'">';
									echo '<input type="hidden" name="return" value="list_of_incidents">';
									echo '</form>';
								?>
							</td>
						</tr>
						<?php } ?>
					</table>
					<table style="width:100%">
					<tr>
					<td>
					<center>
					<?php					
						if ($pg->num_pages>1) {

							
							if ((int)$pg->page > 1) {
									$p_data.="<a style=\"padding:5px;text-decoration:none;color:#4f81bc\" href=\"list_of_incidents.php?page=".$pg->prev_page."\">".get_trans("Previous")."</a>";
							} 	
					
							$num=array(); $q='';
							for($q=$pg->page-1;$q>=($pg->page-5);$q--)
								if ($q>=1)
									$num[]=$q;

							if (is_array($num))
								$num=array_reverse($num);

							for($q=$pg->page;$q<=($pg->page+5);$q++)
								if ($q<=$pg->num_pages)
										$num[]=$q;

							foreach($num as $k=>$i) 
							{
								if ($pg->page==$i)
									$p_data.="<a class=\"current\" style=\"text-decoration:none;padding:5px;color:##4f81bc\" href=\"javascript:void(0)\" >".$i."</a>";
								else
									$p_data.="<a style=\"text-decoration:none;padding:5px;color:#4f81bc\" href='list_of_incidents.php?page=".$i."'>".$i."</a> ";
							}
						
									
							if ((int)$pg->page < (int)$pg->num_pages) {
								$p_data.=" <a style=\"padding:5px;text-decoration:none;color:#4f81bc\" href=\"list_of_incidents.php?page=".$pg->next_page."\">".get_trans("Next")."</a>";
							} 
							
										
							echo $p_data;			

						}
					?>
					</center>
					</td>
					</tr>
					</table>
				
				
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
			
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>	
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'memo.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'memo.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
	jQuery(document).ready(function(){
		$('.title p').css('font-size', '25px');
		while( $('.title p').height() > $('.title').height() ) {
			$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
		}
	});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>