<?php
include('includes/connect.php');
session_start();

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

	


	$_SESSION["Data"]['last_activity'] = time(); // update last activity time stamp

	//Localization settings
	include('includes/get_lang.php');


	
	
	$sql = " select i_incident.id,i_incident.date_time_of_record_for_db,i_incident.date_of_incident,i_incident.type_of_incident,i_incident.recorded_by_operator,c_child.child_id,
		DATE_FORMAT(i_incident.date_time_of_record_for_db,'%d/%m/%Y %H:%i') as _date_time_of_record_for_db
	
	from  i_incident 
	
	inner join c_child_sex on c_child_sex.child_nid = i_incident.child_nid
	inner join c_child on c_child.id = i_incident.child_nid
	where i_incident.recorded_by_operator_nid='".$_SESSION["ssUser"]['operators_nid']."' and c_child.child_id like 'CHILDTEMP_%'";
	
	$arData = array();
	$db->query($sql);
	while($db->next()) {
		$arData[]=$db->Record;
	}
	
	
?>
</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
<link rel="stylesheet" href="css/style.css" />


<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>
<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
			
				<div class="title">
					<p><?php echo get_trans("List of temporary Child's ID"); ?></p>
				</div>
				
				
					<br><br>
					<table class="display_record">
						<tr>
							<td class="header"><b><?php echo get_trans("Date of Record"); ?></b></td>
							<td class="header"><b><?php echo get_trans("Date of Incident"); ?></b></td>
							<td class="header"><b><?php echo get_trans("Type Of Incident")?></b></td>
							<td class="header"><b><?php echo get_trans("Operator's ID"); ?></b></td>
							<td class="header"><b><?php echo get_trans("Child's ID")?></b></td>
							<td class="header"><b><?php echo get_trans("Replace ID")?></b></td>
						</tr>
						<?php foreach($arData as $k=>$v) { ?>
						<tr>
							<td><?php echo $v["_date_time_of_record_for_db"]?></td>
							<td><?php echo $v["date_of_incident"]?></td>
							<td><?php echo $v["type_of_incident"]?></td>
							<td><?php echo $v["recorded_by_operator"]?></td>
							<td><?php echo $v["child_id"]?></td>
							<td>
								<?php 
									echo '<form action="set_incidents_id.php" method="post">';
									echo '<button type="submit" class="display_button" title="Display record" name="display_known_record"><i class="fa fa-edit fa-lg"></i></button>';
									echo '<input type="hidden" name="child_id" value="'.$v['child_id'].'">';
									echo '</form>';
								?>								
							</td>
						</tr>
						<?php } ?>
					</table>
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
			
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>	
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'memo.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'memo.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
	jQuery(document).ready(function(){
		$('.title p').css('font-size', '25px');
		while( $('.title p').height() > $('.title').height() ) {
			$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
		}
	});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>