<?php
session_start();

include('includes/connect.php');

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<?php include_once("includes/analyticstracking.php") ?>

</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("The Child’s ID you provided is referred to an"); ?></p>
			</div>										
			<form action="replace_new_child_id.php" method="post">
			
				<input type="hidden" name="child_id" value="<?php echo ($_POST["child_id"])?$_POST["child_id"]:$_GET["child_id"]?>">
				<input type="hidden" name="newID" value="<?php echo ($_POST["newID"])?$_POST["newID"]:$_GET["newID"]?>">
				
				<div id="child_title" class="red"><strong><?php echo get_trans("KNOWN CHILD"); ?></strong></div>
				<div id="child_wrapper" class="red">
					<strong><?php echo get_trans("EXISTING CHILD RECORD"); ?></br>
					<?php echo get_trans("NEW INCIDENT RECORD"); ?></strong>
					</br>
					<?php echo get_trans("You are going to proceed with the record of a new CM incident for  the child"); ?> [<?php echo $_SESSION["Data"]['search_childs_id']; ?>].
					</br></br>
					<strong><?php echo get_trans("Please proceed with checking of"); ?>:</strong>
					</br>					
					<?php echo get_trans("-child related variables"); ?>
					</br>
					<?php echo get_trans("-family related variables"); ?>
					</br>
					<?php echo get_trans("TIP: Update –if needed"); ?>
					</br></br>
					<strong><?php echo get_trans("Please proceed with recording of"); ?>:</strong>
					</br>
					<?php echo get_trans("-incident related variables"); ?>
					</br>
					<?php echo get_trans("-services related variables"); ?>
				</div>
				
				
				
				<table class="buttons_table">
					<tr>
						<td>
							<div class="next">
							<?php								
								echo "<a href='/set_incidents_id.php?child_id=".$_GET["child_id"]."&newID=".$_GET["newID"]."' class='back_button'><</a>"; 
							?>
							</div>
						</td>
						<td>
							<div class="next">
								<input class="next_button" type="submit" name="submit" value="<?php echo get_trans("Update the record"); ?>" />
							</div>
						</td>
					</tr>
				</table>



			</form>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>				
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<script src="js/languages/jquery.validationEngine-en.js" type="text/javascript" charset="utf-8"></script>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'child_result.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'child_result.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
jQuery(document).ready(function(){
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}
});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>