<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

//Get agencies
unset($_SESSION["Data"]['agencies']);
//$agencies_number = 0;

$db->query("SELECT country FROM u_agencies WHERE agency_id='".$_SESSION["ssUser"]['agency_id']."'");
if ($db->next()) {
	$agency_country = $db->Record['country'];
}


// Get types of organization and agencies name for a specified country except user's agency
$_SESSION["Data"]['agencies'][] = array(null, null); 
$db->query("SELECT type_of_organization, agency_name FROM u_agencies WHERE country='".$agency_country."' ");
while($db->next()) {
	$_SESSION["Data"]['agencies'][] = array($db->Record['agency_name'], $db->Record['type_of_organization']); 
}
//echo "<pre>";
//print_r($_SESSION["Data"]['agencies']);
//echo "</pre>";

$agencies_number = (int)count($_SESSION["Data"]['agencies']);
//echo $agencies_number;

// echo '<pre>' . print_r($_SESSION["Data"]['agencies'], TRUE) . '</pre>';

//Recursive in_array function to search in a 2D Array (in_array does not work on multidimensional arrays )
function in_array_r($needle, $haystack, $strict = false) {
	foreach ($haystack as $item) {
		if (($strict ? $item === $needle : $item == $needle) || (is_array($item) && in_array_r($needle, $item, $strict))) {
			return true;
		}
	}
	return false;
}


if (isset($_POST['submit'])) {
	//------ Institutional Response Sessions -------
	if ( isset($_POST['ir_radio']) ){
		if ( $_POST['ir_radio'] == 'Yes' ){
			$_SESSION["Data"]['ir_radio'] = $_POST['ir_radio'];
			$array_ir_all_user_checked_options[] = $_SESSION["Data"]['ir_radio'];
			for ($i = 1; $i < 5; $i++) {
				if ( isset($_POST['ir_check'.$i]) ){				
					$_SESSION["Data"]['ir_check'.$i] = $_POST['ir_check'.$i];					
					$array_ir_all_user_checked_options[] = $_SESSION["Data"]['ir_check'.$i];
					for ($j = 1; $j < 15; $j++) {
						if ( isset($_POST['ir_check'.$i.'_'.$j]) ){		
							$_SESSION["Data"]['ir_check'.$i.'_'.$j] = $_POST['ir_check'.$i.'_'.$j];
							$array_ir_all_user_checked_options[] = $_SESSION["Data"]['ir_check'.$i.'_'.$j];							
						} else unset($_SESSION["Data"]['ir_check'.$i.'_'.$j]);
					}
				} else {
					unset($_SESSION["Data"]['ir_check'.$i]);
					for ($j = 1; $j < 15; $j++) {
						unset($_SESSION["Data"]['ir_check'.$i.'_'.$j]);
					}
				}
			}			
			$_SESSION["Data"]['dis_array_ir_all_user_checked_options'] = $array_ir_all_user_checked_options;			
		} else {
			for ($i = 1; $i < 5; $i++) {
				unset($_SESSION["Data"]['ir_check'.$i]);
				for ($j = 1; $j < 15; $j++) {
					unset($_SESSION["Data"]['ir_check'.$i.'_'.$j]);
				}
			}
			$_SESSION["Data"]['ir_radio'] = $_POST['ir_radio'];
			$array_ir_all_user_checked_options[] = $_SESSION["Data"]['ir_radio'];;
			$_SESSION["Data"]['dis_array_ir_all_user_checked_options'] = $array_ir_all_user_checked_options;
			
		}
	}
	
	// For back-refresh problems
	header("Location: " . $_SERVER['REQUEST_URI']);
	exit();	
}
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link href="css/jquery-checktree.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>

<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
		
			<div class="title">
				<p><?php echo get_trans("Please record any Referral(s) made to Services by you/your agency"); ?></p>
			</div>
			
			<table style="width:100%; clear:left;">
				<tr>
					<td style="width:100px">
						<div class="left_subtitle"><strong>S2</strong></div>
					</td>
					<td> 
						<div class="content_green_background"><strong><?php echo get_trans("Referral(s) to Services"); ?></strong></div>
					</td>
				</tr>				
			</table>
			
			<form action="before_submit.php" method="post">
				<div class="left_wrapper">
					<div class="green_bg_options">					
						<input type="radio" class="validate[required] radio" name="rts_radio" id="rts_radio1" value="Unknown" <?php if (isset($_SESSION["Data"]['rts_radio']) && $_SESSION["Data"]['rts_radio'] == "Unknown" ) { echo 'checked="checked"';} ?> />
						<label for="rts_radio1"><span></span><?php echo get_trans("Unknown"); ?></label>
					</div>				
					<div class="green_bg_options">					
						<input type="radio" class="validate[required] radio" name="rts_radio" id="rts_radio2" value="None" <?php if (isset($_SESSION["Data"]['rts_radio']) && $_SESSION["Data"]['rts_radio'] == "None" ) { echo 'checked="checked"';} ?> />
						<label for="rts_radio2"><span></span><?php echo get_trans("None"); ?></label>
					</div>
					<div class="green_bg_options">	
						<input type="radio" class="validate[required] radio" name="rts_radio" id="rts_radio3" value="Yes" <?php if (isset($_SESSION["Data"]['rts_radio']) && $_SESSION["Data"]['rts_radio'] == "Yes") { echo 'checked="checked"';} ?> />
						<label for="rts_radio3"><span></span><?php echo get_trans("Yes"); ?></label>
					</div>					
					<div class="expand" id="expand1"></div>
					<div class="sub1" id="sub1">
						<ul id="tree">
							<li>
								<?php
								if (in_array_r("JUD", $_SESSION["Data"]['agencies'])) { //if there is NO 'JUD' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check1" id="rts_check1" value="Judicial Services" <?php if (isset($_SESSION["Data"]['rts_check1']) && $_SESSION["Data"]['rts_check1'] == "Judicial Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check1"><span></span><?php echo get_trans("Judicial Services"); ?></label>
								</div>
								<div class="expand" id="expand2"></div>
								<div class="sub1" id="sub2">								
									<ul>
										<?php										
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'JUD') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check1_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_radio1_".$i."' value=\"".$_SESSION["Data"]['rts_radio1_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check1_".$i."' id='rts_check1_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
															if (isset($_SESSION["Data"]['rts_check1_'.$i]) && $_SESSION["Data"]['rts_check1_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check1_".$i."'><span></span>".$_SESSION["Data"]['agencies'][$i][0]."</label>";														
														echo "</div>";											
														?>
														<div class="expand" id="expand2_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub2_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check1_<?php echo $i; ?>]]" disabled name="rts_radio1_<?php echo $i; ?>" id="rts_check1_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio1_'.$i]) && $_SESSION["Data"]['rts_radio1_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check1_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check1_<?php echo $i; ?>]]" disabled name="rts_radio1_<?php echo $i; ?>" id="rts_check1_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio1_'.$i]) && $_SESSION["Data"]['rts_radio1_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check1_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check1_<?php echo $i; ?>]]" disabled name="rts_radio1_<?php echo $i; ?>" id="rts_check1_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio1_'.$i]) && $_SESSION["Data"]['rts_radio1_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check1_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>														
													<?php
													echo "</li>";
												}
											}
										}										
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check1" id="rts_check1" value="Judicial Services" <?php if (isset($_SESSION["Data"]['rts_check1']) && $_SESSION["Data"]['rts_check1'] == "Judicial Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check1"><span ></span><?php echo get_trans("Judicial Services"); ?></label>
								</div>
								<?php } ?>
							</li>
							<li>
								<?php
								if (in_array_r("PHC", $_SESSION["Data"]['agencies']) || in_array_r("SHC", $_SESSION["Data"]['agencies']) || in_array_r("THC", $_SESSION["Data"]['agencies'])) { //if there is NO 'PHC','SHC','THC' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check2" id="rts_check2" value="Medical Services" <?php if (isset($_SESSION["Data"]['rts_check2']) && $_SESSION["Data"]['rts_check2'] == "Medical Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check2"><span></span><?php echo get_trans("Medical Services"); ?></label>
								</div>								
								<div class="expand" id="expand3"></div>
								<div class="sub1" id="sub3">
									<ul>
										<?php										
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'PHC' || $_SESSION["Data"]['agencies'][$i][1] == 'SHC' || $_SESSION["Data"]['agencies'][$i][1] == 'THC') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check2_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check2_".$i."' value=\"".$_SESSION["Data"]['rts_radio2_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class=\"green_bg_options rts_sub2_width\">";
															echo "<input type=\"checkbox\" name=\"rts_check2_".$i."\" id=\"rts_check2_".$i."\" value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																if (isset($_SESSION["Data"]['rts_check2_'.$i]) && $_SESSION["Data"]['rts_check2_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check2_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";											
														?>
														<div class="expand" id="expand3_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub3_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check2_<?php echo $i; ?>]]" disabled name="rts_radio2_<?php echo $i; ?>" id="rts_check2_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio2_'.$i]) && $_SESSION["Data"]['rts_radio2_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check2_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check2_<?php echo $i; ?>]]" disabled name="rts_radio2_<?php echo $i; ?>" id="rts_check2_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio2_'.$i]) && $_SESSION["Data"]['rts_radio2_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check2_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check2_<?php echo $i; ?>]]" disabled name="rts_radio2_<?php echo $i; ?>" id="rts_check2_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio2_'.$i]) && $_SESSION["Data"]['rts_radio2_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check2_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}										
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check2" id="rts_check2" value="Medical Services" <?php if (isset($_SESSION["Data"]['rts_check2']) && $_SESSION["Data"]['rts_check2'] == "Medical Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check2"><span ></span><?php echo get_trans("Medical Services"); ?></label>
								</div>
								<?php } ?>
							</li>
							<li>
								<?php
								if (in_array_r("MHS", $_SESSION["Data"]['agencies'])) { //if there is NO 'MHS' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check3" id="rts_check3" value="Mental Health Services" <?php if (isset($_SESSION["Data"]['rts_check3']) && $_SESSION["Data"]['rts_check3'] == "Mental Health Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check3"><span></span><?php echo get_trans("Mental Health Services"); ?></label>
								</div>								
								<div class="expand" id="expand4"></div>
								<div class="sub1" id="sub4">
									<ul>
										<?php 
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'MHS') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check3_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check3_".$i."' value=\"".$_SESSION["Data"]['rts_radio3_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check3_".$i."' id='rts_check3_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																if (isset($_SESSION["Data"]['rts_check3_'.$i]) && $_SESSION["Data"]['rts_check3_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check3_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";											
														?>
														<div class="expand" id="expand4_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub4_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check3_<?php echo $i; ?>]]" disabled name="rts_radio3_<?php echo $i; ?>" id="rts_check3_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio3_'.$i]) && $_SESSION["Data"]['rts_radio3_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check3_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check3_<?php echo $i; ?>]]" disabled name="rts_radio3_<?php echo $i; ?>" id="rts_check3_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio3_'.$i]) && $_SESSION["Data"]['rts_radio3_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check3_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check3_<?php echo $i; ?>]]" disabled name="rts_radio3_<?php echo $i; ?>" id="rts_check3_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio3_'.$i]) && $_SESSION["Data"]['rts_radio3_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check3_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}										
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check3" id="rts_check3" value="Mental Health Services" <?php if (isset($_SESSION["Data"]['rts_check3']) && $_SESSION["Data"]['rts_check3'] == "Mental Health Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check3"><span ></span><?php echo get_trans("Mental Health Services"); ?></label>
								</div>
								<?php } ?>
							</li>
							<li>
								<?php
								if (in_array_r("IAU", $_SESSION["Data"]['agencies'])) { //if there is NO 'IAU' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check4" id="rts_check4" value="Independent Authorities" <?php if (isset($_SESSION["Data"]['rts_check4']) && $_SESSION["Data"]['rts_check4'] == "Independent Authorities") { echo 'checked="checked"';} ?> />
									<label for="rts_check4"><span></span><?php echo get_trans("Independent Authorities"); ?></label>
								</div>								
								<div class="expand" id="expand5"></div>
								<div class="sub1" id="sub5">
									<ul>
										<?php 
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'IAU') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check4_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check4_".$i."' value=\"".$_SESSION["Data"]['rts_radio4_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check4_".$i."' id='rts_check4_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																	if (isset($_SESSION["Data"]['rts_check4_'.$i]) && $_SESSION["Data"]['rts_check4_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check4_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";												
														?>
														<div class="expand" id="expand5_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub5_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check4_<?php echo $i; ?>]]" disabled name="rts_radio4_<?php echo $i; ?>" id="rts_check4_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio4_'.$i]) && $_SESSION["Data"]['rts_radio4_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check4_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check4_<?php echo $i; ?>]]" disabled name="rts_radio4_<?php echo $i; ?>" id="rts_check4_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio4_'.$i]) && $_SESSION["Data"]['rts_radio4_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check4_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check4_<?php echo $i; ?>]]" disabled name="rts_radio4_<?php echo $i; ?>" id="rts_check4_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio4_'.$i]) && $_SESSION["Data"]['rts_radio4_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check4_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}										
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check4" id="rts_check4" value="Independent Authorities" <?php if (isset($_SESSION["Data"]['rts_check4']) && $_SESSION["Data"]['rts_check4'] == "Independent Authorities") { echo 'checked="checked"';} ?> />
									<label for="rts_check4"><span ></span><?php echo get_trans("Independent Authorities"); ?></label>
								</div>
								<?php } ?>
							</li>
							<li>
								<?php
								if (in_array_r("SWS", $_SESSION["Data"]['agencies']) || in_array_r("CPS", $_SESSION["Data"]['agencies'])) { //if there is NO 'SWS','CPS' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check5" id="rts_check5" value="Social Welfare Services" <?php if (isset($_SESSION["Data"]['rts_check5']) && $_SESSION["Data"]['rts_check5'] == "Social Welfare Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check5"><span></span><?php echo get_trans("Social Welfare Services"); ?></label>
								</div>								
								<div class="expand" id="expand6"></div>
								<div class="sub1" id="sub6">
									<ul>
										<?php 
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'SWS' || $_SESSION["Data"]['agencies'][$i][1] == 'CPS') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check5_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check5_".$i."' value=\"".$_SESSION["Data"]['rts_radio5_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check5_".$i."' id='rts_check5_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																	if (isset($_SESSION["Data"]['rts_check5_'.$i]) && $_SESSION["Data"]['rts_check5_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check5_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";												
														?>
														<div class="expand" id="expand6_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub6_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check5_<?php echo $i; ?>]]" disabled name="rts_radio5_<?php echo $i; ?>" id="rts_check5_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio5_'.$i]) && $_SESSION["Data"]['rts_radio5_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check5_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check5_<?php echo $i; ?>]]" disabled name="rts_radio5_<?php echo $i; ?>" id="rts_check5_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio5_'.$i]) && $_SESSION["Data"]['rts_radio5_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check5_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check5_<?php echo $i; ?>]]" disabled name="rts_radio5_<?php echo $i; ?>" id="rts_check5_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio5_'.$i]) && $_SESSION["Data"]['rts_radio5_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check5_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}										
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check5" id="rts_check5" value="Social Welfare Services" <?php if (isset($_SESSION["Data"]['rts_check5']) && $_SESSION["Data"]['rts_check5'] == "Social Welfare Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check5"><span ></span><?php echo get_trans("Social Welfare Services"); ?></label>
								</div>
								<?php } ?>
							</li>
							<li>
								<?php
								if (in_array_r("POL", $_SESSION["Data"]['agencies']) || in_array_r("LES", $_SESSION["Data"]['agencies'])) { //if there is NO 'POL','LES' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check6" id="rts_check6" value="Law Enforcement related Services" <?php if (isset($_SESSION["Data"]['rts_check6']) && $_SESSION["Data"]['rts_check6'] == "Law Enforcement related Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check6"><span></span><?php echo get_trans("Law Enforcement related Services"); ?></label>
								</div>								
								<div class="expand" id="expand7"></div>
								<div class="sub1" id="sub7">
									<ul>
										<?php 
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'POL' || $_SESSION["Data"]['agencies'][$i][1] == 'LES') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check6_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check6_".$i."' value=\"".$_SESSION["Data"]['rts_radio6_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check6_".$i."' id='rts_check6_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																	if (isset($_SESSION["Data"]['rts_check6_'.$i]) && $_SESSION["Data"]['rts_check6_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check6_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";											
														?>
														<div class="expand" id="expand7_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub7_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check6_<?php echo $i; ?>]]" disabled name="rts_radio6_<?php echo $i; ?>" id="rts_check6_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio6_'.$i]) && $_SESSION["Data"]['rts_radio6_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check6_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check6_<?php echo $i; ?>]]" disabled name="rts_radio6_<?php echo $i; ?>" id="rts_check6_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio6_'.$i]) && $_SESSION["Data"]['rts_radio6_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check6_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check6_<?php echo $i; ?>]]" disabled name="rts_radio6_<?php echo $i; ?>" id="rts_check6_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio6_'.$i]) && $_SESSION["Data"]['rts_radio6_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check6_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check6" id="rts_check6" value="Law Enforcement related Services" <?php if (isset($_SESSION["Data"]['rts_check6']) && $_SESSION["Data"]['rts_check6'] == "Law Enforcement related Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check6"><span ></span><?php echo get_trans("Law Enforcement related Services"); ?></label>
								</div>	
								<?php } ?>
							</li>
							<li>
								<?php
								if (in_array_r("COM", $_SESSION["Data"]['agencies']) || in_array_r("NGO", $_SESSION["Data"]['agencies'])) { //if there is NO 'COM','NGO' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check7" id="rts_check7" value="Community Organizations and NGOs" <?php if (isset($_SESSION["Data"]['rts_check7']) && $_SESSION["Data"]['rts_check7'] == "Community Organizations and NGOs") { echo 'checked="checked"';} ?> />
									<label for="rts_check7"><span></span><?php echo get_trans("Community Organizations and NGOs"); ?></label>
								</div>								
								<div class="expand" id="expand8"></div>
								<div class="sub1" id="sub8">
									<ul>
										<?php 
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'COM' || $_SESSION["Data"]['agencies'][$i][1] == 'NGO') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check7_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check7_".$i."' value=\"".$_SESSION["Data"]['rts_radio7_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check7_".$i."' id='rts_check7_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																	if (isset($_SESSION["Data"]['rts_check7_'.$i]) && $_SESSION["Data"]['rts_check7_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check7_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";											
														?>
														<div class="expand" id="expand8_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub8_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check7_<?php echo $i; ?>]]" disabled name="rts_radio7_<?php echo $i; ?>" id="rts_check7_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio7_'.$i]) && $_SESSION["Data"]['rts_radio7_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check7_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check7_<?php echo $i; ?>]]" disabled name="rts_radio7_<?php echo $i; ?>" id="rts_check7_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio7_'.$i]) && $_SESSION["Data"]['rts_radio7_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check7_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check7_<?php echo $i; ?>]]" disabled name="rts_radio7_<?php echo $i; ?>" id="rts_check7_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio7_'.$i]) && $_SESSION["Data"]['rts_radio7_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check7_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check7" id="rts_check7" value="Community Organizations and NGOs" <?php if (isset($_SESSION["Data"]['rts_check7']) && $_SESSION["Data"]['rts_check7'] == "Community Organizations and NGOs") { echo 'checked="checked"';} ?> />
									<label for="rts_check7"><span ></span><?php echo get_trans("Community Organizations and NGOs"); ?></label>
								</div>
								<?php } ?>
							</li>
							<li>
								<?php
								if (in_array_r("RSS", $_SESSION["Data"]['agencies']) || in_array_r("ROI", $_SESSION["Data"]['agencies'])) { //if there is NO 'RSS','ROI' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check8" id="rts_check8" value="Existing Registries and Research Organizations" <?php if (isset($_SESSION["Data"]['rts_check8']) && $_SESSION["Data"]['rts_check8'] == "Existing Registries and Research Organizations") { echo 'checked="checked"';} ?> />
									<label for="rts_check8"><span></span><?php echo get_trans("Existing Registries and Research Organizations"); ?></label>
								</div>								
								<div class="expand" id="expand9"></div>
								<div class="sub1" id="sub9">
									<ul>
										<?php 
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'RSS' || $_SESSION["Data"]['agencies'][$i][1] == 'ROI') {	
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check8_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check8_".$i."' value=\"".$_SESSION["Data"]['rts_radio8_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check8_".$i."' id='rts_check8_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																	if (isset($_SESSION["Data"]['rts_check8_'.$i]) && $_SESSION["Data"]['rts_check8_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check8_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";											
														?>
														<div class="expand" id="expand9_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub9_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check8_<?php echo $i; ?>]]" disabled name="rts_radio8_<?php echo $i; ?>" id="rts_check8_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio8_'.$i]) && $_SESSION["Data"]['rts_radio8_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check8_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check8_<?php echo $i; ?>]]" disabled name="rts_radio8_<?php echo $i; ?>" id="rts_check8_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio8_'.$i]) && $_SESSION["Data"]['rts_radio8_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check8_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check8_<?php echo $i; ?>]]" disabled name="rts_radio8_<?php echo $i; ?>" id="rts_check8_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio8_'.$i]) && $_SESSION["Data"]['rts_radio8_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check8_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check8" id="rts_check8" value="Existing Registries and Research Organizations" <?php if (isset($_SESSION["Data"]['rts_check8']) && $_SESSION["Data"]['rts_check8'] == "Existing Registries and Research Organizations") { echo 'checked="checked"';} ?> />
									<label for="rts_check8"><span ></span><?php echo get_trans("Existing Registries and Research Organizations"); ?></label>
								</div>	
								<?php } ?>
							</li>
							<li>
								<?php
								if (in_array_r("PEF", $_SESSION["Data"]['agencies']) || in_array_r("PES", $_SESSION["Data"]['agencies']) || in_array_r("SES", $_SESSION["Data"]['agencies']) || in_array_r("VES", $_SESSION["Data"]['agencies'])) { //if there is NO 'PEF','PES','SES','VES' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
								?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check9" id="rts_check9" value="Educational Services" <?php if (isset($_SESSION["Data"]['rts_check9']) && $_SESSION["Data"]['rts_check9'] == "Educational Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check9"><span></span><?php echo get_trans("Educational Services"); ?></label>
								</div>								
								<div class="expand" id="expand10"></div>
								<div class="sub1" id="sub10">
									<ul>
										<?php 
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'PEF' || $_SESSION["Data"]['agencies'][$i][1] == 'PES' || $_SESSION["Data"]['agencies'][$i][1] == 'SES' || $_SESSION["Data"]['agencies'][$i][1] == 'VES') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check9_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check9_".$i."' value=\"".$_SESSION["Data"]['rts_radio9_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check9_".$i."' id='rts_check9_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																	if (isset($_SESSION["Data"]['rts_check9_'.$i]) && $_SESSION["Data"]['rts_check9_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check9_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";
														?>
														<div class="expand" id="expand10_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub10_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check9_<?php echo $i; ?>]]" disabled name="rts_radio9_<?php echo $i; ?>" id="rts_check9_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio9_'.$i]) && $_SESSION["Data"]['rts_radio9_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check9_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check9_<?php echo $i; ?>]]" disabled name="rts_radio9_<?php echo $i; ?>" id="rts_check9_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio9_'.$i]) && $_SESSION["Data"]['rts_radio9_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check9_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check9_<?php echo $i; ?>]]" disabled name="rts_radio9_<?php echo $i; ?>" id="rts_check9_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio9_'.$i]) && $_SESSION["Data"]['rts_radio9_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check9_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check9" id="rts_check9" value="Educational Services" <?php if (isset($_SESSION["Data"]['rts_check9']) && $_SESSION["Data"]['rts_check9'] == "Educational Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check9"><span ></span><?php echo get_trans("Educational Services"); ?></label>
								</div>
								<?php } ?>
							</li>
							<li>
							<?php
							if (in_array_r("ORS", $_SESSION["Data"]['agencies'])) { //if there is NO 'ORS' (type_of_organization) don't show expand button (green arrow) and don't continue to the rest below
							?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check10" id="rts_check10" value="Other related Services" <?php if (isset($_SESSION["Data"]['rts_check10']) && $_SESSION["Data"]['rts_check10'] == "Other related Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check10"><span></span><?php echo get_trans("Other related Services"); ?></label>
								</div>
								
								<div class="expand" id="expand11"></div>
								<div class="sub1" id="sub11">
									<ul>
										<?php 
										for ($i = 0; $i < $agencies_number; $i++){
											if ($_SESSION["Data"]['agencies'][$i][1] == 'ORS') {
												//If the agency is the user's agency hide it and keep previous data
												if ($_SESSION["Data"]['agencies'][$i][0] == $_SESSION["ssUser"]['agency_name'] ){
													//If there is data
													if (isset($_SESSION["Data"]['agencies'][$i][0]) && isset($_SESSION["Data"]['rts_radio1_'.$i]) ){
														echo "<input type='hidden' name='rts_check10_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\" />";
														echo "<input type='hidden' name='rts_check10_".$i."' value=\"".$_SESSION["Data"]['rts_radio10_'.$i]."\" />";
													}
												} else {
													echo "<li>";
														echo "<div class='green_bg_options rts_sub2_width'>";
															echo "<input type='checkbox' name='rts_check10_".$i."' id='rts_check10_".$i."' value=\"".$_SESSION["Data"]['agencies'][$i][0]."\""; 	
																	if (isset($_SESSION["Data"]['rts_check10_'.$i]) && $_SESSION["Data"]['rts_check10_'.$i] == $_SESSION["Data"]['agencies'][$i][0]) { echo 'checked="checked"';}
															echo "/>";												
															echo "<label for='rts_check10_".$i."'><span></span>  ".$_SESSION["Data"]['agencies'][$i][0]."</label>";											
														echo "</div>";											
														?>
														<div class="expand" id="expand11_<?php echo $i; ?>"></div>
														<div class="sub1" id="sub11_<?php echo $i; ?>">
															<ul>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check10_<?php echo $i; ?>]]" disabled name="rts_radio10_<?php echo $i; ?>" id="rts_check10_<?php echo $i; ?>_1" value="for child ONLY" <?php if (isset($_SESSION["Data"]['rts_radio10_'.$i]) && $_SESSION["Data"]['rts_radio10_'.$i] == "for child ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check10_<?php echo $i; ?>_1"><span></span><?php echo get_trans("for child ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check10_<?php echo $i; ?>]]" disabled name="rts_radio10_<?php echo $i; ?>" id="rts_check10_<?php echo $i; ?>_2" value="for caregiver(s) ONLY" <?php if (isset($_SESSION["Data"]['rts_radio10_'.$i]) && $_SESSION["Data"]['rts_radio10_'.$i] == "for caregiver(s) ONLY") { echo 'checked="checked"';} ?> />
																		<label for="rts_check10_<?php echo $i; ?>_2"><span></span><?php echo get_trans("for caregiver(s) ONLY"); ?></label>
																	</div>
																</li>
																<li>
																	<div class="green_bg_options">	
																		<input type="radio" class="validate[condRequired[rts_check10_<?php echo $i; ?>]]" disabled name="rts_radio10_<?php echo $i; ?>" id="rts_check10_<?php echo $i; ?>_3" value="for child AND family" <?php if (isset($_SESSION["Data"]['rts_radio10_'.$i]) && $_SESSION["Data"]['rts_radio10_'.$i] == "for child AND family") { echo 'checked="checked"';} ?> />
																		<label for="rts_check10_<?php echo $i; ?>_3"><span></span><?php echo get_trans("for child AND family"); ?></label>
																	</div>
																</li>
															</ul>
														</div>
													<?php
													echo "</li>";
												}
											}
										}
										?>
									</ul>
								</div>
								<?php } else { ?>
								<div class="green_bg_options">	
									<input type="checkbox" class="validate[groupRequired[group]]" name="rts_check11" id="rts_check11" value="Other related Services" disabled <?php if (isset($_SESSION["Data"]['rts_check11']) && $_SESSION["Data"]['rts_check11'] == "Other related Services") { echo 'checked="checked"';} ?> />
									<label for="rts_check11"><span ></span><?php echo get_trans("Other related Services"); ?></label>
								</div>
								<?php } ?>
							</li>
							
							<li>
								<div class="green_bg_options">
									<input type="radio" class="validate[groupRequired[group]]" name="rts_radio_inner" value="Unspecified" id="rts_radio_inner" <?php if (isset($_SESSION["Data"]['rts_radio_inner']) && $_SESSION["Data"]['rts_radio_inner'] == "Unspecified" ) { echo 'checked="checked"';} ?> />
									<label for="rts_radio_inner"><span></span><?php echo get_trans("Unspecified"); ?></label>
								</div>
							</li>
							
							
						</ul>
					</div>
							
				</div>
					<div class="right_wrapper">
						<div class="info_orange" id="info_orange1">
							<span><?php echo get_trans("End of Record"); ?></span>
						</div>
						<div class="info_orange" id="info_orange1">
							<span><?php echo get_trans("End of Record"); ?></span>
						</div>
						<div class="info_blue" id="info1" style="color:#000000;">
							<span><?php echo get_trans("Check below as many as applicable"); ?></span>
						</div>													
					</div>
				
				
				<?php include 'includes/next_button.php'; ?>
			</form>
			
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>				
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<script src="js/languages/jquery.validationEngine-en.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery-checktree-no-childs.js"></script>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'referrals_to_services.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'referrals_to_services.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<script>
jQuery(document).ready(function(){
	// binds form submission and fields to the validation engine
	jQuery("form").validationEngine();
	
	$('#tree').checktree();
});

$(document).ready(function(){
	//********* Expand - Collapse Subcategories *************
	$(".expand").click(function(event) {
		//getting the expand id
		var expand_id = event.target.id;
		//getting the sub id
		var sub_id = $('#'+event.target.id).next().attr("id");
		//toggle
		$('#'+sub_id).slideToggle();
		if($('#'+expand_id).hasClass('expand')){
			$('#'+expand_id).addClass('collapse').removeClass('expand');
		} else {
			$('#'+expand_id).addClass('expand').removeClass('collapse');
		}
    });
	
	//expand if user checks a checkbox that has subcategories 
	$('input[type=checkbox]').each(function () {
		$(this).on('click', function(){
			var isChecked = (this.checked);
			if (isChecked == true) {
				//getting the checkbox id
				var checkbox_id = $(this).attr("id");
				//getting the sub id of the clicked checkbox
				var sub_id = $('#'+checkbox_id).parent().closest('div').next().closest('div').next().closest('div').attr("id");
				//getting the expand id of the clicked checkbox
				var expand_id = $('#'+checkbox_id).parent().closest('div').next().closest('div').attr("id");
				$('#'+sub_id).slideDown();
				if($('#'+expand_id).hasClass('expand')){
					$('#'+expand_id).addClass('collapse').removeClass('expand');
				}
			}
		});
	});	

	//********* Check - Uncheck checkboxes *************
	$('#rts_radio1, #rts_radio2').on('click', function(e){
		var isChecked = $('#rts_radio1').prop('checked') || $('#rts_radio2').prop('checked');
		if (isChecked == true){
				$('input[type="checkbox"] + label span').addClass('checkbox_grey');
				$('input[type="checkbox"]').prop('disabled', true);
				$('#tree .green_bg_options').css("border","2px solid #CCCCCC");
				$('#sub1 input[type="radio"] + label span').addClass('radio_grey');
				$('#sub1 input[type="radio"]').prop('disabled', true);
		}
	});
	
	var isChecked = $('#rts_radio1').prop('checked') || $('#rts_radio2').prop('checked');
	if (isChecked == true){
		$('input[type="checkbox"] + label span').addClass('checkbox_grey');
				$('input[type="checkbox"]').prop('disabled', true);
				$('#tree .green_bg_options').css("border","2px solid #CCCCCC");
				$('#sub1 input[type="radio"] + label span').addClass('radio_grey');
				$('#sub1 input[type="radio"]').prop('disabled', true);
	}
	
	$('#rts_radio3').on('click', function(e){
		var isChecked = $('#rts_radio3').prop('checked');
		if (isChecked == true){
			// $('input[type="checkbox"] + label span').not('.not_exist').removeClass('checkbox_grey');
			// $('input[type="checkbox"]').not('.not_exist').prop('disabled', false);
			// $('#tree .green_bg_options').not('.not_exist').css("border","2px solid #9BBB59");
			$('input[type="checkbox"] + label span').removeClass('checkbox_grey');
			$('input[type="checkbox"]').prop('disabled', false);
			$('#tree .green_bg_options').css("border","2px solid #9BBB59");
			$('#sub1 input[type="radio"] + label span').removeClass('radio_grey');
			$('#sub1 input[type="radio"]').prop('disabled', false);
			$('#sub1').slideDown();
			$('#expand1').addClass('collapse').removeClass('expand');			
		}
	});
	
	var isChecked = $('#rts_radio3').prop('checked');
	if (isChecked == true){
		// $('input[type="checkbox"] + label span').not('.not_exist').removeClass('checkbox_grey');
		// $('input[type="checkbox"]').not('.not_exist').prop('disabled', false);
		// $('#tree .green_bg_options').not('.not_exist').css("border","2px solid #9BBB59");
		$('input[type="checkbox"] + label span').removeClass('checkbox_grey');
		$('input[type="checkbox"]').prop('disabled', false);
		$('#tree .green_bg_options').css("border","2px solid #9BBB59");
		$('#sub1 input[type="radio"] + label span').removeClass('radio_grey');
		$('#sub1 input[type="radio"]').prop('disabled', false);
		$('#sub1').slideDown();
		$('#expand1').addClass('collapse').removeClass('expand');	
	}
	
	//*********** Check Parent radio if child checkbox is checked  ***************
	$('input[type="checkbox"]').on('click', function(e){
		var isDisabled = $('input[type="checkbox"]').prop('disabled');
		if (isDisabled == false){			
			$('#rts_radio3').prop('checked', true); // Check parent radio ("Yes")
			$('#rts_radio_inner').prop('checked', false); // Un-check inner radio ("Unspecified")
		}
	});
		
	//********* Uncheck child radio and checkbox if parent checkbox is unchecked  *************	
	$('input[type="checkbox"]').on('click', function(e){
		var isChecked = $(this).prop('checked');
		if (isChecked == true){
			$(this).parent('.green_bg_options').nextAll().has(":radio").find(":radio").prop('disabled',false);				
		} else {
			$(this).parent('.green_bg_options').nextAll().has(":radio").find(":radio").prop('disabled',true).prop('checked', false);
			$(this).parent('.green_bg_options').nextAll().find(":checkbox").prop('checked',false);
		}
	});
	
	//*********** If inner radio ("Unspecified") is checked, un-check all checkboxes ***************
	$('#rts_radio_inner').on('click', function(e){
		var isChecked = $(this).prop('checked');
		if (isChecked == true){
			$('#rts_radio3').prop('checked', true); // Check parent radio ("Yes")
			$('input[type="checkbox"]').prop('checked', false); // Un-check all checkboxes
			$('input[type="checkbox"]').parent('.green_bg_options').nextAll().has(":radio").find(":radio").prop('disabled',true).prop('checked', false); // Un-check all sub radio
		}
	});
	
	//********* On click next button validate if something is missing *************
	$(".next_button").click( function(){
		var isChecked = $('#rts_radio3').prop('checked');
		if (isChecked == true){
			$('#sub1').slideDown();
			$('#expand1').addClass('collapse').removeClass('expand');
			$('input[type=checkbox]').each(function () {
				if ( $(this).prop('checked') ){
				
					// getting the checkbox id
					var checkbox_id = $(this).attr("id");
					// getting the sub id of the clicked checkbox
					var sub_id = $('#'+checkbox_id).parent().closest('div').next().closest('div').next().closest('div').attr("id");
					// getting the expand id of the clicked checkbox
					var expand_id = $('#'+checkbox_id).parent().closest('div').next().closest('div').attr("id");
					$('#'+sub_id).slideDown();
					if($('#'+expand_id).hasClass('expand')){
						$('#'+expand_id).addClass('collapse').removeClass('expand');
					}
				}
			});
		}		
	});
		
});
</script>
<!-- Resize fonts in case of translation -->
<script>
jQuery(document).ready(function(){
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}
});
</script>

</body>
</html>

<?php

} else {
	header("location: index.php");
}
?>