<?php
include('includes/connect.php');
session_start();

/*
	$lng = 1;
	$f = file($lng.".csv");
	foreach($f as $k=>$v) {
		print_r (str_getcsv($v,";"));
	}
	die();
*/

	//Localization settings
	include('includes/get_lang.php');
/*
	$db->query("truncate table u_translate");

	for($i=1;$i<=9;$i++) {
		$lng = $i;
		$f = file($lng.".csv");

		foreach($f as $k=>$v) {
			$e = str_getcsv($v,";");
			//$e = explode(";",$v);
			$db->insert("u_translate",array("text_en"=>trim($e[0]),"text_trans"=>trim($e[1]),"language_id"=>$lng));

		}
	}
	die();
*/
	
	$sql = "select 
				c_child.id,
				i_incident.recorded_by_agency as AgencysID,
				i_incident.recorded_by_operator as OperatorsID,
				i_incident.date_time_of_record_for_db as  DateofRecord,
				i_source_of_information.name as SourceofInformation,
				
				u_agencies.subdivision as  GeographicDivision,
				u_organization_service_type.code as Typeoforganization,
				u_occupations.code as OperatorsSpecialty,
				u_users.access_level  as OperatorLevelAccess,
				
				c_child.child_id as ChildId,
				c_child_sex.name as ChildsSex,
				
				c_child_dob.name as dobName,
				c_child_dob.date as dobDate,
				
				c_citizenship_status.name as CitizenshipStatusName,
				c_citizenship_status.nationality as CitizenshipStatusNathonality,
				
				i_incident.incident_id,
				i_incident.date_of_incident,
				i_incident.type_of_incident,
				
				i_incident.start_date,
				i_incident.exact_date_of_incident,
				i_incident.last_known_cm_date,
				i_incident.id as incident_nid
				
				
			from i_incident 
			inner join i_source_of_information on i_source_of_information.incident_id = i_incident.incident_id
			inner join u_agencies on u_agencies.id = i_incident.recorded_by_agency_nid
			inner join u_organization_service_type on  u_organization_service_type.id= u_agencies.type_of_organization_nid
			inner join u_users on u_users.id=i_incident.recorded_by_operator_nid
			inner join u_occupations on u_occupations.id = u_users.operator_occupation_nid
			inner join c_child on c_child.id=i_incident.child_nid
			inner join c_child_sex on c_child_sex.child_nid = c_child.id
			inner join c_child_dob on c_child_dob.child_nid = c_child.id
			inner join c_citizenship_status on c_citizenship_status.child_nid = c_child.id
			 ";
				
	$arData = array();
	$db->query($sql);
	while($db->next()) {
		$arData[]=$db->Record;
	}
	
	
?>


<link rel=Stylesheet href=stylesheet.css>

<table border=1 cellpadding=0 cellspacing=0 >

 <tr class=xl79  >
  <td colspan=8 height=28 class=xl176 width=512 style='height:21.0pt; width:384pt'>RECORD</td>
  <td colspan=18 class=xl179 width=1152 style='border-left:none;width:864pt'>CHILD (ALLEGED) VICTIM</td>
  <td colspan=252 class=xl165 width=16128 style='border-right:.5pt solid black; border-left:none;width:12096pt'>CHILD MALTREATMENT (CM) INCIDENT</td>
  <td colspan=77 class=xl169 width=4928 style='border-right:.5pt solid black; border-left:none;width:3696pt'>FAMILY AND PRIMARY CAREGIVERS</td>
  <td class=xl136 width=64  colspan=55 >SERVICES PROVIDED &amp; REFERRALS TO SERVICES</td>
  <td></td>
 </tr>
 <tr class=xl79  >
  <td colspan=4 height=85 class=xl164 >(this information  derives from the app)</td>
  <td colspan=4 class=xl164 style='border-left:none'>(this information derives  from the admin interface)</td>
  <td class=xl88 style='border-left:none'>C1: Child’s ID</td>
  <td colspan=4 class=xl177 style='border-left:none'>C2_Child's Sex [1]</td>
  <td colspan=7 class=xl178 style='border-left:none'>C3: Child’s Date of Birth</td>
  <td colspan=6 class=xl177 style='border-left:none'>C4: Child’s Citizenship Status</td>
  <td class=xl100 style='border-left:none'>I1: Incident ID</td>
  <td class=xl105 style='border-left:none'>I2: Date (and type) of Incident</td>
  <td colspan=2 class=xl174   style='border-left:none;'>[I2_01]  a “distinct event” took place – Not continuous maltreatment </td>
  <td colspan=7 class=xl175   style='border-left:none;'>[I2_02]  continuous maltreatment – including “distinct event(s)” [2]</td>
  <td colspan=6 class=xl174   style='border-left:none;'>[I2_03] Continuous maltreatment – no “distinct event(s)” took  place [3]</td>
  <td colspan=220 class=xl163 style='border-left:none'>I3: Form(s) of  maltreatment</td>
  <td colspan=15 class=xl164 style='border-left:none'>I4: Location of incident</td>
  <td colspan=2 class=xl172 style='border-right:.5pt solid black;border-left:  none'>F1: Family Composition</td>
  <td colspan=22 class=xl168 style='border-left:none'>[F1_B1] member(s) of family - IDENTITIES</td>
  <td colspan=23 class=xl157 style='border-right:.5pt solid black;border-left:  none'>[F1_B2] member(s) of family - NUMBER per IDENTITY</td>
  <td colspan=13 class=xl160 style='border-right:.5pt solid black;border-left:  none'>[F1_C] primary caregiver 1 (at the time when the incident took place) relationship to child [4]</td>
  <td colspan=13 class=xl157 style='border-right:.5pt solid black;border-left:  none'>[F1_C] primary caregiver 2 (at the time when the incident took place) relationship to child</td>
  <td class=xl132 style='border-top:none;border-left:none'>F3: Primary Caregiver 1 Sex [5]</td>
  <td class=xl133 style='border-top:none;border-left:none'>F3: Primary Caregiver 2 Sex [6]</td>
  <td class=xl131>F4: Primary Caregiver 1 Date of Birth [7]</td>
  <td class=xl135>F4: Primary Caregiver 2 Date of Birth  [8]   </td>
  <td class=xl139 >S1: Institutional Response [9] </td>
  <td colspan=33 class=xl152 style='border-right:.5pt solid black'>if S1:  Institutional Response = 01 (YES); otherwise non applicable</td>
  <td class=xl137>S2: Referral(s) to Services  [10] </td>
  <td colspan=20 class=xl155>if S2: Referral(s) to Servises = 01 (YES);  otherwise, non applicable</td>
  <td class=xl149 style='border-top:none'>&nbsp;</td>
  <td class=xl139 >[S2_A] Service(s)’ Response  [11] </td>
 </tr>
 <tr class=xl112 >
  <td height=221 class=xl106 style='height:165.75pt;border-top:none'>R1: Agency's ID [12]   </td>
  <td class=xl107 style='border-top:none;border-left:none'>R2: Operator’s ID [13] </td>
  <td class=xl106 style='border-top:none;border-left:none'>R3: Date of Record YYYY-MM-DD [HH:MM] [14] </td>
  <td class=xl107 style='border-top:none;border-left:none'>R4: Source of Information  [15]  </td>
  <td class=xl108 style='border-top:none;border-left:none; '>Geographic Division [16] </td>
  <td class=xl109   style='border-top:none;border-left:none; '>Type of organization-data source[17] </td>
  <td class=xl108   style='border-top:none;border-left:none; '>Operator's  specialty [18] </td>
  <td class=xl109   style='border-top:none;border-left:none; '>operator's  level of access  [19] </td>
  <td class=xl100 style='border-top:none;border-left:none'>&nbsp; [20] </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C2_01] male </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C2_02] female </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C2_03] other </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C2_88] not known </td>
  <td class=xl90   style='border-top:none;border-left:none; '>[C3_01] YYYY-MM-DD </td>
  <td class=xl90   style='border-top:none;border-left:none; '>[C3_02] &lt; 18 years old    </td>
  <td class=xl90   style='border-top:none;border-left:none; '>[C3_03] &gt;18 (‘minor’ ~to law) </td>
  <td class=xl90   style='border-top:none;border-left:none; '>[C3_04] Unborn </td>
  <td class=xl90   style='border-top:none;border-left:none; '>[C3_88] Unknown </td>
  <td class=xl91   style='border-top:none;border-left:none; '>Child's age at the time of record [21] </td>
  <td class=xl91   style='border-top:none;border-left:none; '>Child's age at the time of incident [22]</td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C4_00] not a citizen    </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C4_01] citizen [23] </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C4_01.1] with ID </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C4_01.2] without ID </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C4_01.88]unknown </td>
  <td class=xl89   style='border-top:none;border-left:none; '>[C4_88] not known </td>
  <td class=xl100 style='border-top:none;border-left:none'>[24] </td>
  <td class=xl110   style='border-top:none;border-left:none; '>[25]</td>
  <td class=xl111   style='border-top:none;border-left:none; '>[I2_01.01] [YYYY/MM/DD] [26] </td>
  <td class=xl111   style='border-top:none;border-left:none; '>[I2_01.88] Unknown    </td>
  <td class=xl110   style='border-top:none;border-left:none; '>[I2_02.01] start date </td>
  <td class=xl110   style='border-top:none;border-left:none; '>[I2_02.01.01] duration </td>
  <td class=xl110   style='border-top:none;border-left:none; '>[I2_02.02] during the last 12 months</td>
  <td class=xl110   style='border-top:none;border-left:none; '>[I2_02.03] before the last 12 months</td>
  <td class=xl110   style='border-top:none;border-left:none; '>[I2_02.04] lifelong </td>
  <td class=xl110   style='border-top:none;border-left:none; '>[I2_02.88] Unknown </td>
  <td class=xl110   style='border-top:none;border-left:none; '>[I2_02.0A] last known CM incident date (YYYY-MM-DD) </td>
  <td class=xl111   style='border-top:none;border-left:none; '>[I2_03.01] start date </td>
  <td class=xl111   style='border-top:none;border-left:none; '>[I2_03.01.01] duration </td>
  <td class=xl111   style='border-top:none;border-left:none; '>[I2_03.02] during the last 12 months </td>
  <td class=xl111   style='border-top:none;border-left:none; '>[I2_03.03] before the last 12 months </td>
  <td class=xl111   style='border-top:none;border-left:none; '>[I2_03.04] lifelong </td>
  <td class=xl111   style='border-top:none;border-left:none; '>[I2_03.88] Unknown </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A] ACTS COMMITTED </td>
  <td class=xl116   style='border-top:none;border-left:none; '>[I3_A_1]  Violent acts against self /Self-harm actions [27] </td>
  <td class=xl117   style='border-top:none;border-left:none; '>[I3_A_1.01] Eating disorder </td>
  <td class=xl117   style='border-top:none;border-left:none; '>[I3_A_1.02] Substance use/abuse </td>
  <td class=xl117   style='border-top:none;border-left:none; '>[I3_A_1.03] Runaway </td>
  <td class=xl117   style='border-top:none;border-left:none; '>[I3_A_1.04] Self-inflicted injuries </td>
  <td class=xl117   style='border-top:none;border-left:none; '>[I3_A_1.05] Suicidal thoughts </td>
  <td class=xl117   style='border-top:none;border-left:none; '>[I3_A_1.06] Suicide attempt(s) </td>
  <td class=xl117   style='border-top:none;border-left:none; '>[I3_A_1.07] Actual suicide </td>
  <td class=xl117   style='border-top:none;border-left:none; '>[I3_A_1.88] Other self-harm action (unspecified)</td>
  <td class=xl116   style='border-top:none;border-left:none; '>[I3_A_2] Physical violence acts committed [with or without  injury] </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1] corporal punishment/“disciplines” </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.01] slapping </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.02] smacking </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.03] spanking </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.04] pinching </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.05] twisting ear(s) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.06] pulling hair </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.07] hitting with an object </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.08] beating </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.09] tying up or tying to something/restraining to cloth  sacks </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.10] locking up  </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.11] leaving child to lie in their own excrement </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.12] pushing </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.13] throwing </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.14]  shaking </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.15]  grabbing </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.16]  choking </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.17]  squeezing neck </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.18]  kicking </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.19]  hitting on head (with hand or against the wall) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.20]  boxing ear </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.21]  scratching </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.22]  biting </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.23]  burning </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.1.24]  scalding </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2]  violent acts known also as harmful practices </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.01]  hitting on the soles of the feet     </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.02]  forcing to ingest spicy food </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.03]  forced feeding </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.04]  forcing children to stay in uncomfortable positions </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.05]  binding </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.06]  inflicting scars/scarring </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.07]  teeth extraction as punishment </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.08]  branding </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.09]  fattening </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.10]  “Retribution” acts of violence </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.11]  virginity testing (inspecting girls’ genitalia) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.12]  forced circumcision </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.13]  female genital mutilation </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.14]  uvulectomy </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.15]  forced marriage and early marriage </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.16]  violent and degrading initiation rites/ “hazing” </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.17]  practices as “exorcism” after accusations of  “witchcraft” </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.18]  forced sterilization </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.19]  violence in the guise of treatment </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.2.20]  deliberate infliction of disabilities for exploiting/  begging </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3] acts of life threatening maltreatment (with intention) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3.01]  administering unnecessary invasive medical procedures </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3.02]  administering non prescribed substances </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3.03]  (intentional) poisoning </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3.04]  threatining with a knife </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3.05]  threatening with a gun </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3.06]  stabbing </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3.07]  shooting </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.3.08]  dowry-related violence/death </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.4]  abduction-related acts </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.4.01]  non-family abduction </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.4.02]  family abduction </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.5]  institutional and system violations of child rights </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.5.01]  caning </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.5.02]  flogging </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.5.03]  stoning </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.5.04]  torture  (all forms) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.5.05]  amputation </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.5.06]  imposing of death sentence for crimes commited  </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.6]  Other described physical acts </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_2.88] No specific information for reported/suspected physical  violence </td>
  <td class=xl116   style='border-top:none;border-left:none; '>[I3_A_3]  Sexual violence acts committed [with or without injury] </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1]  Sexual violence acts </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01]  acts involving penetration (intrusion) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.1]   without force    </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.1.1]   anus </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.1.2]   vulva </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.1.3]   mouth </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.1.4]   unspecified </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.2]   involving use of force </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.2.1]   anus </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.2.2]   vulva </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.2.3]   mouth </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.01.2.4]   unspecified </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.02]   attempted sexual abuse (not involving penetration) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.02.1]   with   physical contact </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.02.2]   without   physical contact </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.03]   threatened sexual abuse </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.03.1]   with   physical contact </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.03.2]   without   physical contact </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.04]   touching/fondling genitals </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.05]   showing genitals to child </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.06]   sexual harassment </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.07]   voyeurism /spying on the child’s intimate behaviour </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.08]   providing sexually explicit material </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.09]   forced exposure to pornography </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.10]   forcing to witness sexual violence against mother      </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.11]   sexual “luring” (via ICT) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.12]   online sexual stalking /harassment </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.1.88]   other sexual violence acts </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2]   Sexual exploitation acts </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.01]   child prostitution    </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.02]   use of child in commercial sexual exploitation </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.03]   sexual exploitation in travel and tourism </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.04]   sexual slavery </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.05]   sale of child for sexual purposes    </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.06]   trafficking (within and between countries) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.07]   involvement in pornography </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.08]   forced marriage and early marriage (also harmful  practice) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.2.88]   other sexual exploitation acts (unspecified) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_3.88]   no specific information for reported/suspected sexual  violence    </td>
  <td class=xl116   style='border-top:none;border-left:none; '>[I3_A_4]       Psychological  violence acts committed [with or without injury] </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1]   Psychological violence acts with or without obvious  consequences </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.01]   bullying/ Psychological bullying and hazing </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.01.1]   by other children </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.01.2]   by adults </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.02]   homophobic bullying /related to (real or supposed)  sexual orientation </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.02.1]   by other children </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.02.2]   by adults </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.03]   cyber-bullying (via ICTs / mobile phones /Internet) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.03.1]   by other children </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.03.2]   by adults </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.04]   ignoring </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.05]   denying emotional responsiveness </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.06]   overprotection </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.07]   isolation (social) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.08]   close confinement (tying/binding) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.09]   placement in solitary confinement </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.10]   degrading /inhuman conditions of detention </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.11]   humiliation /Insults, name-calling, belittling,  ridiculing </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.12]   humiliation via ICT </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.13]   rejection and spurning </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.14]   verbal assaults </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.15]   terrorization / scaring </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.16]   threats of sexual violence (with or without contact) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.17]   threats of other maltreatment </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.1.88]   other related acts hurting child’s feelings </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2]   Exploitation related psychological violent acts </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2.01]   corrupting </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2.02]   labour/economic exploitation      </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2.03]   forcing the child to undertake adult’s responsibilities </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2.04]   forcing the child to beg </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2.05]   forcing the child to undertake criminal behaviour </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2.06]   forcing to participate in religious ritual </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2.07]   forcing to participate in a violent political event </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.2.88]   no specific information for reported/suspected  exploitation acts    </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3]   exposure-related psychological violent acts </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.01]   exposure to any kind of violence in the family / DV </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.01.1]   exposure to   violence against  other children </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.01.2]   exposure to   intimate partner  violence </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.01.3]   exposure to   violence against  other adults </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.01.4]   exposure to   homicide of a  significant person </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.02]   exposure to a violent environment outside the family </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.03]   exposure to violence via electronic means </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.03.1]   information and communication technologies </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.03.2]   in the mass media </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.3.88]   no specific info for reported/suspected related exposure </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_A_4.88]   no specific information for reported/suspected  psychological violence acts </td>
  <td class=xl116   style='border-top:none;border-left:none; '>[I3_B]   OMISSIONS </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_1]  emotional neglect related omissions </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_1.01]   persistent ignoring of the child’s emotional needs  /   chronic inattention to the child </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_1.02]   psychologically “unavailable” caregivers </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_1.03]   inappropriately advanced expectations   (defined according to child’s characteristics) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_1.88]   no specific information for omissions related to  emotional neglect </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_2]   physical neglect related omissions </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_2.01]   inadequate / inappropriate nutrition </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_2.02]   inadequate / inappropriate personal hygiene </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_2.03]   inadequate / inappropriate clothing </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_2.04]   inadequate / inappropriate shelter </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_2.88]   no  specific information for omissions related to child’s physical  needs </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_3]   medical neglect related omissions </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_3.01]   refusal to provide preventive health care   (vaccinations, vision, and dental care) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_3.02]   refusal to allow /provide needed medical care for  diagnosed health condition/ impairment </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_3.03]   unjustified delay to seek needed care </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_3.04]   failure to provide with basic medical care </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_3.05]   withholding essential medical care </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_3.88]   no specific information for omissions related to child’s  medical needs </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4]   educational neglect related omissions </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.01]   persistent failure to register the child at the school     </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.01.1]   has not attended school at all (defined according to  child’s age) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.01.2]   dropped out    </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.02]   persistent failure to enrol at the school resulting to  irregular school attendance </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.02.1]   compulsory school </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.02.2]   non compulsory (ECEC) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.03]   chronic truancy </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.04]   refusal to attend special educational needs </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.04.1] refusal to allow needed attention to special educational  needs </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.04.2]   refusal to provide needed attention to special  educational needs </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_4.88]   no specific information for omissions related to child’s  educational needs </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5]   risk exposure related omissions </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5.01]   exposure to hazardous/ dangerous environments </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5.01.1]   inside household </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5.01.2]   outside home </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5.02]   exposure to substances use/misuse by others </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5.02.1]   alcohol </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5.02.2]   drugs </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5.02.88]   other substances </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_5.88]   no specific information for reported/ suspected  omissions for exposure to risks </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_6]   supervision related omissions </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_6.01]   inadequate/ lack of supervision resulting in physical  harm </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_6.02]   persisted lack of supervision concerning substance  use/misuse by the child </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_6.02.1]   alcohol </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_6.02.2]   drugs </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_6.02.88]   other substances </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_6.88]   no specific information for omissions related to the  child’s supervision </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_7]   refusal of custody/abandonment </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_7.01]   unstable custody arrangements </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_7.02]   illegal transfers of custody </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_7.03]   refusal of custody </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_7.04]   abandonment (primary caregiver(s) runaway / migrate and leave the children  behind) </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_7.04.1]   child out of wedlock </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_7.04.2]   child with disabilities </td>
  <td class=xl115   style='border-top:none;border-left:none; '>[I3_B_7.88]   no specific information for omissions related to refusal  of child’s custody </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_00] unknown/ unspecified place  [28] </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_01]   home/ family </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_02]   home/ relatives </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_03]   home/ friends </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_04]   child care institution (residential care) </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_05] child care institution (day  care)    </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_06] detention or correctional  institution </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_07] leisure /playground/ recreational  area </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_08] sports-athletics </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_09] school </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_10] educational institution </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_11] medical Services </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_12] public transportation </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_13] public place/ street, commercial  &amp; surrounding area </td>
  <td class=xl114   style='border-top:none;border-left:none; '>[I4_88] other place </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_A]  type of family  [29] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_A_04] child lives in a family other than its family/foster family [30] </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_01]   parent  (s) </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_01.1]   step parent  (s) </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_02]   parent(s)’ partner(s) </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_03]   sibling(s)    </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_03.1]  sibling(s)  younger than the (alleged) victim </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_03.2]  sibling(s)  older than the (alleged) victim (&lt;18) </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_03.3]  sibling(s)  older than the (alleged) victim (&gt;18) </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_04]   grandparent  (s) </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_05]   other   relative  (s)    </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_05.1]   blood relative  (s)    </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_05.1.1]   blood relative  (s) &lt;18 [  child  (ren)] </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_05.1.2]   blood relative  (s) &gt;18 [  adult  (s)] </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_05.2]   relative(s) by law    </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_05.2.1]   relative(s) by law   &lt;18 [  child  (ren)]    </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_05.2.2]   relative(s) by law    &gt;18 [  adult  (s)] </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_06]   family friend  (s)    </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_06.1]   family friend  (s) &lt;18 [  child  (ren)] </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_06.2]   family friend  (s) &gt;18 [  adult  (s)] </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_07]   other not-related household member  (s)    </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_07.1]  other not-related household member  (s) &lt;18 [  child  (ren)] </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_07.2]   other not-related household member  (s) &gt;18 [  adult  (s)] </td>
  <td class=xl119   style='border-top:none;border-left:none; '>[F1_B1_88]   not known </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_01]   parent  (s)    </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_01.1]   step parent  (s) </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_02]   parent(s)’ partner(s)      </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_03]   sibling(s)    </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_03.1]  sibling(s)  younger than the (alleged) victim </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_03.2]  sibling(s)  older than the (alleged) victim (&lt;18) </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_03.3]  sibling(s)  older than the (alleged) victim (&gt;18) </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_04]   grandparent  (s) </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_05]   other   relative  (s)    </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_05.1]   blood relative  (s)    </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_05.1.1]   blood relative  (s) &lt;18 [  child  (ren)] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_05.1.2]   blood relative  (s) &gt;18 [  adult  (s)] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_05.2]   relative(s) by law    </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_05.2.1]   relative(s) by law   &lt;18 [ child  (ren)] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_05.2.2]   relative(s) by law    &gt;18 [  adult  (s)] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_06]   family friend  (s)    </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_06.1]   family friend  (s) &lt;18 [ child  (ren)] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_06.2]   family friend  (s) &gt;18 [ adult  (s)] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_07]   other not-related household member  (s)    </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_07.1]   other not-related household member  (s) &lt;18 [  child  (ren)] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_07.2]   other not-related household member  (s) &gt;18 [  adult  (s)] </td>
  <td class=xl120   style='border-top:none;border-left:none; '>[F1_B1_88]   not known </td>
  <td class=xl121   style='border-top:none;border-left:none; '>Total  number (auto-calculated)</td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_01]  parent      </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_02]  step parent </td>
  <td class=xl126 style='border-top:none;border-left:none'></td>
  <td class=xl127 style='border-top:none;border-left:none'>[F2_04]  par   ent’s  partner  </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_05]  sibling   &gt;18 years old (  adult  ) </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_06]  grandparent </td>  
<td class=xl125 style='border-top:none;border-left:none'>[F2_07]  other   blood relative   &gt;18 years old (adult) </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_08]  other   by law relative   &gt;18 years old (adult) </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_09]  family friend   &gt;18 years old  (adult) </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_10]  other not-related household member &gt;18 years old (adult) </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_11]  professional caregiver in residential/institutional care </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_12]  temporary caregiver  /  other   &gt;18 years old (adult) </td>
  <td class=xl125 style='border-top:none;border-left:none'>[F2_88]  unknown relationship </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_01]  parent      </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_02]  step parent </td>
  <td class=xl129 style='border-top:none;border-left:none'> </td>
  <td class=xl130 style='border-top:none;border-left:none'>[F2_04]  par   ent’s  partner  </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_05]  sibling   &gt;18 years old (  adult  ) </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_06]  grandparent </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_07]  other   blood relative   &gt;18 years old (adult) </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_08]  other   by law relative   &gt;18 years old (adult) </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_09]  family friend   &gt;18 years old  (adult) </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_10]  other not-related household member &gt;18 years old (adult) </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_11]  professional caregiver in residential/institutional care </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_12]  temporary caregiver  /  other   &gt;18 years old (adult) </td>
  <td class=xl128 style='border-top:none;border-left:none'>[F2_88]  unknown relationship </td>
  <td class=xl112 style='border-top:none;border-left:none'>&nbsp;</td>
  <td class=xl134 style='border-top:none;border-left:none'>&nbsp;</td>
  <td class=xl112 style='border-left:none'>&nbsp;</td>
  <td class=xl134 style='border-left:none'>&nbsp;</td>
  <td class=xl138 style='border-left:none'>&nbsp;</td>
  <td class=xl144   style='border-top:none;border-left:none; '>[S1_01.1] Immediate intervention(s) </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.1.1] physical medical exam(s) </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.1.2] mental health exam(s) </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.1.3] forensic evaluation initiated </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.1.4] child protection /welfare  services assessment </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.1.5] police intervention </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.1.88] unspecified </td>
  <td class=xl144   style='border-top:none;border-left:none; '>[S1_01.2] Action taken -NO COURT  INVOLVEMENT </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.2.1] child remains in family with  planned intervention </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.2.2] emergency placement </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.2.3] supportive intervention for  current caregiver(s) </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.2.4] mother/child shelter with parent  and child together </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.2.5] police emergency protection  procedures </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.2.6] CPS/welfare services emergency  protection procedures </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.2.7] referral to child protection  /welfare services </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.2.88]  unspecified </td>
  <td class=xl144   style='border-top:none;border-left:none; '>[S1_01.3] Action taken-COURT or EQUIVALENT  AUTHORITY INVOLVEMENT </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.1] police emergency protection  procedures </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.2] CPS/welfare services emergency  protection procedures </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.3] (family) court measures initiated </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.4] referral to child protection  /welfare services </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.5] action to protect victim by court  order(s) </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.6] action to remove parent(s)’  rights </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.7] abuser to leave the home by court  order </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.8] action to prosecute  perpetrator(s) </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.3.88] unspecified </td>
  <td class=xl144   style='border-top:none;border-left:none; '>[S1_01.4] Out of home placement </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.4.1] kinship care  (relatives/extended family) </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.4.2] foster care </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.4.3] children’s home institution </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.4.4] adoption with parents’ agreement </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.4.5] adoption by court order </td>
  <td class=xl143   style='border-top:none;border-left:none; '>[S1_01.4.88] unspecified </td>
  <td class=xl138 style='border-left:none'>&nbsp;</td>
  <td class=xl148 >[S2_01.01] Judicial Services  [31] </td>
  <td class=xl148 >[S2_1.1] focus of referral  [32] </td>
  <td class=xl148 >[S2_01.02]  Medical  Services </td>
  <td class=xl148 >[S2_1.2]  focus  of referral </td>
  <td class=xl148 >[S2_01.03]  Mental  Health Services </td>
  <td class=xl148 >[S2_1.3]  focus  of referral </td>
  <td class=xl148 >[S2_01.04] Independent Authorities </td>
  <td class=xl148 >[S2_1.4]  focus  of referral </td>
  <td class=xl148 >[S2_01.05] Social Welfare Services </td>
  <td class=xl148 >[S2_1.5]  focus  of referral </td>
  <td class=xl148 >[S2_01.06] Law Enforcement related Services </td>
  <td class=xl148 >[S2_1.6]  focus  of referral </td>
  <td class=xl148 >[S2_01.07] Community Organizations and NGOs </td>
  <td class=xl148 >[S2_1.7]  focus  of referral </td>
  <td class=xl148 >[S2_01.08] Existing Registries and Research Organizations </td>
  <td class=xl148 >[S2_1.8]  focus  of referral </td>
  <td class=xl148 >[S2_01.09] Educational Services </td>
  <td class=xl148 >[S2_1.9]  focus  of referral </td>
  <td class=xl148 >[S2_01.10] Other related Services </td>
  <td class=xl148 >[S2_1.10]  focus  of referral </td>
  <td class=xl148 >[S2_01.88] unspecified  [33] </td>
  <td class=xl138>&nbsp;</td>
 </tr>
 
 <?php
       function dateDifference($startDate, $endDate) 
        { 
            $startDate = strtotime($startDate); 
            $endDate = strtotime($endDate); 
            if ($startDate === false || $startDate < 0 || $endDate === false || $endDate < 0 || $startDate > $endDate) 
                return false; 
                
            $years = date('Y', $endDate) - date('Y', $startDate); 
            
            $endMonth = date('m', $endDate); 
            $startMonth = date('m', $startDate); 
            
            // Calculate months 
            $months = $endMonth - $startMonth; 
            if ($months <= 0)  { 
                $months += 12; 
                $years--; 
            } 
            if ($years < 0) 
                return false; 
            
            // Calculate the days 
                        $offsets = array(); 
                        if ($years > 0) 
                            $offsets[] = $years . (($years == 1) ? ' year' : ' years'); 
                        if ($months > 0) 
                            $offsets[] = $months . (($months == 1) ? ' month' : ' months'); 
                        $offsets = count($offsets) > 0 ? '+' . implode(' ', $offsets) : 'now'; 

                        $days = $endDate - strtotime($offsets, $startDate); 
                        $days = date('z', $days);    
                        
            return array($years, $months, $days); 
        } 

foreach($arData as $k=>$v) { ?>
 <tr  >
 
  <td><?php echo $v["AgencysID"]?></td>
  <td><?php echo $v["OperatorsID"]?></td>
  <td><?php echo substr($v["DateofRecord"],0,16)?></td>
  <td ><?php echo $v["SourceofInformation"]?></td>
  <td ><?php echo $v["GeographicDivision"]?></td>
  <td ><?php echo $v["Typeoforganization"]?></td>
  <td ><?php echo $v["OperatorsSpecialty"]?></td>
  <td  ><?php echo $v["OperatorLevelAccess"]?></td>
  <td ><?php echo $v["ChildId"]?></td>
  
  <td ><?php echo (($v["ChildsSex"]=="Male")?"Yes":"")?></td>
  <td ><?php echo (($v["ChildsSex"]=="Female")?"Yes":"")?></td>
  <td ><?php echo (($v["ChildsSex"]=="Other")?"Yes":"")?></td>
  <td ><?php echo (($v["ChildsSex"]=="Not known")?"Yes":"")?></td>

  <td ><?php echo ($v["dobName"]=="csdc_date" && $v["dobDate"])?$v["dobDate"]:""?></td>
  <td ><?php echo (($v["dobName"]=="<18 years old")?"Yes":"")?></td>
  <td ><?php echo (($v["dobName"]==">18 years old")?"Yes":"")?></td>
  <td ><?php echo (($v["dobName"]=="Unborn")?"Yes":"")?></td>
  <td ><?php echo (($v["dobName"]=="Unknown")?"Yes":"")?></td>
  <td >
	<?php
		$interval = dateDifference($v["dobDate"], substr($v["DateofRecord"],0,10));
		if ($interval[0]) {
			echo $interval[0]." Years ";
		}
		if ($interval[1]) {
			echo $interval[1]." Month ";
		}
		if ($interval[2]) {
			echo $interval[2]." Days";
		}
	?>
</td>
  <td >
	<?php
		$interval = dateDifference($v["dobDate"], $v["start_date"]);
		if ($interval[0]) {
			echo $interval[0]." Years ";
		}
		if ($interval[1]) {
			echo $interval[1]." Month ";
		}
		if ($interval[2]) {
			echo $interval[2]." Days";
		}
	?>
	</td>

  <td ><?php echo (($v["CitizenshipStatusName"]=="Not a citizen")?"Yes":"")?></td>
  <td ><?php echo (($v["CitizenshipStatusName"]=="Not known" || $v["CitizenshipStatusName"]=="Unknown" || $v["CitizenshipStatusName"]=="Citizen without ID" || $v["CitizenshipStatusName"]=="Citizen with ID")?"Yes":"")?></td>
  <td ><?php echo (($v["CitizenshipStatusName"]=="Citizen with ID")?"Yes":"")?></td>
  <td ><?php echo (($v["CitizenshipStatusName"]=="Citizen without ID")?"Yes":"")?></td>
  <td ><?php echo (($v["CitizenshipStatusName"]=="Unknown")?"Yes":"")?></td>
  <td ><?php echo (($v["CitizenshipStatusName"]=="Not known")?"Yes":"")?></td>
  <td ><?php echo $v["incident_id"]?></td>
  <td ><?php echo $v["start_date"]." ".$v["type_of_incident"]?></td>

  <?php if ($v["type_of_incident"]=='A "distinct" event took place – Not continuous maltreatment') {?>
	  <td><?php echo $v["start_date"]?></td>
	  <td><?php echo ($v["exact_date_of_incident"]=="Unknown")?"Yes":""?></td>
  <?php } else { ?>
	  <td></td>
	  <td></td>
  <?php } ?>
  

	<?php if ($v["type_of_incident"]=='Continuous maltreatment – including "distinct event(s)"') {?>
		<td><?php echo $v["start_date"]?></td>							
		<td>
	<?php
		$interval = dateDifference($v["start_date"], date("Y-m-d"));
		if ($interval[0]) {
			echo $interval[0]." Years ";
		}
		if ($interval[1]) {
			echo $interval[1]." Month ";
		}
		if ($interval[2]) {
			echo $interval[2]." Days";
		}
	?>
</td>
		
		<?php if ($v["exact_date_of_incident"]=="During the last 12 months") { ?>
			<td>Yes</td>
			<td></td>
			<td></td>
			<td></td>
		<?php } elseif ($v["exact_date_of_incident"]=="Before the last 12 months") { ?>
			<td></td>
			<td>Yes</td>
			<td></td>
			<td></td>
		<?php } elseif ($v["exact_date_of_incident"]=="Lifelong") { ?>
			<td></td>
			<td></td>
			<td>Yes</td>
			<td></td>
		<?php } elseif ($v["exact_date_of_incident"]=="Unknown") { ?>
			<td></td>
			<td></td>
			<td></td>
			<td>Yes</td>
		<?php } else { ?>
			<td></td>
			<td></td>
			<td></td>
			<td></td>							
		<?php } ?>
		
		<td><?php echo $v["last_known_cm_date"]?></td>
	<?php } else {?>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
	<?php } ?>

	<?php if ($v["type_of_incident"]=='Continuous maltreatment - No "distinct event" took place') {?>
		<td><?php echo $v["start_date"]?></td>							
		<td>
	<?php
		$interval = dateDifference($v["start_date"], date("Y-m-d"));
		if ($interval[0]) {
			echo $interval[0]." Years ";
		}
		if ($interval[1]) {
			echo $interval[1]." Month ";
		}
		if ($interval[2]) {
			echo $interval[2]." Days";
		}
	?>
</td>
		
		<?php if ($v["exact_date_of_incident"]=="During the last 12 months") { ?>
			<td>Yes</td>
			<td></td>
			<td></td>
			<td></td>
		<?php } elseif ($v["exact_date_of_incident"]=="Before the last 12 months") { ?>
			<td></td>
			<td>Yes</td>
			<td></td>
			<td></td>
		<?php } elseif ($v["exact_date_of_incident"]=="Lifelong") { ?>
			<td></td>
			<td></td>
			<td>Yes</td>
			<td></td>
		<?php } elseif ($v["exact_date_of_incident"]=="Unknown") { ?>
			<td></td>
			<td></td>
			<td></td>
			<td>Yes</td>
		<?php } else { ?>
			<td></td>
			<td></td>
			<td></td>
			<td></td>							
		<?php } ?>
	<?php } else {?>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		
	<?php } ?>

	<?php
	$arD1 = array();
	$db->query("select * from i_forms_of_maltreatment where incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arD1[$db->Record["session_name"]]=$db->Record["name"];
	}
	
	$arD2 = array();
	$db->query("select * from  i_forms_of_maltreatment_sub1 where incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arD2[$db->Record["session_name"]]=$db->Record["name"];
	}
	
	$arD3 = array();
	$db->query("select * from  i_forms_of_maltreatment_sub2 where incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arD3[$db->Record["session_name"]]=$db->Record["name"];
	}
	
	$arD4 = array();
	$db->query("select * from  i_forms_of_maltreatment_sub3 where incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arD4[$db->Record["session_name"]]=$db->Record["name"];
	}
	
	$arD5 = array();
	$db->query("select * from  i_forms_of_maltreatment_sub4 where incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arD5[$db->Record["session_name"]]=$db->Record["name"];
	}
	?>
 
	<td><?php echo ($arD1["fom_ac_1"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_1_3"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_1_4"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_1_5"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_1_6"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_1_7"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_1_8"])?"Yes":""?></td>
	<td><?php echo ($arD1["fom_ac_2"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_6"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_7"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_8"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_9"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_10"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_11"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_12"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_13"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_14"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_15"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_16"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_17"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_18"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_19"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_20"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_21"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_22"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_23"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_1_24"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_6"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_7"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_8"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_9"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_10"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_11"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_12"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_13"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_14"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_15"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_16"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_17"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_18"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_19"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_2_20"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_2_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_6"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_7"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_8"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_3_9"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_2_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_4_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_4_2"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_2_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_5_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_5_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_5_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_5_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_5_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_2_5_6"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_2_6"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_2_7"])?"Yes":""?></td>
	<td><?php echo ($arD1["fom_ac_3"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_3_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_3_1_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD5["fom_ac_3_1_1_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD5["fom_ac_3_1_1_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD5["fom_ac_3_1_1_1_3"])?"Yes":""?></td>
	<td><?php echo ($arD5["fom_ac_3_1_1_1_4"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_3_1_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD5["fom_ac_3_1_1_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD5["fom_ac_3_1_1_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD5["fom_ac_3_1_1_2_3"])?"Yes":""?></td>
	<td><?php echo ($arD5["fom_ac_3_1_1_2_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_3_1_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_3_1_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_3"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_3_1_3_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_3_1_3_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_6"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_7"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_8"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_9"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_10"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_11"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_12"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_1_13"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_3_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_6"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_7"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_8"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_3_2_9"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_3_3"])?"Yes":""?></td>
	<td><?php echo ($arD1["fom_ac_4"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_4_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_1_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_1_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_1_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_1_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_3"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_1_3_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_1_3_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_6"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_7"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_8"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_9"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_10"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_11"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_12"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_13"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_14"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_15"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_16"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_17"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_1_18"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_4_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_2_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_2_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_2_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_2_6"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_2_7"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_2_8"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_4_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_3_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_3_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_3_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_3_1_3"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_3_1_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_3_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_3_3"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_3_3_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_ac_4_3_3_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_ac_4_3_4"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_ac_4_4"])?"Yes":""?></td>
	<td><?php echo ($arD1["fom_o_1"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_o_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_1_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_1_4"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_o_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_2_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_2_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_2_5"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_o_1_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_3_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_3_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_3_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_3_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_3_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_3_6"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_o_1_4"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_4_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_4_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_4_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_4_2"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_4_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_4_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_4_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_4_4"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_4_4_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_4_4_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_4_5"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_o_1_5"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_5_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_5_1_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_5_1_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_5_2"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_5_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_5_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_5_2_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_5_3"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_o_1_6"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_6_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_6_2"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_6_2_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_6_2_2"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_6_2_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_6_3"])?"Yes":""?></td>
	<td><?php echo ($arD2["fom_o_1_7"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_7_1"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_7_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_7_3"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_7_4"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_7_4_1"])?"Yes":""?></td>
	<td><?php echo ($arD4["fom_o_1_7_4_2"])?"Yes":""?></td>
	<td><?php echo ($arD3["fom_o_1_7_5"])?"Yes":""?></td>
  

	<?php
	$arO = array();
	$db->query("select * from  i_place_of_incident where incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arO[$db->Record["session_name"]]=$db->Record["name"];
	}
	?>
	<td><?php echo ($arO["poi_radio1"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check1"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check2"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check3"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check4"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check5"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check6"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check7"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check8"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check9"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check10"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check11"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check12"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check13"])?"Yes":""?></td>
	<td><?php echo ($arO["poi_check14"])?"Yes":""?></td>
					
	<?php
	$arO = array();
	$db->query("select * from  f_type_of_family where child_nid='".$v["id"]."'");
	while($db->next()) {
		$arO=$db->Record;
	}
	?>							
	<td><?php echo $arO["name"]?></td>
	<td ><?php echo ($arO["name"]=='Child lives in a family other than its family/ foster family - Relatives’ family' || $arO["name"]=='Child lives in a family other than its family/ foster family - Friends’ family')?"Yes":""?></td>
  
	<?php
	$arO = array();
	$db->query("select * from  f_members_of_family where  child_nid='".$v["id"]."'");
	while($db->next()) {
		$arO[$db->Record["session_name"]]=$db->Record;
	}
	
	$ar1 = array();
	$db->query("select * from   f_members_of_family_sub1 where  child_nid='".$v["id"]."'");
	while($db->next()) {
		$ar1[$db->Record["session_name"]]=$db->Record;
	}

	$ar2 = array();
	$db->query("select * from   f_members_of_family_sub2 where  child_nid='".$v["id"]."'");
	while($db->next()) {
		$ar2[$db->Record["session_name"]]=$db->Record;
	}
	?>
	<td><?php echo $arO["fc_tf_1"]["number"]?></td>
	<td><?php echo $arO["fc_tf_2"]["number"]?></td>
	<td><?php echo $arO["fc_tf_3"]["number"]?></td>
	<td><?php echo $arO["fc_tf_4"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_4_1"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_4_2"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_4_3"]["number"]?></td>
	<td><?php echo $arO["fc_tf_5"]["number"]?></td>
	<td><?php echo $arO["fc_tf_6"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_6_1"]["number"]?></td>
	<td><?php echo $ar2["fc_tf_6_1_1"]["number"]?></td>
	<td><?php echo $ar2["fc_tf_6_1_2"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_6_2"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_6_2_1"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_6_2_2"]["number"]?></td>
	<td><?php echo $arO["fc_tf_7"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_7_1"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_7_2"]["number"]?></td>
	<td><?php echo $arO["fc_tf_8"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_8_1"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_8_2"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_radio1"]["name"]?></td>
  <?php $cnt=0 ;?>
  <td><?php echo $arO["fc_tf_1"]["number"]; $cnt+=$arO["fc_tf_1"]["number"]?></td>
  <td><?php echo $arO["fc_tf_2"]["number"]; $cnt+=$arO["fc_tf_2"]["number"]?></td>
  <td><?php echo $arO["fc_tf_3"]["number"]; $cnt+=$arO["fc_tf_3"]["number"]?></td>
  <td><?php echo $arO["fc_tf_4"]["number"]; $cnt+=$arO["fc_tf_4"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_4_1"]["number"]; $cnt+=$ar1["fc_tf_4_1"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_4_2"]["number"]; $cnt+=$ar1["fc_tf_4_2"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_4_3"]["number"]; $cnt+=$ar1["fc_tf_4_3"]["number"]?></td>
  <td><?php echo $arO["fc_tf_5"]["number"]; $cnt+=$arO["fc_tf_5"]["number"]?></td>
	<td><?php echo $arO["fc_tf_6"]["number"]; $cnt+=$arO["fc_tf_6"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_6_1"]["number"]; $cnt+=$ar1["fc_tf_6_1"]["number"]?></td>
	<td><?php echo $ar2["fc_tf_6_1_1"]["number"]; $cnt+=$ar2["fc_tf_6_1_1"]["number"]?></td>
	<td><?php echo $ar2["fc_tf_6_1_2"]["number"]; $cnt+=$ar2["fc_tf_6_1_2"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_6_2"]["number"]; $cnt+=$ar1["fc_tf_6_2"]["number"]?></td>
	<td><?php echo $ar2["fc_tf_6_2_1"]["number"]; $cnt+=$ar2["fc_tf_6_2_1"]["number"]?></td>
	<td><?php echo $ar2["fc_tf_6_2_2"]["number"]; $cnt+=$ar2["fc_tf_6_2_2"]["number"]?></td>
	<td><?php echo $arO["fc_tf_7"]["number"]; $cnt+=$arO["fc_tf_7"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_7_1"]["number"]; $cnt+=$ar1["fc_tf_7_1"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_7_2"]["number"]; $cnt+=$ar1["fc_tf_7_2"]["number"]?></td>
	<td><?php echo $arO["fc_tf_8"]["number"]; $cnt+=$arO["fc_tf_8"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_8_1"]["number"]; $cnt+=$ar1["fc_tf_8_1"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_8_2"]["number"]; $cnt+=$ar1["fc_tf_8_2"]["number"]?></td>
	<td><?php echo $ar1["fc_tf_radio1"]["name"]; $cnt+=$ar1["fc_tf_radio1"]["number"]?></td>
	<td ><?php echo ($cnt)?$cnt:""?></td>

	<?php
	$arCg = array();
	$db->query("select * from f_caregivers where  child_nid='".$v["id"]."'");
	if ($db->next()) {
		$arCg=$db->Record;
	}
	?>

  <td><?php echo $arO["fc_tf_1"]["number"]?></td>
  <td><?php echo $arO["fc_tf_2"]["number"]?></td>
  <td ></td>
  <td><?php echo $arO["fc_tf_3"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_4_3"]["number"]?></td>
  <td><?php echo $arO["fc_tf_5"]["number"]?></td>
  <td><?php echo $ar2["fc_tf_6_1_2"]["number"]?></td>
  <td><?php echo $ar2["fc_tf_6_2_2"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_7_2"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_8_2"]["number"]?></td>
  <td ><?php echo ($arCg["relationship1"]=="Professional Caregiver")?"Yes":""?> </td>
  <td ><?php echo ($arCg["relationship1"]=="Temporary caregiver/Other")?"Yes":""?></td>
  <td ><?php echo ($arCg["relationship1"]=="Unknown relationship")?"Yes":""?></td>

  <td><?php echo $arO["fc_tf_1"]["number"]?></td>
  <td><?php echo $arO["fc_tf_2"]["number"]?></td>
  <td ></td>
  <td><?php echo $arO["fc_tf_3"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_4_3"]["number"]?></td>
  <td><?php echo $arO["fc_tf_5"]["number"]?></td>
  <td><?php echo $ar2["fc_tf_6_1_2"]["number"]?></td>
  <td><?php echo $ar2["fc_tf_6_2_2"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_7_2"]["number"]?></td>
  <td><?php echo $ar1["fc_tf_8_2"]["number"]?></td>
  <td ><?php echo ($arCg["relationship2"]=="Professional Caregiver")?"Yes":""?></td>
  <td ><?php echo ($arCg["relationship2"]=="Temporary caregiver/Other")?"Yes":""?></td>
  <td ><?php echo ($arCg["relationship2"]=="Unknown relationship")?"Yes":""?></td>

  <td ><?php echo $arCg["sex1"]?></td>
  <td ><?php echo $arCg["sex2"]?></td>
  <td ><?php echo $arCg["date1"]?></td>
  <td ><?php echo $arCg["date2"]?></td>


	<?php
	$arCg = array();
	$db->query("select * from s_institutional_response where  incident_nid='".$v["incident_nid"]."'");
	if ($db->next()) {
		$arInResp=$db->Record;
	}
	?>

  <td ><?php echo $arInResp["name"]?></td>
  <?php

	$arInResp1 = array();
	$db->query("select * from s_institutional_response_sub1 where  incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arInResp1[$db->Record["session_name"]]=$db->Record;
	}

	$arInResp2 = array();
	$db->query("select * from s_institutional_response_sub2 where  incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arInResp2[$db->Record["session_name"]]=$db->Record;
	}


	?>
  <td ><?php echo ($arInResp1["ir_check1"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check1_1"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check1_2"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check1_3"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check1_4"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check1_5"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check1_6"])?"Yes":""?></td>
  <td ><?php echo ($arInResp1["ir_check2"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check2_1"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check2_2"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check2_3"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check2_4"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check2_5"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check2_6"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check2_7"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check2_8"])?"Yes":""?></td>
  <td  ><?php echo ($arInResp1["ir_check3"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_1"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_2"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_3"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_4"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_5"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_6"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_7"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_8"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check3_9"])?"Yes":""?></td>
  <td ><?php echo ($arInResp1["ir_check4"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check4_1"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check4_2"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check4_3"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check4_4"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check4_5"])?"Yes":""?></td>
  <td ><?php echo ($arInResp2["ir_check4_6"])?"Yes":""?></td>
 

	<?php
	$arRefServ = array();
	$db->query("select * from s_referrals_to_services where  incident_nid='".$v["incident_nid"]."'");
	if ($db->next()) {
		$arRefServ=$db->Record;
	}

	$arRefServ1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where  incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arRefServ1[$db->Record["session_name"]]=$db->Record;
	}
	?>

  <td ><?php echo $arRefServ["name"]?></td>
  <td ><?php echo ($arRefServ1["rts_check1"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check1' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check1' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
  </td>
  <td ><?php echo ($arRefServ1["rts_check2"])?"Yes":""?></td>
  
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check2' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check2' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_check3"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check3' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check3' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_check4"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check4' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check4' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_check5"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check5' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check5' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_check6"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check6' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check6' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_check7"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check7' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check7' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_check8"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check8' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check8' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_check9"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check9' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check9' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_check11"])?"Yes":""?></td>
  <td >
	<?php
	$arsub1 = array();
	$db->query("select * from s_referrals_to_services_sub1 where session_name='rts_check11' and incident_nid='".$v["incident_nid"]."'");
	while($db->next()) {
		$arsub1[] = $db->Record["name"];
	}

	foreach($arsub1 as $ksub1=>$vsub1) {	
		//echo $vsub1;

		$arsub2 = array();
		$db->query("select * from  s_referrals_to_services_sub2 where rts_session_sub1='rts_check11' and incident_nid='".$v["incident_nid"]."'");
		while($db->next()) {
			$arsub2[$db->Record["session_name"]] = $db->Record["name"];
		}

		foreach($arsub2 as $kk=>$vv) {
			echo " ".$vv;
			$arsub3 = array();
			$db->query("select * from  s_referrals_to_services_sub3 where rts_session_sub2='".$kk."' and incident_nid='".$v["incident_nid"]."'");
			while($db->next()) {
				//$arsub3[$db->Record["session_name"]] = $db->Record["name"];
				echo " ".$db->Record["name"];
			}
		}
		echo ",";
	}
	?>
</td>
  <td ><?php echo ($arRefServ1["rts_radio_inner"])?"Yes":""?></td>

	<?php
	$status = "";
	$db->query("select status from s_feedback where  incident_nid='".$v["incident_nid"]."'");
	if ($db->next()) {
		$status=$db->Record["status"];
	}
	?>
  <td ><?php echo $status?></td>
  
 </tr>
<?php } ?>
 </table>


<?php die();?>
