﻿<?php
include('includes/connect.php');
session_start();
if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

//Time out if user is inactive
include('includes/timeout.php');

//Localization settings
include('includes/get_lang.php');

//print_r($_SESSION["Data"]);
?>

</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
<?php include_once("includes/analyticstracking.php") ?>

</head>
<body>
<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
			
				<div class="title">
					<p><?php echo get_trans("Please, insert Child’s ID provided to you by the Administrator"); ?></p>
				</div>
				<form action="child_result.php" method="post">
				
					<table style="width:100%">
						<tr>
							<td style="width:50px">	
								<input type="radio" name="ExistChildID" style="visibility:visible" id="group3-1" class="radio" value="Yes" checked   />									
							</td>
							<td style="width:100px">
								<div id="childs_id_search"><strong><?php echo get_trans("CHILD'S ID"); ?></strong></div>
							</td>
							<td> 
								<div class="content_green_border">
									<input name="search_childs_id" class="validate[condRequired[group3-1]]" id="search_childs_id" type="text" autofocus placeholder="XXXXXXXXXXXXXXXXXXX" <?php if(isset($_SESSION["Data"]['search_childs_id'])){ echo "value='".$_SESSION["Data"]['search_childs_id']."'"; }?>/>						
								</div>
							</td>
						</tr>

						<tr>
							<td>	
								<input type="radio" name="ExistChildID" style="visibility:visible" id="group3-2" class="radio" value="No"  />									
							</td>
							<td style="width:100px">
								<div id="childs_id_search"><strong><?php echo get_trans("NOT KNOW CHILD'S ID"); ?></strong></div>
							</td>
							<td> 
								
							</td>
						</tr>
					</table> 
					
					
					
					<?php include 'includes/next_button.php'; ?>
				</form>
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>						
			<?php include 'includes/records_table.php'; ?>				
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>
<script src="js/languages/jquery.validationEngine-en.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'search.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'search.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<script>
jQuery(document).ready(function(){
	// binds form submission and fields to the validation engine
	jQuery("form").validationEngine();
});
$(document).ready(function(){
	$('#search_childs_id').on('input', function(evt) {
		$(this).val(function (_, val) {
		return val.toUpperCase();
		});
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
jQuery(document).ready(function(){	
	$('.title p').css('font-size', '25px');
	while( $('.title p').height() > $('.title').height() ) {
		$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
	}
	$('#childs_id_search strong').css('font-size', '20px');
	while( $('#childs_id_search strong').height() > $('#childs_id_search').height() ) {
		//alert($('#childs_id_search strong').height());
		$('#childs_id_search strong').css('font-size', (parseInt($('#childs_id_search strong').css('font-size')) - 1) + "px" );
	}
});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>