<?php
include('includes/connect.php');
session_start();

if (isset($_SESSION["ssUser"]['loggedin']) && $_SESSION["ssUser"]['loggedin'] == true) {

	$_SESSION["Data"]['last_activity'] = time(); // update last activity time stamp

	//Localization settings
	include('includes/get_lang.php');

	if (isset($_POST['submit'])) {
		$db->update("u_users",array("id"=>$_SESSION["ssUser"]['operators_nid']),array("email"=>$_POST["email"],"phone"=>$_POST["phone"]));
		$_SESSION["ssUser"]["email"]=$_POST["email"];
		$_SESSION["ssUser"]["phone"]=$_POST["phone"];
	}	
	
?>
</html>
<head>
<meta charset="utf-8">
<title>CAN-MDS SURVEILLANCE SYSTEM</title>
<link rel="stylesheet" href="css/style.css" />


<?php include_once("includes/analyticstracking.php") ?>
</head>
<body>
<table id="table_wrapper">
	<tr>
		<td id="left_collumn">
				<div class="content_blue_dashed" style="margin-bottom: 20px">
					<h3><?php echo get_trans("Identity Confirmation"); ?></h3>
					<p><?php if (isset($_SESSION["ssUser"]['login_user'])) echo $_SESSION["ssUser"]['login_user']; ?></p>
					<p><?php if (isset($_SESSION["ssUser"]['agency_name'])) echo $_SESSION["ssUser"]['agency_name']; ?></p>
					<p><?php if (isset($_SESSION["ssUser"]['agency_phone'])) echo $_SESSION["ssUser"]['agency_phone']; ?></p>
					<p><?php if (isset($_SESSION["ssUser"]['agency_email'])) echo $_SESSION["ssUser"]['agency_email']; ?></p></br>				
					
					<p><strong><?php echo get_trans("TIP"); ?></strong> <?php echo get_trans("If the above information needs update, please contact the CAN-MDS Administration Office."); ?></p>
					
				</div>
				<div class="title">
					<p><?php echo get_trans("Contact Details"); ?></p>
				</div>
				<br><br>
				<form action="user_edit_profile.php" method="post">
					<table >
						<tr>
							<td>
								<div id="childs_id_search"><strong style="font-size: 17px;">Phone</strong></div>
							</td>
							<td>
								<div class="content_green_border">
									<input type="text" name="phone" value="<?php echo $_SESSION["ssUser"]["phone"]?>">						
								</div>
							</td>
						</tr>
						<tr>
							<td>
								<div id="childs_id_search"><strong style="font-size: 17px;">Email</strong></div>
							</td>
							<td>
								<div class="content_green_border">
									<input type="text" name="email" value="<?php echo $_SESSION["ssUser"]["email"]?>">
								</div>
							</td>
						</tr>
						<tr>
							<td></td>
							<td><button class="next_button" type="submit">Submit</button></td>
						</tr>
					</table>
					
				</form>
				
		</td>
		<td id="right_collumn">
			<?php include 'includes/logout_top_right.php'; ?>
			<?php include 'includes/records_table.php'; ?>	
			
		</td> 
	</tr>
</table>

<?php include 'includes/scripts.php'; ?>	
<!-- Language Selection -->
<script type="text/javascript">
$(document).ready(function() {
	$('#polyglotLanguageSwitcher').polyglotLanguageSwitcher({
		effect: 'slideDown',
		testMode: true,
		onChange: function(evt){
			$.ajax({
				type: 'GET',
				url: 'memo.php',
				data: 'lang=' + evt.selectedItem
				,success: function() {
					//window.location.reload(true);
					window.location.href = 'memo.php';
				}
			});
		}
		// afterLoad: function(evt){
			// alert("The selected language has been loaded: "+evt.selectedItem);
		// }
	});
});
</script>

<!-- Resize fonts in case of translation -->
<script>
	jQuery(document).ready(function(){
		$('.title p').css('font-size', '25px');
		while( $('.title p').height() > $('.title').height() ) {
			$('.title p').css('font-size', (parseInt($('.title p').css('font-size')) - 1) + "px" );
		}
	});
</script>
</body>
</html>

<?php
} else {
	header("location: index.php");
}
?>